# Changelog
All notable changes to CTS 2.1 will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/).

## [2.1.0r13/2.1.1r9] - 2023-08
### Added
CR 993
* Updated DMVT to version 2023.8.1 in pom.xml and constants.py.

CR 1023
* Removed pthread_cond_destroy from SafetyBase profiles in POSIX GSL and interface tests.

CR 1028
* Added initialization of static const data members in ios.protoheadertext.
* Added constructor initialization in stream classes in ostream.protoheadertext,  istream.protoheadertext, sstream.protoheadertext, and fstream.protoheadertext.
* Fixed logic in visit() for DataMember objects in the HeaderVisitor.cpp of the generator.

CR 1058
* Removed va_copy from libstdc++ GSL and interface tests.


## [2.1.0r12/2.1.1r8] - 2022-05
### Added
CR 842
* Added size to d_name's definition in dirent.h.protoheadertext
* Added size to sa_data's definition in socket.h.protoheadertext.
* Added size to sun_path's definition in un.h.protoheadertext.

CR 878 - DOCUMENTATION MODIFICATION ONLY
* Updated URL for downloading the Microsoft Visual C++ 2010 Redistributable Package needed by JavaConformance.

CR 900 - DATE MODEL TOOL CHANGE
* Updated DMConformanceTest to version 2022.5.1.
* Reference to DMConformanceTest in the business logic has been updated to version 2022.5.1. 

CR 909
* Updated business logic to clean goldStandardLibraries/Java/src directory prior to generating data types from USM.


### Changed

### Removed


## [2.1.0r11/2.1.1r7] - 2021-06
### Added
CR 502 - DOCUMENTATION MODIFICATION ONLY
* Added "Unused Code Paths in Third-Party Libraries" subsection under the "Considerations for Testing a Java Segment" section in the Manual.

CR 655
* Added Model Report tool under face_conformance_app/java_apps/FACEModelReport.

### Changed



### Fixed
CR 705
* TCP_NODELAY added to General and SafetyExtended profiles of netinet/tcp.h.
* Removed TCP_NODELAY from sys/socket.h.

CR 737
* Removed below functions from wchar.h.protoheadertext.
  * iswalnum iswalpha iswcntrl iswctype iswdigit iswgraph iswlower iswprint iswpunct iswspace iswupper iswxdigit towlower towupper wctype 

CR 738
* Added the C++ signatures for the below functions to <cstring> in the General Profile.
  * strchr
  * strpbrk
  * sttrchr
  * strstr
  * memchr
* Added the C++ signatures for the below functions to <cwchar> in the General Profile.
  * wcschr
  * wcspbrk
  * wcsrchr
  * wcsstr
  * wmemchr
* Removed importing of the 10 C function signatures into std namespace in <cstring> and <cwchar> in the General Profile.

CR 753
* Updated DMConformanceTest to version 2021.2.1.

CR 760
* Modified PTHREAD_ONCE_INIT in pthread.h.protoheadertext.

CR 762
* Added arithmetic integer functions from 4.1.1 and 4.1.3 of the GCC Internals documentation to sample compilerSpecific.c/.cpp files.
* Wrapped arithmetic integer functions with macro "ALLOWABLE_USE_OF_LONG_LONG".
* Added check for profile macros (FACE_GENERAL_PURPOSE_PROFILE, FACE_SAFETY_EXTENDED_PROFILE, FACE_SAFETY_BASE_PROFILE, FACE_SECURITY_PROFILE) in sample compilerSpecific.c/.cpp files.

CR 763
* Added code in ConformanceTest.py to call make clean in compilerSpecific directory before creating gold standard libraries.
* Cleaned up Makefile in compilerSpecific/C and compilerSpecific/C++.
* Cleaned up Makefile in goldStandardLibraries/C and goldStandardLibraries/C++.
* Updated "Allowed Definitions" subsection under the C"onfiguration" section in the Manual.


### Removed



## [2.1.0r10/2.1.1r6] - 2020-08
### Added

### Changed



### Fixed
CR 248
* Updated C, C++ and ARINC template to remove unused variable warnings in interface tests.
* Updated macro tests to eliminate compilation warnings.
* Eliminated compilation warnings in the C and C++ OSS interface tests. 

CR 477
* Changed C/HMFM, C/ARINC and C++/HMFM OSS interfaces tests to invoke the methods under test rather than 
  assigning them to function pointers.

CR 530
* Updated GSL <new> in SafetyBase, SafetyExt and Security profiles according to OSS SC's spreadsheet.
  * Removed all throw() and std::bad_alloc from SafetyBase and Security's <new>.
  * Aligned SafetyExt's <new> with General Purpose profile's <new>.

CR 568
* Updated DatatypeGenerator version to 2.1.12 in pom.xml.

CR 574
* Added inspection required for signature polymorphic methods in java.lang.invoke.MethodHandle class.

CR 603
* Removed confstr() from FACE Profiles.

CR 609
* Added const to the std::strstreambuf::pcount method in GSL and interface test.



### Removed


## [2.1.0r9/2.1.1r5] - 2020-05
### Added

### Changed



### Fixed
CR 376
* Added environ to <unistd.h> GSL.

CR 377
* Remove pthread_atfork() from <unistd.h> GSL.

CR 379
* Add pselect() to list of Inter-UoC restricted methods.

CR 380
* Add socketpair() to list of Inter-UoC restricted methods.

CR 381
* Add mq_timedreceive and mq_timedsend to list of Inter-UoC restricted methods.

CR 436
* Remove gethostname() from list of Inter-UoC restricted methods.


### Removed


## [2.1.0r8/2.1.1r4] - 2019-09
### Added

### Changed
CR 345
* Added "Approved Framework" text box to Java Conformance GUI.
* Code change and command line option (--frameworkclasspath) added to JavaConformance for the approved framework.

### Fixed
CR 344
* Java conformance for Tech Std, CVM & Conformance Test Suite

CR 372
* Removed *Helper.java from /sample/Java

CR 382	
* Added support for Java UoC usage of multi-level inherited methods
	
CR 383
* Corrrected mapping of IDL string in FACE 2.1.1 specification to Java String and StringHolder in IOS and TSS interfaces
* Interpreted "data_buffer_address" parameters of Read(I/O) as "inout" instead of "in" and modified mapping accordingly in GSL
	
CR 393
* Update Java Enterprise Edition to 8 (Oracle EE8) and Java SE to 8 (Oracle SE 8 u212)
* Updated class file definitions to JVM 8 in Java Conformance
	
CR 442	
* Added support in Java Conformance for directory(s) of .jar files

CR 444 
* Checks class files are version 8 or less
	
CR 446	
* Java Class Not Found Errors, for Primitive data types defines as arrays
	
CR 447	
* Class Not Found Errors, Anonymous Inner classes fail existence test
	
CR 448	
* Class Not Found Errors, Class Extending an Abstract class in another jar
	
CR 450
* Added support for Java UoC usage of multi-level inherited variables
	
CR 451	
* Permission Denied Errors when using the Protected Modifier on inherited methods and variables
	
CR 455	
* Enabled CTS to execute jar command for sizable Data Models when running on Windows
	
CR 501
* Added generation of Read_Callback classes in tss.javagold


### Removed


## [2.1.0r7/2.1.1r3] - 2018-09
### Added

### Changed
* Added dummy stub for _start() when compiler is GCC in the CompilerSpecific.c/.cpp in /sample directory to eliminate linker warning for interface tests. The linker warning is: "warning: cannot find entry symbol _start; defaulting to 0000000000400144"

### Fixed
CR 167
* Added dummy stubs for send+receive ARINC 661 APIs to CompilerSpecific.h/.hpp in the /sample directory. Signature of dummy stubs were specified by the approved corrections of CR 167.

CR 193
* Added GSL and interface tests for macros functions listed in Appendix A.
	
CR 199
* CTS is modified to test only a subset of ARINC 653 APIs when POSIX+aRINC 653 partition is selected during OSS segment test.
	
CR 207
* EGL gold standard headers and gold standard libraries are available in safety profiles. 
	
CR 212/224
* Replaced Ada conformanceInterfaceTests testing via Pragma Assert() for tests written to evaluate at compile-time.
* Updated all Ada conformanceInterfaceTests to compile without warnings



### Removed



## [2.1.0r6/2.1.1r2] - 2018-06
### Added

### Changed

### Fixed
CR 149
* Updated String_var.hpp (used internally for compiling GSL TSS Interfaces)

CR 183 
* Corrected Gold Standard Library's implementation of <iterator> to correctly support const_reverse_iterator
	
CR 196
* Removed instances of div() from cmath Gold Standard Library and conformanceInterfaceTests
	
CR 208 (2.1.1r2 only):
* <new> GSL headers added to safetyBase, safetyExt, and security profiles. However, operator delete is removed in safetyBase and security profiles in Face version 2.1.1.

CR 209
* Made corrections so that cmath's gold header includes double abs() for all profiles and float abs() and long double abs() just in General profile. Also made sure the correct abs conformanceITest is generated for cmath in each profile.

CR 213 
* Updated Ada tests in conformanceInterfaceTests directory to call interfaces without use of Access
	
CR 216
* Corrected download of datamodel helper include files (String_var, WString_var, bigint, and fixed) used in building of TSS gold standard library. These datamodel helper files are now downloaded into /goldStandardLibraries/C++/include/DM_Helper_Include.
	
CR 255
* Added missing enum value ABDAY_5 into langinfo.h.
	
CR 256 and CR 206
* Corrected Gold Standard Library's OpenGLSC 1.0.1's gl.h and OpenGLES2.0's gl2.h

### Removed



