/*
 * Place any required function stubs for the compiler/linker used for test
 *  i.e. __main(),_start, etc...
 *
 * Be careful to honor profiles. 
 */

#include "CompilerSpecific.h"

/*
 * These are known symbols for GCC.
 */
#if defined(__GNUC__)

/*
 * This is invoked by GCC when stack checking is enabled.
 */
void __stack_chk_fail(void)
{
}

 #if defined(__CYGWIN__)
    /*
     *  This symbol is implicitly generated by GCC on some platforms.
     *  It initializes the run-time and may invoke global constructors.
     */
    int __main(int argc, const char **argv) {}

 #endif  /* __CYGWIN__ */

#else
  #error "Compiler is unknown. Please add Compiler Specific support."
#endif  /* __GNUC__ */

