------------------------------------------------------------------------------------
-- Copyright (c) Vanderbilt University, 2020                                       
--                                                                                 
-- ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                    
--                                                                                 
-- This software, authored by Vanderbilt University under a contract awarded to and
-- managed by Alion Science and Technology, was funded by the U.S. Government under
-- Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in   
-- this software.  An unlimited rights license means that the U.S. Government can  
-- use, modify, reproduce, release or disclose computer software in whole or in    
-- part, in any manner, and for any purpose whatsoever, and to have or authorize   
-- others to do so.                                                                
--                                                                                 
-- Vanderbilt University disclaims all warranties with regard to this software,    
-- including all implied warranties of merchantability and fitness. In no event    
-- shall Vanderbilt University be liable for any special, indirect or consequential
-- damages or any damages whatsoever resulting from loss of use, data or profits,  
-- whether in an action of contract, negligence or other tortious action, arising  
-- out of or in connection with the use or performance of this software.           
--                                                                                 
-- May contain products produced under DoD SENSIAC contract HC104705D4000 under the
-- sponsorship of the Defense Technical Information Center,                        
-- ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218. 
-- SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical 
-- Information Center.                                                             
--                                                                                 
-- Filename: test_apex_file_system_18.adb                                          
--                                                                                 
-- Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1   
--                                                                                 
-- This file is generated and may be overwritten.                                  
--                                                                                 
-- Release Date: 29-Aug-2023                                                       
------------------------------------------------------------------------------------

pragma Assertion_Policy (Check);  -- Check assertions that follow:
pragma Optimize(Off); -- turn off optional optimizations

with System;
with APEX, APEX.File_System;
use APEX, APEX.File_System;

procedure test_apex_file_system_18 is

procedure test_apex_file_system_18_helper is

    -- Testing APEX.File_System.Remove_Directory size is conformant 
    
    -- Declare Variables    (Uninitialized Variables will cause warning, but not cause test to fail)
    Directory_Name : File_Name_Type;
    Return_Code : Return_Code_Type;
    Errno : File_Errno_Type;


begin

    -- Initialize Variables
    Directory_Name(1..3) := "FOO";
    Return_Code := No_Error;
    Errno := Null_File_Errno;
    
    -- Call interface
    APEX.File_System.Remove_Directory(
        Directory_Name => Directory_Name,
        Return_Code => Return_Code,
        Errno => Errno
        );

end test_apex_file_system_18_helper;

begin
   NULL;
end;
