------------------------------------------------------------------------------------
-- Copyright (c) Vanderbilt University, 2020                                       
--                                                                                 
-- ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                    
--                                                                                 
-- This software, authored by Vanderbilt University under a contract awarded to and
-- managed by Alion Science and Technology, was funded by the U.S. Government under
-- Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in   
-- this software.  An unlimited rights license means that the U.S. Government can  
-- use, modify, reproduce, release or disclose computer software in whole or in    
-- part, in any manner, and for any purpose whatsoever, and to have or authorize   
-- others to do so.                                                                
--                                                                                 
-- Vanderbilt University disclaims all warranties with regard to this software,    
-- including all implied warranties of merchantability and fitness. In no event    
-- shall Vanderbilt University be liable for any special, indirect or consequential
-- damages or any damages whatsoever resulting from loss of use, data or profits,  
-- whether in an action of contract, negligence or other tortious action, arising  
-- out of or in connection with the use or performance of this software.           
--                                                                                 
-- May contain products produced under DoD SENSIAC contract HC104705D4000 under the
-- sponsorship of the Defense Technical Information Center,                        
-- ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218. 
-- SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical 
-- Information Center.                                                             
--                                                                                 
-- Filename: test_apex_name_service_3.adb                                          
--                                                                                 
-- Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1   
--                                                                                 
-- This file is generated and may be overwritten.                                  
--                                                                                 
-- Release Date: 29-Aug-2023                                                       
------------------------------------------------------------------------------------

pragma Assertion_Policy (Check);  -- Check assertions that follow:
pragma Optimize(Off); -- turn off optional optimizations

with System;
with APEX, APEX.SAP_Ports, System, APEX.Name_Service;
use APEX, APEX.SAP_Ports, System, APEX.Name_Service;

procedure test_apex_name_service_3 is

procedure test_apex_name_service_3_helper is

    -- Testing APEX.Name_Service.Get_Address size is conformant 
    
    -- Declare Variables    (Uninitialized Variables will cause warning, but not cause test to fail)
    Service_Id : Name_Service_Id_Type;
    Name : Name_Service_Addr_Type;
    Name_Length : Name_Service_Length_Type;
    Time_Out : System_Time_Type;
    SAP_Address : APEX.SAP_Ports.SAP_Address_Type;
    Return_Code : Return_Code_Type;


begin

    -- Initialize Variables
    Service_Id := 1;
    Name := System.Null_Address;
    Name_Length := 1;
    Time_Out := 1;
    SAP_Address := (1,1,1,1,(others => 1));
    Return_Code := No_Error;
    
    -- Call interface
    APEX.Name_Service.Get_Address(
        Service_Id => Service_Id,
        Name => Name,
        Name_Length => Name_Length,
        Time_Out => Time_Out,
        SAP_Address => SAP_Address,
        Return_Code => Return_Code
        );

end test_apex_name_service_3_helper;

begin
   NULL;
end;
