------------------------------------------------------------------------------------
-- Copyright (c) Vanderbilt University, 2020                                       
--                                                                                 
-- ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                    
--                                                                                 
-- This software, authored by Vanderbilt University under a contract awarded to and
-- managed by Alion Science and Technology, was funded by the U.S. Government under
-- Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in   
-- this software.  An unlimited rights license means that the U.S. Government can  
-- use, modify, reproduce, release or disclose computer software in whole or in    
-- part, in any manner, and for any purpose whatsoever, and to have or authorize   
-- others to do so.                                                                
--                                                                                 
-- Vanderbilt University disclaims all warranties with regard to this software,    
-- including all implied warranties of merchantability and fitness. In no event    
-- shall Vanderbilt University be liable for any special, indirect or consequential
-- damages or any damages whatsoever resulting from loss of use, data or profits,  
-- whether in an action of contract, negligence or other tortious action, arising  
-- out of or in connection with the use or performance of this software.           
--                                                                                 
-- May contain products produced under DoD SENSIAC contract HC104705D4000 under the
-- sponsorship of the Defense Technical Information Center,                        
-- ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218. 
-- SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical 
-- Information Center.                                                             
--                                                                                 
-- Filename: test_apex_sap_ports_7.adb                                             
--                                                                                 
-- Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1   
--                                                                                 
-- This file is generated and may be overwritten.                                  
--                                                                                 
-- Release Date: 29-Aug-2023                                                       
------------------------------------------------------------------------------------

pragma Assertion_Policy (Check);  -- Check assertions that follow:
pragma Optimize(Off); -- turn off optional optimizations

with System;
with APEX, APEX.SAP_Ports, Interfaces, Apex, APEX.Processes;
use APEX, APEX.SAP_Ports, Interfaces, Apex, APEX.Processes;

procedure test_apex_sap_ports_7 is

procedure test_apex_sap_ports_7_helper is

    -- Testing APEX.SAP_Ports.Receive_Extended_SAP_Message size is conformant 
    
    -- Declare Variables    (Uninitialized Variables will cause warning, but not cause test to fail)
    SAP_Port_Id : SAP_Port_Id_Type;
    Time_Out : System_Time_Type;
    Message_Addr : Message_Addr_Type;
    Length : Message_Size_Type;
    Source_Addr : APEX.SAP_Ports.SAP_Address_Type;
    Destination_Addr : APEX.SAP_Ports.SAP_Address_Type;
    Return_Code : Return_Code_Type;


begin

    -- Initialize Variables
    SAP_Port_Id := 1;
    Time_Out := 1;
    Message_Addr := System.Null_Address;
    Length := 1;
    Source_Addr := (1,1,1,1,(others => 1));
    Destination_Addr := (1,1,1,1,(others => 1));
    Return_Code := No_Error;
    
    -- Call interface
    APEX.SAP_Ports.Receive_Extended_SAP_Message(
        SAP_Port_Id => SAP_Port_Id,
        Time_Out => Time_Out,
        Message_Addr => Message_Addr,
        Length => Length,
        Source_Addr => Source_Addr,
        Destination_Addr => Destination_Addr,
        Return_Code => Return_Code
        );

end test_apex_sap_ports_7_helper;

begin
   NULL;
end;
