
-- pragma Assertion_Policy (Check);  -- Check assertions that follow:
pragma Optimize(Off); -- turn off optional optimizations

------------------------------------------------------------------------------------
-- Copyright (c) Vanderbilt University, 2020                                       
--                                                                                 
-- ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                    
--                                                                                 
-- This software, authored by Vanderbilt University under a contract awarded to and
-- managed by Alion Science and Technology, was funded by the U.S. Government under
-- Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in   
-- this software.  An unlimited rights license means that the U.S. Government can  
-- use, modify, reproduce, release or disclose computer software in whole or in    
-- part, in any manner, and for any purpose whatsoever, and to have or authorize   
-- others to do so.                                                                
--                                                                                 
-- Vanderbilt University disclaims all warranties with regard to this software,    
-- including all implied warranties of merchantability and fitness. In no event    
-- shall Vanderbilt University be liable for any special, indirect or consequential
-- damages or any damages whatsoever resulting from loss of use, data or profits,  
-- whether in an action of contract, negligence or other tortious action, arising  
-- out of or in connection with the use or performance of this software.           
--                                                                                 
-- May contain products produced under DoD SENSIAC contract HC104705D4000 under the
-- sponsorship of the Defense Technical Information Center,                        
-- ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218. 
-- SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical 
-- Information Center.                                                             
--                                                                                 
-- Filename: FACE_Basic_Types_Conformance_Test.adb                                 
--                                                                                 
-- Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1   
--                                                                                 
-- This file is generated and may be overwritten.                                  
--                                                                                 
-- Release Date: 29-Aug-2023                                                       
------------------------------------------------------------------------------------
with FACE_Basic_Types; 
with Interfaces; 


procedure test1 is

procedure test1_helper is

    -- Declare Variables and Types for Testing FACE_Basic_Types.Short
    VarShort : FACE_Basic_Types.Short;
    subtype ShortSizeTestType is Integer range Interfaces.Integer_16'Size .. Interfaces.Integer_16'Size;
    VarShortSize : ShortSizeTestType;
    
    -- Declare Variables and Types for Testing FACE_Basic_Types.Double
    VarDouble : FACE_Basic_Types.Double;
    subtype DoubleSizeTestType is Integer range Interfaces.IEEE_Float_64'Size .. Interfaces.IEEE_Float_64'Size;
    VarDoubleSize : DoubleSizeTestType;
    
    -- Declare Variables and Types for Testing FACE_Basic_Types.Octet
    VarOctet : FACE_Basic_Types.Octet;
    subtype OctetSizeTestType is Integer range Interfaces.Unsigned_8'Size .. Interfaces.Unsigned_8'Size;
    VarOctetSize : OctetSizeTestType;
    
    -- Declare Variables and Types for Testing FACE_Basic_Types.Long
    VarLong : FACE_Basic_Types.Long;
    subtype LongSizeTestType is Integer range Interfaces.Integer_32'Size .. Interfaces.Integer_32'Size;
    VarLongSize : LongSizeTestType;
    
    -- Declare Variables and Types for Testing FACE_Basic_Types.Long_Long
    VarLong_Long : FACE_Basic_Types.Long_Long;
    subtype Long_LongSizeTestType is Integer range Interfaces.Integer_64'Size .. Interfaces.Integer_64'Size;
    VarLong_LongSize : Long_LongSizeTestType;
    
    -- Declare Variables and Types for Testing FACE_Basic_Types.Unsigned_Long
    VarUnsigned_Long : FACE_Basic_Types.Unsigned_Long;
    subtype Unsigned_LongSizeTestType is Integer range Interfaces.Unsigned_32'Size .. Interfaces.Unsigned_32'Size;
    VarUnsigned_LongSize : Unsigned_LongSizeTestType;
    
    -- Declare Variables and Types for Testing FACE_Basic_Types.Unsigned_Short
    VarUnsigned_Short : FACE_Basic_Types.Unsigned_Short;
    subtype Unsigned_ShortSizeTestType is Integer range Interfaces.Unsigned_16'Size .. Interfaces.Unsigned_16'Size;
    VarUnsigned_ShortSize : Unsigned_ShortSizeTestType;
    
    -- Declare Variables and Types for Testing FACE_Basic_Types.Float
    VarFloat : FACE_Basic_Types.Float;
    subtype FloatSizeTestType is Integer range Interfaces.IEEE_Float_32'Size .. Interfaces.IEEE_Float_32'Size;
    VarFloatSize : FloatSizeTestType;
    
    -- Declare Variables and Types for Testing FACE_Basic_Types.Char
    VarChar : FACE_Basic_Types.Char;
    subtype CharSizeTestType is Integer range Standard.Character'Size .. Standard.Character'Size;
    VarCharSize : CharSizeTestType;
    
    -- Declare Variables and Types for Testing FACE_Basic_Types.Long_Double
    VarLong_Double : FACE_Basic_Types.Long_Double;
    subtype Long_DoubleSizeTestType is Integer range Interfaces.IEEE_Extended_Float'Size .. Interfaces.IEEE_Extended_Float'Size;
    VarLong_DoubleSize : Long_DoubleSizeTestType;
    
    -- Declare Variables and Types for Testing FACE_Basic_Types.Wchar
    VarWchar : FACE_Basic_Types.Wchar;
    subtype WcharSizeTestType is Integer range Standard.Wide_Character'Size .. Standard.Wide_Character'Size;
    VarWcharSize : WcharSizeTestType;
    
    -- Declare Variables and Types for Testing FACE_Basic_Types.Unsigned_Long_Long
    VarUnsigned_Long_Long : FACE_Basic_Types.Unsigned_Long_Long;
    subtype Unsigned_Long_LongSizeTestType is Integer range Interfaces.Unsigned_64'Size .. Interfaces.Unsigned_64'Size;
    VarUnsigned_Long_LongSize : Unsigned_Long_LongSizeTestType;
    


    -- Define Constants for Testing FACE_Basic_Types.Short Upper- and Lower-Bound Values Via Assignment (Interfaces.Integer_16)
    -- These values should be able to be assigned to a FACE_Basic_Types.Short variable
    Short_UB : constant := Interfaces.Integer_16'Last;
    Short_LB : constant := Interfaces.Integer_16'First;
    
    
    -- Define Constants for Testing FACE_Basic_Types.Double Upper- and Lower-Bound Values Via Assignment (Interfaces.IEEE_Float_64)
    -- These values should be able to be assigned to a FACE_Basic_Types.Double variable
    Double_UB : constant := Interfaces.IEEE_Float_64'Large;
    Double_LB : constant := -Interfaces.IEEE_Float_64'Large;
    
    -- Define Constants for Testing FACE_Basic_Types.Octet Upper- and Lower-Bound Values Via Assignment (Interfaces.Unsigned_8)
    -- These values should be able to be assigned to a FACE_Basic_Types.Octet variable
    Octet_UB : constant := Interfaces.Unsigned_8'Last;
    Octet_LB : constant := Interfaces.Unsigned_8'First;
    
    
    -- Define Constants for Testing FACE_Basic_Types.Long Upper- and Lower-Bound Values Via Assignment (Interfaces.Integer_32)
    -- These values should be able to be assigned to a FACE_Basic_Types.Long variable
    Long_UB : constant := Interfaces.Integer_32'Last;
    Long_LB : constant := Interfaces.Integer_32'First;
    
    
    -- Define Constants for Testing FACE_Basic_Types.Long_Long Upper- and Lower-Bound Values Via Assignment (Interfaces.Integer_64)
    -- These values should be able to be assigned to a FACE_Basic_Types.Long_Long variable
    Long_Long_UB : constant := Interfaces.Integer_64'Last;
    Long_Long_LB : constant := Interfaces.Integer_64'First;
    
    
    -- Define Constants for Testing FACE_Basic_Types.Unsigned_Long Upper- and Lower-Bound Values Via Assignment (Interfaces.Unsigned_32)
    -- These values should be able to be assigned to a FACE_Basic_Types.Unsigned_Long variable
    Unsigned_Long_UB : constant := Interfaces.Unsigned_32'Last;
    Unsigned_Long_LB : constant := Interfaces.Unsigned_32'First;
    
    
    -- Define Constants for Testing FACE_Basic_Types.Unsigned_Short Upper- and Lower-Bound Values Via Assignment (Interfaces.Unsigned_16)
    -- These values should be able to be assigned to a FACE_Basic_Types.Unsigned_Short variable
    Unsigned_Short_UB : constant := Interfaces.Unsigned_16'Last;
    Unsigned_Short_LB : constant := Interfaces.Unsigned_16'First;
    
    
    -- Define Constants for Testing FACE_Basic_Types.Float Upper- and Lower-Bound Values Via Assignment (Interfaces.IEEE_Float_32)
    -- These values should be able to be assigned to a FACE_Basic_Types.Float variable
    Float_UB : constant := Interfaces.IEEE_Float_32'Large;
    Float_LB : constant := -Interfaces.IEEE_Float_32'Large;
    
    -- Define Constants for Testing FACE_Basic_Types.Long_Double Upper- and Lower-Bound Values Via Assignment (Interfaces.IEEE_Extended_Float)
    -- These values should be able to be assigned to a FACE_Basic_Types.Long_Double variable
    Long_Double_UB : constant := Interfaces.IEEE_Extended_Float'Large;
    Long_Double_LB : constant := -Interfaces.IEEE_Extended_Float'Large;
    
    -- Define Constants for Testing FACE_Basic_Types.Unsigned_Long_Long Upper- and Lower-Bound Values Via Assignment (Interfaces.Unsigned_64)
    -- These values should be able to be assigned to a FACE_Basic_Types.Unsigned_Long_Long variable
    Unsigned_Long_Long_UB : constant := Interfaces.Unsigned_64'Last;
    Unsigned_Long_Long_LB : constant := Interfaces.Unsigned_64'First;
    
    


begin

    
    -- Testing Expected Upper- and Lower-Bound Values of FACE_Basic_Types.Short can be assigned
    VarShort := Short_UB;
    VarShort := Short_LB;
    
    -- Assign Size of FACE_Basic_Types.Short to a type with range of expected Size
    -- Note:  The assignment on the following line will produce a warning if not conformant; will not throw error
    VarShortSize := FACE_Basic_Types.Short'Size;
    
    -- Testing Expected Upper- and Lower-Bound Values of FACE_Basic_Types.Double can be assigned
    VarDouble := Double_UB;
    VarDouble := Double_LB;
    
    -- Assign Size of FACE_Basic_Types.Double to a type with range of expected Size
    -- Note:  The assignment on the following line will produce a warning if not conformant; will not throw error
    VarDoubleSize := FACE_Basic_Types.Double'Size;
    
    -- Testing Expected Upper- and Lower-Bound Values of FACE_Basic_Types.Octet can be assigned
    VarOctet := Octet_UB;
    VarOctet := Octet_LB;
    
    -- Assign Size of FACE_Basic_Types.Octet to a type with range of expected Size
    -- Note:  The assignment on the following line will produce a warning if not conformant; will not throw error
    VarOctetSize := FACE_Basic_Types.Octet'Size;
    
    -- Testing Expected Upper- and Lower-Bound Values of FACE_Basic_Types.Long can be assigned
    VarLong := Long_UB;
    VarLong := Long_LB;
    
    -- Assign Size of FACE_Basic_Types.Long to a type with range of expected Size
    -- Note:  The assignment on the following line will produce a warning if not conformant; will not throw error
    VarLongSize := FACE_Basic_Types.Long'Size;
    
    -- Testing Expected Upper- and Lower-Bound Values of FACE_Basic_Types.Long_Long can be assigned
    VarLong_Long := Long_Long_UB;
    VarLong_Long := Long_Long_LB;
    
    -- Assign Size of FACE_Basic_Types.Long_Long to a type with range of expected Size
    -- Note:  The assignment on the following line will produce a warning if not conformant; will not throw error
    VarLong_LongSize := FACE_Basic_Types.Long_Long'Size;
    
    -- Testing Expected Upper- and Lower-Bound Values of FACE_Basic_Types.Unsigned_Long can be assigned
    VarUnsigned_Long := Unsigned_Long_UB;
    VarUnsigned_Long := Unsigned_Long_LB;
    
    -- Assign Size of FACE_Basic_Types.Unsigned_Long to a type with range of expected Size
    -- Note:  The assignment on the following line will produce a warning if not conformant; will not throw error
    VarUnsigned_LongSize := FACE_Basic_Types.Unsigned_Long'Size;
    
    -- Testing Expected Upper- and Lower-Bound Values of FACE_Basic_Types.Unsigned_Short can be assigned
    VarUnsigned_Short := Unsigned_Short_UB;
    VarUnsigned_Short := Unsigned_Short_LB;
    
    -- Assign Size of FACE_Basic_Types.Unsigned_Short to a type with range of expected Size
    -- Note:  The assignment on the following line will produce a warning if not conformant; will not throw error
    VarUnsigned_ShortSize := FACE_Basic_Types.Unsigned_Short'Size;
    
    -- Testing Expected Upper- and Lower-Bound Values of FACE_Basic_Types.Float can be assigned
    VarFloat := Float_UB;
    VarFloat := Float_LB;
    
    -- Assign Size of FACE_Basic_Types.Float to a type with range of expected Size
    -- Note:  The assignment on the following line will produce a warning if not conformant; will not throw error
    VarFloatSize := FACE_Basic_Types.Float'Size;
    
    -- Testing Expected Upper- and Lower-Bound Values of FACE_Basic_Types.Char can be assigned
    VarChar := FACE_Basic_Types.Char(Standard.Character'Last);
    VarChar := FACE_Basic_Types.Char(Standard.Character'First);
    
    -- Assign Size of FACE_Basic_Types.Char to a type with range of expected Size
    -- Note:  The assignment on the following line will produce a warning if not conformant; will not throw error
    VarCharSize := FACE_Basic_Types.Char'Size;
    
    -- Testing Expected Upper- and Lower-Bound Values of FACE_Basic_Types.Long_Double can be assigned
    VarLong_Double := Long_Double_UB;
    VarLong_Double := Long_Double_LB;
    
    -- Assign Size of FACE_Basic_Types.Long_Double to a type with range of expected Size
    -- Note:  The assignment on the following line will produce a warning if not conformant; will not throw error
    VarLong_DoubleSize := FACE_Basic_Types.Long_Double'Size;
    
    -- Testing Expected Upper- and Lower-Bound Values of FACE_Basic_Types.Wchar can be assigned
    VarWchar := FACE_Basic_Types.Wchar(Standard.Wide_Character'Last);
    VarWchar := FACE_Basic_Types.Wchar(Standard.Wide_Character'First);
    
    -- Assign Size of FACE_Basic_Types.Wchar to a type with range of expected Size
    -- Note:  The assignment on the following line will produce a warning if not conformant; will not throw error
    VarWcharSize := FACE_Basic_Types.Wchar'Size;
    
    -- Testing Expected Upper- and Lower-Bound Values of FACE_Basic_Types.Unsigned_Long_Long can be assigned
    VarUnsigned_Long_Long := Unsigned_Long_Long_UB;
    VarUnsigned_Long_Long := Unsigned_Long_Long_LB;
    
    -- Assign Size of FACE_Basic_Types.Unsigned_Long_Long to a type with range of expected Size
    -- Note:  The assignment on the following line will produce a warning if not conformant; will not throw error
    VarUnsigned_Long_LongSize := FACE_Basic_Types.Unsigned_Long_Long'Size;


end test1_helper;

begin
   NULL;
end;
