
-- pragma Assertion_Policy (Check);  -- Check assertions that follow:
pragma Optimize(Off); -- turn off optional optimizations

with FACE_Basic_Types; 
with FACE; 
with FACE.TS; 
with FACE.TS.TYPEABSTRACTION_TS; 
with Interfaces.C; 
with System; 


procedure forkconformancetest is

procedure forkconformancetest_helper is

    -- Using all non type specific function calls to test for fork use 
    configuration : FACE.CONFIGURATION_RESOURCE := (others => 'X');
    return_code : FACE.RETURN_CODE_TYPE := FACE.RETURN_CODE_TYPE'First;
    connection_name : FACE.TS.CONNECTION_NAME_TYPE := (others => 'X');
    pattern : FACE.TS.MESSAGING_PATTERN_TYPE := FACE.TS.MESSAGING_PATTERN_TYPE'First;
    connection_id : FACE.TS.CONNECTION_ID_TYPE := FACE.TS.CONNECTION_ID_TYPE'First;
    connection_direction : FACE.TS.CONNECTION_DIRECTION_TYPE := FACE.TS.CONNECTION_DIRECTION_TYPE'First;
    max_message_size : FACE.TS.MESSAGE_SIZE_TYPE := FACE.TS.MESSAGE_SIZE_TYPE'First;
    timeout : FACE.TIMEOUT_TYPE := FACE.TIMEOUT_TYPE'First;
    transaction_id : FACE.TS.TRANSACTION_ID_TYPE := FACE.TS.TRANSACTION_ID_TYPE'First;
    message : System.Address := System.Address(System.Null_Address);
    message_type_id : FACE.TS.MESSAGE_TYPE_GUID := FACE.TS.MESSAGE_TYPE_GUID'First;
    message_size : FACE.TS.MESSAGE_SIZE_TYPE := FACE.TS.MESSAGE_SIZE_TYPE'First;
    waitset : FACE.TS.WAITSET_TYPE := (others => FACE_Basic_Types.Boolean(True));
    data_callback : FACE.TS.TYPEABSTRACTION_TS.Read_Callback.Send_Event_Access;
    connection_status : FACE.TS.TRANSPORT_CONNECTION_STATUS_TYPE;


begin


    -- Call interface
    FACE.TS.TYPEABSTRACTION_TS.Initialize(
        configuration => configuration,
        return_code => return_code
        );
    -- Call interface
    FACE.TS.TYPEABSTRACTION_TS.Create_Connection(
        connection_name => connection_name,
        pattern => pattern,
        connection_id => connection_id,
        connection_direction => connection_direction,
        max_message_size => max_message_size,
        timeout => timeout,
        return_code => return_code
        );
    -- Call interface
    FACE.TS.TYPEABSTRACTION_TS.Destroy_Connection(
        connection_id => connection_id,
        return_code => return_code
        );
    -- Call interface
    FACE.TS.TYPEABSTRACTION_TS.Receive_Message(
        connection_id => connection_id,
        timeout => timeout,
        transaction_id => transaction_id,
        message => message,
        message_type_id => message_type_id,
        message_size => message_size,
        return_code => return_code
        );
    -- Call interface
    FACE.TS.TYPEABSTRACTION_TS.Send_Message(
        connection_id => connection_id,
        timeout => timeout,
        transaction_id => transaction_id,
        message => message,
        message_type_id => message_type_id,
        message_size => message_size,
        return_code => return_code
        );
    -- Call interface
    FACE.TS.TYPEABSTRACTION_TS.Register_Callback(
        connection_id => connection_id,
        waitset => waitset,
        data_callback => data_callback,
        max_message_size => max_message_size,
        return_code => return_code
        );
    -- Call interface
    FACE.TS.TYPEABSTRACTION_TS.Unregister_Callback(
        connection_id => connection_id,
        return_code => return_code
        );
    -- Call interface
    FACE.TS.TYPEABSTRACTION_TS.Get_Connection_Parameters(
        connection_name => connection_name,
        connection_id => connection_id,
        connection_status => connection_status,
        return_code => return_code
        );

end forkconformancetest_helper;

begin
   NULL;
end;
