
// ForkConformanceTest 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{
    // Using all non type specific function calls to test for fork use 


    // ----- Initialize Fork Test -----
    {

        // Function Signature Conformance Test
        // Setting function ptr with correct signature to function under test
        void (*FUNCTION_TEST_PTR) (
            /* in     */ const FACE::CONFIGURATION_RESOURCE configuration,
            /*    out */ FACE::RETURN_CODE_TYPE &return_code
            ) = FACE::IO::Initialize;


    }


    // ----- Open Fork Test -----
    {

        // Function Signature Conformance Test
        // Setting function ptr with correct signature to function under test
        void (*FUNCTION_TEST_PTR) (
            /* in     */ const FACE::INTERFACE_NAME_TYPE name,
            /* in     */ FACE::TIMEOUT_TYPE timeout,
            /*    out */ FACE::INTERFACE_HANDLE_TYPE &handle,
            /*    out */ FACE::RETURN_CODE_TYPE &return_code
            ) = FACE::IO::Open;


    }


    // ----- Register Fork Test -----
    {

        // Function Signature Conformance Test
        // Setting function ptr with correct signature to function under test
        void (*FUNCTION_TEST_PTR) (
            /* in     */ FACE::INTERFACE_HANDLE_TYPE handle,
            /* in     */ FACE::CALLBACK_ADDRESS_TYPE callback_address,
            /*    out */ FACE::RETURN_CODE_TYPE &return_code
            ) = FACE::IO::Register;


    }


    // ----- Unregister Fork Test -----
    {

        // Function Signature Conformance Test
        // Setting function ptr with correct signature to function under test
        void (*FUNCTION_TEST_PTR) (
            /* in     */ FACE::INTERFACE_HANDLE_TYPE handle,
            /*    out */ FACE::RETURN_CODE_TYPE &return_code
            ) = FACE::IO::Unregister;


    }


    // ----- Read Fork Test -----
    {

        // Function Signature Conformance Test
        // Setting function ptr with correct signature to function under test
        void (*FUNCTION_TEST_PTR) (
            /* in     */ FACE::INTERFACE_HANDLE_TYPE handle,
            /* in     */ FACE::TIMEOUT_TYPE timeout,
            /* in out */ FACE::MESSAGE_LENGTH_TYPE &message_length,
            /* in     */ FACE::MESSAGE_ADDR_TYPE data_buffer_address,
            /*    out */ FACE::RETURN_CODE_TYPE &return_code
            ) = FACE::IO::Read;


    }


    // ----- Write Fork Test -----
    {

        // Function Signature Conformance Test
        // Setting function ptr with correct signature to function under test
        void (*FUNCTION_TEST_PTR) (
            /* in     */ FACE::INTERFACE_HANDLE_TYPE handle,
            /* in     */ FACE::TIMEOUT_TYPE timeout,
            /* in     */ FACE::MESSAGE_LENGTH_TYPE message_length,
            /* in     */ FACE::MESSAGE_ADDR_TYPE data_buffer_address,
            /*    out */ FACE::RETURN_CODE_TYPE &return_code
            ) = FACE::IO::Write;


    }


    // ----- Get_Status Fork Test -----
    {

        // Function Signature Conformance Test
        // Setting function ptr with correct signature to function under test
        void (*FUNCTION_TEST_PTR) (
            /* in     */ FACE::INTERFACE_HANDLE_TYPE handle,
            /*    out */ FACE::STATUS_TYPE &status,
            /*    out */ FACE::RETURN_CODE_TYPE &return_code
            ) = FACE::IO::Get_Status;


    }


    // ----- Close Fork Test -----
    {

        // Function Signature Conformance Test
        // Setting function ptr with correct signature to function under test
        void (*FUNCTION_TEST_PTR) (
            /* in     */ FACE::INTERFACE_HANDLE_TYPE handle,
            /*    out */ FACE::RETURN_CODE_TYPE &return_code
            ) = FACE::IO::Close;


    }

}
