
// Test13 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // struct conformance test

    /* Creating struct the same size as the struct under test */
    struct STATUS_TYPE_CONFORMANCE_TEST {
        FACE::SYSTEM_TIME_TYPE last_message_time;
        FACE::Boolean message_available;
        FACE::IO_CONNECTION_STATUS_TYPE connection_status;

    };


    // FACE::STATUS_TYPE size test (Struct)
    FaceStaticAssert< sizeof(FACE::STATUS_TYPE) == sizeof(STATUS_TYPE_CONFORMANCE_TEST) >();


    FACE::STATUS_TYPE var;
    STATUS_TYPE_CONFORMANCE_TEST testVar;


    // Testing FACE::STATUS_TYPE.last_message_time is conformant
    {
        FaceStaticAssert< sizeof(var.last_message_time) == sizeof(FACE::SYSTEM_TIME_TYPE) >();
    }
    {
        var.last_message_time = testVar.last_message_time;
    }

    // Testing FACE::STATUS_TYPE.message_available is conformant
    {
        FaceStaticAssert< sizeof(var.message_available) == sizeof(FACE::Boolean) >();
    }
    {
        var.message_available = testVar.message_available;
    }

    // Testing FACE::STATUS_TYPE.connection_status is conformant
    {
        FaceStaticAssert< sizeof(var.connection_status) == sizeof(FACE::IO_CONNECTION_STATUS_TYPE) >();
    }
    {
        var.connection_status = testVar.connection_status;
    }


}
