
// Test15 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // Enumeration Conformance Test 
    {
        /* Enumeration the same size as the enumeration under test */
        enum COMMAND_TYPE_CONFORMANCE_TEST {
            OPEN_CONFORMANCE_TEST,
            REGISTER_CONFORMANCE_TEST,
            READ_CONFORMANCE_TEST,
            WRITE_CONFORMANCE_TEST,
            CLOSE_CONFORMANCE_TEST,
            GET_STATUS_CONFORMANCE_TEST,
            UNREGISTER_CONFORMANCE_TEST
        };



        // FACE::COMMAND_TYPE size test (Enumeration)
        FaceStaticAssert< sizeof(FACE::COMMAND_TYPE) == sizeof(COMMAND_TYPE_CONFORMANCE_TEST) >();
    }

    // FACE::COMMAND_TYPE test that all enumeration items exists 
    FACE::COMMAND_TYPE var;

    var = FACE::OPEN;
    var = FACE::REGISTER;
    var = FACE::READ;
    var = FACE::WRITE;
    var = FACE::CLOSE;
    var = FACE::GET_STATUS;
    var = FACE::UNREGISTER;

    (void)var;      // code used to avoid unused-but-set-variable warning

}
