
// Test16 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // Enumeration Conformance Test 
    {
        /* Enumeration the same size as the enumeration under test */
        enum A429_STATUS_TYPE_CONFORMANCE_TEST {
            A429_IO_HW_OPERATIONAL_CONFORMANCE_TEST,
            A429_IO_HW_FIFO_OVERFLOW_CONFORMANCE_TEST,
            A429_IO_SW_CIRCULAR_BUFF_OVERFLOW_CONFORMANCE_TEST,
            A429_IO_HW_ADDRESS_ERROR_CONFORMANCE_TEST,
            A429_IO_HW_SEQUENCE_ERROR_CONFORMANCE_TEST,
            A429_IO_HW_PARITY_ERROR_CONFORMANCE_TEST,
            A429_IO_CLOCK_LOSS_CONFORMANCE_TEST,
            A429_IO_UNKNOWN_ERROR_CONFORMANCE_TEST
        };



        // FACE::A429_STATUS_TYPE size test (Enumeration)
        FaceStaticAssert< sizeof(FACE::A429_STATUS_TYPE) == sizeof(A429_STATUS_TYPE_CONFORMANCE_TEST) >();
    }

    // FACE::A429_STATUS_TYPE test that all enumeration items exists 
    FACE::A429_STATUS_TYPE var;

    var = FACE::A429_IO_HW_OPERATIONAL;
    var = FACE::A429_IO_HW_FIFO_OVERFLOW;
    var = FACE::A429_IO_SW_CIRCULAR_BUFF_OVERFLOW;
    var = FACE::A429_IO_HW_ADDRESS_ERROR;
    var = FACE::A429_IO_HW_SEQUENCE_ERROR;
    var = FACE::A429_IO_HW_PARITY_ERROR;
    var = FACE::A429_IO_CLOCK_LOSS;
    var = FACE::A429_IO_UNKNOWN_ERROR;

    (void)var;      // code used to avoid unused-but-set-variable warning

}
