
// Test17 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // Enumeration Conformance Test 
    {
        /* Enumeration the same size as the enumeration under test */
        enum M1553_STATUS_TYPE_CONFORMANCE_TEST {
            M1553_BC_IO_NO_RESPONSE_CONFORMANCE_TEST,
            M1553_BC_IO_LOOP_TEST_FAIL_CONFORMANCE_TEST,
            M1553_BC_IO_MSG_RETRIED_CONFORMANCE_TEST,
            M1553_BC_IO_BAD_DATA_BLOCK_CONFORMANCE_TEST,
            M1553_BC_IO_ADDRESS_ERROR_CONFORMANCE_TEST,
            M1553_BC_IO_WORD_COUNT_ERROR_CONFORMANCE_TEST,
            M1553_BC_IO_SYNC_ERROR_CONFORMANCE_TEST,
            M1553_BC_IO_INVALID_WORD_CONFORMANCE_TEST,
            M1553_RT_IO_TERMINAL_FLAG_CONFORMANCE_TEST,
            M1553_RT_IO_SUBSYSTEM_FLAG_CONFORMANCE_TEST,
            M1553_RT_IO_SERVICE_REQUEST_CONFORMANCE_TEST,
            M1553_RT_IO_BUSY_CONFORMANCE_TEST,
            M1553_RT_IO_DYNAMIC_BC_CONFORMANCE_TEST,
            M1553_RT_IO_NO_RESPONSE_CONFORMANCE_TEST,
            M1553_RT_IO_LOOP_TEST_FAIL_CONFORMANCE_TEST,
            M1553_RT_IO_ILLEGAL_COMMAND_WORD_CONFORMANCE_TEST,
            M1553_RT_IO_WORD_COUNT_ERROR_CONFORMANCE_TEST,
            M1553_RT_IO_SYNC_ERROR_CONFORMANCE_TEST,
            M1553_RT_IO_INVALID_WORD_CONFORMANCE_TEST,
            M1553_RT_IO_RT_RT_GAP_SYNC_ADDR_ERROR_CONFORMANCE_TEST,
            M1553_RT_IO_RT_RT_2ND_CMD_ERROR_CONFORMANCE_TEST,
            M1553_RT_IO_COMMAND_WORD_ERROR_CONFORMANCE_TEST,
            M1553_BM_IO_NO_RESPONSE_CONFORMANCE_TEST,
            M1553_BM_IO_WORD_COUNT_ERROR_CONFORMANCE_TEST,
            M1553_BM_IO_SYNC_ERROR_CONFORMANCE_TEST,
            M1553_BM_IO_INVALID_WORD_CONFORMANCE_TEST,
            M1553_BM_IO_RT_RT_GAP_SYNC_ADDR_ERROR_CONFORMANCE_TEST,
            M1553_BM_IO_RT_RT_2ND_CMD_ERROR_CONFORMANCE_TEST,
            M1553_BM_IO_COMMAND_WORD_ERROR_CONFORMANCE_TEST,
            M1553_BM_IO_BAD_DATA_BLOCK_CONFORMANCE_TEST,
            M1553_BM_IO_MESSAGE_ERROR_CONFORMANCE_TEST,
            M1553_BM_IO_INSTRUMENTATION_CONFORMANCE_TEST,
            M1553_BM_IO_SERVICE_REQUEST_CONFORMANCE_TEST,
            M1553_BM_IO_RESERVED_BITS_CONFORMANCE_TEST,
            M1553_BM_IO_BROADCAST_RCVD_CONFORMANCE_TEST,
            M1553_BM_IO_BUSY_CONFORMANCE_TEST,
            M1553_BM_IO_SF_CONFORMANCE_TEST,
            M1553_BM_IO_DYNAMIC_BC_CONFORMANCE_TEST,
            M1553_BM_IO_TF_CONFORMANCE_TEST,
            M1553_DRIVER_READY_CONFORMANCE_TEST,
            M1553_DRIVER_ERROR_CONFORMANCE_TEST,
            M1553_UNKNOWN_ERROR_CONFORMANCE_TEST,
            M1553_RX_SUCCESS_CONFORMANCE_TEST,
            M1553_TX_SUCCESS_CONFORMANCE_TEST,
            M1553_RXMODE_SUCCESS_CONFORMANCE_TEST,
            M1553_TXMODE_SUCCESS_CONFORMANCE_TEST,
            M1553_RT_TO_RT_SUCCESS_CONFORMANCE_TEST,
            M1553_BC_IO_GO_CONFORMANCE_TEST,
            M1553_BC_IO_NOGO_A_CONFORMANCE_TEST,
            M1553_BC_IO_NOGO_B_CONFORMANCE_TEST,
            M1553_BC_IO_NOGO_T_CONFORMANCE_TEST
        };



        // FACE::M1553_STATUS_TYPE size test (Enumeration)
        FaceStaticAssert< sizeof(FACE::M1553_STATUS_TYPE) == sizeof(M1553_STATUS_TYPE_CONFORMANCE_TEST) >();
    }

    // FACE::M1553_STATUS_TYPE test that all enumeration items exists 
    FACE::M1553_STATUS_TYPE var;

    var = FACE::M1553_BC_IO_NO_RESPONSE;
    var = FACE::M1553_BC_IO_LOOP_TEST_FAIL;
    var = FACE::M1553_BC_IO_MSG_RETRIED;
    var = FACE::M1553_BC_IO_BAD_DATA_BLOCK;
    var = FACE::M1553_BC_IO_ADDRESS_ERROR;
    var = FACE::M1553_BC_IO_WORD_COUNT_ERROR;
    var = FACE::M1553_BC_IO_SYNC_ERROR;
    var = FACE::M1553_BC_IO_INVALID_WORD;
    var = FACE::M1553_RT_IO_TERMINAL_FLAG;
    var = FACE::M1553_RT_IO_SUBSYSTEM_FLAG;
    var = FACE::M1553_RT_IO_SERVICE_REQUEST;
    var = FACE::M1553_RT_IO_BUSY;
    var = FACE::M1553_RT_IO_DYNAMIC_BC;
    var = FACE::M1553_RT_IO_NO_RESPONSE;
    var = FACE::M1553_RT_IO_LOOP_TEST_FAIL;
    var = FACE::M1553_RT_IO_ILLEGAL_COMMAND_WORD;
    var = FACE::M1553_RT_IO_WORD_COUNT_ERROR;
    var = FACE::M1553_RT_IO_SYNC_ERROR;
    var = FACE::M1553_RT_IO_INVALID_WORD;
    var = FACE::M1553_RT_IO_RT_RT_GAP_SYNC_ADDR_ERROR;
    var = FACE::M1553_RT_IO_RT_RT_2ND_CMD_ERROR;
    var = FACE::M1553_RT_IO_COMMAND_WORD_ERROR;
    var = FACE::M1553_BM_IO_NO_RESPONSE;
    var = FACE::M1553_BM_IO_WORD_COUNT_ERROR;
    var = FACE::M1553_BM_IO_SYNC_ERROR;
    var = FACE::M1553_BM_IO_INVALID_WORD;
    var = FACE::M1553_BM_IO_RT_RT_GAP_SYNC_ADDR_ERROR;
    var = FACE::M1553_BM_IO_RT_RT_2ND_CMD_ERROR;
    var = FACE::M1553_BM_IO_COMMAND_WORD_ERROR;
    var = FACE::M1553_BM_IO_BAD_DATA_BLOCK;
    var = FACE::M1553_BM_IO_MESSAGE_ERROR;
    var = FACE::M1553_BM_IO_INSTRUMENTATION;
    var = FACE::M1553_BM_IO_SERVICE_REQUEST;
    var = FACE::M1553_BM_IO_RESERVED_BITS;
    var = FACE::M1553_BM_IO_BROADCAST_RCVD;
    var = FACE::M1553_BM_IO_BUSY;
    var = FACE::M1553_BM_IO_SF;
    var = FACE::M1553_BM_IO_DYNAMIC_BC;
    var = FACE::M1553_BM_IO_TF;
    var = FACE::M1553_DRIVER_READY;
    var = FACE::M1553_DRIVER_ERROR;
    var = FACE::M1553_UNKNOWN_ERROR;
    var = FACE::M1553_RX_SUCCESS;
    var = FACE::M1553_TX_SUCCESS;
    var = FACE::M1553_RXMODE_SUCCESS;
    var = FACE::M1553_TXMODE_SUCCESS;
    var = FACE::M1553_RT_TO_RT_SUCCESS;
    var = FACE::M1553_BC_IO_GO;
    var = FACE::M1553_BC_IO_NOGO_A;
    var = FACE::M1553_BC_IO_NOGO_B;
    var = FACE::M1553_BC_IO_NOGO_T;

    (void)var;      // code used to avoid unused-but-set-variable warning

}
