
// Test15 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // Enumeration Conformance Test 
    {
        /* Enumeration the same size as the enumeration under test */
        enum FAULT_CODE_TYPE_CONFORMANCE_TEST {
            DEADLINE_MISSED_CONFORMANCE_TEST,
            APPLICATION_ERROR_CONFORMANCE_TEST,
            NUMERIC_ERROR_CONFORMANCE_TEST,
            ILLEGAL_REQUEST_CONFORMANCE_TEST,
            STACK_OVERFLOW_CONFORMANCE_TEST,
            MEMORY_VIOLATION_CONFORMANCE_TEST,
            HARDWARE_FAULT_CONFORMANCE_TEST,
            POWER_FAIL_CONFORMANCE_TEST
        };



        // FACE::HMFM::FAULT_CODE_TYPE size test (Enumeration)
        FaceStaticAssert< sizeof(FACE::HMFM::FAULT_CODE_TYPE) == sizeof(FAULT_CODE_TYPE_CONFORMANCE_TEST) >();
    }

    // FACE::HMFM::FAULT_CODE_TYPE test that all enumeration items exists 
    FACE::HMFM::FAULT_CODE_TYPE var;

    var = FACE::HMFM::DEADLINE_MISSED;
    var = FACE::HMFM::APPLICATION_ERROR;
    var = FACE::HMFM::NUMERIC_ERROR;
    var = FACE::HMFM::ILLEGAL_REQUEST;
    var = FACE::HMFM::STACK_OVERFLOW;
    var = FACE::HMFM::MEMORY_VIOLATION;
    var = FACE::HMFM::HARDWARE_FAULT;
    var = FACE::HMFM::POWER_FAIL;

    (void)var;      // code used to avoid unused-but-set-variable warning

}
