
// Test16 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // struct conformance test

    /* Creating struct the same size as the struct under test */
    struct FAULT_STATUS_TYPE_CONFORMANCE_TEST {
        FACE::HMFM::FAULT_CODE_TYPE CODE;
        FACE::HMFM::FAULT_MESSAGE_TYPE MESSAGE;
        FACE::HMFM::FAULT_MESSAGE_SIZE_TYPE LENGTH;
        FACE::HMFM::THREAD_ID_TYPE FAILED_THREAD_ID;
        FACE::SYSTEM_ADDRESS_TYPE FAILED_ADDRESS;

    };


    // FACE::HMFM::FAULT_STATUS_TYPE size test (Struct)
    FaceStaticAssert< sizeof(FACE::HMFM::FAULT_STATUS_TYPE) == sizeof(FAULT_STATUS_TYPE_CONFORMANCE_TEST) >();


    FACE::HMFM::FAULT_STATUS_TYPE var;
    FAULT_STATUS_TYPE_CONFORMANCE_TEST testVar;


    // Testing FACE::HMFM::FAULT_STATUS_TYPE.CODE is conformant
    {
        FaceStaticAssert< sizeof(var.CODE) == sizeof(FACE::HMFM::FAULT_CODE_TYPE) >();
    }
    {
        var.CODE = testVar.CODE;
    }

    // Testing FACE::HMFM::FAULT_STATUS_TYPE.MESSAGE is conformant
    {
        FaceStaticAssert< sizeof(var.MESSAGE) == sizeof(FACE::HMFM::FAULT_MESSAGE_TYPE) >();
    }


    // Testing FACE::HMFM::FAULT_STATUS_TYPE.LENGTH is conformant
    {
        FaceStaticAssert< sizeof(var.LENGTH) == sizeof(FACE::HMFM::FAULT_MESSAGE_SIZE_TYPE) >();
    }
    {
        var.LENGTH = testVar.LENGTH;
    }

    // Testing FACE::HMFM::FAULT_STATUS_TYPE.FAILED_THREAD_ID is conformant
    {
        FaceStaticAssert< sizeof(var.FAILED_THREAD_ID) == sizeof(FACE::HMFM::THREAD_ID_TYPE) >();
    }
    {
        var.FAILED_THREAD_ID = testVar.FAILED_THREAD_ID;
    }

    // Testing FACE::HMFM::FAULT_STATUS_TYPE.FAILED_ADDRESS is conformant
    {
        FaceStaticAssert< sizeof(var.FAILED_ADDRESS) == sizeof(FACE::SYSTEM_ADDRESS_TYPE) >();
    }
    {
        var.FAILED_ADDRESS = testVar.FAILED_ADDRESS;
    }


}
