
// Test12 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // Enumeration Conformance Test 
    {
        /* Enumeration the same size as the enumeration under test */
        enum CONNECTION_DIRECTION_TYPE_CONFORMANCE_TEST {
            SOURCE_CONFORMANCE_TEST,
            DESTINATION_CONFORMANCE_TEST,
            BI_DIRECTIONAL_CONFORMANCE_TEST,
            ONE_WAY_REQUEST_SOURCE_CONFORMANCE_TEST,
            ONE_WAY_REQUEST_DESTINATION_CONFORMANCE_TEST,
            TWO_WAY_REQUEST_SYNCHRONOUS_SOURCE_CONFORMANCE_TEST,
            TWO_WAY_REQUEST_SYNCHRONOUS_DESTINATION_CONFORMANCE_TEST,
            TWO_WAY_REQUEST_REPLY_ASYNCHRONOUS_SOURCE_CONFORMANCE_TEST,
            TWO_WAY_REQUEST_REPLY_ASYNCHRONOUS_DESTINATION_CONFORMANCE_TEST,
            NOT_DEFINED_CONNECTION_DIRECTION_TYPE_CONFORMANCE_TEST
        };



        // FACE::CONNECTION_DIRECTION_TYPE size test (Enumeration)
        FaceStaticAssert< sizeof(FACE::CONNECTION_DIRECTION_TYPE) == sizeof(CONNECTION_DIRECTION_TYPE_CONFORMANCE_TEST) >();
    }

    // FACE::CONNECTION_DIRECTION_TYPE test that all enumeration items exists 
    FACE::CONNECTION_DIRECTION_TYPE var;

    var = FACE::SOURCE;
    var = FACE::DESTINATION;
    var = FACE::BI_DIRECTIONAL;
    var = FACE::ONE_WAY_REQUEST_SOURCE;
    var = FACE::ONE_WAY_REQUEST_DESTINATION;
    var = FACE::TWO_WAY_REQUEST_SYNCHRONOUS_SOURCE;
    var = FACE::TWO_WAY_REQUEST_SYNCHRONOUS_DESTINATION;
    var = FACE::TWO_WAY_REQUEST_REPLY_ASYNCHRONOUS_SOURCE;
    var = FACE::TWO_WAY_REQUEST_REPLY_ASYNCHRONOUS_DESTINATION;
    var = FACE::NOT_DEFINED_CONNECTION_DIRECTION_TYPE;

    (void)var;      // code used to avoid unused-but-set-variable warning

}
