// DISTRIBUTION STATEMENT A. Approved for public release; distribution is unlimited.
//
// Product produced under DoD SENSIAC contract HC104705D4000 under
// the sponsorship of the Defense Technical Information Center,
// ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA
// 22060-6218.  SENSIAC is a DoD Information Analysis Center Sponsored
// by the Defense Technical Information Center.
//
// HANDLING AND DESTRUCTION NOTICE - Comply with distribution statement
// and destroy by any method that will prevent disclosure of
// contents or reconstruction of the document.

/* CONFORMANCE_TEST_FACE_EXACT_TYPES.h contain the correct mapping (user specified) */
/* for your build environment.  See manual for more information */
#include "CONFORMANCE_TEST_FACE_EXACT_TYPES.h"

/* user_includes.h contain all header files specified in configuration file for segment */
#include "user_includes.hpp"


// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // typedef conformance test
    {
        // FACE::SYSTEM_TIME_TYPE size test (FACE::LongLong)
        FaceStaticAssert< sizeof(FACE::SYSTEM_TIME_TYPE) == sizeof(FACE::LongLong) >();
    }


	/* Checking sizes of all FACE defined types using the values in CONFORMANCE_TEST_FACE_EXACT_TYPES.h */
	/* FACE defined types are on the left, conformance test values are on the right */
	{
	        FaceStaticAssert< sizeof(FACE::Short) == sizeof(FACE_int16_t) >();
	}

	{
	        FaceStaticAssert< sizeof(FACE::Long) == sizeof(FACE_int32_t) >();
	}

	{
	        FaceStaticAssert< sizeof(FACE::LongLong) == sizeof(FACE_int64_t) >();
	}

	{
	        FaceStaticAssert< sizeof(FACE::UnsignedShort) == sizeof(FACE_uint16_t) >();
	}

	{
	        FaceStaticAssert< sizeof(FACE::UnsignedLong) == sizeof(FACE_uint32_t) >();
	}

	{
	        FaceStaticAssert< sizeof(FACE::UnsignedLongLong) == sizeof(FACE_uint64_t) >();
	}

	{
	        FaceStaticAssert< sizeof(FACE::Char) == sizeof(FACE_uint8_t) >();
	}

	{
	        FaceStaticAssert< sizeof(FACE::Octet) == sizeof(FACE_uint8_t) >();
	}

	/* These are defined exactly by the C++ standard */
	{
	        FaceStaticAssert< sizeof(FACE::Float) == sizeof(float) >();
	}

	{
	        FaceStaticAssert< sizeof(FACE::Double) == sizeof(double) >();
	}

	{
	        FaceStaticAssert< sizeof(FACE::LongDouble) == sizeof(long double) >();
	}

	{
	        FaceStaticAssert< sizeof(FACE::WChar) == sizeof(wchar_t) >();
	}
	
	{
	        FaceStaticAssert< sizeof(FACE::Boolean) == sizeof(bool) >();
	}

	return 0;
}


