
// Test25 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // struct conformance test

    /* Creating struct the same size as the struct under test */
    struct TRANSPORT_CONNECTION_STATUS_TYPE_CONFORMANCE_TEST {
        FACE::MESSAGE_RANGE_TYPE MESSAGE;
        FACE::MESSAGE_RANGE_TYPE MAX_MESSAGE;
        FACE::MESSAGE_SIZE_TYPE MAX_MESSAGE_SIZE;
        FACE::CONNECTION_DIRECTION_TYPE CONNECTION_DIRECTION;
        FACE::WAITING_RANGE_TYPE WAITING_PROCESSES_OR_MESSAGES;
        FACE::SYSTEM_TIME_TYPE REFRESH_PERIOD;
        FACE::VALIDITY_TYPE LAST_MSG_VALIDITY;

    };


    // FACE::TRANSPORT_CONNECTION_STATUS_TYPE size test (Struct)
    FaceStaticAssert< sizeof(FACE::TRANSPORT_CONNECTION_STATUS_TYPE) == sizeof(TRANSPORT_CONNECTION_STATUS_TYPE_CONFORMANCE_TEST) >();


    FACE::TRANSPORT_CONNECTION_STATUS_TYPE var;
    TRANSPORT_CONNECTION_STATUS_TYPE_CONFORMANCE_TEST testVar;


    // Testing FACE::TRANSPORT_CONNECTION_STATUS_TYPE.MESSAGE is conformant
    {
        FaceStaticAssert< sizeof(var.MESSAGE) == sizeof(FACE::MESSAGE_RANGE_TYPE) >();
    }
    {
        var.MESSAGE = testVar.MESSAGE;
    }

    // Testing FACE::TRANSPORT_CONNECTION_STATUS_TYPE.MAX_MESSAGE is conformant
    {
        FaceStaticAssert< sizeof(var.MAX_MESSAGE) == sizeof(FACE::MESSAGE_RANGE_TYPE) >();
    }
    {
        var.MAX_MESSAGE = testVar.MAX_MESSAGE;
    }

    // Testing FACE::TRANSPORT_CONNECTION_STATUS_TYPE.MAX_MESSAGE_SIZE is conformant
    {
        FaceStaticAssert< sizeof(var.MAX_MESSAGE_SIZE) == sizeof(FACE::MESSAGE_SIZE_TYPE) >();
    }
    {
        var.MAX_MESSAGE_SIZE = testVar.MAX_MESSAGE_SIZE;
    }

    // Testing FACE::TRANSPORT_CONNECTION_STATUS_TYPE.CONNECTION_DIRECTION is conformant
    {
        FaceStaticAssert< sizeof(var.CONNECTION_DIRECTION) == sizeof(FACE::CONNECTION_DIRECTION_TYPE) >();
    }
    {
        var.CONNECTION_DIRECTION = testVar.CONNECTION_DIRECTION;
    }

    // Testing FACE::TRANSPORT_CONNECTION_STATUS_TYPE.WAITING_PROCESSES_OR_MESSAGES is conformant
    {
        FaceStaticAssert< sizeof(var.WAITING_PROCESSES_OR_MESSAGES) == sizeof(FACE::WAITING_RANGE_TYPE) >();
    }
    {
        var.WAITING_PROCESSES_OR_MESSAGES = testVar.WAITING_PROCESSES_OR_MESSAGES;
    }

    // Testing FACE::TRANSPORT_CONNECTION_STATUS_TYPE.REFRESH_PERIOD is conformant
    {
        FaceStaticAssert< sizeof(var.REFRESH_PERIOD) == sizeof(FACE::SYSTEM_TIME_TYPE) >();
    }
    {
        var.REFRESH_PERIOD = testVar.REFRESH_PERIOD;
    }

    // Testing FACE::TRANSPORT_CONNECTION_STATUS_TYPE.LAST_MSG_VALIDITY is conformant
    {
        FaceStaticAssert< sizeof(var.LAST_MSG_VALIDITY) == sizeof(FACE::VALIDITY_TYPE) >();
    }
    {
        var.LAST_MSG_VALIDITY = testVar.LAST_MSG_VALIDITY;
    }


}
