
// Test5 


// user_includes.hpp is generated every test run and contains all header files
// specified in the configuration file for the segment under test
#include "user_includes.hpp"

// Used to catch assertions at compile time  
// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};


int main()
{

    // Enumeration Conformance Test 
    {
        /* Enumeration the same size as the enumeration under test */
        enum RETURN_CODE_TYPE_CONFORMANCE_TEST {
            NO_ERROR_CONFORMANCE_TEST,
            NO_ACTION_CONFORMANCE_TEST,
            NOT_AVAILABLE_CONFORMANCE_TEST,
            ADDR_IN_USE_CONFORMANCE_TEST,
            INVALID_PARAM_CONFORMANCE_TEST,
            INVALID_CONFIG_CONFORMANCE_TEST,
            PERMISSION_DENIED_CONFORMANCE_TEST,
            INVALID_MODE_CONFORMANCE_TEST,
            TIMED_OUT_CONFORMANCE_TEST,
            MESSAGE_STALE_CONFORMANCE_TEST,
            CONNECTION_IN_PROGRESS_CONFORMANCE_TEST,
            CONNECTION_CLOSED_CONFORMANCE_TEST,
            DATA_BUFFER_TOO_SMALL_CONFORMANCE_TEST
        };



        // FACE::RETURN_CODE_TYPE size test (Enumeration)
        FaceStaticAssert< sizeof(FACE::RETURN_CODE_TYPE) == sizeof(RETURN_CODE_TYPE_CONFORMANCE_TEST) >();
    }

    // FACE::RETURN_CODE_TYPE test that all enumeration items exists 
    FACE::RETURN_CODE_TYPE var;

    var = FACE::NO_ERROR;
    var = FACE::NO_ACTION;
    var = FACE::NOT_AVAILABLE;
    var = FACE::ADDR_IN_USE;
    var = FACE::INVALID_PARAM;
    var = FACE::INVALID_CONFIG;
    var = FACE::PERMISSION_DENIED;
    var = FACE::INVALID_MODE;
    var = FACE::TIMED_OUT;
    var = FACE::MESSAGE_STALE;
    var = FACE::CONNECTION_IN_PROGRESS;
    var = FACE::CONNECTION_CLOSED;
    var = FACE::DATA_BUFFER_TOO_SMALL;

    (void)var;      // code used to avoid unused-but-set-variable warning

}
