
#include "common_conformance_test.hpp"
#include "user_includes.hpp"

// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};

int main(int argc, char *argv[])
{	// This type is used to represent an infinitely long time value.
	// It is often used to specify that the caller is willing to wait
	// forever for an operation to complete and does not wish to timeout.
	// Testing FACE::INF_TIME_VALUE size is conformant (int64_t)
	{
		FaceStaticAssert< sizeof(FACE::INF_TIME_VALUE) == sizeof(CONFORMANCE_TEST::FACE::INF_TIME_VALUE) >();
	}
	
	// This type is used to represent an infinitely long time value.
	// It is often used to specify that the caller is willing to wait
	// forever for an operation to complete and does not wish to timeout.
	// Testing constant FACE::INF_TIME_VALUE value (-1) is conformant
	FaceStaticAssert< FACE::INF_TIME_VALUE == CONFORMANCE_TEST::FACE::INF_TIME_VALUE >();
	
	return 0;
}
