
#include "common_conformance_test.hpp"
#include "user_includes.hpp"

// Static assert magic - true exists but false does not (and should not!)
template<bool> struct FaceStaticAssert;
template<> struct FaceStaticAssert<true> {};

int main(int argc, char *argv[])
{	// This enumeration defines the possible set of status codes which may be
	// returned by a method defined in the FACE API.
	// Testing FACE::RETURN_CODE_TYPE size is conformant (enumeration)
	{
		FaceStaticAssert< sizeof(FACE::RETURN_CODE_TYPE) == sizeof(CONFORMANCE_TEST::FACE::RETURN_CODE_TYPE) >();
	}
	
	// FACE::RETURN_CODE_TYPE enumeration test 
	FACE::RETURN_CODE_TYPE var;
	
	// request valid and operation performed
	var = FACE::NO_ERROR;
	// status of system unaffected by request
	var = FACE::NO_ACTION;
	// no message was available
	var = FACE::NOT_AVAILABLE;
	// address currently in use
	var = FACE::ADDR_IN_USE;
	// invalid parameter specified in request
	var = FACE::INVALID_PARAM;
	// parameter incompatible with configuration
	var = FACE::INVALID_CONFIG;
	// no permission to send or connecting to wrong partition
	var = FACE::PERMISSION_DENIED;
	// request incompatible with current mode
	var = FACE::INVALID_MODE;
	// the time expired before the request could be filled
	var = FACE::TIMED_OUT;
	// current time - timestamp exceeds configured limits
	var = FACE::MESSAGE_STALE;
	// asynchronous connection in progress
	var = FACE::CONNECTION_IN_PROGRESS;
	// connection was closed
	var = FACE::CONNECTION_CLOSED;
	// Data Buffer was too small for message
	var = FACE::DATA_BUFFER_TOO_SMALL;
	return 0;
}
