
/* ForkConformanceTest */


/* user_includes.h is generated every test run and contains all header files */
/* specified in the configuration file for the segment under test            */
#include "user_includes.h"

/* Used to catch assertions at compile time */
#define FACE_STATIC_ASSERT(e) char face_static_assert[ e ? 1 : -1 ]

int main()
{
    /* Using all non type specific function calls to test for fork use */


    /* ----- Initialize Fork Test ----- */
    {

        /* Function Signature Conformance Test */
        void (*FACE_IO_Initialize_TEST_PTR) (
            /* in     */ FACE_CONFIGURATION_RESOURCE configuration,
            /*    out */ FACE_RETURN_CODE_TYPE *return_code
            ) = FACE_IO_Initialize;


    }


    /* ----- Open Fork Test ----- */
    {

        /* Function Signature Conformance Test */
        void (*FACE_IO_Open_TEST_PTR) (
            /* in     */ FACE_INTERFACE_NAME_TYPE name,
            /* in     */ FACE_TIMEOUT_TYPE timeout,
            /*    out */ FACE_INTERFACE_HANDLE_TYPE *handle,
            /*    out */ FACE_RETURN_CODE_TYPE *return_code
            ) = FACE_IO_Open;


    }


    /* ----- Register Fork Test ----- */
    {

        /* Function Signature Conformance Test */
        void (*FACE_IO_Register_TEST_PTR) (
            /* in     */ FACE_INTERFACE_HANDLE_TYPE handle,
            /* in     */ FACE_CALLBACK_ADDRESS_TYPE callback_address,
            /*    out */ FACE_RETURN_CODE_TYPE *return_code
            ) = FACE_IO_Register;


    }


    /* ----- Unregister Fork Test ----- */
    {

        /* Function Signature Conformance Test */
        void (*FACE_IO_Unregister_TEST_PTR) (
            /* in     */ FACE_INTERFACE_HANDLE_TYPE handle,
            /*    out */ FACE_RETURN_CODE_TYPE *return_code
            ) = FACE_IO_Unregister;


    }


    /* ----- Read Fork Test ----- */
    {

        /* Function Signature Conformance Test */
        void (*FACE_IO_Read_TEST_PTR) (
            /* in     */ FACE_INTERFACE_HANDLE_TYPE handle,
            /* in     */ FACE_TIMEOUT_TYPE timeout,
            /* in out */ FACE_MESSAGE_LENGTH_TYPE *message_length,
            /* in     */ FACE_MESSAGE_ADDR_TYPE data_buffer_address,
            /*    out */ FACE_RETURN_CODE_TYPE *return_code
            ) = FACE_IO_Read;


    }


    /* ----- Write Fork Test ----- */
    {

        /* Function Signature Conformance Test */
        void (*FACE_IO_Write_TEST_PTR) (
            /* in     */ FACE_INTERFACE_HANDLE_TYPE handle,
            /* in     */ FACE_TIMEOUT_TYPE timeout,
            /* in     */ FACE_MESSAGE_LENGTH_TYPE message_length,
            /* in     */ FACE_MESSAGE_ADDR_TYPE data_buffer_address,
            /*    out */ FACE_RETURN_CODE_TYPE *return_code
            ) = FACE_IO_Write;


    }


    /* ----- Get_Status Fork Test ----- */
    {

        /* Function Signature Conformance Test */
        void (*FACE_IO_Get_Status_TEST_PTR) (
            /* in     */ FACE_INTERFACE_HANDLE_TYPE handle,
            /*    out */ FACE_STATUS_TYPE *status,
            /*    out */ FACE_RETURN_CODE_TYPE *return_code
            ) = FACE_IO_Get_Status;


    }


    /* ----- Close Fork Test ----- */
    {

        /* Function Signature Conformance Test */
        void (*FACE_IO_Close_TEST_PTR) (
            /* in     */ FACE_INTERFACE_HANDLE_TYPE handle,
            /*    out */ FACE_RETURN_CODE_TYPE *return_code
            ) = FACE_IO_Close;


    }

}
