// DISTRIBUTION STATEMENT A. Approved for public release; distribution is unlimited.
//
// Product produced under DoD SENSIAC contract HC104705D4000 under
// the sponsorship of the Defense Technical Information Center,
// ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA
// 22060-6218.  SENSIAC is a DoD Information Analysis Center Sponsored
// by the Defense Technical Information Center.
//
// HANDLING AND DESTRUCTION NOTICE - Comply with distribution statement
// and destroy by any method that will prevent disclosure of
// contents or reconstruction of the document.

/* CONFORMANCE_TEST_FACE_EXACT_TYPES.h contain the correct mapping (user specified) */
/* for your build environment.  See manual for more information */
#include "CONFORMANCE_TEST_FACE_EXACT_TYPES.h"

/* user_includes.h contain all header files specified in configuration file for segment */
#include "user_includes.h"

/* Used to catch assertions at compile time */
#define FACE_STATIC_ASSERT(e) char face_static_assert[ e ? 1 : -1 ]

#include <stddef.h>  /* To get the wchar_t value */

int main()
{

	/* Checking sizes of all FACE defined types using the values in CONFORMANCE_TEST_FACE_EXACT_TYPES.h */
	/* FACE defined types are on the left, conformance test values are on the right */
	{
		FACE_STATIC_ASSERT(sizeof(FACE_short) == sizeof(FACE_int16_t));
		face_static_assert[0] += 1; /* code used to avoid unused variable warning */
	}

	{
		FACE_STATIC_ASSERT(sizeof(FACE_long) == sizeof(FACE_int32_t));
		face_static_assert[0] += 1; /* code used to avoid unused variable warning */
	}

	{
		FACE_STATIC_ASSERT(sizeof(FACE_long_long) == sizeof(FACE_int64_t));
		face_static_assert[0] += 1; /* code used to avoid unused variable warning */
	}

	{
		FACE_STATIC_ASSERT(sizeof(FACE_unsigned_short) == sizeof(FACE_uint16_t));
		face_static_assert[0] += 1; /* code used to avoid unused variable warning */
	}

	{
		FACE_STATIC_ASSERT(sizeof(FACE_unsigned_long) == sizeof(FACE_uint32_t));
		face_static_assert[0] += 1; /* code used to avoid unused variable warning */
	}

	{
		FACE_STATIC_ASSERT(sizeof(FACE_unsigned_long_long) == sizeof(FACE_uint64_t));
		face_static_assert[0] += 1; /* code used to avoid unused variable warning */
	}

	{
		FACE_STATIC_ASSERT(sizeof(FACE_char) == sizeof(FACE_uint8_t));
		face_static_assert[0] += 1; /* code used to avoid unused variable warning */
	}

	{
		FACE_STATIC_ASSERT(sizeof(FACE_octet) == sizeof(FACE_uint8_t));
		face_static_assert[0] += 1; /* code used to avoid unused variable warning */
	}

	/* These are defined exactly by the C standard */
	{
		FACE_STATIC_ASSERT(sizeof(FACE_float) == sizeof(float));
		face_static_assert[0] += 1; /* code used to avoid unused variable warning */
	}

	{
		FACE_STATIC_ASSERT(sizeof(FACE_double) == sizeof(double));
		face_static_assert[0] += 1; /* code used to avoid unused variable warning */
	}


	{
		FACE_STATIC_ASSERT(sizeof(FACE_long_double) == sizeof(long double));
		face_static_assert[0] += 1; /* code used to avoid unused variable warning */
	}


	{
		FACE_STATIC_ASSERT(sizeof(FACE_wchar) == sizeof(wchar_t));
		face_static_assert[0] += 1; /* code used to avoid unused variable warning */
	}
	
	{
		FACE_STATIC_ASSERT(sizeof(FACE_boolean) == sizeof(_Bool));
		face_static_assert[0] += 1; /* code used to avoid unused variable warning */
	}


	return 0;
}


