
/* ForkConformanceTest */


/* user_includes.h is generated every test run and contains all header files */
/* specified in the configuration file for the segment under test            */
#include "user_includes.h"

/* Used to catch assertions at compile time */
#define FACE_STATIC_ASSERT(e) char face_static_assert[ e ? 1 : -1 ]

int main()
{
    /* Using all non type specific function calls to test for fork use */


    /* ----- Initialize Fork Test ----- */
    {

        /* Function Signature Conformance Test */
        void (*FACE_TS_Initialize_TEST_PTR) (
            /* in     */ FACE_CONFIGURATION_RESOURCE configuration,
            /*    out */ FACE_RETURN_CODE_TYPE *return_code
            ) = FACE_TS_Initialize;


    }


    /* ----- Create_Connection Fork Test ----- */
    {

        /* Function Signature Conformance Test */
        void (*FACE_TS_Create_Connection_TEST_PTR) (
            /* in     */ FACE_CONNECTION_NAME_TYPE connection_name,
            /* in     */ FACE_MESSAGING_PATTERN_TYPE pattern,
            /*    out */ FACE_CONNECTION_ID_TYPE *connection_id,
            /*    out */ FACE_CONNECTION_DIRECTION_TYPE *connection_direction,
            /*    out */ FACE_MESSAGE_SIZE_TYPE *max_message_size,
            /* in     */ FACE_TIMEOUT_TYPE timeout,
            /*    out */ FACE_RETURN_CODE_TYPE *return_code
            ) = FACE_TS_Create_Connection;


    }


    /* ----- Destroy_Connection Fork Test ----- */
    {

        /* Function Signature Conformance Test */
        void (*FACE_TS_Destroy_Connection_TEST_PTR) (
            /* in     */ FACE_CONNECTION_ID_TYPE connection_id,
            /*    out */ FACE_RETURN_CODE_TYPE *return_code
            ) = FACE_TS_Destroy_Connection;


    }


    /* ----- Unregister_Callback Fork Test ----- */
    {

        /* Function Signature Conformance Test */
        void (*FACE_TS_Unregister_Callback_TEST_PTR) (
            /* in     */ FACE_CONNECTION_ID_TYPE connection_id,
            /*    out */ FACE_RETURN_CODE_TYPE *return_code
            ) = FACE_TS_Unregister_Callback;


    }


    /* ----- Get_Connection_Parameters Fork Test ----- */
    {

        /* Function Signature Conformance Test */
        void (*FACE_TS_Get_Connection_Parameters_TEST_PTR) (
            /* in out */ FACE_CONNECTION_NAME_TYPE *connection_name,
            /* in out */ FACE_CONNECTION_ID_TYPE *connection_id,
            /*    out */ FACE_TRANSPORT_CONNECTION_STATUS_TYPE *connection_status,
            /*    out */ FACE_RETURN_CODE_TYPE *return_code
            ) = FACE_TS_Get_Connection_Parameters;


    }

}
