"""
------------------------------------------------------------------------------------
   Copyright (c) Vanderbilt University, 2020                                       
                                                                                   
   ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                    
                                                                                   
   This software, authored by Vanderbilt University under a contract awarded to and
   managed by Alion Science and Technology, was funded by the U.S. Government under
   Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in   
   this software.  An unlimited rights license means that the U.S. Government can  
   use, modify, reproduce, release or disclose computer software in whole or in    
   part, in any manner, and for any purpose whatsoever, and to have or authorize   
   others to do so.                                                                
                                                                                   
   Vanderbilt University disclaims all warranties with regard to this software,    
   including all implied warranties of merchantability and fitness. In no event    
   shall Vanderbilt University be liable for any special, indirect or consequential
   damages or any damages whatsoever resulting from loss of use, data or profits,  
   whether in an action of contract, negligence or other tortious action, arising  
   out of or in connection with the use or performance of this software.           
                                                                                   
   May contain products produced under DoD SENSIAC contract HC104705D4000 under the
   sponsorship of the Defense Technical Information Center,                        
   ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218. 
   SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical 
   Information Center.                                                             
                                                                                   
   Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1   
                                                                                   
   Release Date: 29-Aug-2023                                                       
------------------------------------------------------------------------------------
"""
__author__ = 'dfann'

import ConformanceMain
import os.path
import logging

if __name__ == '__main__':
    ConformanceMain.initializeLogger()
import c_parser
import constants


logger = logging.getLogger(__name__)

def parse_header_file(header_filename):
    logger.debug('Parsing: {0}'.format(header_filename))
    c_parser_inst = c_parser.CParser()
    header_file = open(header_filename, 'r')
    header_file_lines = header_file.readlines()
    header_file_parsed = c_parser_inst.parse_string('\n'.join(header_file_lines))

    logger.debug(str(c_parser_inst.c_tree.print_tree()))



if __name__ == '__main__':
    logger.debug('In {0} main'.format(__file__))
    data_dir = os.path.join(ConformanceMain.getRootDir(), constants.DATAFILES_DIR)

    header_files = [
        os.path.join(data_dir, 'gl2.h')
    ]

    for h in header_files:
        parse_header_file(h)


