// Product produced under DoD SENSIAC contract HC104705D4000 under
// the sponsorship of the Defense Technical Information Center,
// ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA
// 22060-6218.  SENSIAC is a DoD Information Analysis Center Sponsored
// by the Defense Technical Information Center.
//
// HANDLING AND DESTRUCTION NOTICE - Comply with distribution statement
// and destroy by any method that will prevent disclosure of
// contents or reconstruction of the document.

#ifndef WSTRING_VAR_INCLUDE_
#define WSTRING_VAR_INCLUDE_
#include <string.h>
#include <face/types.hpp>

namespace FACE
{
class WString_var
{
        public:
            WString_var()
            {
                buffer = new FACE::WChar[1];
            }

            WString_var(const FACE::WChar * p)
            {
                FACE::UnsignedLong length = FACE::WString_var::wcslen(p);
                buffer = new FACE::WChar[length];
                FACE::WString_var::wcscpy(buffer, p);
            }

            WString_var(const WString_var& aWString_var)
            {
                FACE::UnsignedLong length = FACE::WString_var::wcslen(aWString_var.in());
                buffer = new FACE::WChar[length];
                FACE::WString_var::wcscpy(buffer, aWString_var.in());
            }

            ~WString_var()
            {
                if (buffer != NULL)
                {
                    delete[] buffer;
                }
            }

            WString_var& operator=(const FACE::WChar * p)
            {
                if (buffer != NULL)
                {
                    delete buffer;
                }
                FACE::UnsignedLong length = FACE::WString_var::wcslen(p);
                buffer = new FACE::WChar[length];
                FACE::WString_var::wcscpy(buffer, p);
                return (*this);
            }

            WString_var& operator=(const WString_var aWString_var)
            {
                if (buffer != NULL)
                {
                    delete buffer;
                }
                FACE::UnsignedLong length = FACE::WString_var::wcslen(aWString_var.in());
                buffer = new FACE::WChar[length];
                FACE::WString_var::wcscpy(buffer, aWString_var);
                return (*this);
            }

            operator const FACE::WChar *() const
            {
                return ((const FACE::WChar *) buffer);
            }

            operator FACE::WChar * &()
            {
                return (buffer);
            }

            FACE::WChar & operator[](FACE::UnsignedLong index)
            {
                return (buffer[index]);
            }

            FACE::WChar operator[](FACE::UnsignedLong index) const
            {
                return (buffer[index]);
            }

            const FACE::WChar * in() const
            {
                return ((const FACE::WChar *)buffer);
            }


            FACE::WChar * & inout()
            {
                return (buffer);
            }


            FACE::WChar * & out()
            {
                if (buffer != NULL)
                {
                    delete buffer;
                }
                buffer = 0;
                return (buffer);
            }


            FACE::WChar * _retn()
            {
                FACE::WChar * tempBuffer = buffer;
                buffer = 0;
                return (tempBuffer);
            }

        private:

            FACE::WChar * buffer;

            // FACE Security Profile conformant wcslen
            static FACE::UnsignedLong wcslen(const FACE::WChar * p)
            {
                char null_char = '\0';

                FACE::UnsignedLong len = 0;
                while (*p != (FACE::WChar)null_char)
                {
                    len++;
                    p++;
                }

                return len;
            }

            // FACE Security Profile conformant wcscpy
            // caller must allocate buffer appropriately
            static void wcscpy(FACE::WChar * buffer, const FACE::WChar * p)
            {
                char null_char = '\0';

                while (*p != (FACE::WChar)null_char)
                {
                    *buffer = *p;
                    buffer++;
                    p++;
                }

                // add null
                *buffer = (FACE::WChar)null_char;
            }
    };
}
#endif /*WSTRING_VAR_H_ */
