
------------------------------------------------------------------------------------
-- Copyright (c) Vanderbilt University, 2020                                       
--                                                                                 
-- ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                    
--                                                                                 
-- This software, authored by Vanderbilt University under a contract awarded to and
-- managed by Alion Science and Technology, was funded by the U.S. Government under
-- Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in   
-- this software.  An unlimited rights license means that the U.S. Government can  
-- use, modify, reproduce, release or disclose computer software in whole or in    
-- part, in any manner, and for any purpose whatsoever, and to have or authorize   
-- others to do so.                                                                
--                                                                                 
-- Vanderbilt University disclaims all warranties with regard to this software,    
-- including all implied warranties of merchantability and fitness. In no event    
-- shall Vanderbilt University be liable for any special, indirect or consequential
-- damages or any damages whatsoever resulting from loss of use, data or profits,  
-- whether in an action of contract, negligence or other tortious action, arising  
-- out of or in connection with the use or performance of this software.           
--                                                                                 
-- May contain products produced under DoD SENSIAC contract HC104705D4000 under the
-- sponsorship of the Defense Technical Information Center,                        
-- ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218. 
-- SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical 
-- Information Center.                                                             
--                                                                                 
-- Filename: goldStandardLibraries/Ada/spec/FACE/face-ts-typeabstraction_ts.ads    
--                                                                                 
-- Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1   
--                                                                                 
-- This file is generated and may be overwritten.                                  
--                                                                                 
-- Release Date: 29-Aug-2023                                                       
------------------------------------------------------------------------------------


package FACE.TS.TYPEABSTRACTION_TS is

    package Read_Callback is
    
        type send_event_Access is access procedure
        (
            transaction_id  : in     FACE.TS.TRANSACTION_ID_TYPE;
            message         : in out System.Address;
            message_type_id : in     FACE.TS.MESSAGE_TYPE_GUID;
            message_size    : in     FACE.TS.MESSAGE_SIZE_TYPE;
            waitset         : in     FACE.TS.WAITSET_TYPE;
            return_code     :    out FACE.RETURN_CODE_TYPE
        );
        
    
    end Read_Callback;
    
    procedure Initialize
    (
        configuration : in     FACE.CONFIGURATION_RESOURCE;
        return_code   :    out FACE.RETURN_CODE_TYPE
    );
    
    procedure Create_Connection
    (
        connection_name      : in     FACE.TS.CONNECTION_NAME_TYPE;
        pattern              : in     FACE.TS.MESSAGING_PATTERN_TYPE;
        connection_id        :    out FACE.TS.CONNECTION_ID_TYPE;
        connection_direction :    out FACE.TS.CONNECTION_DIRECTION_TYPE;
        max_message_size     :    out FACE.TS.MESSAGE_SIZE_TYPE;
        timeout              : in     FACE.TIMEOUT_TYPE;
        return_code          :    out FACE.RETURN_CODE_TYPE
    );
    
    procedure Destroy_Connection
    (
        connection_id : in     FACE.TS.CONNECTION_ID_TYPE;
        return_code   :    out FACE.RETURN_CODE_TYPE
    );
    
    procedure Receive_Message
    (
        connection_id   : in     FACE.TS.CONNECTION_ID_TYPE;
        timeout         : in     FACE.TIMEOUT_TYPE;
        transaction_id  : in out FACE.TS.TRANSACTION_ID_TYPE;
        message         : in out System.Address;
        message_type_id : in out FACE.TS.MESSAGE_TYPE_GUID;
        message_size    : in out FACE.TS.MESSAGE_SIZE_TYPE;
        return_code     :    out FACE.RETURN_CODE_TYPE
    );
    
    procedure Send_Message
    (
        connection_id   : in     FACE.TS.CONNECTION_ID_TYPE;
        timeout         : in     FACE.TIMEOUT_TYPE;
        transaction_id  : in out FACE.TS.TRANSACTION_ID_TYPE;
        message         : in out System.Address;
        message_type_id : in     FACE.TS.MESSAGE_TYPE_GUID;
        message_size    : in     FACE.TS.MESSAGE_SIZE_TYPE;
        return_code     :    out FACE.RETURN_CODE_TYPE
    );
    
    procedure Register_Callback
    (
        connection_id    : in     FACE.TS.CONNECTION_ID_TYPE;
        waitset          : in     FACE.TS.WAITSET_TYPE;
        data_callback    : in out Read_Callback.Send_Event_Access;
        max_message_size : in     FACE.TS.MESSAGE_SIZE_TYPE;
        return_code      :    out FACE.RETURN_CODE_TYPE
    );
    
    procedure Unregister_Callback
    (
        connection_id : in     FACE.TS.CONNECTION_ID_TYPE;
        return_code   :    out FACE.RETURN_CODE_TYPE
    );
    
    procedure Get_Connection_Parameters
    (
        connection_name   : in out FACE.TS.CONNECTION_NAME_TYPE;
        connection_id     : in out FACE.TS.CONNECTION_ID_TYPE;
        connection_status :    out FACE.TS.TRANSPORT_CONNECTION_STATUS_TYPE;
        return_code       :    out FACE.RETURN_CODE_TYPE
    );
    

end FACE.TS.TYPEABSTRACTION_TS;

