------------------------------------------------------------------------------------
-- Copyright (c) Vanderbilt University, 2020                                       
--                                                                                 
-- ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                    
--                                                                                 
-- This software, authored by Vanderbilt University under a contract awarded to and
-- managed by Alion Science and Technology, was funded by the U.S. Government under
-- Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in   
-- this software.  An unlimited rights license means that the U.S. Government can  
-- use, modify, reproduce, release or disclose computer software in whole or in    
-- part, in any manner, and for any purpose whatsoever, and to have or authorize   
-- others to do so.                                                                
--                                                                                 
-- Vanderbilt University disclaims all warranties with regard to this software,    
-- including all implied warranties of merchantability and fitness. In no event    
-- shall Vanderbilt University be liable for any special, indirect or consequential
-- damages or any damages whatsoever resulting from loss of use, data or profits,  
-- whether in an action of contract, negligence or other tortious action, arising  
-- out of or in connection with the use or performance of this software.           
--                                                                                 
-- May contain products produced under DoD SENSIAC contract HC104705D4000 under the
-- sponsorship of the Defense Technical Information Center,                        
-- ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218. 
-- SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical 
-- Information Center.                                                             
--                                                                                 
-- Filename: goldStandardLibraries/Ada/src/IOS/face-io.adb                         
--                                                                                 
-- Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1   
--                                                                                 
-- This file is generated and may be overwritten.                                  
--                                                                                 
-- Release Date: 29-Aug-2023                                                       
------------------------------------------------------------------------------------


package body FACE.IO is

    
    --------------------------------------
    -- Initialize
    --------------------------------------
    procedure Initialize
    (
        configuration : in     FACE.CONFIGURATION_RESOURCE;
        return_code   :    out FACE.RETURN_CODE_TYPE
    )
    is
    begin
        -- Function Stub...used only for FACE conformance testing
        null;
    end Initialize;
    
    
    --------------------------------------
    -- Open
    --------------------------------------
    procedure Open
    (
        name        : in     FACE.IO.INTERFACE_NAME_TYPE;
        timeout     : in     FACE.TIMEOUT_TYPE;
        handle      :    out FACE.IO.INTERFACE_HANDLE_TYPE;
        return_code :    out FACE.RETURN_CODE_TYPE
    )
    is
    begin
        -- Function Stub...used only for FACE conformance testing
        null;
    end Open;
    
    
    --------------------------------------
    -- Register
    --------------------------------------
    procedure Register
    (
        handle           : in     FACE.IO.INTERFACE_HANDLE_TYPE;
        callback_address : in     FACE.IO.CALLBACK_ADDRESS_TYPE;
        return_code      :    out FACE.RETURN_CODE_TYPE
    )
    is
    begin
        -- Function Stub...used only for FACE conformance testing
        null;
    end Register;
    
    
    --------------------------------------
    -- Unregister
    --------------------------------------
    procedure Unregister
    (
        handle      : in     FACE.IO.INTERFACE_HANDLE_TYPE;
        return_code :    out FACE.RETURN_CODE_TYPE
    )
    is
    begin
        -- Function Stub...used only for FACE conformance testing
        null;
    end Unregister;
    
    
    --------------------------------------
    -- Read
    --------------------------------------
    procedure Read
    (
        handle              : in     FACE.IO.INTERFACE_HANDLE_TYPE;
        timeout             : in     FACE.TIMEOUT_TYPE;
        message_length      : in out FACE.IO.MESSAGE_LENGTH_TYPE;
        data_buffer_address : in     FACE.IO.MESSAGE_ADDR_TYPE;
        return_code         :    out FACE.RETURN_CODE_TYPE
    )
    is
    begin
        -- Function Stub...used only for FACE conformance testing
        null;
    end Read;
    
    
    --------------------------------------
    -- Write
    --------------------------------------
    procedure Write
    (
        handle              : in     FACE.IO.INTERFACE_HANDLE_TYPE;
        timeout             : in     FACE.TIMEOUT_TYPE;
        message_length      : in     FACE.IO.MESSAGE_LENGTH_TYPE;
        data_buffer_address : in     FACE.IO.MESSAGE_ADDR_TYPE;
        return_code         :    out FACE.RETURN_CODE_TYPE
    )
    is
    begin
        -- Function Stub...used only for FACE conformance testing
        null;
    end Write;
    
    
    --------------------------------------
    -- Get_Status
    --------------------------------------
    procedure Get_Status
    (
        handle      : in     FACE.IO.INTERFACE_HANDLE_TYPE;
        status      :    out FACE.IO.STATUS_TYPE;
        return_code :    out FACE.RETURN_CODE_TYPE
    )
    is
    begin
        -- Function Stub...used only for FACE conformance testing
        null;
    end Get_Status;
    
    
    --------------------------------------
    -- Close
    --------------------------------------
    procedure Close
    (
        handle      : in     FACE.IO.INTERFACE_HANDLE_TYPE;
        return_code :    out FACE.RETURN_CODE_TYPE
    )
    is
    begin
        -- Function Stub...used only for FACE conformance testing
        null;
    end Close;
    


end FACE.IO;

