-- -------------------------------------------------------------------
-- --
-- Multiple Module Schedules constant and type definitions --
-- and management services --
-- --
-- -------------------------------------------------------------------
package APEX.Multiple_Module_Schedules is
   type Schedule_Id_Type is private;
   Null_Schedule_Id : constant Schedule_Id_Type;
   subtype Schedule_Name_Type is Name_Type;
   type Schedule_Status_Type is record
      Time_Of_Last_Schedule_Switch : System_Time_Type;
      Current_Schedule : Schedule_Id_Type;
      Next_Schedule : Schedule_Id_Type;
   end record;
   procedure Set_Module_Schedule (
                                  Schedule_Id : in Schedule_Id_Type;
                                  Return_Code : out Return_Code_Type);
   procedure Get_Module_Schedule_Status (
                                         Schedule_Status : out Schedule_Status_Type;
                                         Return_Code : out Return_Code_Type);
   procedure Get_Module_Schedule_Id (
                                     Schedule_Name : in Schedule_Name_Type;
                                     Schedule_Id : out Schedule_Id_Type;
                                     Return_Code : out Return_Code_Type);
private
   type Schedule_Id_Type is new APEX_Integer;
   Null_Schedule_Id : constant Schedule_Id_Type := 0;
   pragma Convention (C, Schedule_Status_Type);

--     pragma Import (C, Set_Module_Schedule, "SET_MODULE_SCHEDULE");
--     pragma Import (C, Get_Module_Schedule_Status,
--                    "GET_MODULE_SCHEDULE_STATUS");
--     pragma Import (C, Get_Module_Schedule_Id, "GET_MODULE_SCHEDULE_ID");
end APEX.Multiple_Module_Schedules;
-- GNAT DOESN'T LIKE TWO PACKAGES IN ONE SPEC, MAY WANT TO REVISIT AND MAKE SEPARATE ADS FILE FOR THE FOLLOWING
-- Package rename for compatibility with Ada 83 binding --
--  with APEX.Multiple_Module_Schedules;
--  package APEX_MULTIPLE_MODULE_SCHEDULES renames
--  APEX.Multiple_Module_Schedules;
