-- -----------------------------------------------------------------------
-- --
-- Name Service constant and type definitions and management services --
-- --
-- -----------------------------------------------------------------------
with System;
with APEX;
with APEX.SAP_Ports;

package APEX.Name_Service is
   type Name_Service_Id_Type is new APEX_Integer;
   type Name_Service_Name_Type is new Name_Type;
   subtype Name_Service_Addr_Type is System.Address;
   type Name_Service_Length_Type is new APEX_Integer;
   type Name_Service_Queuing_Discipline_Type is (Fifo, Priority);
   pragma Convention (C, Name_Service_Queuing_Discipline_Type);
   procedure Create_Name_Service
     (Name_Service_Name : in Name_Service_Name_Type;
      Queuing_Discipline : in Name_Service_Queuing_Discipline_Type;
      Service_Id : out Name_Service_Id_Type;
      Return_Code : out Return_Code_Type);
   procedure Get_Name
     (Service_Id : in Name_Service_Id_Type;
      SAP_Address : in APEX.SAP_Ports.SAP_Address_Type;
      Time_Out : in System_Time_Type;
      Name_Addr : in Name_Service_Addr_Type;
      -- Name_Addr address is passed IN, although the data
      -- referred to by Name_Addr is passed OUT
      Max_Name_Length : in Name_Service_Length_Type;
      Name_Length : out Name_Service_Length_Type;
      Return_Code : out Return_Code_Type);
   procedure Get_Address
     (Service_Id : in Name_Service_Id_Type;
      Name : in Name_Service_Addr_Type;
      Name_Length : in Name_Service_Length_Type;
      Time_Out : in System_Time_Type;
      SAP_Address : out APEX.SAP_Ports.SAP_Address_Type;
      Return_Code : out Return_Code_Type);
--private
--   pragma Import (C, Create_Name_Service, "CREATE_NAME_SERVICE");
--   pragma Import (C, Get_Name, "GET_NAME");
--   pragma Import (C, Get_Address, "GET_ADDRESS");

end APEX.Name_Service;
-- GNAT DOESN'T LIKE TWO PACKAGES IN ONE SPEC, MAY WANT TO REVISIT AND MAKE SEPARATE ADS FILE FOR THE FOLLOWING
-- -- Package rename for compatibility with Ada 83 binding --
-- with APEX.Name_Service;
-- package APEX_NAME_SERVICE renames APEX.Name_Service;
