-- ------------------------------------------------------------------------
-- --
-- Sampling Port Extensions constant and type definitions and management --
-- services --
-- --
-- ------------------------------------------------------------------------
package APEX.Sampling_Ports.Extensions is
   type Updated_Type is (Empty_Port, Consumed_Message, New_Message);
   type Age_Type is (Stale, Fresh);
   type Sampling_Port_Current_Status_Type is record
      Refresh_Period : System_Time_Type;
      Time_Stamp : System_Time_Type;
      Max_Message_Size : Message_Size_Type;
      Port_Direction : Port_Direction_Type;
      Message_Age : Age_Type;
      Updated : Updated_Type;
   end record;
   for Sampling_Port_Current_Status_Type'Alignment use 8;
   procedure Read_Updated_Sampling_Message (
                                            Sampling_Port_Id : in Sampling_Port_Id_Type;
                                            Message_Addr : in Message_Addr_Type;
                                            Length : out Message_Size_Type;
                                            Updated : out Updated_Type;
                                            Return_Code : out Return_Code_Type);
   procedure Get_Sampling_Port_Current_Status (
                                               Sampling_Port_Id : in Sampling_Port_Id_Type;
                                               Sampling_Port_Current_Status : out Sampling_Port_Current_Status_Type;
                                               Return_Code : out Return_Code_Type);
   procedure Read_Sampling_Message_Conditional (
                                                Sampling_Port_Id : in Sampling_Port_Id_Type;
                                                Ref_Time_Stamp : in System_Time_Type;
                                                Message_Addr : in Message_Addr_Type;
                                                Length : out Message_Size_Type;
                                                Time_Stamp : out System_Time_Type;
                                                Return_Code : out Return_Code_Type);
private
     pragma Convention (C, Updated_Type);
     pragma Convention (C, Age_Type);
     pragma Convention (C, Sampling_Port_Current_Status_Type);
-- FOR NOW WE ARE GENERATING ADA BODIES FOR THESE...MAY WANT TO REVISIT AND USE C objects instead
--     pragma Import (C,
--                    Read_Updated_Sampling_Message,
--                    "READ_UPDATED_SAMPLING_MESSAGE");
--     pragma Import (C,
--                    Get_Sampling_Port_Current_Status,
--                    "GET_SAMPLING_PORT_CURRENT_STATUS");
--     pragma Import (C,
--                    Read_Sampling_Message_Conditional,
--                    "READ_SAMPLING_MESSAGE_CONDITIONAL");

end APEX.Sampling_Ports.Extensions;

-- GNAT DOESN'T LIKE TWO PACKAGES IN ONE SPEC, MAY WANT TO REVISIT AND MAKE SEPARATE ADS FILE FOR THE FOLLOWING
-- Package rename for compatibility with Ada 83 binding --
--  with APEX.Sampling_Ports.Extensions;
--  package APEX_SAMPLING_PORTS_EXTENSIONS renames
--  APEX.Sampling_Ports.Extensions;
