

-- -----------------------------------------------------------------------
-- --
-- Memory Block constant and type definitions and management services --
-- --
-- -----------------------------------------------------------------------
with System;
with Interfaces;
package APEX.Memory_Block is
   type Memory_Block_Name_Type is new Name_Type;
   type Memory_Block_Mode_Type is (Read, Read_Write);
   type Memory_Block_Size_Type is new APEX_Integer;
   subtype Memory_Block_Addr_Type is System.Address;
   type Memory_Block_Status_Type is record
      Memory_Block_Addr : Memory_Block_Addr_Type;
      Memory_Block_Mode : Memory_Block_Mode_Type;
      Memory_Block_Size : Memory_Block_Size_Type; -- Number of bytes
   end record;
   procedure Get_Memory_Block_Status
     (Memory_Block_Name : in Memory_Block_Name_Type;
      Memory_Block_Status : out Memory_Block_Status_Type;
      Return_Code : out Return_Code_Type);
end APEX.Memory_Block;
-- GNAT DOESN'T LIKE TWO PACKAGES IN ONE SPEC, MAY WANT TO REVISIT AND MAKE SEPARATE ADS FILE FOR THE FOLLOWING
-- Package rename for compatibility with Ada 83 binding --
--with APEX.Memory_Block;
--package APEX_MEMORY_BLOCK renames APEX.Memory_Block;
