//****************************************************************************
//
// DISTRIBUTION A. Approved for public release: distribution unlimited.
//
//****************************************************************************

// Product produced under DoD SENSIAC contract HC104705D4000 under
// the sponsorship of the Defense Technical Information Center,
// ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA
// 22060-6218.  SENSIAC is a DoD Information Analysis Center Sponsored
// by the Defense Technical Information Center.
//
// HANDLING AND DESTRUCTION NOTICE - Comply with distribution statement
// and destroy by any method that will prevent disclosure of
// contents or reconstruction of the document.

#ifndef STRING_VAR_INCLUDE_
#define STRING_VAR_INCLUDE_
#include <string.h>
#include <FACE/types.hpp>

// 8/11/2015 Modified by Chris Kellow to use a fixed length
// character array for string storage
#define FACE_STRING_VAR_MAXIMUM_LENGTH 32

namespace FACE
{
class String_var
{
  public:
    String_var()
    {
      memset(buffer, 0, FACE_STRING_VAR_MAXIMUM_LENGTH);
    }

    String_var(const char * p)
    {
      strncpy(buffer, p, FACE_STRING_VAR_MAXIMUM_LENGTH);
      buffer[FACE_STRING_VAR_MAXIMUM_LENGTH-1] = '\0';
    }

    String_var(const String_var& aString_var)
    {
      strncpy(buffer, aString_var.in(), FACE_STRING_VAR_MAXIMUM_LENGTH);
    }

    ~String_var()
    {

    }

    String_var& operator=(const char * p)
    {
      strncpy(buffer, p, FACE_STRING_VAR_MAXIMUM_LENGTH);
      buffer[FACE_STRING_VAR_MAXIMUM_LENGTH-1] = '0';
      return (*this);
    }

    String_var& operator=(const String_var aString_var)
    {
      strncpy(buffer, aString_var, FACE_STRING_VAR_MAXIMUM_LENGTH);
      buffer[FACE_STRING_VAR_MAXIMUM_LENGTH-1] = '\0';
      return (*this);
    }

    operator const char *() const
    {
      return ((const char *) buffer);
    }

    /*operator char * &()
    {
      return (buffer);
    }*/

    char & operator[](FACE::UnsignedLong index)
    {
      // check for invalid index
      if (index < 0 || index >= FACE_STRING_VAR_MAXIMUM_LENGTH)
      {
	      index = 0;
      }
      return (buffer[index]);
    }

    char operator[](FACE::UnsignedLong index) const
    {
      // check for invalid index
      if (index < 0 || index >= FACE_STRING_VAR_MAXIMUM_LENGTH)
      {
	      index = 0;
      }
      return (buffer[index]);
    }

    const char * in() const
    {
      return ((const char *)buffer);
    }

    /*char * & inout()
    {
	return (buffer);
    }*/

    /*char * & out()
    {
	if (buffer != NULL)
	{
	    delete buffer;
	}
	buffer = 0;
	return (buffer);
    }*/

    char * _retn()
    {
      char * tempBuffer = buffer;
      //buffer = 0;
      return (tempBuffer);
    }

  private:
    char buffer[FACE_STRING_VAR_MAXIMUM_LENGTH];
};
}
#endif /*STRING_VAR_H_ */
