#ifndef GOLDSTANDARDLIBRARIES_CPP_INCLUDE_FACE_TS_COMMON_HPP
#define GOLDSTANDARDLIBRARIES_CPP_INCLUDE_FACE_TS_COMMON_HPP

/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Filename: goldStandardLibraries/C++/include/FACE/TS_common.hpp                   *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#include <FACE/common.hpp>


namespace FACE
{
    typedef FACE::Char CONNECTION_NAME_TYPE[64];
    typedef FACE::Long MESSAGE_SIZE_TYPE;

    typedef FACE::LongLong MESSAGE_TYPE_GUID;

    enum CONNECTION_DIRECTION_TYPE {
        SOURCE,
        DESTINATION,
        BI_DIRECTIONAL,
        ONE_WAY_REQUEST_SOURCE,
        ONE_WAY_REQUEST_DESTINATION,
        TWO_WAY_REQUEST_SYNCHRONOUS_SOURCE,
        TWO_WAY_REQUEST_SYNCHRONOUS_DESTINATION,
        TWO_WAY_REQUEST_REPLY_ASYNCHRONOUS_SOURCE,
        TWO_WAY_REQUEST_REPLY_ASYNCHRONOUS_DESTINATION,
        NOT_DEFINED_CONNECTION_DIRECTION_TYPE
    };

    typedef FACE::LongLong CONNECTION_ID_TYPE;

    typedef FACE::LongLong TRANSACTION_ID_TYPE;

    enum CONNECTION_TYPE {
        SAMPLING_PORT,
        QUEUING_PORT,
        SOCKET,
        MQ,
        SHM,
        CORBA,
        DDS
    };

    typedef FACE::Boolean WAITSET_TYPE[32];
    enum QUEUING_DISCIPLINE_TYPE {
        FIFO,
        PRIORITY,
        NOT_DEFINED_QUEUING_DISCIPLINE_TYPE
    };

    enum CONNECTION_DOMAIN_TYPE {
        UNIX,
        INET,
        NOT_DEFINED_CONNECTION_DOMAIN_TYPE
    };

    enum SOCKET_TYPE {
        STREAM,
        DGRAM,
        SEQPACKET,
        NOT_DEFINED_SOCKET_TYPE
    };

    enum RECEIVE_FLAG_TYPE {
        PEEK,
        OOB_RECEIVE_FLAG_TYPE,
        WAITALL,
        NOT_DEFINED_RECEIVE_FLAG_TYPE
    };

    enum SEND_FLAG_TYPE {
        EOR,
        OOB_SEND_FLAG_TYPE,
        NOSIGNAL,
        NOT_DEFINED_SEND_FLAG_TYPE
    };

    enum VALIDITY_TYPE {
        INVALID,
        VALID
    };

    enum MESSAGING_PATTERN_TYPE {
        PUB_SUB,
        CLIENT,
        SERVER
    };

    typedef FACE::Long WAITING_RANGE_TYPE;

    struct TRANSPORT_CONNECTION_STATUS_TYPE {
        FACE::MESSAGE_RANGE_TYPE MESSAGE;
        FACE::MESSAGE_RANGE_TYPE MAX_MESSAGE;
        FACE::MESSAGE_SIZE_TYPE MAX_MESSAGE_SIZE;
        FACE::CONNECTION_DIRECTION_TYPE CONNECTION_DIRECTION;
        FACE::WAITING_RANGE_TYPE WAITING_PROCESSES_OR_MESSAGES;
        FACE::SYSTEM_TIME_TYPE REFRESH_PERIOD;
        FACE::VALIDITY_TYPE LAST_MSG_VALIDITY;

    };



} // namespace FACE



#endif /* #ifndef GOLDSTANDARDLIBRARIES_CPP_INCLUDE_FACE_TS_COMMON_HPP */
