#ifndef GOLDSTANDARDLIBRARIES_CPP_INCLUDE_FACE_COMMON_HPP
#define GOLDSTANDARDLIBRARIES_CPP_INCLUDE_FACE_COMMON_HPP

/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Filename: goldStandardLibraries/C++/include/FACE/common.hpp                      *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/
#include "FACE/types.hpp"



namespace FACE
{
    typedef FACE::LongLong SYSTEM_TIME_TYPE;

    const FACE::SYSTEM_TIME_TYPE INF_TIME_VALUE = -1;

    typedef FACE::Char CONFIGURATION_RESOURCE[256];
    enum RETURN_CODE_TYPE {
        NO_ERROR,
        NO_ACTION,
        NOT_AVAILABLE,
        ADDR_IN_USE,
        INVALID_PARAM,
        INVALID_CONFIG,
        PERMISSION_DENIED,
        INVALID_MODE,
        TIMED_OUT,
        MESSAGE_STALE,
        CONNECTION_IN_PROGRESS,
        CONNECTION_CLOSED,
        DATA_BUFFER_TOO_SMALL
    };

    typedef void *SYSTEM_ADDRESS_TYPE;

    typedef FACE::SYSTEM_TIME_TYPE TIMEOUT_TYPE;

    typedef FACE::Long MESSAGE_RANGE_TYPE;



} // namespace FACE



#endif /* #ifndef GOLDSTANDARDLIBRARIES_CPP_INCLUDE_FACE_COMMON_HPP */
