/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Filename: APEX_FILE_SYSTEM.c                                                     *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/


#include "APEX_FILE_SYSTEM.h"



extern void OPEN_NEW_FILE (
        /* in */ FILE_NAME_TYPE FILE_NAME,
        /* out */ FILE_ID_TYPE * FILE_ID,
        /* out */ RETURN_CODE_TYPE * RETURN_CODE,
        /* inout */ FILE_ERRNO_TYPE * ERRNO
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }


extern void OPEN_FILE (
        /* in */ FILE_NAME_TYPE FILE_NAME,
        /* in */ FILE_MODE_TYPE FILE_MODE,
        /* out */ FILE_ID_TYPE * FILE_ID,
        /* out */ RETURN_CODE_TYPE * RETURN_CODE,
        /* inout */ FILE_ERRNO_TYPE * ERRNO
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }


extern void CLOSE_FILE (
        /* in */ FILE_ID_TYPE FILE_ID,
        /* out */ RETURN_CODE_TYPE * RETURN_CODE,
        /* inout */ FILE_ERRNO_TYPE * ERRNO
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }


extern void READ_FILE (
        /* in */ FILE_ID_TYPE FILE_ID,
        /* in */ MESSAGE_ADDR_TYPE MESSAGE_ADDR,
        /* in */ MESSAGE_SIZE_TYPE IN_LENGTH,
        /* out */ MESSAGE_SIZE_TYPE * OUT_LENGTH,
        /* out */ RETURN_CODE_TYPE * RETURN_CODE,
        /* inout */ FILE_ERRNO_TYPE * ERRNO
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }


extern void WRITE_FILE (
        /* in */ FILE_ID_TYPE FILE_ID,
        /* in */ MESSAGE_ADDR_TYPE MESSAGE_ADDR,
        /* in */ MESSAGE_SIZE_TYPE LENGTH,
        /* out */ RETURN_CODE_TYPE * RETURN_CODE,
        /* inout */ FILE_ERRNO_TYPE * ERRNO
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }


extern void SEEK_FILE (
        /* in */ FILE_ID_TYPE FILE_ID,
        /* in */ FILE_SIZE_TYPE OFFSET,
        /* in */ FILE_SEEK_TYPE WHENCE,
        /* out */ FILE_SIZE_TYPE * POSITION,
        /* out */ RETURN_CODE_TYPE * RETURN_CODE,
        /* inout */ FILE_ERRNO_TYPE * ERRNO
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }


extern void RESIZE_FILE (
        /* in */ FILE_ID_TYPE FILE_ID,
        /* in */ FILE_SIZE_TYPE NEW_SIZE,
        /* out */ RETURN_CODE_TYPE * RETURN_CODE,
        /* inout */ FILE_ERRNO_TYPE * ERRNO
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }


extern void SYNC_FILE (
        /* in */ FILE_ID_TYPE FILE_ID,
        /* out */ RETURN_CODE_TYPE * RETURN_CODE,
        /* inout */ FILE_ERRNO_TYPE * ERRNO
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }


extern void REMOVE_FILE (
        /* in */ FILE_NAME_TYPE FILE_NAME,
        /* out */ RETURN_CODE_TYPE * RETURN_CODE,
        /* inout */ FILE_ERRNO_TYPE * ERRNO
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }


extern void RENAME_FILE (
        /* in */ FILE_NAME_TYPE OLD_FILE_NAME,
        /* in */ FILE_NAME_TYPE NEW_FILE_NAME,
        /* out */ RETURN_CODE_TYPE * RETURN_CODE,
        /* inout */ FILE_ERRNO_TYPE * ERRNO
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }


extern void GET_FILE_STATUS (
        /* in */ FILE_ID_TYPE FILE_ID,
        /* out */ FILE_STATUS_TYPE * FILE_STATUS,
        /* out */ RETURN_CODE_TYPE * RETURN_CODE,
        /* inout */ FILE_ERRNO_TYPE * ERRNO
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }


extern void GET_VOLUME_STATUS (
        /* in */ FILE_NAME_TYPE FILE_NAME,
        /* out */ VOLUME_STATUS_TYPE * VOLUME_STATUS,
        /* out */ RETURN_CODE_TYPE * RETURN_CODE,
        /* inout */ FILE_ERRNO_TYPE * ERRNO
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }


extern void OPEN_DIRECTORY (
        /* in */ FILE_NAME_TYPE DIRECTORY_NAME,
        /* out */ DIRECTORY_ID_TYPE * DIRECTORY_ID,
        /* out */ RETURN_CODE_TYPE * RETURN_CODE,
        /* inout */ FILE_ERRNO_TYPE * ERRNO
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }


extern void CLOSE_DIRECTORY (
        /* in */ DIRECTORY_ID_TYPE DIRECTORY_ID,
        /* out */ RETURN_CODE_TYPE * RETURN_CODE,
        /* inout */ FILE_ERRNO_TYPE * ERRNO
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }


extern void READ_DIRECTORY (
        /* in */ DIRECTORY_ID_TYPE DIRECTORY_ID,
        /* out */ DIRECTORY_ENTRY_TYPE * ENTRY_NAME,
        /* out */ ENTRY_KIND_TYPE * ENTRY_KIND,
        /* out */ RETURN_CODE_TYPE * RETURN_CODE,
        /* inout */ FILE_ERRNO_TYPE * ERRNO
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }


extern void REWIND_DIRECTORY (
        /* in */ DIRECTORY_ID_TYPE DIRECTORY_ID,
        /* out */ RETURN_CODE_TYPE * RETURN_CODE,
        /* inout */ FILE_ERRNO_TYPE * ERRNO
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }


extern void MAKE_DIRECTORY (
        /* in */ FILE_NAME_TYPE DIRECTORY_NAME,
        /* out */ RETURN_CODE_TYPE * RETURN_CODE,
        /* inout */ FILE_ERRNO_TYPE * ERRNO
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }


extern void REMOVE_DIRECTORY (
        /* in */ FILE_NAME_TYPE DIRECTORY_NAME,
        /* out */ RETURN_CODE_TYPE * RETURN_CODE,
        /* inout */ FILE_ERRNO_TYPE * ERRNO
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }


extern void SYNC_DIRECTORY (
        /* in */ DIRECTORY_ID_TYPE DIRECTORY_ID,
        /* out */ RETURN_CODE_TYPE * RETURN_CODE,
        /* inout */ FILE_ERRNO_TYPE * ERRNO
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }


extern void RENAME_DIRECTORY (
        /* in */ FILE_NAME_TYPE OLD_DIRECTORY_NAME,
        /* in */ FILE_NAME_TYPE NEW_DIRECTORY_NAME,
        /* out */ RETURN_CODE_TYPE * RETURN_CODE,
        /* inout */ FILE_ERRNO_TYPE * ERRNO
    )
    {
        /* Function Stub...used only for FACE conformance testing */
    }

