/*--------------------------------------------------------------------*/
/*                                                                    */
/* Memory Block constant and type definitions and management services */
/*                                                                    */
/*--------------------------------------------------------------------*/
#ifndef APEX_MEMORY_BLOCK
#define APEX_MEMORY_BLOCK

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include "APEX_TYPES.h"

typedef NAME_TYPE MEMORY_BLOCK_NAME_TYPE;

typedef enum { READ = 0, READ_WRITE = 1 } MEMORY_BLOCK_MODE_TYPE;

typedef APEX_INTEGER MEMORY_BLOCK_SIZE_TYPE;
typedef APEX_BYTE * MEMORY_BLOCK_ADDR_TYPE;
typedef struct MEMORY_BLOCK_STATUS_TYPE
{
MEMORY_BLOCK_ADDR_TYPE MEMORY_BLOCK_ADDR;
MEMORY_BLOCK_MODE_TYPE MEMORY_BLOCK_MODE;
MEMORY_BLOCK_SIZE_TYPE MEMORY_BLOCK_SIZE; /* Number of bytes */
} MEMORY_BLOCK_STATUS_TYPE;
extern void GET_MEMORY_BLOCK_STATUS (
/* in */ MEMORY_BLOCK_NAME_TYPE MEMORY_BLOCK_NAME,
/* out */ MEMORY_BLOCK_STATUS_TYPE *MEMORY_BLOCK_STATUS,
/* out */ RETURN_CODE_TYPE *RETURN_CODE);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif
