/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__GLES2_gl2_h__
#define __FACE_CONFORM__GLES2_gl2_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <GLES2/gl2platform.h>
#ifndef GL_ES_VERSIO_2_0
#ifndef GL_ES_VERSIO_2_0
	#define GL_ES_VERSIO_2_0 1
#endif
#include <KHR/khrplatform.h>
#ifndef __FACE_CONFORM____GLBYTE__
#define __FACE_CONFORM____GLBYTE__
typedef khronos_int8_t GLbyte;

#endif  /* __FACE_CONFORM____GLBYTE__ */

#ifndef __FACE_CONFORM____GLCLAMPF__
#define __FACE_CONFORM____GLCLAMPF__
typedef khronos_float_t GLclampf;

#endif  /* __FACE_CONFORM____GLCLAMPF__ */

#ifndef __FACE_CONFORM____GLFIXED__
#define __FACE_CONFORM____GLFIXED__
typedef khronos_int32_t GLfixed;

#endif  /* __FACE_CONFORM____GLFIXED__ */

#ifndef __FACE_CONFORM____GLSHORT__
#define __FACE_CONFORM____GLSHORT__
typedef short GLshort;

#endif  /* __FACE_CONFORM____GLSHORT__ */

#ifndef __FACE_CONFORM____GLUSHORT__
#define __FACE_CONFORM____GLUSHORT__
typedef unsigned short GLushort;

#endif  /* __FACE_CONFORM____GLUSHORT__ */

#ifndef __FACE_CONFORM____GLVOID__
#define __FACE_CONFORM____GLVOID__
typedef void GLvoid;

#endif  /* __FACE_CONFORM____GLVOID__ */

#ifndef __FACE_CONFORM____GLSYNC__
#define __FACE_CONFORM____GLSYNC__
typedef struct __GLsync* GLsync;

#endif  /* __FACE_CONFORM____GLSYNC__ */

#ifndef __FACE_CONFORM____GLINT64__
#define __FACE_CONFORM____GLINT64__
typedef khronos_int64_t GLint64;

#endif  /* __FACE_CONFORM____GLINT64__ */

#ifndef __FACE_CONFORM____GLUINT64__
#define __FACE_CONFORM____GLUINT64__
typedef khronos_uint64_t GLuint64;

#endif  /* __FACE_CONFORM____GLUINT64__ */

#ifndef __FACE_CONFORM____GLENUM__
#define __FACE_CONFORM____GLENUM__
typedef unsigned int GLenum;

#endif  /* __FACE_CONFORM____GLENUM__ */

#ifndef __FACE_CONFORM____GLUINT__
#define __FACE_CONFORM____GLUINT__
typedef unsigned int GLuint;

#endif  /* __FACE_CONFORM____GLUINT__ */

#ifndef __FACE_CONFORM____GLCHAR__
#define __FACE_CONFORM____GLCHAR__
typedef char GLchar;

#endif  /* __FACE_CONFORM____GLCHAR__ */

#ifndef __FACE_CONFORM____GLFLOAT__
#define __FACE_CONFORM____GLFLOAT__
typedef khronos_float_t GLfloat;

#endif  /* __FACE_CONFORM____GLFLOAT__ */

#ifndef __FACE_CONFORM____GLSIZEIPTR__
#define __FACE_CONFORM____GLSIZEIPTR__
typedef khronos_ssize_t GLsizeiptr;

#endif  /* __FACE_CONFORM____GLSIZEIPTR__ */

#ifndef __FACE_CONFORM____GLINTPTR__
#define __FACE_CONFORM____GLINTPTR__
typedef khronos_intptr_t GLintptr;

#endif  /* __FACE_CONFORM____GLINTPTR__ */

#ifndef __FACE_CONFORM____GLBITFIELD__
#define __FACE_CONFORM____GLBITFIELD__
typedef unsigned int GLbitfield;

#endif  /* __FACE_CONFORM____GLBITFIELD__ */

#ifndef __FACE_CONFORM____GLINT__
#define __FACE_CONFORM____GLINT__
typedef int GLint;

#endif  /* __FACE_CONFORM____GLINT__ */

#ifndef __FACE_CONFORM____GLBOOLEAN__
#define __FACE_CONFORM____GLBOOLEAN__
typedef unsigned char GLboolean;

#endif  /* __FACE_CONFORM____GLBOOLEAN__ */

#ifndef __FACE_CONFORM____GLSIZEI__
#define __FACE_CONFORM____GLSIZEI__
typedef int GLsizei;

#endif  /* __FACE_CONFORM____GLSIZEI__ */

#ifndef __FACE_CONFORM____GLUBYTE__
#define __FACE_CONFORM____GLUBYTE__
typedef khronos_uint8_t GLubyte;

#endif  /* __FACE_CONFORM____GLUBYTE__ */

#ifndef GL_DEPTH_BUFFER_BIT
	#define GL_DEPTH_BUFFER_BIT 0x00000100
#endif
#ifndef GL_STENCIL_BUFFER_BIT
	#define GL_STENCIL_BUFFER_BIT 0x00000400
#endif
#ifndef GL_COLOR_BUFFER_BIT
	#define GL_COLOR_BUFFER_BIT 0x00004000
#endif
#ifndef GL_FALSE
	#define GL_FALSE 0
#endif
#ifndef GL_TRUE
	#define GL_TRUE 1
#endif
#ifndef GL_POINTS
	#define GL_POINTS 0x0000
#endif
#ifndef GL_LINES
	#define GL_LINES 0x0001
#endif
#ifndef GL_LINE_LOOP
	#define GL_LINE_LOOP 0x0002
#endif
#ifndef GL_LINE_STRIP
	#define GL_LINE_STRIP 0x0003
#endif
#ifndef GL_TRIANGLES
	#define GL_TRIANGLES 0x0004
#endif
#ifndef GL_TRIANGLE_STRIP
	#define GL_TRIANGLE_STRIP 0x0005
#endif
#ifndef GL_TRIANGLE_FAN
	#define GL_TRIANGLE_FAN 0x0006
#endif
#ifndef GL_ZERO
	#define GL_ZERO 0
#endif
#ifndef GL_ONE
	#define GL_ONE 1
#endif
#ifndef GL_SRC_COLOR
	#define GL_SRC_COLOR 0x0300
#endif
#ifndef GL_ONE_MINUS_SRC_COLOR
	#define GL_ONE_MINUS_SRC_COLOR 0x0301
#endif
#ifndef GL_SRC_ALPHA
	#define GL_SRC_ALPHA 0x0302
#endif
#ifndef GL_ONE_MINUS_SRC_ALPHA
	#define GL_ONE_MINUS_SRC_ALPHA 0x0303
#endif
#ifndef GL_DST_ALPHA
	#define GL_DST_ALPHA 0x0304
#endif
#ifndef GL_ONE_MINUS_DST_ALPHA
	#define GL_ONE_MINUS_DST_ALPHA 0x0305
#endif
#ifndef GL_DST_COLOR
	#define GL_DST_COLOR 0x0306
#endif
#ifndef GL_ONE_MINUS_DST_COLOR
	#define GL_ONE_MINUS_DST_COLOR 0x0307
#endif
#ifndef GL_SRC_ALPHA_SATURATE
	#define GL_SRC_ALPHA_SATURATE 0x0308
#endif
#ifndef GL_FUNC_ADD
	#define GL_FUNC_ADD 0x8006
#endif
#ifndef GL_BLEND_EQUATION
	#define GL_BLEND_EQUATION 0x8009
#endif
#ifndef GL_BLEND_EQUATION_RGB
	#define GL_BLEND_EQUATION_RGB 0x8009
#endif
#ifndef GL_BLEND_EQUATION_ALPHA
	#define GL_BLEND_EQUATION_ALPHA 0x833D
#endif
#ifndef GL_FUNC_SUBTRACT
	#define GL_FUNC_SUBTRACT 0x800A
#endif
#ifndef GL_FUNC_REVERSE_SUBTRACT
	#define GL_FUNC_REVERSE_SUBTRACT 0x800B
#endif
#ifndef GL_BLEND_DST_RGB
	#define GL_BLEND_DST_RGB 0x80C8
#endif
#ifndef GL_BLEND_SRC_RGB
	#define GL_BLEND_SRC_RGB 0x80C9
#endif
#ifndef GL_BLEND_DST_ALPHA
	#define GL_BLEND_DST_ALPHA 0x80CA
#endif
#ifndef GL_BLEND_SRC_ALPHA
	#define GL_BLEND_SRC_ALPHA 0x80CB
#endif
#ifndef GL_CONSTANT_COLOR
	#define GL_CONSTANT_COLOR 0x8001
#endif
#ifndef GL_ONE_MINUS_CONSTANT_COLOR
	#define GL_ONE_MINUS_CONSTANT_COLOR 0x8002
#endif
#ifndef GL_CONSTANT_ALPHA
	#define GL_CONSTANT_ALPHA 0x8003
#endif
#ifndef GL_ONE_MINUS_CONSTANT_ALPHA
	#define GL_ONE_MINUS_CONSTANT_ALPHA 0x8004
#endif
#ifndef GL_BLEND_COLOR
	#define GL_BLEND_COLOR 0x8005
#endif
#ifndef GL_ARRAY_BUFFER
	#define GL_ARRAY_BUFFER 0x8892
#endif
#ifndef GL_ELEMENT_ARRAY_BUFFER
	#define GL_ELEMENT_ARRAY_BUFFER 0x8893
#endif
#ifndef GL_ARRAY_BUFFER_BINDING
	#define GL_ARRAY_BUFFER_BINDING 0x8894
#endif
#ifndef GL_ELEMENT_ARRAY_BUFFER_BINDING
	#define GL_ELEMENT_ARRAY_BUFFER_BINDING 0x8895
#endif
#ifndef GL_STREAM_DRAW
	#define GL_STREAM_DRAW 0x88E0
#endif
#ifndef GL_STATIC_DRAW
	#define GL_STATIC_DRAW 0x88E4
#endif
#ifndef GL_DYNAMIC_DRAW
	#define GL_DYNAMIC_DRAW 0x88E8
#endif
#ifndef GL_BUFFER_SIZE
	#define GL_BUFFER_SIZE 0x8764
#endif
#ifndef GL_BUFFER_USAGE
	#define GL_BUFFER_USAGE 0x8765
#endif
#ifndef GL_CURRENT_VERTEX_ATTRIB
	#define GL_CURRENT_VERTEX_ATTRIB 0x8626
#endif
#ifndef GL_FRONT
	#define GL_FRONT 0x0404
#endif
#ifndef GL_BACK
	#define GL_BACK 0x0405
#endif
#ifndef GL_FRONT_AND_BACK
	#define GL_FRONT_AND_BACK 0x0408
#endif
#ifndef GL_TEXTURE_2D
	#define GL_TEXTURE_2D 0x0DE1
#endif
#ifndef GL_CULL_FACE
	#define GL_CULL_FACE 0x0B44
#endif
#ifndef GL_BLEND
	#define GL_BLEND 0x0BE2
#endif
#ifndef GL_DITHER
	#define GL_DITHER 0x0BD0
#endif
#ifndef GL_STENCIL_TEST
	#define GL_STENCIL_TEST 0x0B90
#endif
#ifndef GL_DEPTH_TEST
	#define GL_DEPTH_TEST 0x0B71
#endif
#ifndef GL_SCISSOR_TEST
	#define GL_SCISSOR_TEST 0x0C11
#endif
#ifndef GL_POLYGON_OFFSET_FILL
	#define GL_POLYGON_OFFSET_FILL 0x8037
#endif
#ifndef GL_SAMPLE_ALPHA_TO_COVERAGE
	#define GL_SAMPLE_ALPHA_TO_COVERAGE 0x80A0
#endif
#ifndef GL_NO_ERROR
	#define GL_NO_ERROR 0
#endif
#ifndef GL_INVALID_ENUM
	#define GL_INVALID_ENUM 0x0500
#endif
#ifndef GL_INVALID_VALUE
	#define GL_INVALID_VALUE 0x0501
#endif
#ifndef GL_INVALID_OPERATION
	#define GL_INVALID_OPERATION 0x0502
#endif
#ifndef GL_OUT_OF_MEMORY
	#define GL_OUT_OF_MEMORY 0x0505
#endif
#ifndef GL_CW
	#define GL_CW 0x0900
#endif
#ifndef GL_CCW
	#define GL_CCW 0x0901
#endif
#ifndef GL_LINE_WIDTH
	#define GL_LINE_WIDTH 0x0B21
#endif
#ifndef GL_ALIASED_POINT_SIZE_RANGE
	#define GL_ALIASED_POINT_SIZE_RANGE 0x846D
#endif
#ifndef GL_ALIASED_LINE_WIDTH_RANGE
	#define GL_ALIASED_LINE_WIDTH_RANGE 0x846E
#endif
#ifndef GL_CULL_FACE_MODE
	#define GL_CULL_FACE_MODE 0x0B45
#endif
#ifndef GL_FRONT_FACE
	#define GL_FRONT_FACE 0x0B46
#endif
#ifndef GL_DEPTH_RANGE
	#define GL_DEPTH_RANGE 0x0B70
#endif
#ifndef GL_DEPTH_WRITEMASK
	#define GL_DEPTH_WRITEMASK 0x0B72
#endif
#ifndef GL_DEPTH_CLEAR_VALUE
	#define GL_DEPTH_CLEAR_VALUE 0x0B73
#endif
#ifndef GL_DEPTH_FUNC
	#define GL_DEPTH_FUNC 0x0B74
#endif
#ifndef GL_STENCIL_CLEAR_VALUE
	#define GL_STENCIL_CLEAR_VALUE 0x0B91
#endif
#ifndef GL_STENCIL_FUNC
	#define GL_STENCIL_FUNC 0x0B92
#endif
#ifndef GL_STENCIL_FAIL
	#define GL_STENCIL_FAIL 0x0B94
#endif
#ifndef GL_STENCIL_PASS_DEPTH_FAIL
	#define GL_STENCIL_PASS_DEPTH_FAIL 0x0B95
#endif
#ifndef GL_STENCIL_PASS_DEPTH_PASS
	#define GL_STENCIL_PASS_DEPTH_PASS 0x0B96
#endif
#ifndef GL_STENCIL_REF
	#define GL_STENCIL_REF 0x0B97
#endif
#ifndef GL_STENCIL_VALUE_MASK
	#define GL_STENCIL_VALUE_MASK 0x0B93
#endif
#ifndef GL_STENCIL_WRITEMASK
	#define GL_STENCIL_WRITEMASK 0x0B98
#endif
#ifndef GL_STENCIL_BACK_FUNC
	#define GL_STENCIL_BACK_FUNC 0x8800
#endif
#ifndef GL_STENCIL_BACK_FAIL
	#define GL_STENCIL_BACK_FAIL 0x8801
#endif
#ifndef GL_STENCIL_BACK_PASS_DEPTH_FAIL
	#define GL_STENCIL_BACK_PASS_DEPTH_FAIL 0x8802
#endif
#ifndef GL_STENCIL_BACK_PASS_DEPTH_PASS
	#define GL_STENCIL_BACK_PASS_DEPTH_PASS 0x8803
#endif
#ifndef GL_STENCIL_BACK_REF
	#define GL_STENCIL_BACK_REF 0x8CA3
#endif
#ifndef GL_STENCIL_BACK_VALUE_MASK
	#define GL_STENCIL_BACK_VALUE_MASK 0x8CA4
#endif
#ifndef GL_STENCIL_BACK_WRITEMASK
	#define GL_STENCIL_BACK_WRITEMASK 0x8CA5
#endif
#ifndef GL_VIEWPORT
	#define GL_VIEWPORT 0x0BA2
#endif
#ifndef GL_SCISSOR_BOX
	#define GL_SCISSOR_BOX 0x0C10
#endif
#ifndef GL_COLOR_CLEAR_VALUE
	#define GL_COLOR_CLEAR_VALUE 0x0C22
#endif
#ifndef GL_COLOR_WRITEMASK
	#define GL_COLOR_WRITEMASK 0x0C23
#endif
#ifndef GL_UNPACK_ALIGNMENT
	#define GL_UNPACK_ALIGNMENT 0x0CF5
#endif
#ifndef GL_PACK_ALIGNMENT
	#define GL_PACK_ALIGNMENT 0x0D05
#endif
#ifndef GL_MAX_TEXTURE_SIZE
	#define GL_MAX_TEXTURE_SIZE 0x0D33
#endif
#ifndef GL_MAX_VIEWPORT_DIMS
	#define GL_MAX_VIEWPORT_DIMS 0x0D3A
#endif
#ifndef GL_SUBPIXEL_BITS
	#define GL_SUBPIXEL_BITS 0x0D50
#endif
#ifndef GL_RED_BITS
	#define GL_RED_BITS 0x0D52
#endif
#ifndef GL_GREEN_BITS
	#define GL_GREEN_BITS 0x0D53
#endif
#ifndef GL_BLUE_BITS
	#define GL_BLUE_BITS 0x0D54
#endif
#ifndef GL_ALPHA_BITS
	#define GL_ALPHA_BITS 0x0D55
#endif
#ifndef GL_DEPTH_BITS
	#define GL_DEPTH_BITS 0x0D56
#endif
#ifndef GL_STENCIL_BITS
	#define GL_STENCIL_BITS 0x0D57
#endif
#ifndef GL_POLYGON_OFFSET_UNITS
	#define GL_POLYGON_OFFSET_UNITS 0x2A00
#endif
#ifndef GL_POLYGON_OFFSET_FACTOR
	#define GL_POLYGON_OFFSET_FACTOR 0x8038
#endif
#ifndef GL_TEXTURE_BINDING_2D
	#define GL_TEXTURE_BINDING_2D 0x8069
#endif
#ifndef GL_SAMPLE_BUFFERS
	#define GL_SAMPLE_BUFFERS 0x80A8
#endif
#ifndef GL_SAMPLES
	#define GL_SAMPLES 0x80A9
#endif
#ifndef GL_SAMPLE_COVERAGE_VALUE
	#define GL_SAMPLE_COVERAGE_VALUE 0x80AA
#endif
#ifndef GL_SAMPLE_COVERAGE_INVERT
	#define GL_SAMPLE_COVERAGE_INVERT 0x80AB
#endif
#ifndef GL_NUM_COMPRESSED_TEXTURE_FORMATS
	#define GL_NUM_COMPRESSED_TEXTURE_FORMATS 0x86A2
#endif
#ifndef GL_COMPRESSED_TEXTURE_FORMATS
	#define GL_COMPRESSED_TEXTURE_FORMATS 0x86A3
#endif
#ifndef GL_DONT_CARE
	#define GL_DONT_CARE 0x1100
#endif
#ifndef GL_FASTEST
	#define GL_FASTEST 0x1101
#endif
#ifndef GL_NICEST
	#define GL_NICEST 0x1102
#endif
#ifndef GL_GENERATE_MIPMAP_HINT
	#define GL_GENERATE_MIPMAP_HINT 0x8192
#endif
#ifndef GL_BYTE
	#define GL_BYTE 0x1400
#endif
#ifndef GL_UNSIGNED_BYTE
	#define GL_UNSIGNED_BYTE 0x1401
#endif
#ifndef GL_SHORT
	#define GL_SHORT 0x1402
#endif
#ifndef GL_UNSIGNED_SHORT
	#define GL_UNSIGNED_SHORT 0x1403
#endif
#ifndef GL_INT
	#define GL_INT 0x1404
#endif
#ifndef GL_UNSIGNED_INT
	#define GL_UNSIGNED_INT 0x1405
#endif
#ifndef GL_FLOAT
	#define GL_FLOAT 0x1406
#endif
#ifndef GL_MIXED
	#define GL_MIXED 0x140C
#endif
#ifndef GL_DEPTH_COMPONENT
	#define GL_DEPTH_COMPONENT 0x1902
#endif
#ifndef GL_ALPHA
	#define GL_ALPHA 0x1906
#endif
#ifndef GL_RGB
	#define GL_RGB 0x1907
#endif
#ifndef GL_RGBA
	#define GL_RGBA 0x1908
#endif
#ifndef GL_LUMINANCE
	#define GL_LUMINANCE 0x1909
#endif
#ifndef GL_LUMINANCE_ALPHA
	#define GL_LUMINANCE_ALPHA 0x190A
#endif
#ifndef GL_UNSIGNED_SHORT_4_4_4_4
	#define GL_UNSIGNED_SHORT_4_4_4_4 0x8033
#endif
#ifndef GL_UNSIGNED_SHORT_5_5_5_1
	#define GL_UNSIGNED_SHORT_5_5_5_1 0x8034
#endif
#ifndef GL_UNSIGNED_SHORT_5_6_5
	#define GL_UNSIGNED_SHORT_5_6_5 0x8363
#endif
#ifndef GL_FRAGMENT_SHADER
	#define GL_FRAGMENT_SHADER 0x8B30
#endif
#ifndef GL_VERTEX_SHADER
	#define GL_VERTEX_SHADER 0x8B31
#endif
#ifndef GL_MAX_VERTEX_ATTRIBS
	#define GL_MAX_VERTEX_ATTRIBS 0x8869
#endif
#ifndef GL_MAX_VERTEX_UNIFORM_VECTORS
	#define GL_MAX_VERTEX_UNIFORM_VECTORS 0x8DFB
#endif
#ifndef GL_MAX_VARYING_VECTORS
	#define GL_MAX_VARYING_VECTORS 0x8DFC
#endif
#ifndef GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS
	#define GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS 0x8B4D
#endif
#ifndef GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS
	#define GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS 0x8B4C
#endif
#ifndef GL_TEXTURE_IMAGE_UNITS
	#define GL_TEXTURE_IMAGE_UNITS 0x8872
#endif
#ifndef GL_MAX_FRAGMENT_UNIFORM_VECTORS
	#define GL_MAX_FRAGMENT_UNIFORM_VECTORS 0x8DFD
#endif
#ifndef GL_SHADER_TYPE
	#define GL_SHADER_TYPE 0x8B4F
#endif
#ifndef GL_DELETE_STATUS
	#define GL_DELETE_STATUS 0x8B80
#endif
#ifndef GL_LINK_STATUS
	#define GL_LINK_STATUS 0x8B82
#endif
#ifndef GL_VALIDATE_STATUS
	#define GL_VALIDATE_STATUS 0x8B83
#endif
#ifndef GL_ATTACHED_SHADERS
	#define GL_ATTACHED_SHADERS 0x8B85
#endif
#ifndef GL_ACTIVE_UNIFORMS
	#define GL_ACTIVE_UNIFORMS 0x8B86
#endif
#ifndef GL_ACTIVE_UNIFORM_MAX_LENGTH
	#define GL_ACTIVE_UNIFORM_MAX_LENGTH 0x8B87
#endif
#ifndef GL_ACTIVE_ATTRIBUTES
	#define GL_ACTIVE_ATTRIBUTES 0x8B89
#endif
#ifndef GL_ACTIVE_ATTRIBUTE_MAX_LENGTH
	#define GL_ACTIVE_ATTRIBUTE_MAX_LENGTH 0x8B8A
#endif
#ifndef GL_SHADING_LANGUAGE_VERSION
	#define GL_SHADING_LANGUAGE_VERSION 0x8B8C
#endif
#ifndef GL_CURRENT_PROGRAM
	#define GL_CURRENT_PROGRAM 0x8B8D
#endif
#ifndef GL_NEVER
	#define GL_NEVER 0x0200
#endif
#ifndef GL_LESS
	#define GL_LESS 0x0201
#endif
#ifndef GL_EQUAL
	#define GL_EQUAL 0x0202
#endif
#ifndef GL_LEQUAL
	#define GL_LEQUAL 0x0203
#endif
#ifndef GL_GREATER
	#define GL_GREATER 0x0204
#endif
#ifndef GL_NOTEQUAL
	#define GL_NOTEQUAL 0x0205
#endif
#ifndef GL_GEQUAL
	#define GL_GEQUAL 0x0206
#endif
#ifndef GL_ALWAYS
	#define GL_ALWAYS 0x0207
#endif
#ifndef GL_KEEP
	#define GL_KEEP 0x1E00
#endif
#ifndef GL_REPLACE
	#define GL_REPLACE 0x1E01
#endif
#ifndef GL_INCR
	#define GL_INCR 0x1E02
#endif
#ifndef GL_DECR
	#define GL_DECR 0x1E03
#endif
#ifndef GL_INVERT
	#define GL_INVERT 0x150A
#endif
#ifndef GL_INCR_WRAP
	#define GL_INCR_WRAP 0x8507
#endif
#ifndef GL_DECR_WRAP
	#define GL_DECR_WRAP 0x8508
#endif
#ifndef GL_VENDOR
	#define GL_VENDOR 0x1F00
#endif
#ifndef GL_RENDERER
	#define GL_RENDERER 0x1F01
#endif
#ifndef GL_VERSION
	#define GL_VERSION 0x1F02
#endif
#ifndef GL_EXTENSIONS
	#define GL_EXTENSIONS 0x1F03
#endif
#ifndef GL_NEAREST
	#define GL_NEAREST 0x2600
#endif
#ifndef GL_LINEAR
	#define GL_LINEAR 0x2601
#endif
#ifndef GL_NEAREST_MIPMAP_NEAREST
	#define GL_NEAREST_MIPMAP_NEAREST 0x2700
#endif
#ifndef GL_LINEAR_MIPMAP_NEAREST
	#define GL_LINEAR_MIPMAP_NEAREST 0x2701
#endif
#ifndef GL_NEAREST_MIPMAP_LINEAR
	#define GL_NEAREST_MIPMAP_LINEAR 0x2702
#endif
#ifndef GL_LINEAR_MIPMAP_LINEAR
	#define GL_LINEAR_MIPMAP_LINEAR 0x2703
#endif
#ifndef GL_TEXTURE_MAG_FILTER
	#define GL_TEXTURE_MAG_FILTER 0x2800
#endif
#ifndef GL_TExTURE_MIN_FILTER
	#define GL_TExTURE_MIN_FILTER 0x2801
#endif
#ifndef GL_TEXTURE_WRAP_S
	#define GL_TEXTURE_WRAP_S 0x2802
#endif
#ifndef GL_TEXTURE_WRAP_T
	#define GL_TEXTURE_WRAP_T 0x2803
#endif
#ifndef GL_TEXTURE
	#define GL_TEXTURE 0x1702
#endif
#ifndef GL_TEXTURE_CUBE_MAP
	#define GL_TEXTURE_CUBE_MAP 0x8513
#endif
#ifndef GL_TEXTURE_BINDING_CUBE_MAP
	#define GL_TEXTURE_BINDING_CUBE_MAP 0x8514
#endif
#ifndef GL_TEXTURE_CUBE_MAP_POSITIVE_X
	#define GL_TEXTURE_CUBE_MAP_POSITIVE_X 0x8515
#endif
#ifndef GL_TEXTURE_CUBE_MAP_NEGATIVE_X
	#define GL_TEXTURE_CUBE_MAP_NEGATIVE_X 0x8516
#endif
#ifndef GL_TEXTURE_CUBE_MAP_POSITIVE_Y
	#define GL_TEXTURE_CUBE_MAP_POSITIVE_Y 0x8517
#endif
#ifndef GL_TEXTURE_CUBE_MAP_NEGATIVE_Y
	#define GL_TEXTURE_CUBE_MAP_NEGATIVE_Y 0x8518
#endif
#ifndef GL_TEXTURE_CUBE_MAP_POSITIVE_Z
	#define GL_TEXTURE_CUBE_MAP_POSITIVE_Z 0x8519
#endif
#ifndef GL_TEXTURE_CUBE_MAP_NEGATIVE_Z
	#define GL_TEXTURE_CUBE_MAP_NEGATIVE_Z 0x851A
#endif
#ifndef GL_MAX_CUBE_MAP_TEXTURE_SIZE
	#define GL_MAX_CUBE_MAP_TEXTURE_SIZE 0x851C
#endif
#ifndef GL_TEXTURE0
	#define GL_TEXTURE0 0x84C0
#endif
#ifndef GL_TEXTURE1
	#define GL_TEXTURE1 0x84C1
#endif
#ifndef GL_TEXTURE2
	#define GL_TEXTURE2 0x84C2
#endif
#ifndef GL_TEXTURE3
	#define GL_TEXTURE3 0x84C3
#endif
#ifndef GL_TEXTURE4
	#define GL_TEXTURE4 0x84C4
#endif
#ifndef GL_TEXTURE5
	#define GL_TEXTURE5 0x84C5
#endif
#ifndef GL_TEXTURE6
	#define GL_TEXTURE6 0x84C6
#endif
#ifndef GL_TEXTURE7
	#define GL_TEXTURE7 0x84C7
#endif
#ifndef GL_TEXTURE8
	#define GL_TEXTURE8 0x84C8
#endif
#ifndef GL_TEXTURE9
	#define GL_TEXTURE9 0x84C9
#endif
#ifndef GL_TEXTURE10
	#define GL_TEXTURE10 0x84CA
#endif
#ifndef GL_TEXTURE11
	#define GL_TEXTURE11 0x84CB
#endif
#ifndef GL_TEXTURE12
	#define GL_TEXTURE12 0x84CC
#endif
#ifndef GL_TEXTURE13
	#define GL_TEXTURE13 0x84CD
#endif
#ifndef GL_TEXTURE14
	#define GL_TEXTURE14 0x84CE
#endif
#ifndef GL_TEXTURE15
	#define GL_TEXTURE15 0x84CF
#endif
#ifndef GL_TEXTURE16
	#define GL_TEXTURE16 0x84D0
#endif
#ifndef GL_TEXTURE17
	#define GL_TEXTURE17 0x84D1
#endif
#ifndef GL_TEXTURE18
	#define GL_TEXTURE18 0x84D2
#endif
#ifndef GL_TEXTURE19
	#define GL_TEXTURE19 0x84D3
#endif
#ifndef GL_TEXTURE20
	#define GL_TEXTURE20 0x84D4
#endif
#ifndef GL_TEXTURE21
	#define GL_TEXTURE21 0x84D5
#endif
#ifndef GL_TEXTURE22
	#define GL_TEXTURE22 0x84D6
#endif
#ifndef GL_TEXTURE23
	#define GL_TEXTURE23 0x84D7
#endif
#ifndef GL_TEXTURE24
	#define GL_TEXTURE24 0x84D8
#endif
#ifndef GL_TEXTURE25
	#define GL_TEXTURE25 0x84D9
#endif
#ifndef GL_TEXTURE26
	#define GL_TEXTURE26 0x84DA
#endif
#ifndef GL_TEXTURE27
	#define GL_TEXTURE27 0x84DB
#endif
#ifndef GL_TEXTURE28
	#define GL_TEXTURE28 0x84DC
#endif
#ifndef GL_TEXTURE29
	#define GL_TEXTURE29 0x84DD
#endif
#ifndef GL_TEXTURE30
	#define GL_TEXTURE30 0x84DE
#endif
#ifndef GL_TEXTURE31
	#define GL_TEXTURE31 0x84DF
#endif
#ifndef GL_ACTIVE_TEXTURE
	#define GL_ACTIVE_TEXTURE 0x84E0
#endif
#ifndef GL_REPEAT
	#define GL_REPEAT 0x2901
#endif
#ifndef GL_CLAMP_TO_EDGE
	#define GL_CLAMP_TO_EDGE 0x812F
#endif
#ifndef GL_MIRRORED_REPEAT
	#define GL_MIRRORED_REPEAT 0x8370
#endif
#ifndef GL_FLOAT_VEC2
	#define GL_FLOAT_VEC2 0x8B50
#endif
#ifndef GL_FLOAT_VEC3
	#define GL_FLOAT_VEC3 0x8B51
#endif
#ifndef GL_FLOAT_VEC4
	#define GL_FLOAT_VEC4 0x8B52
#endif
#ifndef GL_INT_VEC2
	#define GL_INT_VEC2 0x8B53
#endif
#ifndef GL_INT_VEC3
	#define GL_INT_VEC3 0x8B54
#endif
#ifndef GL_INT_VEC4
	#define GL_INT_VEC4 0x8B55
#endif
#ifndef GL_BOOL
	#define GL_BOOL 0x8B56
#endif
#ifndef GL_BOOL_VEC2
	#define GL_BOOL_VEC2 0x8B7
#endif
#ifndef GL_BOOL_VEC3
	#define GL_BOOL_VEC3 0x8B8
#endif
#ifndef GL_BOOL_VEC4
	#define GL_BOOL_VEC4 0x8B9
#endif
#ifndef GL_FLOAT_MAT2
	#define GL_FLOAT_MAT2 0x8B5A
#endif
#ifndef GL_FLOAT_MAT3
	#define GL_FLOAT_MAT3 0x8B5B
#endif
#ifndef GL_FLOAT_MAT4
	#define GL_FLOAT_MAT4 0x8B5C
#endif
#ifndef GL_SAMPLER_2D
	#define GL_SAMPLER_2D 0x8B5E
#endif
#ifndef GL_SAMPLER_CUBE
	#define GL_SAMPLER_CUBE 0x8B60
#endif
#ifndef GL_VERTEX_ATTRIB_ARRAY_ENABLED
	#define GL_VERTEX_ATTRIB_ARRAY_ENABLED 0x8622
#endif
#ifndef GL_VERTEX_ATTRIB_ARRAY_SIZE
	#define GL_VERTEX_ATTRIB_ARRAY_SIZE 0x8623
#endif
#ifndef GL_VERTEX_ATTRIB_ARRAY_STRIDE
	#define GL_VERTEX_ATTRIB_ARRAY_STRIDE 0x8624
#endif
#ifndef GL_VERTEX_ATTRIB_ARRAY_TYPE
	#define GL_VERTEX_ATTRIB_ARRAY_TYPE 0x8625
#endif
#ifndef GL_VERTEX_ATTRIB_ARRAY_NORMALIZED
	#define GL_VERTEX_ATTRIB_ARRAY_NORMALIZED 0x886A
#endif
#ifndef GL_VERTEX_ATTRIB_ARRAY_POINTER
	#define GL_VERTEX_ATTRIB_ARRAY_POINTER 0x8645
#endif
#ifndef GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING
	#define GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING 0x889F
#endif
#ifndef GL_IMPLEMENTATION_COLOR_READ_TYPE
	#define GL_IMPLEMENTATION_COLOR_READ_TYPE 0x8B9A
#endif
#ifndef GL_IMPLEMENTATION_COLOR_READ_FORMAT
	#define GL_IMPLEMENTATION_COLOR_READ_FORMAT 0x8B9B
#endif
#ifndef GL_COMPILE_STATUS
	#define GL_COMPILE_STATUS 0x8B81
#endif
#ifndef GL_INFO_LOG_LENGTH
	#define GL_INFO_LOG_LENGTH 0x8B84
#endif
#ifndef GL_SHADER_SOURCE_LENGTH
	#define GL_SHADER_SOURCE_LENGTH 0x8B88
#endif
#ifndef GL_SHADER_COMPILER
	#define GL_SHADER_COMPILER 0x8DFA
#endif
#ifndef GL_SHADER_BINARY_FORMATS
	#define GL_SHADER_BINARY_FORMATS 0x8DF8
#endif
#ifndef GL_NUM_SHADER_BINARY_FORMATS
	#define GL_NUM_SHADER_BINARY_FORMATS 0x8DF9
#endif
#ifndef GL_LOW_FLOAT
	#define GL_LOW_FLOAT 0x8DF0
#endif
#ifndef GL_MEDIUM_FLOAT
	#define GL_MEDIUM_FLOAT 0x8DF1
#endif
#ifndef GL_HIGH_FLOAT
	#define GL_HIGH_FLOAT 0x8DF2
#endif
#ifndef GL_LOW_INT
	#define GL_LOW_INT 0x8DF3
#endif
#ifndef GL_MEDIUM_INT
	#define GL_MEDIUM_INT 0x8DF4
#endif
#ifndef GL_HIGH_INT
	#define GL_HIGH_INT 0x8DF5
#endif
#ifndef GL_FRAMEBUFFER
	#define GL_FRAMEBUFFER 0x8D40
#endif
#ifndef GL_RENDERBUFFER
	#define GL_RENDERBUFFER 0x8D41
#endif
#ifndef GL_RGBA4
	#define GL_RGBA4 0x8056
#endif
#ifndef GL_RGB5_A1
	#define GL_RGB5_A1 0x8057
#endif
#ifndef GL_RGB565
	#define GL_RGB565 0x8D62
#endif
#ifndef GL_DEPTH_COMPONENT16
	#define GL_DEPTH_COMPONENT16 0x81A5
#endif
#ifndef GL_STENCIL_INDEX8
	#define GL_STENCIL_INDEX8 0x8D48
#endif
#ifndef GL_RENDERBUFFER_WIDTH
	#define GL_RENDERBUFFER_WIDTH 0x8D42
#endif
#ifndef GL_RENDERBUFFER_HEIGHT
	#define GL_RENDERBUFFER_HEIGHT 0x8D43
#endif
#ifndef GL_RENDERBUFFER_INTERNAL_FORMAT
	#define GL_RENDERBUFFER_INTERNAL_FORMAT 0x8D44
#endif
#ifndef GL_RENDERBUFFER_RED_SIZE
	#define GL_RENDERBUFFER_RED_SIZE 0x8D50
#endif
#ifndef GL_RENDERBUFFER_GREEN_SIZE
	#define GL_RENDERBUFFER_GREEN_SIZE 0x8D51
#endif
#ifndef GL_RENDERBUFFER_BLUE_SIZE
	#define GL_RENDERBUFFER_BLUE_SIZE 0x8D52
#endif
#ifndef GL_RENDERBUFFER_ALPHA_SIZE
	#define GL_RENDERBUFFER_ALPHA_SIZE 0x8D53
#endif
#ifndef GL_RENDERBUFFER_DEPTH_SIZE
	#define GL_RENDERBUFFER_DEPTH_SIZE 0x8D54
#endif
#ifndef GL_RENDERBUFFER_STENCIL_SIZE
	#define GL_RENDERBUFFER_STENCIL_SIZE 0x8D55
#endif
#ifndef GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE
	#define GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE 0x8CD0
#endif
#ifndef GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME
	#define GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME 0x8CD1
#endif
#ifndef GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL
	#define GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL 0x8CD2
#endif
#ifndef GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE
	#define GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE 0x8CD3
#endif
#ifndef GL_COLOR_ATTACHMENT0
	#define GL_COLOR_ATTACHMENT0 0x8CE0
#endif
#ifndef GL_DEPTH_ATTACHMENT
	#define GL_DEPTH_ATTACHMENT 0x8D00
#endif
#ifndef GL_STENCIL_ATTACHMENT
	#define GL_STENCIL_ATTACHMENT 0x8D20
#endif
#ifndef GL_NONE
	#define GL_NONE 0
#endif
#ifndef GL_FRAMEBUFFER_COMPLETE
	#define GL_FRAMEBUFFER_COMPLETE 0x8CD5
#endif
#ifndef GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT
	#define GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT 0x8CD6
#endif
#ifndef GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT
	#define GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT 0x8CD7
#endif
#ifndef GL_FRAMEBUFFER_INCOMPLETE_DIMENSIOONS
	#define GL_FRAMEBUFFER_INCOMPLETE_DIMENSIOONS 0x8CD9
#endif
#ifndef GL_FRAMEBUFFER_UNSUPPORTED
	#define GL_FRAMEBUFFER_UNSUPPORTED 0x8CDD
#endif
#ifndef GL_FRAMEBUFFER_BINDING
	#define GL_FRAMEBUFFER_BINDING 0x8CA6
#endif
#ifndef GL_RENDERBUFFER_BINDING
	#define GL_RENDERBUFFER_BINDING 0x8CA7
#endif
#ifndef GL_MAX_RENDERBUFFER_SIZE
	#define GL_MAX_RENDERBUFFER_SIZE 0x84E8
#endif
#ifndef GL_INVALID_FRAMEBUFFER_OPERATION
	#define GL_INVALID_FRAMEBUFFER_OPERATION 0x0506
#endif
 GL_APICALL void GL_APIENTRY glActiveTexture(GLenum);
 GL_APICALL void GL_APIENTRY glAttachShader(GLuint, GLuint);
 GL_APICALL void GL_APIENTRY glBindAttribLocation(GLuint, GLuint, const GLchar*);
 GL_APICALL void GL_APIENTRY glBindBuffer(GLenum, GLuint);
 GL_APICALL void GL_APIENTRY glBindFramebuffer(GLenum, GLuint);
 GL_APICALL void GL_APIENTRY glBindRenderbuffer(GLenum, GLuint);
 GL_APICALL void GL_APIENTRY glBindTexture(GLenum, GLuint);
 GL_APICALL void GL_APIENTRY glBlendColor(GLfloat, GLfloat, GLfloat, GLfloat);
 GL_APICALL void GL_APIENTRY glBlendEquation(GLenum);
 GL_APICALL void GL_APIENTRY glBlendEquationSeparate(GLenum, GLenum);
 GL_APICALL void GL_APIENTRY glBlendFunc(GLenum, GLenum);
 GL_APICALL void GL_APIENTRY glBlendFuncSeparate(GLenum, GLenum, GLenum, GLenum);
 GL_APICALL void GL_APIENTRY glBufferData(GLenum, GLsizeiptr, const void*, GLenum);
 GL_APICALL void GL_APIENTRY glBufferSubData(GLenum, GLintptr, GLsizeiptr, const void*);
 GL_APICALL GLenum GL_APIENTRY glCheckFramebufferStatus(GLenum);
 GL_APICALL void GL_APIENTRY glClear(GLbitfield);
 GL_APICALL void GL_APIENTRY glClearColor(GLfloat, GLfloat, GLfloat, GLfloat);
 GL_APICALL void GL_APIENTRY glClearDepthf(GLfloat);
 GL_APICALL void GL_APIENTRY glClearStencil(GLint);
 GL_APICALL void GL_APIENTRY glColorMask(GLboolean, GLboolean, GLboolean, GLboolean);
 GL_APICALL void GL_APIENTRY glCompileShader(GLuint);
 GL_APICALL void GL_APIENTRY glCompressedTexImage2D(GLenum, GLint, GLenum, GLsizei, GLsizei, GLint, GLsizei, const void*);
 GL_APICALL void GL_APIENTRY glCompressedTexSubImage2D(GLenum, GLint, GLint, GLint, GLsizei, GLsizei, GLenum, GLsizei, const void*);
 GL_APICALL void GL_APIENTRY glCopyTexImage2D(GLenum, GLint, GLenum, GLint, GLint, GLsizei, GLsizei, GLint);
 GL_APICALL void GL_APIENTRY glCopyTexSubImage2D(GLenum, GLint, GLint, GLint, GLint, GLint, GLsizei, GLsizei);
 GL_APICALL GLuint GL_APIENTRY glCreateProgram();
 GL_APICALL GLuint GL_APIENTRY glCreateShader(GLenum);
 GL_APICALL void GL_APIENTRY glCullFace(GLenum);
 GL_APICALL void GL_APIENTRY glDeleteBuffers(GLsizei, const GLuint*);
 GL_APICALL void GL_APIENTRY glDeleteFramebuffers(GLsizei, const GLuint*);
 GL_APICALL void GL_APIENTRY glDeleteProgram(GLuint);
 GL_APICALL void GL_APIENTRY glDeleteRenderbuffers(GLsizei, const GLuint*);
 GL_APICALL void GL_APIENTRY glDeleteShader(GLuint);
 GL_APICALL void GL_APIENTRY glDeleteTextures(GLsizei, const GLuint*);
 GL_APICALL void GL_APIENTRY glDepthFunc(GLenum);
 GL_APICALL void GL_APIENTRY glDepthMask(GLboolean);
 GL_APICALL void GL_APIENTRY glDepthRangef(GLfloat, GLfloat);
 GL_APICALL void GL_APIENTRY glDetachShader(GLuint, GLuint);
 GL_APICALL void GL_APIENTRY glDisable(GLenum);
 GL_APICALL void GL_APIENTRY glDisableVertexAttribArray(GLuint);
 GL_APICALL void GL_APIENTRY glDrawArrays(GLenum, GLint, GLsizei);
 GL_APICALL void GL_APIENTRY glDrawElements(GLenum, GLsizei, GLenum, const void*);
 GL_APICALL void GL_APIENTRY glEnable(GLenum);
 GL_APICALL void GL_APIENTRY glEnableVertexAttribArray(GLuint);
 GL_APICALL void GL_APIENTRY glFinish();
 GL_APICALL void GL_APIENTRY glFlush();
 GL_APICALL void GL_APIENTRY glFramebufferRenderbuffer(GLenum, GLenum, GLenum, GLuint);
 GL_APICALL void GL_APIENTRY glFramebufferTexture2D(GLenum, GLenum, GLenum, GLuint, GLint);
 GL_APICALL void GL_APIENTRY glFrontFace(GLenum);
 GL_APICALL void GL_APIENTRY glGenBuffers(GLsizei, GLuint*);
 GL_APICALL void GL_APIENTRY glGenerateMipmap(GLenum);
 GL_APICALL void GL_APIENTRY glGenFramebuffers(GLsizei, GLuint*);
 GL_APICALL void GL_APIENTRY glGenRenderbuffers(GLsizei, GLuint*);
 GL_APICALL void GL_APIENTRY glGenTextures(GLsizei, GLuint*);
 GL_APICALL void GL_APIENTRY glGetActiveAttrib(GLuint, GLuint, GLsizei, GLsizei*, GLint*, GLenum*, GLchar);
 GL_APICALL void GL_APIENTRY glGetActiveUniform(GLuint, GLuint, GLsizei, GLsizei*, GLint*, GLenum*, GLchar);
 GL_APICALL void GL_APIENTRY glGetAttachedShaders(GLuint, GLsizei, GLsizei  *, GLuint *);
 GL_APICALL void GL_APIENTRY glGetAttribLocation(GLuint, const GLchar*);
 GL_APICALL void GL_APIENTRY glGetBooleanv(GLenum, GLboolean*);
 GL_APICALL void GL_APIENTRY glGetBufferParameteriv(GLenum, GLenum, GLint*);
 GL_APICALL GLenum GL_APIENTRY glGetError();
 GL_APICALL void GL_APIENTRY glGetFloatv(GLenum, GLfloat*);
 GL_APICALL void GL_APIENTRY glGetFramebufferAttachmentParameteriv(GLenum, GLenum, GLenum, GLint*);
 GL_APICALL void GL_APIENTRY glGetIntegerv(GLenum, GLint*);
 GL_APICALL void GL_APIENTRY glGetProgramiv(GLuint, GLenum, GLint*);
 GL_APICALL void GL_APIENTRY glGetProgramInfoLog(GLuint, GLsizei, GLsizei*, GLchar*);
 GL_APICALL void GL_APIENTRY glGetRenderbufferParameteriv(GLenum, GLenum, GLint*);
 GL_APICALL void GL_APIENTRY glGetShaderiv(GLuint, GLenum, GLint*);
 GL_APICALL void GL_APIENTRY glGetShaderInfoLog(GLuint, GLsizei, GLsizei*, GLchar*);
 GL_APICALL void GL_APIENTRY glGetShaderPrecisionFormat(GLenum, GLenum, GLint*, GLint*);
 GL_APICALL void GL_APIENTRY glGetShaderSource(GLuint, GLsizei, GLsizei*, GLchar*);
 GL_APICALL const GLubyte* GL_APIENTRY glGetString(GLenum);
 GL_APICALL void GL_APIENTRY glGetTexParameterfv(GLenum, GLenum, GLfloat*);
 GL_APICALL void GL_APIENTRY glGetTexParameteriv(GLenum, GLenum, GLint*);
 GL_APICALL void GL_APIENTRY glGetUniformfv(GLuint, GLint, GLfloat*);
 GL_APICALL void GL_APIENTRY glGetUniformiv(GLuint, GLint, GLint*);
 GL_APICALL GLint GL_APIENTRY glGetUniformLocation(GLuint, const GLchar*);
 GL_APICALL void GL_APIENTRY glGetVertexAttribfv(GLuint, GLenum, GLfloat*);
 GL_APICALL void GL_APIENTRY glGetVertexAttribiv(GLuint, GLenum, GLint*);
 GL_APICALL void GL_APIENTRY glGetVertexAttribPointerv(GLuint, GLenum, void**);
 GL_APICALL void GL_APIENTRY glHint(GLenum, GLenum);
 GL_APICALL GLboolean GL_APIENTRY glIsBuffer(GLuint);
 GL_APICALL GLboolean GL_APIENTRY glIsEnabled(GLenum);
 GL_APICALL GLboolean GL_APIENTRY glIsFramebuffer(GLuint);
 GL_APICALL GLboolean GL_APIENTRY glIsProgram(GLuint);
 GL_APICALL GLboolean GL_APIENTRY glIsRenderbuffer(GLuint);
 GL_APICALL GLboolean GL_APIENTRY glIsShader(GLuint);
 GL_APICALL GLboolean GL_APIENTRY glIsTexture(GLuint);
 GL_APICALL void GL_APIENTRY glLineWidth(GLfloat);
 GL_APICALL void GL_APIENTRY glLinkProgram(GLuint);
 GL_APICALL void GL_APIENTRY glPixelStorei(GLenum, GLint);
 GL_APICALL void GL_APIENTRY glPolygonOffset(GLfloat, GLfloat);
 GL_APICALL void GL_APIENTRY glReadPixels(GLint, GLint, GLsizei, GLsizei, GLenum, GLenum, void*);
 GL_APICALL void GL_APIENTRY glReleaseShaderCompiler();
 GL_APICALL void GL_APIENTRY glRenderbufferStorage(GLenum, GLenum, GLsizei, GLsizei);
 GL_APICALL void GL_APIENTRY glSampleCoverage(GLfloat, GLboolean);
 GL_APICALL void GL_APIENTRY glScissor(GLint, GLint, GLsizei, GLsizei);
 GL_APICALL void GL_APIENTRY glShaderBinary(GLsizei, const GLuint*, GLenum, const void*, GLsizei);
 GL_APICALL void GL_APIENTRY glShaderSource(GLuint, GLsizei, const GLchar*const*, const GLint*);
 GL_APICALL void GL_APIENTRY glStencilFunc(GLenum, GLint, GLuint);
 GL_APICALL void GL_APIENTRY glStencilFuncSeparate(GLenum, GLenum, GLint, GLuint);
 GL_APICALL void GL_APIENTRY glStencilMask(GLuint);
 GL_APICALL void GL_APIENTRY glStencilMaskSeparate(GLenum, GLuint);
 GL_APICALL void GL_APIENTRY glStencilOp(GLenum, GLenum, GLenum);
 GL_APICALL void GL_APIENTRY glStencilOpSeparate(GLenum, GLenum, GLenum, GLenum);
 GL_APICALL void GL_APIENTRY glTexImage2D(GLenum, GLint, GLsizei, GLsizei, GLsizei, GLint, GLenum, GLenum, const void*);
 GL_APICALL void GL_APIENTRY glTexParameterf(GLenum, GLenum, GLfloat);
 GL_APICALL void GL_APIENTRY glTexParameterfv(GLenum, GLenum, const GLfloat*);
 GL_APICALL void GL_APIENTRY glTexParameteri(GLenum, GLenum, GLint);
 GL_APICALL void GL_APIENTRY glTexParameteriv(GLenum, GLenum, const GLint*);
 GL_APICALL void GL_APIENTRY glTexSubImage2D(GLenum, GLint, GLint, GLint, GLsizei, GLsizei, GLenum, GLenum, const void*);
 GL_APICALL void GL_APIENTRY glUniform1f(GLint, GLfloat);
 GL_APICALL void GL_APIENTRY glUniform1fv(GLint, GLsizei, const GLfloat*);
 GL_APICALL void GL_APIENTRY glUniform1i(GLint, GLint);
 GL_APICALL void GL_APIENTRY glUniform1iv(GLint, GLsizei, const GLint*);
 GL_APICALL void GL_APIENTRY glUniform2f(GLint, GLfloat, GLfloat);
 GL_APICALL void GL_APIENTRY glUniform2fv(GLint, GLsizei, const GLfloat*);
 GL_APICALL void GL_APIENTRY glUniform2i(GLint, GLint, GLint);
 GL_APICALL void GL_APIENTRY glUniform2iv(GLint, GLsizei, const GLint*);
 GL_APICALL void GL_APIENTRY glUniform3f(GLint, GLfloat, GLfloat, GLfloat);
 GL_APICALL void GL_APIENTRY glUniform3fv(GLint, GLsizei, const GLfloat*);
 GL_APICALL void GL_APIENTRY glUniform3i(GLint, GLint, GLint, GLint);
 GL_APICALL void GL_APIENTRY glUniform3iv(GLint, GLsizei, const GLint*);
 GL_APICALL void GL_APIENTRY glUniform4f(GLint, GLfloat, GLfloat, GLfloat, GLfloat);
 GL_APICALL void GL_APIENTRY glUniform4fv(GLint, GLsizei, const GLfloat*);
 GL_APICALL void GL_APIENTRY glUniform4i(GLint, GLint, GLint, GLint, GLint);
 GL_APICALL void GL_APIENTRY glUniform4iv(GLint, GLsizei, const GLint*);
 GL_APICALL void GL_APIENTRY glUniformMatrix2fv(GLint, GLsizei, GLboolean, const GLfloat*);
 GL_APICALL void GL_APIENTRY glUniformMatrix3fv(GLint, GLsizei, GLboolean, const GLfloat*);
 GL_APICALL void GL_APIENTRY glUniformMatrix4fv(GLint, GLsizei, GLboolean, const GLfloat*);
 GL_APICALL void GL_APIENTRY glUseProgram(GLuint);
 GL_APICALL void GL_APIENTRY glValidateProgram(GLuint);
 GL_APICALL void GL_APIENTRY glVertexAttrib1f(GLuint, GLfloat);
 GL_APICALL void GL_APIENTRY glVertexAttrib1fv(GLuint, const GLfloat*);
 GL_APICALL void GL_APIENTRY glVertexAttrib2f(GLuint, GLfloat, GLfloat);
 GL_APICALL void GL_APIENTRY glVertexAttrib2fv(GLuint, const GLfloat*);
 GL_APICALL void GL_APIENTRY glVertexAttrib3f(GLuint, GLfloat, GLfloat, GLfloat);
 GL_APICALL void GL_APIENTRY glVertexAttrib3fv(GLuint, const GLfloat*);
 GL_APICALL void GL_APIENTRY glVertexAttrib4f(GLuint, GLfloat, GLfloat, GLfloat, GLfloat);
 GL_APICALL void GL_APIENTRY glVertexAttrib4fv(GLuint, const GLfloat*);
 GL_APICALL void GL_APIENTRY glVertexAttribPointer(GLuint, GLint, GLenum, GLboolean, GLsizei, const void*);
 GL_APICALL void GL_APIENTRY glViewport(GLint, GLint, GLsizei, GLsizei);
#endif
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__GLES2_gl2_h__ */

