/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__GLES2_gl2ext_h__
#define __FACE_CONFORM__GLES2_gl2ext_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <GLES2/gl2.h>
#ifndef GL_APIENTRYP
#ifndef GL_APIENTRYP
	#define GL_APIENTRYP GL_APIENTRY*
#endif
#endif
#ifndef GL_GLEXT_PROTOTYPES
#ifndef GL_GLEXT_PROTOTYPES
	#define GL_GLEXT_PROTOTYPES 
#endif
#endif
/* Begin GL_KHR_blend_equation_advanced */
#ifndef GL_KHR_blend_equation_advanced
#ifndef GL_KHR_blend_equation_advanced
	#define GL_KHR_blend_equation_advanced 1
#endif
#ifndef GL_BLEND_ADVANCED_COHERENT_KHR
	#define GL_BLEND_ADVANCED_COHERENT_KHR 0x9285
#endif
#ifndef GL_MULTIPLY_KHR
	#define GL_MULTIPLY_KHR 0x9294
#endif
#ifndef GL_SCREEN_KHR
	#define GL_SCREEN_KHR 0x9295
#endif
#ifndef GL_OVERLAY_KHR
	#define GL_OVERLAY_KHR 0x9296
#endif
#ifndef GL_DARKEN_KHR
	#define GL_DARKEN_KHR 0x9297
#endif
#ifndef GL_LIGHTEN_KHR
	#define GL_LIGHTEN_KHR 0x9298
#endif
#ifndef GL_COLORDODGE_KHR
	#define GL_COLORDODGE_KHR 0x9299
#endif
#ifndef GL_COLORBURN_KHR
	#define GL_COLORBURN_KHR 0x929A
#endif
#ifndef GL_HARDLIGHT_KHR
	#define GL_HARDLIGHT_KHR 0x929B
#endif
#ifndef GL_SOFTLIGHT_KHR
	#define GL_SOFTLIGHT_KHR 0x929C
#endif
#ifndef GL_DIFFERENCE_KHR
	#define GL_DIFFERENCE_KHR 0x929E
#endif
#ifndef GL_EXCLUSION_KHR
	#define GL_EXCLUSION_KHR 0x92A0
#endif
#ifndef GL_HSL_HUE_KHR
	#define GL_HSL_HUE_KHR 0x92AD
#endif
#ifndef GL_HSL_SATURATION_KHR
	#define GL_HSL_SATURATION_KHR 0x92AE
#endif
#ifndef GL_HSL_COLOR_KHR
	#define GL_HSL_COLOR_KHR 0x92AF
#endif
#ifndef GL_HSL_LUMINOSITY_KHR
	#define GL_HSL_LUMINOSITY_KHR 0x92B0
#endif
typedef void (GL_APIENTRYP PFNGLBLENDBARRIERKHRPROC) (void) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glBlendBarrierKHR();
#endif
#endif
/* End GL_KHR_blend_equation_advanced */
/* Begin GL_KHR_debug */
#ifndef GL_KHR_debug
#ifndef GL_KHR_debug
	#define GL_KHR_debug 1
#endif
typedef void (GL_APIENTRY  *GLDEBUGPROCKHR)(GLenum source,GLenum type,GLuint id,GLenum severity,GLsizei length,const GLchar *message,const void *userParam) ;
#ifndef GL_SAMPLER
	#define GL_SAMPLER 0x82E6
#endif
#ifndef GL_DEBUG_OUTPUT_SYNCHRONOUS_KHR
	#define GL_DEBUG_OUTPUT_SYNCHRONOUS_KHR 0x8242
#endif
#ifndef GL_DEBUG_NEXT_LOGGED_MESSAGE_LENGTH_KHR
	#define GL_DEBUG_NEXT_LOGGED_MESSAGE_LENGTH_KHR 0x8243
#endif
#ifndef GL_DEBUG_CALLBACK_FUNCTION_KHR
	#define GL_DEBUG_CALLBACK_FUNCTION_KHR 0x8244
#endif
#ifndef GL_DEBUG_CALLBACK_USER_PARAM_KHR
	#define GL_DEBUG_CALLBACK_USER_PARAM_KHR 0x8245
#endif
#ifndef GL_DEBUG_SOURCE_API_KHR
	#define GL_DEBUG_SOURCE_API_KHR 0x8246
#endif
#ifndef GL_DEBUG_SOURCE_WINDOW_SYSTEM_KHR
	#define GL_DEBUG_SOURCE_WINDOW_SYSTEM_KHR 0x8247
#endif
#ifndef GL_DEBUG_SOURCE_SHADER_COMPILER_KHR
	#define GL_DEBUG_SOURCE_SHADER_COMPILER_KHR 0x8248
#endif
#ifndef GL_DEBUG_SOURCE_THIRD_PARTY_KHR
	#define GL_DEBUG_SOURCE_THIRD_PARTY_KHR 0x8249
#endif
#ifndef GL_DEBUG_SOURCE_APPLICATION_KHR
	#define GL_DEBUG_SOURCE_APPLICATION_KHR 0x824A
#endif
#ifndef GL_DEBUG_SOURCE_OTHER_KHR
	#define GL_DEBUG_SOURCE_OTHER_KHR 0x824B
#endif
#ifndef GL_DEBUG_TYPE_ERROR_KHR
	#define GL_DEBUG_TYPE_ERROR_KHR 0x824C
#endif
#ifndef GL_DEBUG_TYPE_DEPRECATED_BEHAVIOR_KHR
	#define GL_DEBUG_TYPE_DEPRECATED_BEHAVIOR_KHR 0x824D
#endif
#ifndef GL_DEBUG_TYPE_UNDEFINED_BEHAVIOR_KHR
	#define GL_DEBUG_TYPE_UNDEFINED_BEHAVIOR_KHR 0x824E
#endif
#ifndef GL_DEBUG_TYPE_PORTABILITY_KHR
	#define GL_DEBUG_TYPE_PORTABILITY_KHR 0x824F
#endif
#ifndef GL_DEBUG_TYPE_PERFORMANCE_KHR
	#define GL_DEBUG_TYPE_PERFORMANCE_KHR 0x8250
#endif
#ifndef GL_DEBUG_TYPE_OTHER_KHR
	#define GL_DEBUG_TYPE_OTHER_KHR 0x8251
#endif
#ifndef GL_DEBUG_TYPE_MARKER_KHR
	#define GL_DEBUG_TYPE_MARKER_KHR 0x8268
#endif
#ifndef GL_DEBUG_TYPE_PUSH_GROUP_KHR
	#define GL_DEBUG_TYPE_PUSH_GROUP_KHR 0x8269
#endif
#ifndef GL_DEBUG_TYPE_POP_GROUP_KHR
	#define GL_DEBUG_TYPE_POP_GROUP_KHR 0x826A
#endif
#ifndef GL_DEBUG_SEVERITY_NOTIFICATION_KHR
	#define GL_DEBUG_SEVERITY_NOTIFICATION_KHR 0x826B
#endif
#ifndef GL_MAX_DEBUG_GROUP_STACK_DEPTH_KHR
	#define GL_MAX_DEBUG_GROUP_STACK_DEPTH_KHR 0x826C
#endif
#ifndef GL_DEBUG_GROUP_STACK_DEPTH_KHR
	#define GL_DEBUG_GROUP_STACK_DEPTH_KHR 0x826D
#endif
#ifndef GL_BUFFER_KHR
	#define GL_BUFFER_KHR 0x82E0
#endif
#ifndef GL_SHADER_KHR
	#define GL_SHADER_KHR 0x82E1
#endif
#ifndef GL_PROGRAM_KHR
	#define GL_PROGRAM_KHR 0x82E2
#endif
#ifndef GL_VERTEX_ARRAY_KHR
	#define GL_VERTEX_ARRAY_KHR 0x8074
#endif
#ifndef GL_QUERY_KHR
	#define GL_QUERY_KHR 0x82E3
#endif
#ifndef GL_SAMPLER_KHR
	#define GL_SAMPLER_KHR 0x82E6
#endif
#ifndef GL_MAX_LABEL_LENGTH_KHR
	#define GL_MAX_LABEL_LENGTH_KHR 0x82E8
#endif
#ifndef GL_MAX_DEBUG_MESSAGE_LENGTH_KHR
	#define GL_MAX_DEBUG_MESSAGE_LENGTH_KHR 0x9143
#endif
#ifndef GL_MAX_DEBUG_LOGGED_MESSAGES_KHR
	#define GL_MAX_DEBUG_LOGGED_MESSAGES_KHR 0x9144
#endif
#ifndef GL_DEBUG_LOGGED_MESSAGES_KHR
	#define GL_DEBUG_LOGGED_MESSAGES_KHR 0x9145
#endif
#ifndef GL_DEBUG_SEVERITY_HIGH_KHR
	#define GL_DEBUG_SEVERITY_HIGH_KHR 0x9146
#endif
#ifndef GL_DEBUG_SEVERITY_MEDIUM_KHR
	#define GL_DEBUG_SEVERITY_MEDIUM_KHR 0x9147
#endif
#ifndef GL_DEBUG_SEVERITY_LOW_KHR
	#define GL_DEBUG_SEVERITY_LOW_KHR 0x9148
#endif
#ifndef GL_DEBUG_OUTPUT_KHR
	#define GL_DEBUG_OUTPUT_KHR 0x92E0
#endif
#ifndef GL_CONTEXT_FLAG_DEBUG_BIT_KHR
	#define GL_CONTEXT_FLAG_DEBUG_BIT_KHR 0x00000002
#endif
#ifndef GL_STACK_OVERFLOW_KHR
	#define GL_STACK_OVERFLOW_KHR 0x0503
#endif
#ifndef GL_STACK_UNDERFLOW_KHR
	#define GL_STACK_UNDERFLOW_KHR 0x0504
#endif
typedef void (GL_APIENTRYP PFNGLDEBUGMESSAGECONTROLKHRPROC) (GLenum source, GLenum type, GLenum severity, GLsizei count, const GLuint *ids, GLboolean enabled) ;
typedef void (GL_APIENTRYP PFNGLDEBUGMESSAGEINSERTKHRPROC) (GLenum source, GLenum type, GLuint id, GLenum severity, GLsizei length, const GLchar *buf) ;
typedef void (GL_APIENTRYP PFNGLDEBUGMESSAGECALLBACKKHRPROC) (GLDEBUGPROCKHR callback, const void *userParam) ;
typedef GLuint (GL_APIENTRYP PFNGLGETDEBUGMESSAGELOGKHRPROC) (GLuint count, GLsizei bufSize, GLenum *sources, GLenum *types, GLuint *ids, GLenum *severities, GLsizei *lengths, GLchar *messageLog) ;
typedef void (GL_APIENTRYP PFNGLPUSHDEBUGGROUPKHRPROC) (GLenum source, GLuint id, GLsizei length, const GLchar *message) ;
typedef void (GL_APIENTRYP PFNGLPOPDEBUGGROUPKHRPROC) (void) ;
typedef void (GL_APIENTRYP PFNGLOBJECTLABELKHRPROC) (GLenum identifier, GLuint name, GLsizei length, const GLchar *label) ;
typedef void (GL_APIENTRYP PFNGLGETOBJECTLABELKHRPROC) (GLenum identifier, GLuint name, GLsizei bufSize, GLsizei *length, GLchar *label) ;
typedef void (GL_APIENTRYP PFNGLOBJECTPTRLABELKHRPROC) (const void *ptr, GLsizei length, const GLchar *label) ;
typedef void (GL_APIENTRYP PFNGLGETOBJECTPTRLABELKHRPROC) (const void *ptr, GLsizei bufSize, GLsizei *length, GLchar *label) ;
typedef void (GL_APIENTRYP PFNGLGETPOINTERVKHRPROC) (GLenum pname, void **params) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glDebugMessageControlKHR(GLenum, GLenum, GLenum, GLsizei, const GLuint*, GLboolean);
 GL_APICALL void GL_APIENTRY glDebugMessageInsertKHR(GLenum, GLenum, GLuint, GLenum, GLsizei, const GLchar*);
 GL_APICALL void GL_APIENTRY glDebugMessageCallbackKHR(GLDEBUGPROCKHR, const void*);
 GL_APICALL void GL_APIENTRY glGetDebugMessageLogKHR(GLuint, GLsizei, GLenum*, GLenum*, GLuint*, GLenum*, GLsizei*, GLchar*);
 GL_APICALL void GL_APIENTRY glPushDebugGroupKHR(GLenum, GLuint, GLsizei, const GLchar*);
 GL_APICALL void GL_APIENTRY glPopDebugGroupKHR();
 GL_APICALL void GL_APIENTRY glObjectLabelKHR(GLenum, GLuint, GLsizei, const GLchar*);
 GL_APICALL void GL_APIENTRY glGetObjectLabelKHR(GLenum, GLuint, GLsizei, GLsizei*, GLchar*);
 GL_APICALL void GL_APIENTRY glObjectPtrLabelKHR(const void*, GLsizei, const GLchar*);
 GL_APICALL void GL_APIENTRY glGetObjectPtrLabelKHR(const void*, GLsizei, GLsizei*, GLchar*);
 GL_APICALL void GL_APIENTRY glGetPointervKHR(GLenum, void**);
#endif
#endif
/* End GL_KHR_debug */
/* Begin GL_KHR_texture_compression_astc_hdr */
#ifndef GL_KHR_texture_compression_astc_hdr
#ifndef GL_KHR_texture_compression_astc_hdr
	#define GL_KHR_texture_compression_astc_hdr 1
#endif
#ifndef GL_COMPRESSED_RGBA_ASTC_4x4_KHR
	#define GL_COMPRESSED_RGBA_ASTC_4x4_KHR 0x93B0
#endif
#ifndef GL_COMPRESSED_RGBA_ASTC_5x4_KHR
	#define GL_COMPRESSED_RGBA_ASTC_5x4_KHR 0x93B1
#endif
#ifndef GL_COMPRESSED_RGBA_ASTC_5x5_KHR
	#define GL_COMPRESSED_RGBA_ASTC_5x5_KHR 0x93B2
#endif
#ifndef GL_COMPRESSED_RGBA_ASTC_6x5_KHR
	#define GL_COMPRESSED_RGBA_ASTC_6x5_KHR 0x93B3
#endif
#ifndef GL_COMPRESSED_RGBA_ASTC_6x6_KHR
	#define GL_COMPRESSED_RGBA_ASTC_6x6_KHR 0x93B4
#endif
#ifndef GL_COMPRESSED_RGBA_ASTC_8x5_KHR
	#define GL_COMPRESSED_RGBA_ASTC_8x5_KHR 0x93B5
#endif
#ifndef GL_COMPRESSED_RGBA_ASTC_8x6_KHR
	#define GL_COMPRESSED_RGBA_ASTC_8x6_KHR 0x93B6
#endif
#ifndef GL_COMPRESSED_RGBA_ASTC_8x8_KHR
	#define GL_COMPRESSED_RGBA_ASTC_8x8_KHR 0x93B7
#endif
#ifndef GL_COMPRESSED_RGBA_ASTC_10x5_KHR
	#define GL_COMPRESSED_RGBA_ASTC_10x5_KHR 0x93B8
#endif
#ifndef GL_COMPRESSED_RGBA_ASTC_10x6_KHR
	#define GL_COMPRESSED_RGBA_ASTC_10x6_KHR 0x93B9
#endif
#ifndef GL_COMPRESSED_RGBA_ASTC_10x8_KHR
	#define GL_COMPRESSED_RGBA_ASTC_10x8_KHR 0x93BA
#endif
#ifndef GL_COMPRESSED_RGBA_ASTC_10x10_KHR
	#define GL_COMPRESSED_RGBA_ASTC_10x10_KHR 0x93BB
#endif
#ifndef GL_COMPRESSED_RGBA_ASTC_12x10_KHR
	#define GL_COMPRESSED_RGBA_ASTC_12x10_KHR 0x93BC
#endif
#ifndef GL_COMPRESSED_RGBA_ASTC_12x12_KHR
	#define GL_COMPRESSED_RGBA_ASTC_12x12_KHR 0x93BD
#endif
#ifndef GL_COMPRESSED_SRGB8_ALPHA8_ASTC_4x4_KHR
	#define GL_COMPRESSED_SRGB8_ALPHA8_ASTC_4x4_KHR 0x93D0
#endif
#ifndef GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x4_KHR
	#define GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x4_KHR 0x93D1
#endif
#ifndef GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x5_KHR
	#define GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x5_KHR 0x93D2
#endif
#ifndef GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x5_KHR
	#define GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x5_KHR 0x93D3
#endif
#ifndef GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x6_KHR
	#define GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x6_KHR 0x93D4
#endif
#ifndef GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x5_KHR
	#define GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x5_KHR 0x93D5
#endif
#ifndef GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x6_KHR
	#define GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x6_KHR 0x93D6
#endif
#ifndef GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x8_KHR
	#define GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x8_KHR 0x93D7
#endif
#ifndef GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x5_KHR
	#define GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x5_KHR 0x93D8
#endif
#ifndef GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x6_KHR
	#define GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x6_KHR 0x93D9
#endif
#ifndef GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x8_KHR
	#define GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x8_KHR 0x93DA
#endif
#ifndef GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x10_KHR
	#define GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x10_KHR 0x93DB
#endif
#ifndef GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x10_KHR
	#define GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x10_KHR 0x93DC
#endif
#ifndef GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x12_KHR
	#define GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x12_KHR 0x93DD
#endif
#endif
/* End GL_KHR_texture_compression_astc_hdr */
/* Begin GL_KHR_texture_compression_astc_ldr */
#ifndef GL_KHR_texture_compression_astc_ldr
#ifndef GL_KHR_texture_compression_astc_ldr
	#define GL_KHR_texture_compression_astc_ldr 1
#endif
#endif
/* End GL_KHR_texture_compression_astc_ldr */
/* Begin GL_OES_EGL_image */
#ifndef GL_OES_EGL_image
#ifndef GL_OES_EGL_image
	#define GL_OES_EGL_image 1
#endif
#ifndef __FACE_CONFORM____GLEGLIMAGEOES__
#define __FACE_CONFORM____GLEGLIMAGEOES__
typedef void* GLeglImageOES;

#endif  /* __FACE_CONFORM____GLEGLIMAGEOES__ */

typedef void (GL_APIENTRYP PFNGLEGLIMAGETARGETTEXTURE2DOESPROC) (GLenum target, GLeglImageOES image) ;
typedef void (GL_APIENTRYP PFNGLEGLIMAGETARGETRENDERBUFFERSTORAGEOESPROC) (GLenum target, GLeglImageOES image) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glEGLImageTargetTexture2DOES(GLenum, GLeglImageOES);
 GL_APICALL void GL_APIENTRY glEGLImageTargetRenderbufferStorageOES(GLenum, GLeglImageOES);
#endif
#endif
/* End GL_OES_EGL_image */
/* Begin GL_OES_EGL_image_external */
#ifndef GL_OES_EGL_image_external
#ifndef GL_OES_EGL_image_external
	#define GL_OES_EGL_image_external 1
#endif
#ifndef GL_TEXTURE_EXTERNAL_OES
	#define GL_TEXTURE_EXTERNAL_OES 0x8D65
#endif
#ifndef GL_TEXTURE_BINDING_EXTERNAL_OES
	#define GL_TEXTURE_BINDING_EXTERNAL_OES 0x8D67
#endif
#ifndef GL_REQUIRED_TEXTURE_IMAGE_UNITS_OES
	#define GL_REQUIRED_TEXTURE_IMAGE_UNITS_OES 0x8D68
#endif
#ifndef GL_SAMPLER_EXTERNAL_OES
	#define GL_SAMPLER_EXTERNAL_OES 0x8D66
#endif
#endif
/* End GL_OES_EGL_image_external */
/* Begin GL_OES_compressed_ETC1_RGB8_texture */
#ifndef GL_OES_compressed_ETC1_RGB8_texture
#ifndef GL_OES_compressed_ETC1_RGB8_texture
	#define GL_OES_compressed_ETC1_RGB8_texture 1
#endif
#ifndef GL_ETC1_RGB8_OES
	#define GL_ETC1_RGB8_OES 0x8D64
#endif
#endif
/* End GL_OES_compressed_ETC1_RGB8_texture */
/* Begin GL_OES_compressed_ETC1_RGB8_texture */
#ifndef GL_OES_compressed_ETC1_RGB8_texture
#ifndef GL_OES_compressed_ETC1_RGB8_texture
	#define GL_OES_compressed_ETC1_RGB8_texture 1
#endif
#ifndef GL_ETC1_RGB8_OES
	#define GL_ETC1_RGB8_OES 0x8D64
#endif
#endif
/* End GL_OES_compressed_ETC1_RGB8_texture */
/* Begin GL_OES_compressed_paletted_texture */
#ifndef GL_OES_compressed_paletted_texture
#ifndef GL_OES_compressed_paletted_texture
	#define GL_OES_compressed_paletted_texture 1
#endif
#ifndef GL_PALETTE4_RGB8_OES
	#define GL_PALETTE4_RGB8_OES 0x8B90
#endif
#ifndef GL_PALETTE4_RGBA8_OES
	#define GL_PALETTE4_RGBA8_OES 0x8B91
#endif
#ifndef GL_PALETTE4_R5_G6_B5_OES
	#define GL_PALETTE4_R5_G6_B5_OES 0x8B92
#endif
#ifndef GL_PALETTE4_RGBA4_OES
	#define GL_PALETTE4_RGBA4_OES 0x8B93
#endif
#ifndef GL_PALETTE4_RGB5_A1_OES
	#define GL_PALETTE4_RGB5_A1_OES 0x8B94
#endif
#ifndef GL_PALETTE8_RGB8_OES
	#define GL_PALETTE8_RGB8_OES 0x8B95
#endif
#ifndef GL_PALETTE8_RGBA8_OES
	#define GL_PALETTE8_RGBA8_OES 0x8B96
#endif
#ifndef GL_PALETTE8_R5_G6_B5_OES
	#define GL_PALETTE8_R5_G6_B5_OES 0x8B97
#endif
#ifndef GL_PALETTE8_RGBA4_OES
	#define GL_PALETTE8_RGBA4_OES 0x8B98
#endif
#ifndef GL_PALETTE8_RGB5_A1_OES
	#define GL_PALETTE8_RGB5_A1_OES 0x8B99
#endif
#endif
/* End GL_OES_compressed_paletted_texture */
/* Begin GL_OES_depth24 */
#ifndef GL_OES_depth24
#ifndef GL_OES_depth24
	#define GL_OES_depth24 1
#endif
#ifndef GL_DEPTH_COMPONENT24_OES
	#define GL_DEPTH_COMPONENT24_OES 0x81A6
#endif
#endif
/* End GL_OES_depth24 */
/* Begin GL_OES_depth32 */
#ifndef GL_OES_depth32
#ifndef GL_OES_depth32
	#define GL_OES_depth32 1
#endif
#ifndef GL_DEPTH_COMPONENT32_OES
	#define GL_DEPTH_COMPONENT32_OES 0x81A7
#endif
#endif
/* End GL_OES_depth32 */
/* Begin GL_OES_depth_texture */
#ifndef GL_OES_depth_texture
#ifndef GL_OES_depth_texture
	#define GL_OES_depth_texture 1
#endif
#endif
/* End GL_OES_depth_texture */
/* Begin GL_OES_element_index_uint */
#ifndef GL_OES_element_index_uint
#ifndef GL_OES_element_index_uint
	#define GL_OES_element_index_uint 1
#endif
#endif
/* End GL_OES_element_index_uint */
/* Begin GL_OES_fbo_render_mipmap */
#ifndef GL_OES_fbo_render_mipmap
#ifndef GL_OES_fbo_render_mipmap
	#define GL_OES_fbo_render_mipmap 1
#endif
#endif
/* End GL_OES_fbo_render_mipmap */
/* Begin GL_OES_fragment_precision_high */
#ifndef GL_OES_fragment_precision_high
#ifndef GL_OES_fragment_precision_high
	#define GL_OES_fragment_precision_high 1
#endif
#endif
/* End GL_OES_fragment_precision_high */
/* Begin GL_OES_get_program_binary */
#ifndef GL_OES_get_program_binary
#ifndef GL_OES_get_program_binary
	#define GL_OES_get_program_binary 1
#endif
#ifndef GL_PROGRAM_BINARY_LENGTH_OES
	#define GL_PROGRAM_BINARY_LENGTH_OES 0x8741
#endif
#ifndef GL_NUM_PROGRAM_BINARY_FORMATS_OES
	#define GL_NUM_PROGRAM_BINARY_FORMATS_OES 0x87FE
#endif
#ifndef GL_PROGRAM_BINARY_FORMATS_OES
	#define GL_PROGRAM_BINARY_FORMATS_OES 0x87FF
#endif
typedef void (GL_APIENTRYP PFNGLGETPROGRAMBINARYOESPROC) (GLuint program, GLsizei bufSize, GLsizei *length, GLenum *binaryFormat, void *binary) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMBINARYOESPROC) (GLuint program, GLenum binaryFormat, const void *binary, GLint length) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glGetProgramBinaryOES(GLuint, GLsizei, GLsizei*, GLenum*, void*);
 GL_APICALL void GL_APIENTRY glProgramBinaryOES(GLuint, GLenum, const void*, GLint);
#endif
#endif
/* End GL_OES_get_program_binary */
/* Begin GL_OES_mapbuffer */
#ifndef GL_OES_mapbuffer
#ifndef GL_OES_mapbuffer
	#define GL_OES_mapbuffer 1
#endif
#ifndef GL_WRITE_ONLY_OES
	#define GL_WRITE_ONLY_OES 0x88B9
#endif
#ifndef GL_BUFFER_ACCESS_OES
	#define GL_BUFFER_ACCESS_OES 0x88BB
#endif
#ifndef GL_BUFFER_MAPPED_OES
	#define GL_BUFFER_MAPPED_OES 0x88BC
#endif
#ifndef GL_BUFFER_MAP_POINTER_OES
	#define GL_BUFFER_MAP_POINTER_OES 0x88BD
#endif
typedef void *(GL_APIENTRYP PFNGLMAPBUFFEROESPROC) (GLenum target, GLenum access) ;
typedef GLboolean (GL_APIENTRYP PFNGLUNMAPBUFFEROESPROC) (GLenum target) ;
typedef void (GL_APIENTRYP PFNGLGETBUFFERPOINTERVOESPROC) (GLenum target, GLenum pname, void **params) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void* GL_APIENTRY glMapBufferOES(GLenum, GLenum);
 GL_APICALL GLboolean GL_APIENTRY glUnmapBufferOES(GLenum);
 GL_APICALL void GL_APIENTRY glGetBufferPointervOES(GLenum, GLenum, void**);
#endif
#endif
/* End GL_OES_mapbuffer */
/* Begin GL_OES_packed_depth_stencil */
#ifndef GL_OES_packed_depth_stencil
#ifndef GL_OES_packed_depth_stencil
	#define GL_OES_packed_depth_stencil 1
#endif
#ifndef GL_DEPTH_STENCIL_OES
	#define GL_DEPTH_STENCIL_OES 0x84F9
#endif
#ifndef GL_UNSIGNED_INT_24_8_OES
	#define GL_UNSIGNED_INT_24_8_OES 0x84FA
#endif
#ifndef GL_DEPTH24_STENCIL8_OES
	#define GL_DEPTH24_STENCIL8_OES 0x88F0
#endif
#endif
/* End GL_OES_packed_depth_stencil */
/* Begin GL_OES_required_internalformat */
#ifndef GL_OES_required_internalformat
#ifndef GL_OES_required_internalformat
	#define GL_OES_required_internalformat 1
#endif
#ifndef GL_ALPHA8_OES
	#define GL_ALPHA8_OES 0x803C
#endif
#ifndef GL_DEPTH_COMPONENT16_OES
	#define GL_DEPTH_COMPONENT16_OES 0x81A5
#endif
#ifndef GL_LUMINANCE4_ALPHA4_OES
	#define GL_LUMINANCE4_ALPHA4_OES 0x8043
#endif
#ifndef GL_LUMINANCE8_ALPHA8_OES
	#define GL_LUMINANCE8_ALPHA8_OES 0x8045
#endif
#ifndef GL_LUMINANCE8_OES
	#define GL_LUMINANCE8_OES 0x8040
#endif
#ifndef GL_RGBA4_OES
	#define GL_RGBA4_OES 0x8056
#endif
#ifndef GL_RGB5_A1_OES
	#define GL_RGB5_A1_OES 0x8057
#endif
#ifndef GL_RGB565_OES
	#define GL_RGB565_OES 0x8D62
#endif
#ifndef GL_RGB8_OES
	#define GL_RGB8_OES 0x8051
#endif
#ifndef GL_RGBA8_OES
	#define GL_RGBA8_OES 0x8058
#endif
#ifndef GL_RGB10_EXT
	#define GL_RGB10_EXT 0x8052
#endif
#ifndef GL_RGB10_A2_EXT
	#define GL_RGB10_A2_EXT 0x8059
#endif
#endif
/* End GL_OES_required_internalformat */
/* Begin GL_OES_rgb8_rgba8 */
#ifndef GL_OES_rgb8_rgba8
#ifndef GL_OES_rgb8_rgba8
	#define GL_OES_rgb8_rgba8 1
#endif
#endif
/* End GL_OES_rgb8_rgba8 */
/* Begin GL_OES_sample_shading */
#ifndef GL_OES_sample_shading
#ifndef GL_OES_sample_shading
	#define GL_OES_sample_shading 1
#endif
#ifndef GL_SAMPLE_SHADING_OES
	#define GL_SAMPLE_SHADING_OES 0x8C36
#endif
#ifndef GL_MIN_SAMPLE_SHADING_VALUE_OES
	#define GL_MIN_SAMPLE_SHADING_VALUE_OES 0x8C37
#endif
typedef void (GL_APIENTRYP PFNGLMINSAMPLESHADINGOESPROC) (GLfloat value) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glMinSampleShadingOES(GLfloat);
#endif
#endif
/* End GL_OES_sample_shading */
/* Begin GL_OES_sample_variables */
#ifndef GL_OES_sample_variables
#ifndef GL_OES_sample_variables
	#define GL_OES_sample_variables 1
#endif
#endif
/* End GL_OES_sample_variables */
/* Begin GL_OES_shader_image_atomic */
#ifndef GL_OES_shader_image_atomic
#ifndef GL_OES_shader_image_atomic
	#define GL_OES_shader_image_atomic 1
#endif
#endif
/* End GL_OES_shader_image_atomic */
/* Begin GL_OES_shader_multisample_interpolation */
#ifndef GL_OES_shader_multisample_interpolation
#ifndef GL_OES_shader_multisample_interpolation
	#define GL_OES_shader_multisample_interpolation 1
#endif
#ifndef GL_MIN_FRAGMENT_INTERPOLATION_OFFSET_OES
	#define GL_MIN_FRAGMENT_INTERPOLATION_OFFSET_OES 0x8E5B
#endif
#ifndef GL_MAX_FRAGMENT_INTERPOLATION_OFFSET_OES
	#define GL_MAX_FRAGMENT_INTERPOLATION_OFFSET_OES 0x8E5C
#endif
#ifndef GL_FRAGMENT_INTERPOLATION_OFFSET_BITS_OES
	#define GL_FRAGMENT_INTERPOLATION_OFFSET_BITS_OES 0x8E5D
#endif
#endif
/* End GL_OES_shader_multisample_interpolation */
/* Begin GL_OES_standard_derivatives */
#ifndef GL_OES_standard_derivatives
#ifndef GL_OES_standard_derivatives
	#define GL_OES_standard_derivatives 1
#endif
#ifndef GL_FRAGMENT_SHADER_DERIVATIVE_HINT_OES
	#define GL_FRAGMENT_SHADER_DERIVATIVE_HINT_OES 0x8B8B
#endif
#endif
/* End GL_OES_standard_derivatives */
/* Begin GL_OES_stencil1 */
#ifndef GL_OES_stencil1
#ifndef GL_OES_stencil1
	#define GL_OES_stencil1 1
#endif
#ifndef GL_STENCIL_INDEX1_OES
	#define GL_STENCIL_INDEX1_OES 0x8D46
#endif
#endif
/* End GL_OES_stencil1 */
/* Begin GL_OES_stencil4 */
#ifndef GL_OES_stencil4
#ifndef GL_OES_stencil4
	#define GL_OES_stencil4 1
#endif
#ifndef GL_STENCIL_INDEX4_OES
	#define GL_STENCIL_INDEX4_OES 0x8D47
#endif
#endif
/* End GL_OES_stencil4 */
/* Begin GL_OES_surfaceless_context */
#ifndef GL_OES_surfaceless_context
#ifndef GL_OES_surfaceless_context
	#define GL_OES_surfaceless_context 1
#endif
#ifndef GL_FRAMEBUFFER_UNDEFINED_OES
	#define GL_FRAMEBUFFER_UNDEFINED_OES 0x8219
#endif
#endif
/* End GL_OES_surfaceless_context */
/* Begin GL_OES_texture_3D */
#ifndef GL_OES_texture_3D
#ifndef GL_OES_texture_3D
	#define GL_OES_texture_3D 1
#endif
#ifndef GL_TEXTURE_WRAP_R_OES
	#define GL_TEXTURE_WRAP_R_OES 0x8072
#endif
#ifndef GL_TEXTURE_3D_OES
	#define GL_TEXTURE_3D_OES 0x806F
#endif
#ifndef GL_TEXTURE_BINDING_3D_OES
	#define GL_TEXTURE_BINDING_3D_OES 0x806A
#endif
#ifndef GL_MAX_3D_TEXTURE_SIZE_OES
	#define GL_MAX_3D_TEXTURE_SIZE_OES 0x8073
#endif
#ifndef GL_SAMPLER_3D_OES
	#define GL_SAMPLER_3D_OES 0x8B5F
#endif
#ifndef GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_3D_ZOFFSET_OES
	#define GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_3D_ZOFFSET_OES 0x8CD4
#endif
typedef void (GL_APIENTRYP PFNGLTEXIMAGE3DOESPROC) (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const void *pixels) ;
typedef void (GL_APIENTRYP PFNGLTEXSUBIMAGE3DOESPROC) (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const void *pixels) ;
typedef void (GL_APIENTRYP PFNGLCOPYTEXSUBIMAGE3DOESPROC) (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height) ;
typedef void (GL_APIENTRYP PFNGLCOMPRESSEDTEXIMAGE3DOESPROC) (GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const void *data) ;
typedef void (GL_APIENTRYP PFNGLCOMPRESSEDTEXSUBIMAGE3DOESPROC) (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const void *data) ;
typedef void (GL_APIENTRYP PFNGLFRAMEBUFFERTEXTURE3DOESPROC) (GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glTexImage3DOES(GLenum, GLint, GLenum, GLsizei, GLsizei, GLsizei, GLint, GLenum, GLenum, const void*);
 GL_APICALL void GL_APIENTRY glTexSubImage3DOES(GLenum, GLint, GLint, GLint, GLint, GLsizei, GLsizei, GLsizei, GLenum, GLenum, const void*);
 GL_APICALL void GL_APIENTRY glCopyTexSubImage3DOES(GLenum, GLint, GLint, GLint, GLint, GLint, GLint, GLsizei, GLsizei);
 GL_APICALL void GL_APIENTRY glCompressedTexImage3DOES(GLenum, GLint, GLenum, GLsizei, GLsizei, GLsizei, GLint, GLsizei, const void*);
 GL_APICALL void GL_APIENTRY glCompressedTexSubImage3DOES(GLenum, GLint, GLint, GLint, GLint, GLsizei, GLsizei, GLsizei, GLenum, GLsizei, const void*);
 GL_APICALL void GL_APIENTRY glFramebufferTexture3DOES(GLenum, GLenum, GLenum, GLuint, GLint, GLint);
#endif
#endif
/* End GL_OES_texture_3D */
/* Begin GL_OES_texture_compression_astc */
#ifndef GL_OES_texture_compression_astc
#ifndef GL_OES_texture_compression_astc
	#define GL_OES_texture_compression_astc 1
#endif
#ifndef GL_COMPRESSED_RGBA_ASTC_3x3x3_OES
	#define GL_COMPRESSED_RGBA_ASTC_3x3x3_OES 0x93C0
#endif
#ifndef GL_COMPRESSED_RGBA_ASTC_4x3x3_OES
	#define GL_COMPRESSED_RGBA_ASTC_4x3x3_OES 0x93C1
#endif
#ifndef GL_COMPRESSED_RGBA_ASTC_4x4x3_OES
	#define GL_COMPRESSED_RGBA_ASTC_4x4x3_OES 0x93C2
#endif
#ifndef GL_COMPRESSED_RGBA_ASTC_4x4x4_OES
	#define GL_COMPRESSED_RGBA_ASTC_4x4x4_OES 0x93C3
#endif
#ifndef GL_COMPRESSED_RGBA_ASTC_5x4x4_OES
	#define GL_COMPRESSED_RGBA_ASTC_5x4x4_OES 0x93C4
#endif
#ifndef GL_COMPRESSED_RGBA_ASTC_5x5x4_OES
	#define GL_COMPRESSED_RGBA_ASTC_5x5x4_OES 0x93C5
#endif
#ifndef GL_COMPRESSED_RGBA_ASTC_5x5x5_OES
	#define GL_COMPRESSED_RGBA_ASTC_5x5x5_OES 0x93C6
#endif
#ifndef GL_COMPRESSED_RGBA_ASTC_6x5x5_OES
	#define GL_COMPRESSED_RGBA_ASTC_6x5x5_OES 0x93C7
#endif
#ifndef GL_COMPRESSED_RGBA_ASTC_6x6x5_OES
	#define GL_COMPRESSED_RGBA_ASTC_6x6x5_OES 0x93C8
#endif
#ifndef GL_COMPRESSED_RGBA_ASTC_6x6x6_OES
	#define GL_COMPRESSED_RGBA_ASTC_6x6x6_OES 0x93C9
#endif
#ifndef GL_COMPRESSED_SRGB8_ALPHA8_ASTC_3x3x3_OES
	#define GL_COMPRESSED_SRGB8_ALPHA8_ASTC_3x3x3_OES 0x93E0
#endif
#ifndef GL_COMPRESSED_SRGB8_ALPHA8_ASTC_4x3x3_OES
	#define GL_COMPRESSED_SRGB8_ALPHA8_ASTC_4x3x3_OES 0x93E1
#endif
#ifndef GL_COMPRESSED_SRGB8_ALPHA8_ASTC_4x4x3_OES
	#define GL_COMPRESSED_SRGB8_ALPHA8_ASTC_4x4x3_OES 0x93E2
#endif
#ifndef GL_COMPRESSED_SRGB8_ALPHA8_ASTC_4x4x4_OES
	#define GL_COMPRESSED_SRGB8_ALPHA8_ASTC_4x4x4_OES 0x93E3
#endif
#ifndef GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x4x4_OES
	#define GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x4x4_OES 0x93E4
#endif
#ifndef GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x5x4_OES
	#define GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x5x4_OES 0x93E5
#endif
#ifndef GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x5x5_OES
	#define GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x5x5_OES 0x93E6
#endif
#ifndef GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x5x5_OES
	#define GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x5x5_OES 0x93E7
#endif
#ifndef GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x6x5_OES
	#define GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x6x5_OES 0x93E8
#endif
#ifndef GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x6x6_OES
	#define GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x6x6_OES 0x93E9
#endif
#endif
/* End GL_OES_texture_compression_astc */
/* Begin GL_OES_texture_float */
#ifndef GL_OES_texture_float
#ifndef GL_OES_texture_float
	#define GL_OES_texture_float 1
#endif
#endif
/* End GL_OES_texture_float */
/* Begin GL_OES_texture_float_linear */
#ifndef GL_OES_texture_float_linear
#ifndef GL_OES_texture_float_linear
	#define GL_OES_texture_float_linear 1
#endif
#endif
/* End GL_OES_texture_float_linear */
/* Begin GL_OES_texture_half_float */
#ifndef GL_OES_texture_half_float
#ifndef GL_OES_texture_half_float
	#define GL_OES_texture_half_float 1
#endif
#endif
/* End GL_OES_texture_half_float */
/* Begin GL_OES_texture_half_float_linear */
#ifndef GL_OES_texture_half_float_linear
#ifndef GL_OES_texture_half_float_linear
	#define GL_OES_texture_half_float_linear 1
#endif
#endif
/* End GL_OES_texture_half_float_linear */
/* Begin GL_OES_texture_npot */
#ifndef GL_OES_texture_npot
#ifndef GL_OES_texture_npot
	#define GL_OES_texture_npot 1
#endif
#endif
/* End GL_OES_texture_npot */
/* Begin GL_OES_texture_stencil8 */
#ifndef GL_OES_texture_stencil8
#ifndef GL_OES_texture_stencil8
	#define GL_OES_texture_stencil8 1
#endif
#ifndef GL_STENCIL_INDEX_OES
	#define GL_STENCIL_INDEX_OES 0x1901
#endif
#ifndef GL_STENCIL_INDEX8_OES
	#define GL_STENCIL_INDEX8_OES 0x8D48
#endif
#endif
/* End GL_OES_texture_stencil8 */
/* Begin GL_OES_texture_storage_multisample_2d_array */
#ifndef GL_OES_texture_storage_multisample_2d_array
#ifndef GL_OES_texture_storage_multisample_2d_array
	#define GL_OES_texture_storage_multisample_2d_array 1
#endif
#ifndef GL_TEXTURE_2D_MULTISAMPLE_ARRAY_OES
	#define GL_TEXTURE_2D_MULTISAMPLE_ARRAY_OES 0x9102
#endif
#ifndef GL_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY_OES
	#define GL_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY_OES 0x9105
#endif
#ifndef GL_SAMPLER_2D_MULTISAMPLE_ARRAY_OES
	#define GL_SAMPLER_2D_MULTISAMPLE_ARRAY_OES 0x910B
#endif
#ifndef GL_INT_SAMPLER_2D_MULTISAMPLE_ARRAY_OES
	#define GL_INT_SAMPLER_2D_MULTISAMPLE_ARRAY_OES 0x910C
#endif
#ifndef GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY_OES
	#define GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY_OES 0x910D
#endif
typedef void (GL_APIENTRYP PFNGLTEXSTORAGE3DMULTISAMPLEOESPROC) (GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glTexStorage3DMultisampleOES(GLenum, GLsizei, GLenum, GLsizei, GLsizei, GLsizei, GLboolean);
#endif
#endif
/* End GL_OES_texture_storage_multisample_2d_array */
/* Begin GL_OES_vertex_array_object */
#ifndef GL_OES_vertex_array_object
#ifndef GL_OES_vertex_array_object
	#define GL_OES_vertex_array_object 1
#endif
#ifndef GL_VERTEX_ARRAY_BINDING_OES
	#define GL_VERTEX_ARRAY_BINDING_OES 0x85B5
#endif
typedef void (GL_APIENTRYP PFNGLBINDVERTEXARRAYOESPROC) (GLuint array) ;
typedef void (GL_APIENTRYP PFNGLDELETEVERTEXARRAYSOESPROC) (GLsizei n, const GLuint *arrays) ;
typedef void (GL_APIENTRYP PFNGLGENVERTEXARRAYSOESPROC) (GLsizei n, GLuint *arrays) ;
typedef GLboolean (GL_APIENTRYP PFNGLISVERTEXARRAYOESPROC) (GLuint array) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glBindVertexArrayOES(GLuint);
 GL_APICALL void GL_APIENTRY glDeleteVertexArraysOES(GLsizei, const GLuint*);
 GL_APICALL void GL_APIENTRY glGenVertexArraysOES(GLsizei, GLuint*);
 GL_APICALL GLboolean GL_APIENTRY glIsVertexArrayOES(GLuint);
#endif
#endif
/* End GL_OES_vertex_array_object */
/* Begin GL_OES_vertex_half_float */
#ifndef GL_OES_vertex_half_float
#ifndef GL_OES_vertex_half_float
	#define GL_OES_vertex_half_float 1
#endif
#endif
/* End GL_OES_vertex_half_float */
/* Begin GL_OES_vertex_type_10_10_10_2 */
#ifndef GL_OES_vertex_type_10_10_10_2
#ifndef GL_OES_vertex_type_10_10_10_2
	#define GL_OES_vertex_type_10_10_10_2 1
#endif
#ifndef GL_UNSIGNED_INT_10_10_10_2_OES
	#define GL_UNSIGNED_INT_10_10_10_2_OES 0x8DF6
#endif
#ifndef GL_INT_10_10_10_2_OES
	#define GL_INT_10_10_10_2_OES 0x8DF7
#endif
#endif
/* End GL_OES_vertex_type_10_10_10_2 */
/* Begin GL_AMD_compressed_3DC_texture */
#ifndef GL_AMD_compressed_3DC_texture
#ifndef GL_AMD_compressed_3DC_texture
	#define GL_AMD_compressed_3DC_texture 1
#endif
#ifndef GL_3DC_X_AMD
	#define GL_3DC_X_AMD 0x87F9
#endif
#ifndef GL_3DC_XY_AMD
	#define GL_3DC_XY_AMD 0x87FA
#endif
#endif
/* End GL_AMD_compressed_3DC_texture */
/* Begin GL_AMD_compressed_ATC_texture */
#ifndef GL_AMD_compressed_ATC_texture
#ifndef GL_AMD_compressed_ATC_texture
	#define GL_AMD_compressed_ATC_texture 1
#endif
#ifndef GL_ATC_RGB_AMD
	#define GL_ATC_RGB_AMD 0x8C92
#endif
#ifndef GL_ATC_RGBA_EXPLICIT_ALPHA_AMD
	#define GL_ATC_RGBA_EXPLICIT_ALPHA_AMD 0x8C93
#endif
#ifndef GL_ATC_RGBA_INTERPOLATED_ALPHA_AMD
	#define GL_ATC_RGBA_INTERPOLATED_ALPHA_AMD 0x87EE
#endif
#endif
/* End GL_AMD_compressed_ATC_texture */
/* Begin GL_AMD_performance_monitor */
#ifndef GL_AMD_performance_monitor
#ifndef GL_AMD_performance_monitor
	#define GL_AMD_performance_monitor 1
#endif
#ifndef GL_COUNTER_TYPE_AMD
	#define GL_COUNTER_TYPE_AMD 0x8BC0
#endif
#ifndef GL_COUNTER_RANGE_AMD
	#define GL_COUNTER_RANGE_AMD 0x8BC1
#endif
#ifndef GL_UNSIGNED_INT64_AMD
	#define GL_UNSIGNED_INT64_AMD 0x8BC2
#endif
#ifndef GL_PERCENTAGE_AMD
	#define GL_PERCENTAGE_AMD 0x8BC3
#endif
#ifndef GL_PERFMON_RESULT_AVAILABLE_AMD
	#define GL_PERFMON_RESULT_AVAILABLE_AMD 0x8BC4
#endif
#ifndef GL_PERFMON_RESULT_SIZE_AMD
	#define GL_PERFMON_RESULT_SIZE_AMD 0x8BC5
#endif
#ifndef GL_PERFMON_RESULT_AMD
	#define GL_PERFMON_RESULT_AMD 0x8BC6
#endif
typedef void (GL_APIENTRYP PFNGLGETPERFMONITORGROUPSAMDPROC) (GLint *numGroups, GLsizei groupsSize, GLuint *groups) ;
typedef void (GL_APIENTRYP PFNGLGETPERFMONITORCOUNTERSAMDPROC) (GLuint group, GLint *numCounters, GLint *maxActiveCounters, GLsizei counterSize, GLuint *counters) ;
typedef void (GL_APIENTRYP PFNGLGETPERFMONITORGROUPSTRINGAMDPROC) (GLuint group, GLsizei bufSize, GLsizei *length, GLchar *groupString) ;
typedef void (GL_APIENTRYP PFNGLGETPERFMONITORCOUNTERSTRINGAMDPROC) (GLuint group, GLuint counter, GLsizei bufSize, GLsizei *length, GLchar *counterString) ;
typedef void (GL_APIENTRYP PFNGLGETPERFMONITORCOUNTERINFOAMDPROC) (GLuint group, GLuint counter, GLenum pname, void *data) ;
typedef void (GL_APIENTRYP PFNGLGENPERFMONITORSAMDPROC) (GLsizei n, GLuint *monitors) ;
typedef void (GL_APIENTRYP PFNGLDELETEPERFMONITORSAMDPROC) (GLsizei n, GLuint *monitors) ;
typedef void (GL_APIENTRYP PFNGLSELECTPERFMONITORCOUNTERSAMDPROC) (GLuint monitor, GLboolean enable, GLuint group, GLint numCounters, GLuint *counterList) ;
typedef void (GL_APIENTRYP PFNGLBEGINPERFMONITORAMDPROC) (GLuint monitor) ;
typedef void (GL_APIENTRYP PFNGLENDPERFMONITORAMDPROC) (GLuint monitor) ;
typedef void (GL_APIENTRYP PFNGLGETPERFMONITORCOUNTERDATAAMDPROC) (GLuint monitor, GLenum pname, GLsizei dataSize, GLuint *data, GLint *bytesWritten) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glGetPerfMonitorGroupsAMD(GLint*, GLsizei, GLuint*);
 GL_APICALL void GL_APIENTRY glGetPerfMonitorCountersAMD(GLuint, GLint*, GLint*, GLsizei, GLuint*);
 GL_APICALL void GL_APIENTRY glGetPerfMonitorGroupStringAMD(GLuint, GLsizei, GLsizei*, GLchar*);
 GL_APICALL void GL_APIENTRY glGetPerfMonitorCounterStringAMD(GLuint, GLuint, GLsizei, GLsizei*, GLchar*);
 GL_APICALL void GL_APIENTRY glGetPerfMonitorCounterInfoAMD(GLuint, GLuint, GLenum, void*);
 GL_APICALL void GL_APIENTRY glGenPerfMonitorsAMD(GLsizei, GLuint*);
 GL_APICALL void GL_APIENTRY glDeletePerfMonitorsAMD(GLsizei, GLuint*);
 GL_APICALL void GL_APIENTRY glSelectPerfMonitorCountersAMD(GLuint, GLboolean, GLuint, GLint, GLuint*);
 GL_APICALL void GL_APIENTRY glBeginPerfMonitorAMD(GLuint);
 GL_APICALL void GL_APIENTRY glEndPerfMonitorAMD(GLuint);
 GL_APICALL void GL_APIENTRY glGetPerfMonitorCounterDataAMD(GLuint, GLenum, GLsizei, GLuint*, GLint*);
#endif
#endif
/* End GL_AMD_performance_monitor */
/* Begin GL_AMD_program_binary_Z400 */
#ifndef GL_AMD_program_binary_Z400
#ifndef GL_AMD_program_binary_Z400
	#define GL_AMD_program_binary_Z400 1
#endif
#ifndef GL_Z400_BINARY_AMD
	#define GL_Z400_BINARY_AMD 0x8740
#endif
#endif
/* End GL_AMD_program_binary_Z400 */
/* Begin GL_ANGLE_depth_texture */
#ifndef GL_ANGLE_depth_texture
#ifndef GL_ANGLE_depth_texture
	#define GL_ANGLE_depth_texture 1
#endif
#endif
/* End GL_ANGLE_depth_texture */
/* Begin GL_ANGLE_framebuffer_blit */
#ifndef GL_ANGLE_framebuffer_blit
#ifndef GL_ANGLE_framebuffer_blit
	#define GL_ANGLE_framebuffer_blit 1
#endif
#ifndef GL_READ_FRAMEBUFFER_ANGLE
	#define GL_READ_FRAMEBUFFER_ANGLE 0x8CA8
#endif
#ifndef GL_DRAW_FRAMEBUFFER_ANGLE
	#define GL_DRAW_FRAMEBUFFER_ANGLE 0x8CA9
#endif
#ifndef GL_DRAW_FRAMEBUFFER_BINDING_ANGLE
	#define GL_DRAW_FRAMEBUFFER_BINDING_ANGLE 0x8CA6
#endif
#ifndef GL_READ_FRAMEBUFFER_BINDING_ANGLE
	#define GL_READ_FRAMEBUFFER_BINDING_ANGLE 0x8CAA
#endif
typedef void (GL_APIENTRYP PFNGLBLITFRAMEBUFFERANGLEPROC) (GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glBlitFramebufferANGLE(GLint, GLint, GLint, GLint, GLint, GLint, GLint, GLint, GLbitfield, GLenum);
#endif
#endif
/* End GL_ANGLE_framebuffer_blit */
/* Begin GL_ANGLE_framebuffer_multisample */
#ifndef GL_ANGLE_framebuffer_multisample
#ifndef GL_ANGLE_framebuffer_multisample
	#define GL_ANGLE_framebuffer_multisample 1
#endif
#ifndef GL_RENDERBUFFER_SAMPLES_ANGLE
	#define GL_RENDERBUFFER_SAMPLES_ANGLE 0x8CAB
#endif
#ifndef GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_ANGLE
	#define GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_ANGLE 0x8D56
#endif
#ifndef GL_MAX_SAMPLES_ANGLE
	#define GL_MAX_SAMPLES_ANGLE 0x8D57
#endif
typedef void (GL_APIENTRYP PFNGLRENDERBUFFERSTORAGEMULTISAMPLEANGLEPROC) (GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glRenderbufferStorageMultisampleANGLE(GLenum, GLsizei, GLenum, GLsizei, GLsizei);
#endif
#endif
/* End GL_ANGLE_framebuffer_multisample */
/* Begin GL_ANGLE_instanced_arrays */
#ifndef GL_ANGLE_instanced_arrays
#ifndef GL_ANGLE_instanced_arrays
	#define GL_ANGLE_instanced_arrays 1
#endif
#ifndef GL_VERTEX_ATTRIB_ARRAY_DIVISOR_ANGLE
	#define GL_VERTEX_ATTRIB_ARRAY_DIVISOR_ANGLE 0x88FE
#endif
typedef void (GL_APIENTRYP PFNGLDRAWARRAYSINSTANCEDANGLEPROC) (GLenum mode, GLint first, GLsizei count, GLsizei primcount) ;
typedef void (GL_APIENTRYP PFNGLDRAWELEMENTSINSTANCEDANGLEPROC) (GLenum mode, GLsizei count, GLenum type, const void *indices, GLsizei primcount) ;
typedef void (GL_APIENTRYP PFNGLVERTEXATTRIBDIVISORANGLEPROC) (GLuint index, GLuint divisor) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glDrawArraysInstancedANGLE(GLenum, GLint, GLsizei, GLsizei);
 GL_APICALL void GL_APIENTRY glDrawElementsInstancedANGLE(GLenum, GLsizei, GLenum, const void*, GLsizei);
 GL_APICALL void GL_APIENTRY glVertexAttribDivisorANGLE(GLuint, GLuint);
#endif
#endif
/* End GL_ANGLE_instanced_arrays */
/* Begin GL_ANGLE_pack_reverse_row_order */
#ifndef GL_ANGLE_pack_reverse_row_order
#ifndef GL_ANGLE_pack_reverse_row_order
	#define GL_ANGLE_pack_reverse_row_order 1
#endif
#ifndef GL_PACK_REVERSE_ROW_ORDER_ANGLE
	#define GL_PACK_REVERSE_ROW_ORDER_ANGLE 0x93A4
#endif
#endif
/* End GL_ANGLE_pack_reverse_row_order */
/* Begin GL_ANGLE_program_binary */
#ifndef GL_ANGLE_program_binary
#ifndef GL_ANGLE_program_binary
	#define GL_ANGLE_program_binary 1
#endif
#ifndef GL_PROGRAM_BINARY_ANGLE
	#define GL_PROGRAM_BINARY_ANGLE 0x93A6
#endif
#endif
/* End GL_ANGLE_program_binary */
/* Begin GL_ANGLE_texture_compression_dxt3 */
#ifndef GL_ANGLE_texture_compression_dxt3
#ifndef GL_ANGLE_texture_compression_dxt3
	#define GL_ANGLE_texture_compression_dxt3 1
#endif
#ifndef GL_COMPRESSED_RGBA_S3TC_DXT3_ANGLE
	#define GL_COMPRESSED_RGBA_S3TC_DXT3_ANGLE 0x83F2
#endif
#endif
/* End GL_ANGLE_texture_compression_dxt3 */
/* Begin GL_ANGLE_texture_compression_dxt5 */
#ifndef GL_ANGLE_texture_compression_dxt5
#ifndef GL_ANGLE_texture_compression_dxt5
	#define GL_ANGLE_texture_compression_dxt5 1
#endif
#ifndef GL_COMPRESSED_RGBA_S3TC_DXT5_ANGLE
	#define GL_COMPRESSED_RGBA_S3TC_DXT5_ANGLE 0x83F3
#endif
#endif
/* End GL_ANGLE_texture_compression_dxt5 */
/* Begin GL_ANGLE_texture_usage */
#ifndef GL_ANGLE_texture_usage
#ifndef GL_ANGLE_texture_usage
	#define GL_ANGLE_texture_usage 1
#endif
#ifndef GL_TEXTURE_USAGE_ANGLE
	#define GL_TEXTURE_USAGE_ANGLE 0x93A2
#endif
#ifndef GL_FRAMEBUFFER_ATTACHMENT_ANGLE
	#define GL_FRAMEBUFFER_ATTACHMENT_ANGLE 0x93A3
#endif
#endif
/* End GL_ANGLE_texture_usage */
/* Begin GL_ANGLE_translated_shader_source */
#ifndef GL_ANGLE_translated_shader_source
#ifndef GL_ANGLE_translated_shader_source
	#define GL_ANGLE_translated_shader_source 1
#endif
#ifndef GL_TRANSLATED_SHADER_SOURCE_LENGTH_ANGLE
	#define GL_TRANSLATED_SHADER_SOURCE_LENGTH_ANGLE 0x93A0
#endif
typedef void (GL_APIENTRYP PFNGLGETTRANSLATEDSHADERSOURCEANGLEPROC) (GLuint shader, GLsizei bufsize, GLsizei *length, GLchar *source) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glGetTranslatedShaderSourceANGLE(GLuint, GLsizei, GLsizei*, GLchar*);
#endif
#endif
/* End GL_ANGLE_translated_shader_source */
/* Begin GL_APPLE_copy_texture_levels */
#ifndef GL_APPLE_copy_texture_levels
#ifndef GL_APPLE_copy_texture_levels
	#define GL_APPLE_copy_texture_levels 1
#endif
typedef void (GL_APIENTRYP PFNGLCOPYTEXTURELEVELSAPPLEPROC) (GLuint destinationTexture, GLuint sourceTexture, GLint sourceBaseLevel, GLsizei sourceLevelCount) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glCopyTextureLevelsAPPLE(GLuint, GLuint, GLint, GLsizei);
#endif
#endif
/* End GL_APPLE_copy_texture_levels */
/* Begin GL_APPLE_framebuffer_multisample */
#ifndef GL_APPLE_framebuffer_multisample
#ifndef GL_APPLE_framebuffer_multisample
	#define GL_APPLE_framebuffer_multisample 1
#endif
#ifndef GL_RENDERBUFFER_SAMPLES_APPLE
	#define GL_RENDERBUFFER_SAMPLES_APPLE 0x8CAB
#endif
#ifndef GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_APPLE
	#define GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_APPLE 0x8D56
#endif
#ifndef GL_MAX_SAMPLES_APPLE
	#define GL_MAX_SAMPLES_APPLE 0x8D57
#endif
#ifndef GL_READ_FRAMEBUFFER_APPLE
	#define GL_READ_FRAMEBUFFER_APPLE 0x8CA8
#endif
#ifndef GL_DRAW_FRAMEBUFFER_APPLE
	#define GL_DRAW_FRAMEBUFFER_APPLE 0x8CA9
#endif
#ifndef GL_DRAW_FRAMEBUFFER_BINDING_APPLE
	#define GL_DRAW_FRAMEBUFFER_BINDING_APPLE 0x8CA6
#endif
#ifndef GL_READ_FRAMEBUFFER_BINDING_APPLE
	#define GL_READ_FRAMEBUFFER_BINDING_APPLE 0x8CAA
#endif
typedef void (GL_APIENTRYP PFNGLRENDERBUFFERSTORAGEMULTISAMPLEAPPLEPROC) (GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height) ;
typedef void (GL_APIENTRYP PFNGLRESOLVEMULTISAMPLEFRAMEBUFFERAPPLEPROC) (void) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glRenderbufferStorageMultisampleAPPLE(GLenum, GLsizei, GLenum, GLsizei, GLsizei);
 GL_APICALL void GL_APIENTRY glResolveMultisampleFramebufferAPPLE();
#endif
#endif
/* End GL_APPLE_framebuffer_multisample */
/* Begin GL_APPLE_rgb_422 */
#ifndef GL_APPLE_rgb_422
#ifndef GL_APPLE_rgb_422
	#define GL_APPLE_rgb_422 1
#endif
#ifndef GL_RGB_422_APPLE
	#define GL_RGB_422_APPLE 0x8A1F
#endif
#ifndef GL_UNSIGNED_SHORT_8_8_APPLE
	#define GL_UNSIGNED_SHORT_8_8_APPLE 0x85BA
#endif
#ifndef GL_UNSIGNED_SHORT_8_8_REV_APPLE
	#define GL_UNSIGNED_SHORT_8_8_REV_APPLE 0x85BB
#endif
#ifndef GL_RGB_RAW_422_APPLE
	#define GL_RGB_RAW_422_APPLE 0x8A51
#endif
#endif
/* End GL_APPLE_rgb_422 */
/* Begin GL_APPLE_sync */
#ifndef GL_APPLE_sync
#ifndef GL_APPLE_sync
	#define GL_APPLE_sync 1
#endif
#ifndef GL_SYNC_OBJECT_APPLE
	#define GL_SYNC_OBJECT_APPLE 0x8A53
#endif
#ifndef GL_MAX_SERVER_WAIT_TIMEOUT_APPLE
	#define GL_MAX_SERVER_WAIT_TIMEOUT_APPLE 0x9111
#endif
#ifndef GL_OBJECT_TYPE_APPLE
	#define GL_OBJECT_TYPE_APPLE 0x9112
#endif
#ifndef GL_SYNC_CONDITION_APPLE
	#define GL_SYNC_CONDITION_APPLE 0x9113
#endif
#ifndef GL_SYNC_STATUS_APPLE
	#define GL_SYNC_STATUS_APPLE 0x9114
#endif
#ifndef GL_SYNC_FLAGS_APPLE
	#define GL_SYNC_FLAGS_APPLE 0x9115
#endif
#ifndef GL_SYNC_FENCE_APPLE
	#define GL_SYNC_FENCE_APPLE 0x9116
#endif
#ifndef GL_SYNC_GPU_COMMANDS_COMPLETE_APPLE
	#define GL_SYNC_GPU_COMMANDS_COMPLETE_APPLE 0x9117
#endif
#ifndef GL_UNSIGNALED_APPLE
	#define GL_UNSIGNALED_APPLE 0x9118
#endif
#ifndef GL_SIGNALED_APPLE
	#define GL_SIGNALED_APPLE 0x9119
#endif
#ifndef GL_ALREADY_SIGNALED_APPLE
	#define GL_ALREADY_SIGNALED_APPLE 0x911A
#endif
#ifndef GL_TIMEOUT_EXPIRED_APPLE
	#define GL_TIMEOUT_EXPIRED_APPLE 0x911B
#endif
#ifndef GL_CONDITION_SATISFIED_APPLE
	#define GL_CONDITION_SATISFIED_APPLE 0x911C
#endif
#ifndef GL_WAIT_FAILED_APPLE
	#define GL_WAIT_FAILED_APPLE 0x911D
#endif
#ifndef GL_SYNC_FLUSH_COMMANDS_BIT_APPLE
	#define GL_SYNC_FLUSH_COMMANDS_BIT_APPLE 0x00000001
#endif
#ifndef GL_TIMEOUT_IGNORED_APPLE
	#define GL_TIMEOUT_IGNORED_APPLE 0xFFFFFFFFFFFFFFFFull
#endif
typedef GLsync (GL_APIENTRYP PFNGLFENCESYNCAPPLEPROC) (GLenum condition, GLbitfield flags) ;
typedef GLboolean (GL_APIENTRYP PFNGLISSYNCAPPLEPROC) (GLsync sync) ;
typedef void (GL_APIENTRYP PFNGLDELETESYNCAPPLEPROC) (GLsync sync) ;
typedef GLenum (GL_APIENTRYP PFNGLCLIENTWAITSYNCAPPLEPROC) (GLsync sync, GLbitfield flags, GLuint64 timeout) ;
typedef void (GL_APIENTRYP PFNGLWAITSYNCAPPLEPROC) (GLsync sync, GLbitfield flags, GLuint64 timeout) ;
typedef void (GL_APIENTRYP PFNGLGETINTEGER64VAPPLEPROC) (GLenum pname, GLint64 *params) ;
typedef void (GL_APIENTRYP PFNGLGETSYNCIVAPPLEPROC) (GLsync sync, GLenum pname, GLsizei bufSize, GLsizei *length, GLint *values) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL GLsync GL_APIENTRY glFenceSyncAPPLE(GLenum, GLbitfield);
 GL_APICALL GLboolean GL_APIENTRY glIsSyncAPPLE(GLsync);
 GL_APICALL void GL_APIENTRY glDeleteSyncAPPLE(GLsync);
 GL_APICALL GLenum GL_APIENTRY glClientWaitSyncAPPLE(GLsync, GLbitfield, GLuint64);
 GL_APICALL void GL_APIENTRY glWaitSyncAPPLE(GLsync, GLbitfield, GLuint64);
 GL_APICALL void GL_APIENTRY glGetInteger64vAPPLE(GLenum, GLint64*);
 GL_APICALL void GL_APIENTRY glGetSyncivAPPLE(GLsync, GLenum, GLsizei, GLsizei*, GLint*);
#endif
#endif
/* End GL_APPLE_sync */
/* Begin GL_APPLE_texture_format_BGRA8888 */
#ifndef GL_APPLE_texture_format_BGRA8888
#ifndef GL_APPLE_texture_format_BGRA8888
	#define GL_APPLE_texture_format_BGRA8888 1
#endif
#ifndef GL_BGRA_EXT
	#define GL_BGRA_EXT 0x80E1
#endif
#ifndef GL_BGRA8_EXT
	#define GL_BGRA8_EXT 0x93A1
#endif
#endif
/* End GL_APPLE_texture_format_BGRA8888 */
/* Begin GL_APPLE_texture_max_level */
#ifndef GL_APPLE_texture_max_level
#ifndef GL_APPLE_texture_max_level
	#define GL_APPLE_texture_max_level 1
#endif
#ifndef GL_TEXTURE_MAX_LEVEL_APPLE
	#define GL_TEXTURE_MAX_LEVEL_APPLE 0x813D
#endif
#endif
/* End GL_APPLE_texture_max_level */
/* Begin GL_ARM_mali_program_binary */
#ifndef GL_ARM_mali_program_binary
#ifndef GL_ARM_mali_program_binary
	#define GL_ARM_mali_program_binary 1
#endif
#ifndef GL_MALI_PROGRAM_BINARY_ARM
	#define GL_MALI_PROGRAM_BINARY_ARM 0x8F61
#endif
#endif
/* End GL_ARM_mali_program_binary */
/* Begin GL_ARM_mali_shader_binary */
#ifndef GL_ARM_mali_shader_binary
#ifndef GL_ARM_mali_shader_binary
	#define GL_ARM_mali_shader_binary 1
#endif
#ifndef GL_MALI_SHADER_BINARY_ARM
	#define GL_MALI_SHADER_BINARY_ARM 0x8F60
#endif
#endif
/* End GL_ARM_mali_shader_binary */
/* Begin GL_ARM_rgba8 */
#ifndef GL_ARM_rgba8
#ifndef GL_ARM_rgba8
	#define GL_ARM_rgba8 1
#endif
#endif
/* End GL_ARM_rgba8 */
/* Begin GL_ARM_shader_framebuffer_fetch */
#ifndef GL_ARM_shader_framebuffer_fetch
#ifndef GL_ARM_shader_framebuffer_fetch
	#define GL_ARM_shader_framebuffer_fetch 1
#endif
#ifndef GL_FETCH_PER_SAMPLE_ARM
	#define GL_FETCH_PER_SAMPLE_ARM 0x8F65
#endif
#ifndef GL_FRAGMENT_SHADER_FRAMEBUFFER_FETCH_MRT_ARM
	#define GL_FRAGMENT_SHADER_FRAMEBUFFER_FETCH_MRT_ARM 0x8F66
#endif
#endif
/* End GL_ARM_shader_framebuffer_fetch */
/* Begin GL_ARM_shader_framebuffer_fetch_depth_stencil */
#ifndef GL_ARM_shader_framebuffer_fetch_depth_stencil
#ifndef GL_ARM_shader_framebuffer_fetch_depth_stencil
	#define GL_ARM_shader_framebuffer_fetch_depth_stencil 1
#endif
#endif
/* End GL_ARM_shader_framebuffer_fetch_depth_stencil */
/* Begin GL_DMP_shader_binary */
#ifndef GL_DMP_shader_binary
#ifndef GL_DMP_shader_binary
	#define GL_DMP_shader_binary 1
#endif
#ifndef GL_SHADER_BINARY_DMP
	#define GL_SHADER_BINARY_DMP 0x9250
#endif
#endif
/* End GL_DMP_shader_binary */
/* Begin GL_EXT_blend_minmax */
#ifndef GL_EXT_blend_minmax
#ifndef GL_EXT_blend_minmax
	#define GL_EXT_blend_minmax 1
#endif
#ifndef GL_MIN_EXT
	#define GL_MIN_EXT 0x8007
#endif
#ifndef GL_MAX_EXT
	#define GL_MAX_EXT 0x8008
#endif
#endif
/* End GL_EXT_blend_minmax */
/* Begin GL_EXT_debug_label */
#ifndef GL_EXT_debug_label
#ifndef GL_EXT_debug_label
	#define GL_EXT_debug_label 1
#endif
#ifndef GL_PROGRAM_PIPELINE_OBJECT_EXT
	#define GL_PROGRAM_PIPELINE_OBJECT_EXT 0x8A4F
#endif
#ifndef GL_PROGRAM_OBJECT_EXT
	#define GL_PROGRAM_OBJECT_EXT 0x8B40
#endif
#ifndef GL_SHADER_OBJECT_EXT
	#define GL_SHADER_OBJECT_EXT 0x8B48
#endif
#ifndef GL_BUFFER_OBJECT_EXT
	#define GL_BUFFER_OBJECT_EXT 0x9151
#endif
#ifndef GL_QUERY_OBJECT_EXT
	#define GL_QUERY_OBJECT_EXT 0x9153
#endif
#ifndef GL_VERTEX_ARRAY_OBJECT_EXT
	#define GL_VERTEX_ARRAY_OBJECT_EXT 0x9154
#endif
#ifndef GL_TRANSFORM_FEEDBACK
	#define GL_TRANSFORM_FEEDBACK 0x8E22
#endif
typedef void (GL_APIENTRYP PFNGLLABELOBJECTEXTPROC) (GLenum type, GLuint object, GLsizei length, const GLchar *label) ;
typedef void (GL_APIENTRYP PFNGLGETOBJECTLABELEXTPROC) (GLenum type, GLuint object, GLsizei bufSize, GLsizei *length, GLchar *label) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glLabelObjectEXT(GLenum, GLuint, GLsizei, const GLchar*);
 GL_APICALL void GL_APIENTRY glGetObjectLabelEXT(GLenum, GLuint, GLsizei, GLsizei*, GLchar*);
#endif
#endif
/* End GL_EXT_debug_label */
/* Begin GL_EXT_debug_marker */
#ifndef GL_EXT_debug_marker
#ifndef GL_EXT_debug_marker
	#define GL_EXT_debug_marker 1
#endif
typedef void (GL_APIENTRYP PFNGLINSERTEVENTMARKEREXTPROC) (GLsizei length, const GLchar *marker) ;
typedef void (GL_APIENTRYP PFNGLPUSHGROUPMARKEREXTPROC) (GLsizei length, const GLchar *marker) ;
typedef void (GL_APIENTRYP PFNGLPOPGROUPMARKEREXTPROC) (void) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glInsertEventMarkerEXT(GLsizei, const GLchar*);
 GL_APICALL void GL_APIENTRY glPushGroupMarkerEXT(GLsizei, const GLchar*);
 GL_APICALL void GL_APIENTRY glPopGroupMarkerEXT();
#endif
#endif
/* End GL_EXT_debug_marker */
/* Begin GL_EXT_discard_framebuffer */
#ifndef GL_EXT_discard_framebuffer
#ifndef GL_EXT_discard_framebuffer
	#define GL_EXT_discard_framebuffer 1
#endif
#ifndef GL_COLOR_EXT
	#define GL_COLOR_EXT 0x1800
#endif
#ifndef GL_DEPTH_EXT
	#define GL_DEPTH_EXT 0x1801
#endif
#ifndef GL_STENCIL_EXT
	#define GL_STENCIL_EXT 0x1802
#endif
typedef void (GL_APIENTRYP PFNGLDISCARDFRAMEBUFFEREXTPROC) (GLenum target, GLsizei numAttachments, const GLenum *attachments) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glDiscardFramebufferEXT(GLenum, GLsizei, const GLenum*);
#endif
#endif
/* End GL_EXT_discard_framebuffer */
/* Begin GL_EXT_disjoint_timer_query */
#ifndef GL_EXT_disjoint_timer_query
#ifndef GL_EXT_disjoint_timer_query
	#define GL_EXT_disjoint_timer_query 1
#endif
#ifndef GL_QUERY_COUNTER_BITS_EXT
	#define GL_QUERY_COUNTER_BITS_EXT 0x8864
#endif
#ifndef GL_CURRENT_QUERY_EXT
	#define GL_CURRENT_QUERY_EXT 0x8865
#endif
#ifndef GL_QUERY_RESULT_EXT
	#define GL_QUERY_RESULT_EXT 0x8866
#endif
#ifndef GL_QUERY_RESULT_AVAILABLE_EXT
	#define GL_QUERY_RESULT_AVAILABLE_EXT 0x8867
#endif
#ifndef GL_TIME_ELAPSED_EXT
	#define GL_TIME_ELAPSED_EXT 0x88BF
#endif
#ifndef GL_TIMESTAMP_EXT
	#define GL_TIMESTAMP_EXT 0x8E28
#endif
#ifndef GL_GPU_DISJOINT_EXT
	#define GL_GPU_DISJOINT_EXT 0x8FBB
#endif
typedef void (GL_APIENTRYP PFNGLGENQUERIESEXTPROC) (GLsizei n, GLuint *ids) ;
typedef void (GL_APIENTRYP PFNGLDELETEQUERIESEXTPROC) (GLsizei n, const GLuint *ids) ;
typedef GLboolean (GL_APIENTRYP PFNGLISQUERYEXTPROC) (GLuint id) ;
typedef void (GL_APIENTRYP PFNGLBEGINQUERYEXTPROC) (GLenum target, GLuint id) ;
typedef void (GL_APIENTRYP PFNGLENDQUERYEXTPROC) (GLenum target) ;
typedef void (GL_APIENTRYP PFNGLQUERYCOUNTEREXTPROC) (GLuint id, GLenum target) ;
typedef void (GL_APIENTRYP PFNGLGETQUERYIVEXTPROC) (GLenum target, GLenum pname, GLint *params) ;
typedef void (GL_APIENTRYP PFNGLGETQUERYOBJECTIVEXTPROC) (GLuint id, GLenum pname, GLint *params) ;
typedef void (GL_APIENTRYP PFNGLGETQUERYOBJECTUIVEXTPROC) (GLuint id, GLenum pname, GLuint *params) ;
typedef void (GL_APIENTRYP PFNGLGETQUERYOBJECTI64VEXTPROC) (GLuint id, GLenum pname, GLint64 *params) ;
typedef void (GL_APIENTRYP PFNGLGETQUERYOBJECTUI64VEXTPROC) (GLuint id, GLenum pname, GLuint64 *params) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glGenQueriesEXT(GLsizei, GLuint*);
 GL_APICALL void GL_APIENTRY glDeleteQueriesEXT(GLsizei, const GLuint*);
 GL_APICALL GLboolean GL_APIENTRY glIsQueryEXT(GLuint);
 GL_APICALL void GL_APIENTRY glBeginQueryEXT(GLenum, GLuint);
 GL_APICALL void GL_APIENTRY glEndQueryEXT(GLenum);
 GL_APICALL void GL_APIENTRY glQueryCounterEXT(GLuint, GLenum);
 GL_APICALL void GL_APIENTRY glGetQueryivEXT(GLenum, GLenum, GLint*);
 GL_APICALL void GL_APIENTRY glGetQueryObjectivEXT(GLuint, GLenum, GLint*);
 GL_APICALL void GL_APIENTRY glGetQueryObjectuivEXT(GLuint, GLenum, GLuint*);
 GL_APICALL void GL_APIENTRY glGetQueryObjecti64vEXT(GLuint, GLenum, GLuint*);
 GL_APICALL void GL_APIENTRY glGetQueryObjectui64vEXT(GLuint, GLenum, GLuint64*);
#endif
#endif
/* End GL_EXT_disjoint_timer_query */
/* Begin GL_EXT_draw_buffers */
#ifndef GL_EXT_draw_buffers
#ifndef GL_EXT_draw_buffers
	#define GL_EXT_draw_buffers 1
#endif
#ifndef GL_MAX_COLOR_ATTACHMENTS_EXT
	#define GL_MAX_COLOR_ATTACHMENTS_EXT 0x8CDF
#endif
#ifndef GL_MAX_DRAW_BUFFERS_EXT
	#define GL_MAX_DRAW_BUFFERS_EXT 0x8824
#endif
#ifndef GL_DRAW_BUFFER0_EXT
	#define GL_DRAW_BUFFER0_EXT 0x8825
#endif
#ifndef GL_DRAW_BUFFER1_EXT
	#define GL_DRAW_BUFFER1_EXT 0x8826
#endif
#ifndef GL_DRAW_BUFFER2_EXT
	#define GL_DRAW_BUFFER2_EXT 0x8827
#endif
#ifndef GL_DRAW_BUFFER3_EXT
	#define GL_DRAW_BUFFER3_EXT 0x8828
#endif
#ifndef GL_DRAW_BUFFER4_EXT
	#define GL_DRAW_BUFFER4_EXT 0x8829
#endif
#ifndef GL_DRAW_BUFFER5_EXT
	#define GL_DRAW_BUFFER5_EXT 0x882A
#endif
#ifndef GL_DRAW_BUFFER6_EXT
	#define GL_DRAW_BUFFER6_EXT 0x882B
#endif
#ifndef GL_DRAW_BUFFER7_EXT
	#define GL_DRAW_BUFFER7_EXT 0x882C
#endif
#ifndef GL_DRAW_BUFFER8_EXT
	#define GL_DRAW_BUFFER8_EXT 0x882D
#endif
#ifndef GL_DRAW_BUFFER9_EXT
	#define GL_DRAW_BUFFER9_EXT 0x882E
#endif
#ifndef GL_DRAW_BUFFER10_EXT
	#define GL_DRAW_BUFFER10_EXT 0x882F
#endif
#ifndef GL_DRAW_BUFFER11_EXT
	#define GL_DRAW_BUFFER11_EXT 0x8830
#endif
#ifndef GL_DRAW_BUFFER12_EXT
	#define GL_DRAW_BUFFER12_EXT 0x8831
#endif
#ifndef GL_DRAW_BUFFER13_EXT
	#define GL_DRAW_BUFFER13_EXT 0x8832
#endif
#ifndef GL_DRAW_BUFFER14_EXT
	#define GL_DRAW_BUFFER14_EXT 0x8833
#endif
#ifndef GL_DRAW_BUFFER15_EXT
	#define GL_DRAW_BUFFER15_EXT 0x8834
#endif
#ifndef GL_COLOR_ATTACHMENT0_EXT
	#define GL_COLOR_ATTACHMENT0_EXT 0x8CE0
#endif
#ifndef GL_COLOR_ATTACHMENT1_EXT
	#define GL_COLOR_ATTACHMENT1_EXT 0x8CE1
#endif
#ifndef GL_COLOR_ATTACHMENT2_EXT
	#define GL_COLOR_ATTACHMENT2_EXT 0x8CE2
#endif
#ifndef GL_COLOR_ATTACHMENT3_EXT
	#define GL_COLOR_ATTACHMENT3_EXT 0x8CE3
#endif
#ifndef GL_COLOR_ATTACHMENT4_EXT
	#define GL_COLOR_ATTACHMENT4_EXT 0x8CE4
#endif
#ifndef GL_COLOR_ATTACHMENT5_EXT
	#define GL_COLOR_ATTACHMENT5_EXT 0x8CE5
#endif
#ifndef GL_COLOR_ATTACHMENT6_EXT
	#define GL_COLOR_ATTACHMENT6_EXT 0x8CE6
#endif
#ifndef GL_COLOR_ATTACHMENT7_EXT
	#define GL_COLOR_ATTACHMENT7_EXT 0x8CE7
#endif
#ifndef GL_COLOR_ATTACHMENT8_EXT
	#define GL_COLOR_ATTACHMENT8_EXT 0x8CE8
#endif
#ifndef GL_COLOR_ATTACHMENT9_EXT
	#define GL_COLOR_ATTACHMENT9_EXT 0x8CE9
#endif
#ifndef GL_COLOR_ATTACHMENT10_EXT
	#define GL_COLOR_ATTACHMENT10_EXT 0x8CEA
#endif
#ifndef GL_COLOR_ATTACHMENT11_EXT
	#define GL_COLOR_ATTACHMENT11_EXT 0x8CEB
#endif
#ifndef GL_COLOR_ATTACHMENT12_EXT
	#define GL_COLOR_ATTACHMENT12_EXT 0x8CEC
#endif
#ifndef GL_COLOR_ATTACHMENT13_EXT
	#define GL_COLOR_ATTACHMENT13_EXT 0x8CED
#endif
#ifndef GL_COLOR_ATTACHMENT14_EXT
	#define GL_COLOR_ATTACHMENT14_EXT 0x8CEE
#endif
#ifndef GL_COLOR_ATTACHMENT15_EXT
	#define GL_COLOR_ATTACHMENT15_EXT 0x8CEF
#endif
typedef void (GL_APIENTRYP PFNGLDRAWBUFFERSEXTPROC) (GLsizei n, const GLenum *bufs) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glDrawBuffersEXT(GLsizei, const GLenum*);
#endif
#endif
/* End GL_EXT_draw_buffers */
/* Begin GL_EXT_draw_instanced */
#ifndef GL_EXT_draw_instanced
#ifndef GL_EXT_draw_instanced
	#define GL_EXT_draw_instanced 1
#endif
typedef void (GL_APIENTRYP PFNGLDRAWARRAYSINSTANCEDEXTPROC) (GLenum mode, GLint start, GLsizei count, GLsizei primcount) ;
typedef void (GL_APIENTRYP PFNGLDRAWELEMENTSINSTANCEDEXTPROC) (GLenum mode, GLsizei count, GLenum type, const void *indices, GLsizei primcount) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glDrawArraysInstancedEXT(GLenum, GLenum, GLsizei, GLsizei);
 GL_APICALL void GL_APIENTRY glDrawElementsInstancedEXT(GLenum, GLsizei, GLenum, const void*, GLsizei);
#endif
#endif
/* End GL_EXT_draw_instanced */
/* Begin GL_EXT_instanced_arrays */
#ifndef GL_EXT_instanced_arrays
#ifndef GL_EXT_instanced_arrays
	#define GL_EXT_instanced_arrays 1
#endif
#ifndef GL_VERTEX_ATTRIB_ARRAY_DIVISOR_EXT
	#define GL_VERTEX_ATTRIB_ARRAY_DIVISOR_EXT 0x88FE
#endif
typedef void (GL_APIENTRYP PFNGLVERTEXATTRIBDIVISOREXTPROC) (GLuint index, GLuint divisor) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glVertexAttribDivisorEXT(GLuint, GLuint);
#endif
#endif
/* End GL_EXT_instanced_arrays */
/* Begin GL_EXT_map_buffer_range */
#ifndef GL_EXT_map_buffer_range
#ifndef GL_EXT_map_buffer_range
	#define GL_EXT_map_buffer_range 1
#endif
#ifndef GL_MAP_READ_BIT_EXT
	#define GL_MAP_READ_BIT_EXT 0x0001
#endif
#ifndef GL_MAP_WRITE_BIT_EXT
	#define GL_MAP_WRITE_BIT_EXT 0x0002
#endif
#ifndef GL_MAP_INVALIDATE_RANGE_BIT_EXT
	#define GL_MAP_INVALIDATE_RANGE_BIT_EXT 0x0004
#endif
#ifndef GL_MAP_INVALIDATE_BUFFER_BIT_EXT
	#define GL_MAP_INVALIDATE_BUFFER_BIT_EXT 0x0008
#endif
#ifndef GL_MAP_FLUSH_EXPLICIT_BIT_EXT
	#define GL_MAP_FLUSH_EXPLICIT_BIT_EXT 0x0010
#endif
#ifndef GL_MAP_UNSYNCHRONIZED_BIT_EXT
	#define GL_MAP_UNSYNCHRONIZED_BIT_EXT 0x0020
#endif
typedef void *(GL_APIENTRYP PFNGLMAPBUFFERRANGEEXTPROC) (GLenum target, GLintptr offset, GLsizeiptr length, GLbitfield access) ;
typedef void (GL_APIENTRYP PFNGLFLUSHMAPPEDBUFFERRANGEEXTPROC) (GLenum target, GLintptr offset, GLsizeiptr length) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void* GL_APIENTRY glMapBufferRangeEXT(GLenum, const GLint*, const GLsizei*, GLsizei);
 GL_APICALL void GL_APIENTRY glFlushMappedBufferRangeEXT(GLenum, GLintptr, GLsizeiptr);
#endif
#endif
/* End GL_EXT_map_buffer_range */
/* Begin GL_EXT_multi_draw_arrays */
#ifndef GL_EXT_multi_draw_arrays
#ifndef GL_EXT_multi_draw_arrays
	#define GL_EXT_multi_draw_arrays 1
#endif
typedef void (GL_APIENTRYP PFNGLMULTIDRAWARRAYSEXTPROC) (GLenum mode, const GLint *first, const GLsizei *count, GLsizei primcount) ;
typedef void (GL_APIENTRYP PFNGLMULTIDRAWELEMENTSEXTPROC) (GLenum mode, const GLsizei *count, GLenum type, const void *const*indices, GLsizei primcount) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glMultiDrawArraysEXT(GLenum, const GLint*, const GLsizei*, GLsizei);
 GL_APICALL void GL_APIENTRY glMultiDrawElementsEXT(GLenum, const GLsizei*, GLenum, const void*const*, GLsizei);
#endif
#endif
/* End GL_EXT_multi_draw_arrays */
/* Begin GL_EXT_multisampled_render_to_texture */
#ifndef GL_EXT_multisampled_render_to_texture
#ifndef GL_EXT_multisampled_render_to_texture
	#define GL_EXT_multisampled_render_to_texture 1
#endif
#ifndef GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_SAMPLES_EXT
	#define GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_SAMPLES_EXT 0x8D6C
#endif
#ifndef GL_RENDERBUFFER_SAMPLES_EXT
	#define GL_RENDERBUFFER_SAMPLES_EXT 0x8CAB
#endif
#ifndef GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_EXT
	#define GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_EXT 0x8D56
#endif
#ifndef GL_MAX_SAMPLES_EXT
	#define GL_MAX_SAMPLES_EXT 0x8D57
#endif
typedef void (GL_APIENTRYP PFNGLRENDERBUFFERSTORAGEMULTISAMPLEEXTPROC) (GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height) ;
typedef void (GL_APIENTRYP PFNGLFRAMEBUFFERTEXTURE2DMULTISAMPLEEXTPROC) (GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLsizei samples) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glRenderbufferStorageMultisampleEXT(GLenum, GLsizei, GLenum, GLsizei, GLsizei);
 GL_APICALL void GL_APIENTRY glFramebufferTexture2DMultisampleEXT(GLenum, GLenum, GLenum, GLuint, GLint, GLsizei);
#endif
#endif
/* End GL_EXT_multisampled_render_to_texture */
/* Begin GL_EXT_multiview_draw_buffers */
#ifndef GL_EXT_multiview_draw_buffers
#ifndef GL_EXT_multiview_draw_buffers
	#define GL_EXT_multiview_draw_buffers 1
#endif
#ifndef GL_COLOR_ATTACHMENT_EXT
	#define GL_COLOR_ATTACHMENT_EXT 0x90F0
#endif
#ifndef GL_MULTIVIEW_EXT
	#define GL_MULTIVIEW_EXT 0x90F1
#endif
#ifndef GL_DRAW_BUFFER_EXT
	#define GL_DRAW_BUFFER_EXT 0x0C01
#endif
#ifndef GL_READ_BUFFER_EXT
	#define GL_READ_BUFFER_EXT 0x0C02
#endif
#ifndef GL_MAX_MULTIVIEW_BUFFERS_EXT
	#define GL_MAX_MULTIVIEW_BUFFERS_EXT 0x90F2
#endif
typedef void (GL_APIENTRYP PFNGLREADBUFFERINDEXEDEXTPROC) (GLenum src, GLint index) ;
typedef void (GL_APIENTRYP PFNGLDRAWBUFFERSINDEXEDEXTPROC) (GLint n, const GLenum *location, const GLint *indices) ;
typedef void (GL_APIENTRYP PFNGLGETINTEGERI_VEXTPROC) (GLenum target, GLuint index, GLint *data) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glReadBufferIndexedEXT(GLenum, GLint);
 GL_APICALL void GL_APIENTRY glDrawBuffersIndexedEXT(GLint, const GLenum*, const GLint*);
 GL_APICALL void GL_APIENTRY glGetIntegeri_vEXT(GLenum, GLuint, GLint*);
#endif
#endif
/* End GL_EXT_multiview_draw_buffers */
/* Begin GL_EXT_occlusion_query_boolean */
#ifndef GL_EXT_occlusion_query_boolean
#ifndef GL_EXT_occlusion_query_boolean
	#define GL_EXT_occlusion_query_boolean 1
#endif
#ifndef GL_ANY_SAMPLES_PASSED_EXT
	#define GL_ANY_SAMPLES_PASSED_EXT 0x8C2F
#endif
#ifndef GL_ANY_SAMPLES_PASSED_CONSERVATIVE_EXT
	#define GL_ANY_SAMPLES_PASSED_CONSERVATIVE_EXT 0x8D6A
#endif
#endif
/* End GL_EXT_occlusion_query_boolean */
/* Begin GL_EXT_pvrtc_sRGB */
#ifndef GL_EXT_pvrtc_sRGB
#ifndef GL_EXT_pvrtc_sRGB
	#define GL_EXT_pvrtc_sRGB 1
#endif
#ifndef GL_COMPRESSED_SRGB_PVRTC_2BPPV1_EXT
	#define GL_COMPRESSED_SRGB_PVRTC_2BPPV1_EXT 0x8A54
#endif
#ifndef GL_COMPRESSED_SRGB_PVRTC_4BPPV1_EXT
	#define GL_COMPRESSED_SRGB_PVRTC_4BPPV1_EXT 0x8A55
#endif
#ifndef GL_COMPRESSED_SRGB_ALPHA_PVRTC_2BPPV1_EXT
	#define GL_COMPRESSED_SRGB_ALPHA_PVRTC_2BPPV1_EXT 0x8A56
#endif
#ifndef GL_COMPRESSED_SRGB_ALPHA_PVRTC_4BPPV1_EXT
	#define GL_COMPRESSED_SRGB_ALPHA_PVRTC_4BPPV1_EXT 0x8A57
#endif
#endif
/* End GL_EXT_pvrtc_sRGB */
/* Begin GL_EXT_read_format_bgra */
#ifndef GL_EXT_read_format_bgra
#ifndef GL_EXT_read_format_bgra
	#define GL_EXT_read_format_bgra 1
#endif
#ifndef GL_UNSIGNED_SHORT_4_4_4_4_REV_EXT
	#define GL_UNSIGNED_SHORT_4_4_4_4_REV_EXT 0x8365
#endif
#ifndef GL_UNSIGNED_SHORT_1_5_5_5_REV_EXT
	#define GL_UNSIGNED_SHORT_1_5_5_5_REV_EXT 0x8366
#endif
#endif
/* End GL_EXT_read_format_bgra */
/* Begin GL_EXT_robustness */
#ifndef GL_EXT_robustness
#ifndef GL_EXT_robustness
	#define GL_EXT_robustness 1
#endif
#ifndef GL_GUILTY_CONTEXT_RESET_EXT
	#define GL_GUILTY_CONTEXT_RESET_EXT 0x8253
#endif
#ifndef GL_INNOCENT_CONTEXT_RESET_EXT
	#define GL_INNOCENT_CONTEXT_RESET_EXT 0x8254
#endif
#ifndef GL_UNKNOWN_CONTEXT_RESET_EXT
	#define GL_UNKNOWN_CONTEXT_RESET_EXT 0x8255
#endif
#ifndef GL_CONTEXT_ROBUST_ACCESS_EXT
	#define GL_CONTEXT_ROBUST_ACCESS_EXT 0x90F3
#endif
#ifndef GL_RESET_NOTIFICATION_STRATEGY_EXT
	#define GL_RESET_NOTIFICATION_STRATEGY_EXT 0x8256
#endif
#ifndef GL_LOSE_CONTEXT_ON_RESET_EXT
	#define GL_LOSE_CONTEXT_ON_RESET_EXT 0x8252
#endif
#ifndef GL_NO_RESET_NOTIFICATION_EXT
	#define GL_NO_RESET_NOTIFICATION_EXT 0x8261
#endif
typedef GLenum (GL_APIENTRYP PFNGLGETGRAPHICSRESETSTATUSEXTPROC) (void) ;
typedef void (GL_APIENTRYP PFNGLREADNPIXELSEXTPROC) (GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLsizei bufSize, void *data) ;
typedef void (GL_APIENTRYP PFNGLGETNUNIFORMFVEXTPROC) (GLuint program, GLint location, GLsizei bufSize, GLfloat *params) ;
typedef void (GL_APIENTRYP PFNGLGETNUNIFORMIVEXTPROC) (GLuint program, GLint location, GLsizei bufSize, GLint *params) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL GLenum GL_APIENTRY glGetGraphicsResetStatusEXT();
 GL_APICALL void GL_APIENTRY glReadnPixelsEXT(GLint, GLint, GLsizei, GLsizei, GLenum, GLenum, GLsizei, void*);
 GL_APICALL void GL_APIENTRY glGetnUniformfvEXT(GLuint, GLint, GLsizei, GLfloat*);
 GL_APICALL void GL_APIENTRY glGetnUniformivEXT(GLuint, GLint, GLsizei, GLint*);
#endif
#endif
/* End GL_EXT_robustness */
/* Begin GL_EXT_sRGB */
#ifndef GL_EXT_sRGB
#ifndef GL_EXT_sRGB
	#define GL_EXT_sRGB 1
#endif
#ifndef GL_SRGB_EXT
	#define GL_SRGB_EXT 0x8C40
#endif
#ifndef GL_SRGB_ALPHA_EXT
	#define GL_SRGB_ALPHA_EXT 0x8C42
#endif
#ifndef GL_SRGB8_ALPHA8_EXT
	#define GL_SRGB8_ALPHA8_EXT 0x8C43
#endif
#ifndef GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING_EXT
	#define GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING_EXT 0x8210
#endif
#endif
/* End GL_EXT_sRGB */
/* Begin GL_EXT_sRGB_write_control */
#ifndef GL_EXT_sRGB_write_control
#ifndef GL_EXT_sRGB_write_control
	#define GL_EXT_sRGB_write_control 1
#endif
#ifndef GL_FRAMEBUFFER_SRGB_EXT
	#define GL_FRAMEBUFFER_SRGB_EXT 0x8DB9
#endif
#endif
/* End GL_EXT_sRGB_write_control */
/* Begin GL_EXT_separate_shader_objects */
#ifndef GL_EXT_separate_shader_objects
#ifndef GL_EXT_separate_shader_objects
	#define GL_EXT_separate_shader_objects 1
#endif
#ifndef GL_ACTIVE_PROGRAM_EXT
	#define GL_ACTIVE_PROGRAM_EXT 0x8259
#endif
#ifndef GL_VERTEX_SHADER_BIT_EXT
	#define GL_VERTEX_SHADER_BIT_EXT 0x00000001
#endif
#ifndef GL_FRAGMENT_SHADER_BIT_EXT
	#define GL_FRAGMENT_SHADER_BIT_EXT 0x00000002
#endif
#ifndef GL_ALL_SHADER_BITS_EXT
	#define GL_ALL_SHADER_BITS_EXT 
#endif
#ifndef GL_PROGRAM_SEPARABLE_EXT
	#define GL_PROGRAM_SEPARABLE_EXT 0x8258
#endif
#ifndef GL_PROGRAM_PIPELINE_BINDING_EXT
	#define GL_PROGRAM_PIPELINE_BINDING_EXT 0x825A
#endif
typedef void (GL_APIENTRYP PFNGLACTIVESHADERPROGRAMEXTPROC) (GLuint pipeline, GLuint program) ;
typedef void (GL_APIENTRYP PFNGLBINDPROGRAMPIPELINEEXTPROC) (GLuint pipeline) ;
typedef GLuint (GL_APIENTRYP PFNGLCREATESHADERPROGRAMVEXTPROC) (GLenum type, GLsizei count, const GLchar **strings) ;
typedef void (GL_APIENTRYP PFNGLDELETEPROGRAMPIPELINESEXTPROC) (GLsizei n, const GLuint *pipelines) ;
typedef void (GL_APIENTRYP PFNGLGENPROGRAMPIPELINESEXTPROC) (GLsizei n, GLuint *pipelines) ;
typedef void (GL_APIENTRYP PFNGLGETPROGRAMPIPELINEINFOLOGEXTPROC) (GLuint pipeline, GLsizei bufSize, GLsizei *length, GLchar *infoLog) ;
typedef void (GL_APIENTRYP PFNGLGETPROGRAMPIPELINEIVEXTPROC) (GLuint pipeline, GLenum pname, GLint *params) ;
typedef GLboolean (GL_APIENTRYP PFNGLISPROGRAMPIPELINEEXTPROC) (GLuint pipeline) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMPARAMETERIEXTPROC) (GLuint program, GLenum pname, GLint value) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORM1FEXTPROC) (GLuint program, GLint location, GLfloat v0) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORM1FVEXTPROC) (GLuint program, GLint location, GLsizei count, const GLfloat *value) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORM1IEXTPROC) (GLuint program, GLint location, GLint v0) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORM1IVEXTPROC) (GLuint program, GLint location, GLsizei count, const GLint *value) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORM2FEXTPROC) (GLuint program, GLint location, GLfloat v0, GLfloat v1) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORM2FVEXTPROC) (GLuint program, GLint location, GLsizei count, const GLfloat *value) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORM2IEXTPROC) (GLuint program, GLint location, GLint v0, GLint v1) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORM2IVEXTPROC) (GLuint program, GLint location, GLsizei count, const GLint *value) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORM3FEXTPROC) (GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORM3FVEXTPROC) (GLuint program, GLint location, GLsizei count, const GLfloat *value) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORM3IEXTPROC) (GLuint program, GLint location, GLint v0, GLint v1, GLint v2) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORM3IVEXTPROC) (GLuint program, GLint location, GLsizei count, const GLint *value) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORM4FEXTPROC) (GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORM4FVEXTPROC) (GLuint program, GLint location, GLsizei count, const GLfloat *value) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORM4IEXTPROC) (GLuint program, GLint location, GLint v0, GLint v1, GLint v2, GLint v3) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORM4IVEXTPROC) (GLuint program, GLint location, GLsizei count, const GLint *value) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORMMATRIX2FVEXTPROC) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORMMATRIX3FVEXTPROC) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORMMATRIX4FVEXTPROC) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value) ;
typedef void (GL_APIENTRYP PFNGLUSEPROGRAMSTAGESEXTPROC) (GLuint pipeline, GLbitfield stages, GLuint program) ;
typedef void (GL_APIENTRYP PFNGLVALIDATEPROGRAMPIPELINEEXTPROC) (GLuint pipeline) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORM1UIEXTPROC) (GLuint program, GLint location, GLuint v0) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORM2UIEXTPROC) (GLuint program, GLint location, GLuint v0, GLuint v1) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORM3UIEXTPROC) (GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORM4UIEXTPROC) (GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORM1UIVEXTPROC) (GLuint program, GLint location, GLsizei count, const GLuint *value) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORM2UIVEXTPROC) (GLuint program, GLint location, GLsizei count, const GLuint *value) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORM3UIVEXTPROC) (GLuint program, GLint location, GLsizei count, const GLuint *value) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORM4UIVEXTPROC) (GLuint program, GLint location, GLsizei count, const GLuint *value) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORMMATRIX2X3FVEXTPROC) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORMMATRIX3X2FVEXTPROC) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORMMATRIX2X4FVEXTPROC) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORMMATRIX4X2FVEXTPROC) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORMMATRIX3X4FVEXTPROC) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value) ;
typedef void (GL_APIENTRYP PFNGLPROGRAMUNIFORMMATRIX4X3FVEXTPROC) (GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glActiveShaderProgramEXT(GLuint, GLuint);
 GL_APICALL void GL_APIENTRY glBindProgramPipelineEXT(GLuint);
 GL_APICALL GLboolean GL_APIENTRY glCreateShaderProgramvEXT(GLenum, GLsizei, const GLchar*);
 GL_APICALL void GL_APIENTRY glDeleteProgramPipelinesEXT(GLsizei, const GLuint*);
 GL_APICALL void GL_APIENTRY glGenProgramPipelinesEXT(GLsizei, GLuint*);
 GL_APICALL void GL_APIENTRY glGetProgramPipelineInfoLogEXT(GLuint, GLsizei, GLsizei*, GLchar*);
 GL_APICALL void GL_APIENTRY glGetProgramPipelineivEXT(GLuint, GLenum, GLint*);
 GL_APICALL GLboolean GL_APIENTRY glIsProgramPipelineEXT(GLuint);
 GL_APICALL void GL_APIENTRY glProgramParameteriEXT(GLuint, GLenum, GLint);
 GL_APICALL void GL_APIENTRY glProgramUniform1fEXT(GLuint, GLint, GLfloat);
 GL_APICALL void GL_APIENTRY glProgramUniform1fvEXT(GLuint, GLint, GLsizei, const GLfloat*);
 GL_APICALL void GL_APIENTRY glProgramUniform1iEXT(GLuint, GLint, GLint);
 GL_APICALL void GL_APIENTRY glProgramUniform1ivEXT(GLuint, GLint, GLsizei, const GLint*);
 GL_APICALL void GL_APIENTRY glProgramUniform2fEXT(GLuint, GLint, GLfloat, GLfloat);
 GL_APICALL void GL_APIENTRY glProgramUniform2fvEXT(GLuint, GLint, GLsizei, const GLfloat*);
 GL_APICALL void GL_APIENTRY glProgramUniform2iEXT(GLuint, GLint, GLint, GLint);
 GL_APICALL void GL_APIENTRY glProgramUniform2ivEXT(GLuint, GLint, GLsizei, const GLint*);
 GL_APICALL void GL_APIENTRY glProgramUniform3fEXT(GLuint, GLint, GLfloat, GLfloat, GLfloat);
 GL_APICALL void GL_APIENTRY glProgramUniform3fvEXT(GLuint, GLint, GLsizei, const GLfloat*);
 GL_APICALL void GL_APIENTRY glProgramUniform3iEXT(GLuint, GLint, GLint, GLint, GLint);
 GL_APICALL void GL_APIENTRY glProgramUniform3ivEXT(GLuint, GLint, GLsizei, const GLint*);
 GL_APICALL void GL_APIENTRY glProgramUniform4fEXT(GLuint, GLint, GLfloat, GLfloat, GLfloat, GLfloat);
 GL_APICALL void GL_APIENTRY glProgramUniform4fvEXT(GLuint, GLint, GLsizei, const GLfloat*);
 GL_APICALL void GL_APIENTRY glProgramUniform4iEXT(GLuint, GLint, GLint, GLint, GLint, GLint);
 GL_APICALL void GL_APIENTRY glProgramUniform4ivEXT(GLuint, GLint, GLsizei, const GLint*);
 GL_APICALL void GL_APIENTRY glProgramUniformMatrix2fvEXT(GLuint, GLint, GLsizei, GLboolean, const GLfloat*);
 GL_APICALL void GL_APIENTRY glProgramUniformMatrix3fvEXT(GLuint, GLint, GLsizei, GLboolean, const GLfloat*);
 GL_APICALL void GL_APIENTRY glProgramUniformMatrix4fvEXT(GLuint, GLint, GLsizei, GLboolean, const GLfloat*);
 GL_APICALL void GL_APIENTRY glUseProgramStagesEXT(GLuint, GLbitfield, GLuint);
 GL_APICALL void GL_APIENTRY glValidateProgramPipelineEXT(GLuint);
 GL_APICALL void GL_APIENTRY glProgramUniform1uiEXT(GLuint, GLint, GLuint);
 GL_APICALL void GL_APIENTRY glProgramUniform2uiEXT(GLuint, GLint, GLuint, GLuint);
 GL_APICALL void GL_APIENTRY glProgramUniform3uiEXT(GLuint, GLint, GLuint, GLuint, GLuint);
 GL_APICALL void GL_APIENTRY glProgramUniform4uiEXT(GLuint, GLint, GLuint, GLuint, GLuint, GLuint);
 GL_APICALL void GL_APIENTRY glProgramUniform1uivEXT(GLuint, GLint, GLsizei, const GLuint*);
 GL_APICALL void GL_APIENTRY glProgramUniform2uivEXT(GLuint, GLint, GLsizei, const GLuint*);
 GL_APICALL void GL_APIENTRY glProgramUniform3uivEXT(GLuint, GLint, GLsizei, const GLuint*);
 GL_APICALL void GL_APIENTRY glProgramUniform4uivEXT(GLuint, GLint, GLsizei, const GLuint*);
 GL_APICALL void GL_APIENTRY glProgramUniformMatrix2x3fvEXT(GLuint, GLint, GLsizei, GLboolean, const GLfloat*);
 GL_APICALL void GL_APIENTRY glProgramUniformMatrix3x2fvEXT(GLuint, GLint, GLsizei, GLboolean, const GLfloat*);
 GL_APICALL void GL_APIENTRY glProgramUniformMatrix2x4fvEXT(GLuint, GLint, GLsizei, GLboolean, const GLfloat*);
 GL_APICALL void GL_APIENTRY glProgramUniformMatrix4x2fvEXT(GLuint, GLint, GLsizei, GLboolean, const GLfloat*);
 GL_APICALL void GL_APIENTRY glProgramUniformMatrix3x4fvEXT(GLuint, GLint, GLsizei, GLboolean, const GLfloat*);
 GL_APICALL void GL_APIENTRY glProgramUniformMatrix4x3fvEXT(GLuint, GLint, GLsizei, GLboolean, const GLfloat*);
#endif
#endif
/* End GL_EXT_separate_shader_objects */
/* Begin GL_EXT_shader_framebuffer_fetch */
#ifndef GL_EXT_shader_framebuffer_fetch
#ifndef GL_EXT_shader_framebuffer_fetch
	#define GL_EXT_shader_framebuffer_fetch 1
#endif
#ifndef GL_FRAGMENT_SHADER_DISCARDS_SAMPLES_EXT
	#define GL_FRAGMENT_SHADER_DISCARDS_SAMPLES_EXT 0x8A52
#endif
#endif
/* End GL_EXT_shader_framebuffer_fetch */
/* Begin GL_EXT_shader_integer_mix */
#ifndef GL_EXT_shader_integer_mix
#ifndef GL_EXT_shader_integer_mix
	#define GL_EXT_shader_integer_mix 1
#endif
#endif
/* End GL_EXT_shader_integer_mix */
/* Begin GL_EXT_shader_pixel_local_storage */
#ifndef GL_EXT_shader_pixel_local_storage
#ifndef GL_EXT_shader_pixel_local_storage
	#define GL_EXT_shader_pixel_local_storage 1
#endif
#ifndef GL_MAX_SHADER_PIXEL_LOCAL_STORAGE_FAST_SIZE_EXT
	#define GL_MAX_SHADER_PIXEL_LOCAL_STORAGE_FAST_SIZE_EXT 0x8F63
#endif
#ifndef GL_MAX_SHADER_PIXEL_LOCAL_STORAGE_SIZE_EXT
	#define GL_MAX_SHADER_PIXEL_LOCAL_STORAGE_SIZE_EXT 0x8F67
#endif
#ifndef GL_SHADER_PIXEL_LOCAL_STORAGE_EXT
	#define GL_SHADER_PIXEL_LOCAL_STORAGE_EXT 0x8F64
#endif
#endif
/* End GL_EXT_shader_pixel_local_storage */
/* Begin GL_EXT_shader_texture_lod */
#ifndef GL_EXT_shader_texture_lod
#ifndef GL_EXT_shader_texture_lod
	#define GL_EXT_shader_texture_lod 1
#endif
#endif
/* End GL_EXT_shader_texture_lod */
/* Begin GL_EXT_shadow_samplers */
#ifndef GL_EXT_shadow_samplers
#ifndef GL_EXT_shadow_samplers
	#define GL_EXT_shadow_samplers 1
#endif
#ifndef GL_TEXTURE_COMPARE_MODE_EXT
	#define GL_TEXTURE_COMPARE_MODE_EXT 0x884C
#endif
#ifndef GL_TEXTURE_COMPARE_FUNC_EXT
	#define GL_TEXTURE_COMPARE_FUNC_EXT 0x884D
#endif
#ifndef GL_COMPARE_REF_TO_TEXTURE_EXT
	#define GL_COMPARE_REF_TO_TEXTURE_EXT 0x884E
#endif
#ifndef GL_SAMPLER_2D_SHADOW_EXT
	#define GL_SAMPLER_2D_SHADOW_EXT 0x8B62
#endif
#endif
/* End GL_EXT_shadow_samplers */
/* Begin GL_EXT_texture_compression_dxt1 */
#ifndef GL_EXT_texture_compression_dxt1
#ifndef GL_EXT_texture_compression_dxt1
	#define GL_EXT_texture_compression_dxt1 1
#endif
#ifndef GL_COMPRESSED_RGB_S3TC_DXT1_EXT
	#define GL_COMPRESSED_RGB_S3TC_DXT1_EXT 0x83F0
#endif
#ifndef GL_COMPRESSED_RGBA_S3TC_DXT1_EXT
	#define GL_COMPRESSED_RGBA_S3TC_DXT1_EXT 0x83F1
#endif
#endif
/* End GL_EXT_texture_compression_dxt1 */
/* Begin GL_EXT_texture_compression_s3tc */
#ifndef GL_EXT_texture_compression_s3tc
#ifndef GL_EXT_texture_compression_s3tc
	#define GL_EXT_texture_compression_s3tc 1
#endif
#ifndef GL_COMPRESSED_RGBA_S3TC_DXT3_EXT
	#define GL_COMPRESSED_RGBA_S3TC_DXT3_EXT 0x83F2
#endif
#ifndef GL_COMPRESSED_RGBA_S3TC_DXT5_EXT
	#define GL_COMPRESSED_RGBA_S3TC_DXT5_EXT 0x83F3
#endif
#endif
/* End GL_EXT_texture_compression_s3tc */
/* Begin GL_EXT_texture_filter_anisotropic */
#ifndef GL_EXT_texture_filter_anisotropic
#ifndef GL_EXT_texture_filter_anisotropic
	#define GL_EXT_texture_filter_anisotropic 1
#endif
#ifndef GL_TEXTURE_MAX_ANISOTROPY_EXT
	#define GL_TEXTURE_MAX_ANISOTROPY_EXT 0x84FE
#endif
#ifndef GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT
	#define GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT 0x84FF
#endif
#endif
/* End GL_EXT_texture_filter_anisotropic */
/* Begin GL_EXT_texture_format_BGRA8888 */
#ifndef GL_EXT_texture_format_BGRA8888
#ifndef GL_EXT_texture_format_BGRA8888
	#define GL_EXT_texture_format_BGRA8888 1
#endif
#endif
/* End GL_EXT_texture_format_BGRA8888 */
/* Begin GL_EXT_texture_rg */
#ifndef GL_EXT_texture_rg
#ifndef GL_EXT_texture_rg
	#define GL_EXT_texture_rg 1
#endif
#ifndef GL_RED_EXT
	#define GL_RED_EXT 0x1903
#endif
#ifndef GL_RG_EXT
	#define GL_RG_EXT 0x8227
#endif
#ifndef GL_R8_EXT
	#define GL_R8_EXT 0x8229
#endif
#ifndef GL_RG8_EXT
	#define GL_RG8_EXT 0x822B
#endif
#endif
/* End GL_EXT_texture_rg */
/* Begin GL_EXT_texture_sRGB_decode */
#ifndef GL_EXT_texture_sRGB_decode
#ifndef GL_EXT_texture_sRGB_decode
	#define GL_EXT_texture_sRGB_decode 1
#endif
#ifndef GL_TEXTURE_SRGB_DECODE_EXT
	#define GL_TEXTURE_SRGB_DECODE_EXT 0x8A48
#endif
#ifndef GL_DECODE_EXT
	#define GL_DECODE_EXT 0x8A49
#endif
#ifndef GL_SKIP_DECODE_EXT
	#define GL_SKIP_DECODE_EXT 0x8A4A
#endif
#endif
/* End GL_EXT_texture_sRGB_decode */
/* Begin GL_EXT_texture_storage */
#ifndef GL_EXT_texture_storage
#ifndef GL_EXT_texture_storage
	#define GL_EXT_texture_storage 1
#endif
#ifndef GL_TEXTURE_IMMUTABLE_FORMAT_EXT
	#define GL_TEXTURE_IMMUTABLE_FORMAT_EXT 0x912F
#endif
#ifndef GL_ALPHA8_EXT
	#define GL_ALPHA8_EXT 0x803C
#endif
#ifndef GL_LUMINANCE8_EXT
	#define GL_LUMINANCE8_EXT 0x8040
#endif
#ifndef GL_LUMINANCE8_ALPHA8_EXT
	#define GL_LUMINANCE8_ALPHA8_EXT 0x8045
#endif
#ifndef GL_RGBA32F_EXT
	#define GL_RGBA32F_EXT 0x8814
#endif
#ifndef GL_RGB32F_EXT
	#define GL_RGB32F_EXT 0x8815
#endif
#ifndef GL_ALPHA32F_EXT
	#define GL_ALPHA32F_EXT 0x8816
#endif
#ifndef GL_LUMINANCE32F_EXT
	#define GL_LUMINANCE32F_EXT 0x8818
#endif
#ifndef GL_LUMINANCE_ALPHA32F_EXT
	#define GL_LUMINANCE_ALPHA32F_EXT 0x8819
#endif
#ifndef GL_ALPHA16F_EXT
	#define GL_ALPHA16F_EXT 0x881C
#endif
#ifndef GL_LUMINANCE16F_EXT
	#define GL_LUMINANCE16F_EXT 0x881E
#endif
#ifndef GL_LUMINANCE_ALPHA16F_EXT
	#define GL_LUMINANCE_ALPHA16F_EXT 0x881F
#endif
#ifndef GL_R32F_EXT
	#define GL_R32F_EXT 0x822E
#endif
#ifndef GL_RG32F_EXT
	#define GL_RG32F_EXT 0x8230
#endif
typedef void (GL_APIENTRYP PFNGLTEXSTORAGE1DEXTPROC) (GLenum target, GLsizei levels, GLenum internalformat, GLsizei width) ;
typedef void (GL_APIENTRYP PFNGLTEXSTORAGE2DEXTPROC) (GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height) ;
typedef void (GL_APIENTRYP PFNGLTEXSTORAGE3DEXTPROC) (GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth) ;
typedef void (GL_APIENTRYP PFNGLTEXTURESTORAGE1DEXTPROC) (GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width) ;
typedef void (GL_APIENTRYP PFNGLTEXTURESTORAGE2DEXTPROC) (GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height) ;
typedef void (GL_APIENTRYP PFNGLTEXTURESTORAGE3DEXTPROC) (GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glTexStorage1DEXT(GLenum, GLsizei, GLenum, GLsizei);
 GL_APICALL void GL_APIENTRY glTexStorage2DEXT(GLenum, GLsizei, GLenum, GLsizei, GLsizei);
 GL_APICALL void GL_APIENTRY glTexStorage3DEXT(GLenum, GLsizei, GLenum, GLsizei, GLsizei, GLsizei);
 GL_APICALL void GL_APIENTRY glTextureStorage1DEXT(GLuint, GLenum, GLsizei, GLenum, GLsizei);
 GL_APICALL void GL_APIENTRY glTextureStorage2DEXT(GLuint, GLenum, GLsizei, GLenum, GLsizei, GLsizei);
 GL_APICALL void GL_APIENTRY glTextureStorage3DEXT(GLuint, GLenum, GLsizei, GLenum, GLsizei, GLsizei, GLsizei);
#endif
#endif
/* End GL_EXT_texture_storage */
/* Begin GL_EXT_texture_type_2_10_10_10_REV */
#ifndef GL_EXT_texture_type_2_10_10_10_REV
#ifndef GL_EXT_texture_type_2_10_10_10_REV
	#define GL_EXT_texture_type_2_10_10_10_REV 1
#endif
#ifndef GL_UNSIGNED_INT_2_10_10_10_REV_EXT
	#define GL_UNSIGNED_INT_2_10_10_10_REV_EXT 0x8368
#endif
#endif
/* End GL_EXT_texture_type_2_10_10_10_REV */
/* Begin GL_EXT_unpack_subimage */
#ifndef GL_EXT_unpack_subimage
#ifndef GL_EXT_unpack_subimage
	#define GL_EXT_unpack_subimage 1
#endif
#ifndef GL_UNPACK_ROW_LENGTH_EXT
	#define GL_UNPACK_ROW_LENGTH_EXT 0x0CF2
#endif
#ifndef GL_UNPACK_SKIP_ROWS_EXT
	#define GL_UNPACK_SKIP_ROWS_EXT 0x0CF3
#endif
#ifndef GL_UNPACK_SKIP_PIXELS_EXT
	#define GL_UNPACK_SKIP_PIXELS_EXT 0x0CF4
#endif
#endif
/* End GL_EXT_unpack_subimage */
/* Begin GL_FJ_shader_binary_GCCSO */
#ifndef GL_FJ_shader_binary_GCCSO
#ifndef GL_FJ_shader_binary_GCCSO
	#define GL_FJ_shader_binary_GCCSO 1
#endif
#ifndef GL_GCCSO_SHADER_BINARY_FJ
	#define GL_GCCSO_SHADER_BINARY_FJ 0x9260
#endif
#endif
/* End GL_FJ_shader_binary_GCCSO */
/* Begin GL_IMG_multisampled_render_to_texture */
#ifndef GL_IMG_multisampled_render_to_texture
#ifndef GL_IMG_multisampled_render_to_texture
	#define GL_IMG_multisampled_render_to_texture 1
#endif
#ifndef GL_RENDERBUFFER_SAMPLES_IMG
	#define GL_RENDERBUFFER_SAMPLES_IMG 0x9133
#endif
#ifndef GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_IMG
	#define GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_IMG 0x9134
#endif
#ifndef GL_MAX_SAMPLES_IMG
	#define GL_MAX_SAMPLES_IMG 0x9135
#endif
#ifndef GL_TEXTURE_SAMPLES_IMG
	#define GL_TEXTURE_SAMPLES_IMG 0x9136
#endif
typedef void (GL_APIENTRYP PFNGLRENDERBUFFERSTORAGEMULTISAMPLEIMGPROC) (GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height) ;
typedef void (GL_APIENTRYP PFNGLFRAMEBUFFERTEXTURE2DMULTISAMPLEIMGPROC) (GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLsizei samples) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glRenderbufferStorageMultisampleIMG(GLenum, GLsizei, GLenum, GLsizei, GLsizei);
 GL_APICALL void GL_APIENTRY glFramebufferTexture2DMultisampleIMG(GLenum, GLenum, GLenum, GLuint, GLint, GLsizei);
#endif
#endif
/* End GL_IMG_multisampled_render_to_texture */
/* Begin GL_IMG_program_binary */
#ifndef GL_IMG_program_binary
#ifndef GL_IMG_program_binary
	#define GL_IMG_program_binary 1
#endif
#ifndef GL_SGX_PROGRAM_BINARY_IMG
	#define GL_SGX_PROGRAM_BINARY_IMG 0x9130
#endif
#endif
/* End GL_IMG_program_binary */
/* End GL_IMG_read_format */
#ifndef GL_IMG_read_format
#ifndef GL_IMG_read_format
	#define GL_IMG_read_format 1
#endif
#ifndef GL_BGRA_IMG
	#define GL_BGRA_IMG 0x80E1
#endif
#ifndef GL_UNSIGNED_SHORT_4_4_4_4_REV_IMG
	#define GL_UNSIGNED_SHORT_4_4_4_4_REV_IMG 0x8365
#endif
#endif
/* End GL_IMG_read_format */
/* Begin GL_IMG_shader_binary */
#ifndef GL_IMG_shader_binary
#ifndef GL_IMG_shader_binary
	#define GL_IMG_shader_binary 1
#endif
#ifndef GL_SGX_BINARY_IMG
	#define GL_SGX_BINARY_IMG 0x8C0A
#endif
#endif
/* End GL_IMG_shader_binary */
/* Begin GL_IMG_texture_compression_pvrtc */
#ifndef GL_IMG_texture_compression_pvrtc
#ifndef GL_IMG_texture_compression_pvrtc
	#define GL_IMG_texture_compression_pvrtc 1
#endif
#ifndef GL_COMPRESSED_RGB_PVRTC_4BPPV1_IMG
	#define GL_COMPRESSED_RGB_PVRTC_4BPPV1_IMG 0x8C00
#endif
#ifndef GL_COMPRESSED_RGB_PVRTC_2BPPV1_IMG
	#define GL_COMPRESSED_RGB_PVRTC_2BPPV1_IMG 0x8C01
#endif
#ifndef GL_COMPRESSED_RGBA_PVRTC_4BPPV1_IMG
	#define GL_COMPRESSED_RGBA_PVRTC_4BPPV1_IMG 0x8C02
#endif
#ifndef GL_COMPRESSED_RGBA_PVRTC_2BPPV1_IMG
	#define GL_COMPRESSED_RGBA_PVRTC_2BPPV1_IMG 0x8C03
#endif
#endif
/* End GL_IMG_texture_compression_pvrtc */
/* Begin GL_IMG_texture_compression_pvrtc2 */
#ifndef GL_IMG_texture_compression_pvrtc2
#ifndef GL_IMG_texture_compression_pvrtc2
	#define GL_IMG_texture_compression_pvrtc2 1
#endif
#ifndef GL_COMPRESSED_RGBA_PVRTC_2BPPV2_IMG
	#define GL_COMPRESSED_RGBA_PVRTC_2BPPV2_IMG 0x9137
#endif
#ifndef GL_COMPRESSED_RGBA_PVRTC_4BPPV2_IMG
	#define GL_COMPRESSED_RGBA_PVRTC_4BPPV2_IMG 0x9138
#endif
#endif
/* End GL_IMG_texture_compression_pvrtc2 */
/* Begin GL_INTEL_performance_query */
#ifndef GL_INTEL_performance_query
#ifndef GL_INTEL_performance_query
	#define GL_INTEL_performance_query 1
#endif
#ifndef GL_PERFQUERY_SINGLE_CONTEXT_INTEL
	#define GL_PERFQUERY_SINGLE_CONTEXT_INTEL 0x00000000
#endif
#ifndef GL_PERFQUERY_GLOBAL_CONTEXT_INTEL
	#define GL_PERFQUERY_GLOBAL_CONTEXT_INTEL 0x00000001
#endif
#ifndef GL_PERFQUERY_WAIT_INTEL
	#define GL_PERFQUERY_WAIT_INTEL 0x83FB
#endif
#ifndef GL_PERFQUERY_FLUSH_INTEL
	#define GL_PERFQUERY_FLUSH_INTEL 0x83FA
#endif
#ifndef GL_PERFQUERY_DONOT_FLUSH_INTEL
	#define GL_PERFQUERY_DONOT_FLUSH_INTEL 0x83F9
#endif
#ifndef GL_PERFQUERY_COUNTER_EVENT_INTEL
	#define GL_PERFQUERY_COUNTER_EVENT_INTEL 0x94F0
#endif
#ifndef GL_PERFQUERY_COUNTER_DURATION_NORM_INTEL
	#define GL_PERFQUERY_COUNTER_DURATION_NORM_INTEL 0x94F1
#endif
#ifndef GL_PERFQUERY_COUNTER_DURATION_RAW_INTEL
	#define GL_PERFQUERY_COUNTER_DURATION_RAW_INTEL 0x94F2
#endif
#ifndef GL_PERFQUERY_COUNTER_THROUGHPUT_INTEL
	#define GL_PERFQUERY_COUNTER_THROUGHPUT_INTEL 0x94F3
#endif
#ifndef GL_PERFQUERY_COUNTER_RAW_INTEL
	#define GL_PERFQUERY_COUNTER_RAW_INTEL 0x94F4
#endif
#ifndef GL_PERFQUERY_COUNTER_TIMESTAMP_INTEL
	#define GL_PERFQUERY_COUNTER_TIMESTAMP_INTEL 0x94F5
#endif
#ifndef GL_PERFQUERY_COUNTER_DATA_UINT32_INTEL
	#define GL_PERFQUERY_COUNTER_DATA_UINT32_INTEL 0x94F8
#endif
#ifndef GL_PERFQUERY_COUNTER_DATA_UINT64_INTEL
	#define GL_PERFQUERY_COUNTER_DATA_UINT64_INTEL 0x94F9
#endif
#ifndef GL_PERFQUERY_COUNTER_DATA_FLOAT_INTEL
	#define GL_PERFQUERY_COUNTER_DATA_FLOAT_INTEL 0x94FA
#endif
#ifndef GL_PERFQUERY_COUNTER_DATA_DOUBLE_INTEL
	#define GL_PERFQUERY_COUNTER_DATA_DOUBLE_INTEL 0x94FB
#endif
#ifndef GL_PERFQUERY_COUNTER_DATA_BOOL32_INTEL
	#define GL_PERFQUERY_COUNTER_DATA_BOOL32_INTEL 0x94FC
#endif
#ifndef GL_PERFQUERY_QUERY_NAME_LENGTH_MAX_INTEL
	#define GL_PERFQUERY_QUERY_NAME_LENGTH_MAX_INTEL 0x94FD
#endif
#ifndef GL_PERFQUERY_COUNTER_NAME_LENGTH_MAX_INTEL
	#define GL_PERFQUERY_COUNTER_NAME_LENGTH_MAX_INTEL 0x94FE
#endif
#ifndef GL_PERFQUERY_COUNTER_DESC_LENGTH_MAX_INTEL
	#define GL_PERFQUERY_COUNTER_DESC_LENGTH_MAX_INTEL 0x94FF
#endif
#ifndef GL_PERFQUERY_GPA_EXTENDED_COUNTERS_INTEL
	#define GL_PERFQUERY_GPA_EXTENDED_COUNTERS_INTEL 0x9500
#endif
typedef void (GL_APIENTRYP PFNGLBEGINPERFQUERYINTELPROC) (GLuint queryHandle) ;
typedef void (GL_APIENTRYP PFNGLCREATEPERFQUERYINTELPROC) (GLuint queryId, GLuint *queryHandle) ;
typedef void (GL_APIENTRYP PFNGLDELETEPERFQUERYINTELPROC) (GLuint queryHandle) ;
typedef void (GL_APIENTRYP PFNGLENDPERFQUERYINTELPROC) (GLuint queryHandle) ;
typedef void (GL_APIENTRYP PFNGLGETFIRSTPERFQUERYIDINTELPROC) (GLuint *queryId) ;
typedef void (GL_APIENTRYP PFNGLGETNEXTPERFQUERYIDINTELPROC) (GLuint queryId, GLuint *nextQueryId) ;
typedef void (GL_APIENTRYP PFNGLGETPERFCOUNTERINFOINTELPROC) (GLuint queryId, GLuint counterId, GLuint counterNameLength, GLchar *counterName, GLuint counterDescLength, GLchar *counterDesc, GLuint *counterOffset, GLuint *counterDataSize, GLuint *counterTypeEnum, GLuint *counterDataTypeEnum, GLuint64 *rawCounterMaxValue) ;
typedef void (GL_APIENTRYP PFNGLGETPERFQUERYDATAINTELPROC) (GLuint queryHandle, GLuint flags, GLsizei dataSize, GLvoid *data, GLuint *bytesWritten) ;
typedef void (GL_APIENTRYP PFNGLGETPERFQUERYIDBYNAMEINTELPROC) (GLchar *queryName, GLuint *queryId) ;
typedef void (GL_APIENTRYP PFNGLGETPERFQUERYINFOINTELPROC) (GLuint queryId, GLuint queryNameLength, GLchar *queryName, GLuint *dataSize, GLuint *noCounters, GLuint *noInstances, GLuint *capsMask) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glBeginPerfQueryINTEL(GLuint);
 GL_APICALL void GL_APIENTRY glCreatePerfQueryINTEL(GLuint, GLuint*);
 GL_APICALL void GL_APIENTRY glDeletePerfQueryINTEL(GLuint);
 GL_APICALL void GL_APIENTRY glEndPerfQueryINTEL(GLuint);
 GL_APICALL void GL_APIENTRY glGetFirstPerfQueryIdINTEL(GLuint*);
 GL_APICALL void GL_APIENTRY glGetNextPerfQueryIdINTEL(GLuint, GLuint*);
 GL_APICALL void GL_APIENTRY glGetPerfCounterInfoINTEL(GLuint, GLuint, GLuint, GLchar*, GLuint, GLchar*, GLuint*, GLuint*, GLuint*, GLuint*, GLuint64*);
 GL_APICALL void GL_APIENTRY glGetPerfQueryDataINTEL(GLuint, GLuint, GLsizei, GLvoid*, GLuint*);
 GL_APICALL void GL_APIENTRY glGetPerfQueryIdByNameINTEL(GLchar*, GLuint*);
 GL_APICALL void GL_APIENTRY glGetPerfQueryInfoINTEL(GLuint, GLuint, GLchar*, GLuint*, GLuint*, GLuint*, GLuint*);
#endif
#endif
/* End GL_INTEL_performance_query */
/* Begin GL_NV_blend_equation_advanced */
#ifndef GL_NV_blend_equation_advanced
#ifndef GL_NV_blend_equation_advanced
	#define GL_NV_blend_equation_advanced 1
#endif
#ifndef GL_BLEND_OVERLAP_NV
	#define GL_BLEND_OVERLAP_NV 0x9281
#endif
#ifndef GL_BLEND_PREMULTIPLIED_SRC_NV
	#define GL_BLEND_PREMULTIPLIED_SRC_NV 0x9280
#endif
#ifndef GL_BLUE_NV
	#define GL_BLUE_NV 0x1905
#endif
#ifndef GL_COLORBURN_NV
	#define GL_COLORBURN_NV 0x929A
#endif
#ifndef GL_COLORDODGE_NV
	#define GL_COLORDODGE_NV 0x9299
#endif
#ifndef GL_CONJOINT_NV
	#define GL_CONJOINT_NV 0x9284
#endif
#ifndef GL_CONTRAST_NV
	#define GL_CONTRAST_NV 0x92A1
#endif
#ifndef GL_DARKEN_NV
	#define GL_DARKEN_NV 0x9297
#endif
#ifndef GL_DIFFERENCE_NV
	#define GL_DIFFERENCE_NV 0x929E
#endif
#ifndef GL_DISJOINT_NV
	#define GL_DISJOINT_NV 0x9283
#endif
#ifndef GL_DST_ATOP_NV
	#define GL_DST_ATOP_NV 0x928F
#endif
#ifndef GL_DST_IN_NV
	#define GL_DST_IN_NV 0x928B
#endif
#ifndef GL_DST_NV
	#define GL_DST_NV 0x9287
#endif
#ifndef GL_DST_OUT_NV
	#define GL_DST_OUT_NV 0x928D
#endif
#ifndef GL_DST_OVER_NV
	#define GL_DST_OVER_NV 0x9289
#endif
#ifndef GL_EXCLUSION_NV
	#define GL_EXCLUSION_NV 0x92A0
#endif
#ifndef GL_GREEN_NV
	#define GL_GREEN_NV 0x1904
#endif
#ifndef GL_HARDLIGHT_NV
	#define GL_HARDLIGHT_NV 0x929B
#endif
#ifndef GL_HARDMIX_NV
	#define GL_HARDMIX_NV 0x92A9
#endif
#ifndef GL_HSL_COLOR_NV
	#define GL_HSL_COLOR_NV 0x92AF
#endif
#ifndef GL_HSL_HUE_NV
	#define GL_HSL_HUE_NV 0x92AD
#endif
#ifndef GL_HSL_LUMINOSITY_NV
	#define GL_HSL_LUMINOSITY_NV 0x92B0
#endif
#ifndef GL_HSL_SATURATION_NV
	#define GL_HSL_SATURATION_NV 0x92AE
#endif
#ifndef GL_INVERT_OVG_NV
	#define GL_INVERT_OVG_NV 0x92B4
#endif
#ifndef GL_INVERT_RGB_NV
	#define GL_INVERT_RGB_NV 0x92A3
#endif
#ifndef GL_LIGHTEN_NV
	#define GL_LIGHTEN_NV 0x9298
#endif
#ifndef GL_LINEARBURN_NV
	#define GL_LINEARBURN_NV 0x92A5
#endif
#ifndef GL_LINEARDODGE_NV
	#define GL_LINEARDODGE_NV 0x92A4
#endif
#ifndef GL_LINEARLIGHT_NV
	#define GL_LINEARLIGHT_NV 0x92A7
#endif
#ifndef GL_MINUS_CLAMPED_NV
	#define GL_MINUS_CLAMPED_NV 0x92B3
#endif
#ifndef GL_MINUS_NV
	#define GL_MINUS_NV 0x929F
#endif
#ifndef GL_MULTIPLY_NV
	#define GL_MULTIPLY_NV 0x9294
#endif
#ifndef GL_OVERLAY_NV
	#define GL_OVERLAY_NV 0x9296
#endif
#ifndef GL_PINLIGHT_NV
	#define GL_PINLIGHT_NV 0x92A8
#endif
#ifndef GL_PLUS_CLAMPED_ALPHA_NV
	#define GL_PLUS_CLAMPED_ALPHA_NV 0x92B2
#endif
#ifndef GL_PLUS_CLAMPED_NV
	#define GL_PLUS_CLAMPED_NV 0x92B1
#endif
#ifndef GL_PLUS_DARKER_NV
	#define GL_PLUS_DARKER_NV 0x9292
#endif
#ifndef GL_PLUS_NV
	#define GL_PLUS_NV 0x9291
#endif
#ifndef GL_RED_NV
	#define GL_RED_NV 0x1903
#endif
#ifndef GL_SCREEN_NV
	#define GL_SCREEN_NV 0x9295
#endif
#ifndef GL_SOFTLIGHT_NV
	#define GL_SOFTLIGHT_NV 0x929C
#endif
#ifndef GL_SRC_ATOP_NV
	#define GL_SRC_ATOP_NV 0x928E
#endif
#ifndef GL_SRC_IN_NV
	#define GL_SRC_IN_NV 0x928A
#endif
#ifndef GL_SRC_NV
	#define GL_SRC_NV 0x9286
#endif
#ifndef GL_SRC_OUT_NV
	#define GL_SRC_OUT_NV 0x928C
#endif
#ifndef GL_SRC_OVER_NV
	#define GL_SRC_OVER_NV 0x9288
#endif
#ifndef GL_UNCORRELATED_NV
	#define GL_UNCORRELATED_NV 0x9282
#endif
#ifndef GL_VIVIDLIGHT_NV
	#define GL_VIVIDLIGHT_NV 0x92A6
#endif
#ifndef GL_XOR_NV
	#define GL_XOR_NV 0x1506
#endif
typedef void (GL_APIENTRYP PFNGLBLENDPARAMETERINVPROC) (GLenum pname, GLint value) ;
typedef void (GL_APIENTRYP PFNGLBLENDBARRIERNVPROC) (void) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glBlendParameteriNV(GLenum, GLint);
 GL_APICALL void GL_APIENTRY glBlendBarrierNV();
#endif
#endif
/* End GL_NV_blend_equation_advanced */
/* Begin GL_NV_blend_equation_advanced_coherent */
#ifndef GL_NV_blend_equation_advanced_coherent
#ifndef GL_NV_blend_equation_advanced_coherent
	#define GL_NV_blend_equation_advanced_coherent 1
#endif
#ifndef GL_BLEND_ADVANCED_COHERENT_NV
	#define GL_BLEND_ADVANCED_COHERENT_NV 0x9285
#endif
#endif
/* End GL_NV_blend_equation_advanced_coherent */
/* Begin GL_NV_copy_buffer */
#ifndef GL_NV_copy_buffer
#ifndef GL_NV_copy_buffer
	#define GL_NV_copy_buffer 1
#endif
#ifndef GL_COPY_READ_BUFFER_NV
	#define GL_COPY_READ_BUFFER_NV 0x8F36
#endif
#ifndef GL_COPY_WRITE_BUFFER_NV
	#define GL_COPY_WRITE_BUFFER_NV 0x8F37
#endif
typedef void (GL_APIENTRYP PFNGLCOPYBUFFERSUBDATANVPROC) (GLenum readTarget, GLenum writeTarget, GLintptr readOffset, GLintptr writeOffset, GLsizeiptr size) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glCopyBufferSubDataNV(GLenum, GLenum, GLintptr, GLintptr, GLintptr);
#endif
#endif
/* End GL_NV_copy_buffer */
/* Begin GL_NV_coverage_sample */
#ifndef GL_NV_coverage_sample
#ifndef GL_NV_coverage_sample
	#define GL_NV_coverage_sample 1
#endif
#ifndef GL_COVERAGE_COMPONENT_NV
	#define GL_COVERAGE_COMPONENT_NV 0x8ED0
#endif
#ifndef GL_COVERAGE_COMPONENT4_NV
	#define GL_COVERAGE_COMPONENT4_NV 0x8ED1
#endif
#ifndef GL_COVERAGE_ATTACHMENT_NV
	#define GL_COVERAGE_ATTACHMENT_NV 0x8ED2
#endif
#ifndef GL_COVERAGE_BUFFERS_NV
	#define GL_COVERAGE_BUFFERS_NV 0x8ED3
#endif
#ifndef GL_COVERAGE_SAMPLES_NV
	#define GL_COVERAGE_SAMPLES_NV 0x8ED4
#endif
#ifndef GL_COVERAGE_ALL_FRAGMENTS_NV
	#define GL_COVERAGE_ALL_FRAGMENTS_NV 0x8ED5
#endif
#ifndef GL_COVERAGE_EDGE_FRAGMENTS_NV
	#define GL_COVERAGE_EDGE_FRAGMENTS_NV 0x8ED6
#endif
#ifndef GL_COVERAGE_AUTOMATIC_NV
	#define GL_COVERAGE_AUTOMATIC_NV 0x8ED7
#endif
#ifndef GL_COVERAGE_BUFFER_BIT_NV
	#define GL_COVERAGE_BUFFER_BIT_NV 0x00008000
#endif
typedef void (GL_APIENTRYP PFNGLCOVERAGEMASKNVPROC) (GLboolean mask) ;
typedef void (GL_APIENTRYP PFNGLCOVERAGEOPERATIONNVPROC) (GLenum operation) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glCoverageMaskNV(GLboolean);
 GL_APICALL void GL_APIENTRY glCoverageOperationNV(GLenum);
#endif
#endif
/* End GL_NV_coverage_sample */
/* Begin GL_NV_depth_nonlinear */
#ifndef GL_NV_depth_nonlinear
#ifndef GL_NV_depth_nonlinear
	#define GL_NV_depth_nonlinear 1
#endif
#ifndef GL_DEPTH_COMPONENT16_NONLINEAR_NV
	#define GL_DEPTH_COMPONENT16_NONLINEAR_NV 0x8E2C
#endif
#endif
/* End GL_NV_depth_nonlinear */
/* Begin GL_NV_draw_buffers */
#ifndef GL_NV_draw_buffers
#ifndef GL_NV_draw_buffers
	#define GL_NV_draw_buffers 1
#endif
#ifndef GL_MAX_DRAW_BUFFERS_NV
	#define GL_MAX_DRAW_BUFFERS_NV 0x8824
#endif
#ifndef GL_DRAW_BUFFER0_NV
	#define GL_DRAW_BUFFER0_NV 0x8825
#endif
#ifndef GL_DRAW_BUFFER1_NV
	#define GL_DRAW_BUFFER1_NV 0x8826
#endif
#ifndef GL_DRAW_BUFFER2_NV
	#define GL_DRAW_BUFFER2_NV 0x8827
#endif
#ifndef GL_DRAW_BUFFER3_NV
	#define GL_DRAW_BUFFER3_NV 0x8828
#endif
#ifndef GL_DRAW_BUFFER4_NV
	#define GL_DRAW_BUFFER4_NV 0x8829
#endif
#ifndef GL_DRAW_BUFFER5_NV
	#define GL_DRAW_BUFFER5_NV 0x882A
#endif
#ifndef GL_DRAW_BUFFER6_NV
	#define GL_DRAW_BUFFER6_NV 0x882B
#endif
#ifndef GL_DRAW_BUFFER7_NV
	#define GL_DRAW_BUFFER7_NV 0x882C
#endif
#ifndef GL_DRAW_BUFFER8_NV
	#define GL_DRAW_BUFFER8_NV 0x882D
#endif
#ifndef GL_DRAW_BUFFER9_NV
	#define GL_DRAW_BUFFER9_NV 0x882E
#endif
#ifndef GL_DRAW_BUFFER10_NV
	#define GL_DRAW_BUFFER10_NV 0x882F
#endif
#ifndef GL_DRAW_BUFFER11_NV
	#define GL_DRAW_BUFFER11_NV 0x8830
#endif
#ifndef GL_DRAW_BUFFER12_NV
	#define GL_DRAW_BUFFER12_NV 0x8831
#endif
#ifndef GL_DRAW_BUFFER13_NV
	#define GL_DRAW_BUFFER13_NV 0x8832
#endif
#ifndef GL_DRAW_BUFFER14_NV
	#define GL_DRAW_BUFFER14_NV 0x8833
#endif
#ifndef GL_DRAW_BUFFER15_NV
	#define GL_DRAW_BUFFER15_NV 0x8834
#endif
#ifndef GL_COLOR_ATTACHMENT0_NV
	#define GL_COLOR_ATTACHMENT0_NV 0x8CE0
#endif
#ifndef GL_COLOR_ATTACHMENT1_NV
	#define GL_COLOR_ATTACHMENT1_NV 0x8CE1
#endif
#ifndef GL_COLOR_ATTACHMENT2_NV
	#define GL_COLOR_ATTACHMENT2_NV 0x8CE2
#endif
#ifndef GL_COLOR_ATTACHMENT3_NV
	#define GL_COLOR_ATTACHMENT3_NV 0x8CE3
#endif
#ifndef GL_COLOR_ATTACHMENT4_NV
	#define GL_COLOR_ATTACHMENT4_NV 0x8CE4
#endif
#ifndef GL_COLOR_ATTACHMENT5_NV
	#define GL_COLOR_ATTACHMENT5_NV 0x8CE5
#endif
#ifndef GL_COLOR_ATTACHMENT6_NV
	#define GL_COLOR_ATTACHMENT6_NV 0x8CE6
#endif
#ifndef GL_COLOR_ATTACHMENT7_NV
	#define GL_COLOR_ATTACHMENT7_NV 0x8CE7
#endif
#ifndef GL_COLOR_ATTACHMENT8_NV
	#define GL_COLOR_ATTACHMENT8_NV 0x8CE8
#endif
#ifndef GL_COLOR_ATTACHMENT9_NV
	#define GL_COLOR_ATTACHMENT9_NV 0x8CE9
#endif
#ifndef GL_COLOR_ATTACHMENT10_NV
	#define GL_COLOR_ATTACHMENT10_NV 0x8CEA
#endif
#ifndef GL_COLOR_ATTACHMENT11_NV
	#define GL_COLOR_ATTACHMENT11_NV 0x8CEB
#endif
#ifndef GL_COLOR_ATTACHMENT12_NV
	#define GL_COLOR_ATTACHMENT12_NV 0x8CEC
#endif
#ifndef GL_COLOR_ATTACHMENT13_NV
	#define GL_COLOR_ATTACHMENT13_NV 0x8CED
#endif
#ifndef GL_COLOR_ATTACHMENT14_NV
	#define GL_COLOR_ATTACHMENT14_NV 0x8CEE
#endif
#ifndef GL_COLOR_ATTACHMENT15_NV
	#define GL_COLOR_ATTACHMENT15_NV 0x8CEF
#endif
typedef void (GL_APIENTRYP PFNGLDRAWBUFFERSNVPROC) (GLsizei n, const GLenum *bufs) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glDrawBuffersNV(GLsizei, const GLenum*);
#endif
#endif
/* End GL_NV_draw_buffers */
/* Begin GL_NV_draw_instanced */
#ifndef GL_NV_draw_instanced
#ifndef GL_NV_draw_instanced
	#define GL_NV_draw_instanced 1
#endif
typedef void (GL_APIENTRYP PFNGLDRAWARRAYSINSTANCEDNVPROC) (GLenum mode, GLint first, GLsizei count, GLsizei primcount) ;
typedef void (GL_APIENTRYP PFNGLDRAWELEMENTSINSTANCEDNVPROC) (GLenum mode, GLsizei count, GLenum type, const void *indices, GLsizei primcount) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glDrawArraysInstancedNV(GLenum, GLint, GLsizei, GLsizei);
 GL_APICALL void GL_APIENTRY glDrawElementsInstancedNV(GLenum, GLsizei, GLenum, const void*, GLsizei);
#endif
#endif
/* End GL_NV_draw_instanced */
/* Begin GL_NV_explicit_attrib_location */
#ifndef GL_NV_explicit_attrib_location
#ifndef GL_NV_explicit_attrib_location
	#define GL_NV_explicit_attrib_location 1
#endif
#endif
/* End GL_NV_explicit_attrib_location */
/* Begin GL_NV_explicit_attrib_location */
#ifndef GL_NV_explicit_attrib_location
#ifndef GL_NV_explicit_attrib_location
	#define GL_NV_explicit_attrib_location 1
#endif
#ifndef GL_MAX_COLOR_ATTACHMENTS_NV
	#define GL_MAX_COLOR_ATTACHMENTS_NV 0x8CDF
#endif
#endif
/* End GL_NV_explicit_attrib_location */
/* Begin GL_NV_fbo_color_attachments */
#ifndef GL_NV_fbo_color_attachments
#ifndef GL_NV_fbo_color_attachments
	#define GL_NV_fbo_color_attachments 1
#endif
#ifndef GL_MAX_COLOR_ATTACHMENTS_NV
	#define GL_MAX_COLOR_ATTACHMENTS_NV 0x8CDF
#endif
#endif
/* End GL_NV_fbo_color_attachments */
/* Begin GL_NV_fence */
#ifndef GL_NV_fence
#ifndef GL_NV_fence
	#define GL_NV_fence 1
#endif
#ifndef GL_ALL_COMPLETED_NV
	#define GL_ALL_COMPLETED_NV 0x84F2
#endif
#ifndef GL_FENCE_STATUS_NV
	#define GL_FENCE_STATUS_NV 0x84F3
#endif
#ifndef GL_FENCE_CONDITION_NV
	#define GL_FENCE_CONDITION_NV 0x84F4
#endif
typedef void (GL_APIENTRYP PFNGLDELETEFENCESNVPROC) (GLsizei n, const GLuint *fences) ;
typedef void (GL_APIENTRYP PFNGLGENFENCESNVPROC) (GLsizei n, GLuint *fences) ;
typedef GLboolean (GL_APIENTRYP PFNGLISFENCENVPROC) (GLuint fence) ;
typedef GLboolean (GL_APIENTRYP PFNGLTESTFENCENVPROC) (GLuint fence) ;
typedef void (GL_APIENTRYP PFNGLGETFENCEIVNVPROC) (GLuint fence, GLenum pname, GLint *params) ;
typedef void (GL_APIENTRYP PFNGLFINISHFENCENVPROC) (GLuint fence) ;
typedef void (GL_APIENTRYP PFNGLSETFENCENVPROC) (GLuint fence, GLenum condition) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glDeleteFencesNV(GLsizei, const GLuint);
 GL_APICALL void GL_APIENTRY glGenFencesNV(GLsizei, GLuint*);
 GL_APICALL void GL_APIENTRY glIsFenceNV(GLuint);
 GL_APICALL void GL_APIENTRY glTestFenceNV(GLuint);
 GL_APICALL void GL_APIENTRY glGetFenceivNV(GLuint, GLenum, GLint*);
 GL_APICALL void GL_APIENTRY glFinishFenceNV(GLuint);
 GL_APICALL void GL_APIENTRY glSetFenceNV(GLuint, GLenum);
#endif
#endif
/* Begin GL_NV_fence */
/* Begin GL_NV_framebuffer_blit */
#ifndef GL_NV_framebuffer_blit
#ifndef GL_NV_framebuffer_blit
	#define GL_NV_framebuffer_blit 1
#endif
#ifndef GL_READ_FRAMEBUFFER_NV
	#define GL_READ_FRAMEBUFFER_NV 0x8CA8
#endif
#ifndef GL_DRAW_FRAMEBUFFER_NV
	#define GL_DRAW_FRAMEBUFFER_NV 0x8CA9
#endif
#ifndef GL_DRAW_FRAMEBUFFER_BINDING_NV
	#define GL_DRAW_FRAMEBUFFER_BINDING_NV 0x8CA6
#endif
#ifndef GL_READ_FRAMEBUFFER_BINDING_NV
	#define GL_READ_FRAMEBUFFER_BINDING_NV 0x8CAA
#endif
typedef void (GL_APIENTRYP PFNGLBLITFRAMEBUFFERNVPROC) (GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glBlitFramebufferNV(GLint, GLint, GLint, GLint, GLint, GLint, GLint, GLint, GLbitfield, GLenum);
#endif
#endif
/* End GL_NV_framebuffer_blit */
/* Begin GL_NV_framebuffer_multisample */
#ifndef GL_NV_framebuffer_multisample
#ifndef GL_NV_framebuffer_multisample
	#define GL_NV_framebuffer_multisample 1
#endif
#ifndef GL_VERTEX_ATTRIB_ARRAY_DIVISOR_NV
	#define GL_VERTEX_ATTRIB_ARRAY_DIVISOR_NV 0x88FE
#endif
typedef void (GL_APIENTRYP PFNGLVERTEXATTRIBDIVISORNVPROC) (GLuint index, GLuint divisor) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glVertexAttribDivisorNV(GLuint, GLuint);
#endif
#endif
/* End GL_NV_framebuffer_multisample */
/* Begin GL_NV_non_square_matrices */
#ifndef GL_NV_non_square_matrices
#ifndef GL_NV_non_square_matrices
	#define GL_NV_non_square_matrices 1
#endif
#ifndef GL_FLOAT_MAT2x3_NV
	#define GL_FLOAT_MAT2x3_NV 0x8B65
#endif
#ifndef GL_FLOAT_MAT2x4_NV
	#define GL_FLOAT_MAT2x4_NV 0x8B66
#endif
#ifndef GL_FLOAT_MAT3x2_NV
	#define GL_FLOAT_MAT3x2_NV 0x8B67
#endif
#ifndef GL_FLOAT_MAT3x4_NV
	#define GL_FLOAT_MAT3x4_NV 0x8B68
#endif
#ifndef GL_FLOAT_MAT4x2_NV
	#define GL_FLOAT_MAT4x2_NV 0x8B69
#endif
#ifndef GL_FLOAT_MAT4x3_NV
	#define GL_FLOAT_MAT4x3_NV 0x8B6A
#endif
typedef void (GL_APIENTRYP PFNGLUNIFORMMATRIX2X3FVNVPROC) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value) ;
typedef void (GL_APIENTRYP PFNGLUNIFORMMATRIX3X2FVNVPROC) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value) ;
typedef void (GL_APIENTRYP PFNGLUNIFORMMATRIX2X4FVNVPROC) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value) ;
typedef void (GL_APIENTRYP PFNGLUNIFORMMATRIX4X2FVNVPROC) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value) ;
typedef void (GL_APIENTRYP PFNGLUNIFORMMATRIX3X4FVNVPROC) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value) ;
typedef void (GL_APIENTRYP PFNGLUNIFORMMATRIX4X3FVNVPROC) (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glUniformMatrix2x3fvNV(GLint, GLsizei, GLboolean, const GLfloat*);
 GL_APICALL void GL_APIENTRY glUniformMatrix3x2fvNV(GLint, GLsizei, GLboolean, const GLfloat*);
 GL_APICALL void GL_APIENTRY glUniformMatrix2x4fvNV(GLint, GLsizei, GLboolean, const GLfloat*);
 GL_APICALL void GL_APIENTRY glUniformMatrix4x2fvNV(GLint, GLsizei, GLboolean, const GLfloat*);
 GL_APICALL void GL_APIENTRY glUniformMatrix3x4fvNV(GLint, GLsizei, GLboolean, const GLfloat*);
 GL_APICALL void GL_APIENTRY glUniformMatrix4x3fvNV(GLint, GLsizei, GLboolean, const GLfloat*);
#endif
#endif
/* End GL_NV_non_square_matrices */
/* Begin GL_NV_read_buffer */
#ifndef GL_NV_read_buffer
#ifndef GL_NV_read_buffer
	#define GL_NV_read_buffer 1
#endif
#ifndef GL_READ_BUFFER_NV
	#define GL_READ_BUFFER_NV 0x0C02
#endif
typedef void (GL_APIENTRYP PFNGLREADBUFFERNVPROC) (GLenum mode) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glReadBufferNV(GLenum);
#endif
#endif
/* End GL_NV_read_buffer */
/* Begin GL_NV_read_buffer_front */
#ifndef GL_NV_read_buffer_front
#ifndef GL_NV_read_buffer_front
	#define GL_NV_read_buffer_front 1
#endif
#endif
/* End GL_NV_read_buffer_front */
/* Begin GL_NV_read_depth */
#ifndef GL_NV_read_depth
#ifndef GL_NV_read_depth
	#define GL_NV_read_depth 1
#endif
#endif
/* End GL_NV_read_depth */
/* Begin GL_NV_read_depth_stencil */
#ifndef GL_NV_read_depth_stencil
#ifndef GL_NV_read_depth_stencil
	#define GL_NV_read_depth_stencil 1
#endif
#endif
/* End GL_NV_read_depth_stencil */
/* Begin GL_NV_read_stencil */
#ifndef GL_NV_read_stencil
#ifndef GL_NV_read_stencil
	#define GL_NV_read_stencil 1
#endif
#endif
/* End GL_NV_read_stencil */
/* Begin GL_NV_sRGB_formats */
#ifndef GL_NV_sRGB_formats
#ifndef GL_NV_sRGB_formats
	#define GL_NV_sRGB_formats 1
#endif
#ifndef GL_SLUMINANCE_NV
	#define GL_SLUMINANCE_NV 0x8C46
#endif
#ifndef GL_SLUMINANCE_ALPHA_NV
	#define GL_SLUMINANCE_ALPHA_NV 0x8C44
#endif
#ifndef GL_SRGB8_NV
	#define GL_SRGB8_NV 0x8C41
#endif
#ifndef GL_SLUMINANCE8_NV
	#define GL_SLUMINANCE8_NV 0x8C47
#endif
#ifndef GL_SLUMINANCE8_ALPHA8_NV
	#define GL_SLUMINANCE8_ALPHA8_NV 0x8C45
#endif
#ifndef GL_COMPRESSED_SRGB_S3TC_DXT1_NV
	#define GL_COMPRESSED_SRGB_S3TC_DXT1_NV 0x8C4C
#endif
#ifndef GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT1_NV
	#define GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT1_NV 0x8C4D
#endif
#ifndef GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT3_NV
	#define GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT3_NV 0x8C4E
#endif
#ifndef GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT5_NV
	#define GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT5_NV 0x8C4F
#endif
#ifndef GL_ETC1_SRGB8_NV
	#define GL_ETC1_SRGB8_NV 0x88EE
#endif
#endif
/* End GL_NV_sRGB_formats */
/* Begin GL_NV_shadow_samplers_array */
#ifndef GL_NV_shadow_samplers_array
#ifndef GL_NV_shadow_samplers_array
	#define GL_NV_shadow_samplers_array 1
#endif
#ifndef GL_SAMPLER_2D_ARRAY_SHADOW_NV
	#define GL_SAMPLER_2D_ARRAY_SHADOW_NV 0x8DC4
#endif
#endif
/* End GL_NV_shadow_samplers_array */
/* Begin GL_NV_shadow_samplers_cube */
#ifndef GL_NV_shadow_samplers_cube
#ifndef GL_NV_shadow_samplers_cube
	#define GL_NV_shadow_samplers_cube 1
#endif
#ifndef GL_SAMPLER_CUBE_SHADOW_NV
	#define GL_SAMPLER_CUBE_SHADOW_NV 0x8DC5
#endif
#endif
/* End GL_NV_shadow_samplers_cube */
/* Begin GL_NV_texture_border_clamp */
#ifndef GL_NV_texture_border_clamp
#ifndef GL_NV_texture_border_clamp
	#define GL_NV_texture_border_clamp 1
#endif
#ifndef GL_TEXTURE_BORDER_COLOR_NV
	#define GL_TEXTURE_BORDER_COLOR_NV 0x1004
#endif
#ifndef GL_CLAMP_TO_BORDER_NV
	#define GL_CLAMP_TO_BORDER_NV 0x812D
#endif
#endif
/* End GL_NV_texture_border_clamp */
/* Begin GL_NV_texture_compression_s3tc_update */
#ifndef GL_NV_texture_compression_s3tc_update
#ifndef GL_NV_texture_compression_s3tc_update
	#define GL_NV_texture_compression_s3tc_update 1
#endif
#endif
/* End GL_NV_texture_compression_s3tc_update */
/* Begin GL_NV_texture_npot_2D_mipmap */
#ifndef GL_NV_texture_npot_2D_mipmap
#ifndef GL_NV_texture_npot_2D_mipmap
	#define GL_NV_texture_npot_2D_mipmap 1
#endif
#endif
/* End GL_NV_texture_npot_2D_mipmap */
/* Begin GL_QCOM_alpha_test */
#ifndef GL_QCOM_alpha_test
#ifndef GL_QCOM_alpha_test
	#define GL_QCOM_alpha_test 1
#endif
#ifndef GL_ALPHA_TEST_QCOM
	#define GL_ALPHA_TEST_QCOM 0x0BC0
#endif
#ifndef GL_ALPHA_TEST_FUNC_QCOM
	#define GL_ALPHA_TEST_FUNC_QCOM 0x0BC1
#endif
#ifndef GL_ALPHA_TEST_REF_QCOM
	#define GL_ALPHA_TEST_REF_QCOM 0x0BC2
#endif
typedef void (GL_APIENTRYP PFNGLALPHAFUNCQCOMPROC) (GLenum func, GLclampf ref) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glAlphaFuncQCOM(GLenum, GLclampf);
#endif
#endif
/* End GL_QCOM_alpha_test */
/* Begin GL_QCOM_binning_control */
#ifndef GL_QCOM_binning_control
#ifndef GL_QCOM_binning_control
	#define GL_QCOM_binning_control 1
#endif
#ifndef GL_BINNING_CONTROL_HINT_QCOM
	#define GL_BINNING_CONTROL_HINT_QCOM 0x8FB0
#endif
#ifndef GL_CPU_OPTIMIZED_QCOM
	#define GL_CPU_OPTIMIZED_QCOM 0x8FB1
#endif
#ifndef GL_GPU_OPTIMIZED_QCOM
	#define GL_GPU_OPTIMIZED_QCOM 0x8FB2
#endif
#ifndef GL_RENDER_DIRECT_TO_FRAMEBUFFER_QCOM
	#define GL_RENDER_DIRECT_TO_FRAMEBUFFER_QCOM 0x8FB3
#endif
#endif
/* End GL_QCOM_binning_control */
/* Begin GL_QCOM_driver_control */
#ifndef GL_QCOM_driver_control
#ifndef GL_QCOM_driver_control
	#define GL_QCOM_driver_control 1
#endif
typedef void (GL_APIENTRYP PFNGLGETDRIVERCONTROLSQCOMPROC) (GLint *num, GLsizei size, GLuint *driverControls) ;
typedef void (GL_APIENTRYP PFNGLGETDRIVERCONTROLSTRINGQCOMPROC) (GLuint driverControl, GLsizei bufSize, GLsizei *length, GLchar *driverControlString) ;
typedef void (GL_APIENTRYP PFNGLENABLEDRIVERCONTROLQCOMPROC) (GLuint driverControl) ;
typedef void (GL_APIENTRYP PFNGLDISABLEDRIVERCONTROLQCOMPROC) (GLuint driverControl) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glGetDriverControlsQCOM(GLint*, GLsizei, GLuint*);
 GL_APICALL void GL_APIENTRY glGetDriverControlStringQCOM(GLenum, GLsizei, GLsizei*, GLchar*);
 GL_APICALL void GL_APIENTRY glEnableDriverControlQCOM(GLuint);
 GL_APICALL void GL_APIENTRY glDisableDriverControlQCOM(GLuint);
#endif
#endif
/* End GL_QCOM_driver_control */
/* Begin GL_QCOM_extended_get */
#ifndef GL_QCOM_extended_get
#ifndef GL_QCOM_extended_get
	#define GL_QCOM_extended_get 1
#endif
#ifndef GL_TEXTURE_WIDTH_QCOM
	#define GL_TEXTURE_WIDTH_QCOM 0x8B
#endif
#ifndef GL_TEXTURE_HEIGHT_QCOM
	#define GL_TEXTURE_HEIGHT_QCOM 0x8BD3
#endif
#ifndef GL_TEXTURE_DEPTH_QCOM
	#define GL_TEXTURE_DEPTH_QCOM 0x8BD4
#endif
#ifndef GL_TEXTURE_INTERNAL_FORMAT_QCOM
	#define GL_TEXTURE_INTERNAL_FORMAT_QCOM 0x8BD5
#endif
#ifndef GL_TEXTURE_FORMAT_QCOM
	#define GL_TEXTURE_FORMAT_QCOM 0x8BD6
#endif
#ifndef GL_TEXTURE_TYPE_QCOM
	#define GL_TEXTURE_TYPE_QCOM 0x8BD7
#endif
#ifndef GL_TEXTURE_IMAGE_VALID_QCOM
	#define GL_TEXTURE_IMAGE_VALID_QCOM 0x8BD8
#endif
#ifndef GL_TEXTURE_NUM_LEVELS_QCOM
	#define GL_TEXTURE_NUM_LEVELS_QCOM 0x8BD9
#endif
#ifndef GL_TEXTURE_TARGET_QCOM
	#define GL_TEXTURE_TARGET_QCOM 0x8BDA
#endif
#ifndef GL_TEXTURE_OBJECT_VALID_QCOM
	#define GL_TEXTURE_OBJECT_VALID_QCOM 0x8BDB
#endif
#ifndef GL_STATE_RESTORE
	#define GL_STATE_RESTORE 0x8BDC
#endif
typedef void (GL_APIENTRYP PFNGLEXTGETTEXTURESQCOMPROC) (GLuint *textures, GLint maxTextures, GLint *numTextures) ;
typedef void (GL_APIENTRYP PFNGLEXTGETBUFFERSQCOMPROC) (GLuint *buffers, GLint maxBuffers, GLint *numBuffers) ;
typedef void (GL_APIENTRYP PFNGLEXTGETRENDERBUFFERSQCOMPROC) (GLuint *renderbuffers, GLint maxRenderbuffers, GLint *numRenderbuffers) ;
typedef void (GL_APIENTRYP PFNGLEXTGETFRAMEBUFFERSQCOMPROC) (GLuint *framebuffers, GLint maxFramebuffers, GLint *numFramebuffers) ;
typedef void (GL_APIENTRYP PFNGLEXTGETTEXLEVELPARAMETERIVQCOMPROC) (GLuint texture, GLenum face, GLint level, GLenum pname, GLint *params) ;
typedef void (GL_APIENTRYP PFNGLEXTTEXOBJECTSTATEOVERRIDEIQCOMPROC) (GLenum target, GLenum pname, GLint param) ;
typedef void (GL_APIENTRYP PFNGLEXTGETTEXSUBIMAGEQCOMPROC) (GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, void *texels) ;
typedef void (GL_APIENTRYP PFNGLEXTGETBUFFERPOINTERVQCOMPROC) (GLenum target, void **params) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glExtGetTexturesQCOM(GLuint*, GLint, GLint*);
 GL_APICALL void GL_APIENTRY glExtGetBuffersQCOM(GLuint*, GLint, GLint*);
 GL_APICALL void GL_APIENTRY glExtGetRenderbuffersQCOM(GLuint*, GLint, GLint*);
 GL_APICALL void GL_APIENTRY glExtGetFramebuffersQCOM(GLuint*, GLint, GLint*);
 GL_APICALL void GL_APIENTRY glExtGetTexLevelParameterivQCOM(GLuint, GLenum, GLint, GLenum, GLint*);
 GL_APICALL void GL_APIENTRY glExtTexObjectStateOverrideiQCOM(GLenum, GLenum, GLint);
 GL_APICALL void GL_APIENTRY glExtGetTexSubImageQCOM(GLenum, GLint, GLint, GLint, GLint, GLsizei, GLsizei, GLsizei, GLenum, GLenum, void*);
 GL_APICALL void GL_APIENTRY glExtGetBufferPointervQCOM(GLenum, void**);
#endif
#endif
/* End GL_QCOM_extended_get */
/* Begin GL_QCOM_extended_get2 */
#ifndef GL_QCOM_extended_get2
#ifndef GL_QCOM_extended_get2
	#define GL_QCOM_extended_get2 1
#endif
typedef void (GL_APIENTRYP PFNGLEXTGETSHADERSQCOMPROC) (GLuint *shaders, GLint maxShaders, GLint *numShaders) ;
typedef void (GL_APIENTRYP PFNGLEXTGETPROGRAMSQCOMPROC) (GLuint *programs, GLint maxPrograms, GLint *numPrograms) ;
typedef GLboolean (GL_APIENTRYP PFNGLEXTISPROGRAMBINARYQCOMPROC) (GLuint program) ;
typedef void (GL_APIENTRYP PFNGLEXTGETPROGRAMBINARYSOURCEQCOMPROC) (GLuint program, GLenum shadertype, GLchar *source, GLint *length) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glExtGetShadersQCOM(GLuint*, GLint, GLint*);
 GL_APICALL void GL_APIENTRY glExtGetProgramsQCOM(GLuint*, GLint, GLint);
 GL_APICALL GLboolean GL_APIENTRY glExtIsProgramBinaryQCOM(GLuint);
 GL_APICALL void GL_APIENTRY glExtGetProgramBinarySourceQCOM(GLuint, GLenum, GLchar*, GLint*);
#endif
#endif
/* End GL_QCOM_extended_get2 */
/* Begin GL_QCOM_perfmon_global_mode */
#ifndef GL_QCOM_perfmon_global_mode
#ifndef GL_QCOM_perfmon_global_mode
	#define GL_QCOM_perfmon_global_mode 1
#endif
#ifndef GL_PERFMON_GLOBAL_MODE_QCOM
	#define GL_PERFMON_GLOBAL_MODE_QCOM 0x8FA0
#endif
#endif
/* End GL_QCOM_perfmon_global_mode */
/* Begin GL_QCOM_tiled_rendering */
#ifndef GL_QCOM_tiled_rendering
#ifndef GL_QCOM_tiled_rendering
	#define GL_QCOM_tiled_rendering 1
#endif
#ifndef GL_COLOR_BUFFER_BIT0_QCOM
	#define GL_COLOR_BUFFER_BIT0_QCOM 0x00000001
#endif
#ifndef GL_COLOR_BUFFER_BIT1_QCOM
	#define GL_COLOR_BUFFER_BIT1_QCOM 0x00000002
#endif
#ifndef GL_COLOR_BUFFER_BIT2_QCOM
	#define GL_COLOR_BUFFER_BIT2_QCOM 0x00000004
#endif
#ifndef GL_COLOR_BUFFER_BIT3_QCOM
	#define GL_COLOR_BUFFER_BIT3_QCOM 0x00000008
#endif
#ifndef GL_COLOR_BUFFER_BIT4_QCOM
	#define GL_COLOR_BUFFER_BIT4_QCOM 0x00000010
#endif
#ifndef GL_COLOR_BUFFER_BIT5_QCOM
	#define GL_COLOR_BUFFER_BIT5_QCOM 0x00000020
#endif
#ifndef GL_COLOR_BUFFER_BIT6_QCOM
	#define GL_COLOR_BUFFER_BIT6_QCOM 0x00000040
#endif
#ifndef GL_COLOR_BUFFER_BIT7_QCOM
	#define GL_COLOR_BUFFER_BIT7_QCOM 0x00000080
#endif
#ifndef GL_DEPTH_BUFFER_BIT0_QCOM
	#define GL_DEPTH_BUFFER_BIT0_QCOM 0x00000100
#endif
#ifndef GL_DEPTH_BUFFER_BIT1_QCOM
	#define GL_DEPTH_BUFFER_BIT1_QCOM 0x00000200
#endif
#ifndef GL_DEPTH_BUFFER_BIT2_QCOM
	#define GL_DEPTH_BUFFER_BIT2_QCOM 0x00000400
#endif
#ifndef GL_DEPTH_BUFFER_BIT3_QCOM
	#define GL_DEPTH_BUFFER_BIT3_QCOM 0x00000800
#endif
#ifndef GL_DEPTH_BUFFER_BIT4_QCOM
	#define GL_DEPTH_BUFFER_BIT4_QCOM 0x00001000
#endif
#ifndef GL_DEPTH_BUFFER_BIT5_QCOM
	#define GL_DEPTH_BUFFER_BIT5_QCOM 0x00002000
#endif
#ifndef GL_DEPTH_BUFFER_BIT6_QCOM
	#define GL_DEPTH_BUFFER_BIT6_QCOM 0x00004000
#endif
#ifndef GL_DEPTH_BUFFER_BIT7_QCOM
	#define GL_DEPTH_BUFFER_BIT7_QCOM 0x00008000
#endif
#ifndef GL_STENCIL_BUFFER_BIT0_QCOM
	#define GL_STENCIL_BUFFER_BIT0_QCOM 0x00010000
#endif
#ifndef GL_STENCIL_BUFFER_BIT1_QCOM
	#define GL_STENCIL_BUFFER_BIT1_QCOM 0x00020000
#endif
#ifndef GL_STENCIL_BUFFER_BIT2_QCOM
	#define GL_STENCIL_BUFFER_BIT2_QCOM 0x00040000
#endif
#ifndef GL_STENCIL_BUFFER_BIT3_QCOM
	#define GL_STENCIL_BUFFER_BIT3_QCOM 0x00080000
#endif
#ifndef GL_STENCIL_BUFFER_BIT4_QCOM
	#define GL_STENCIL_BUFFER_BIT4_QCOM 0x00100000
#endif
#ifndef GL_STENCIL_BUFFER_BIT5_QCOM
	#define GL_STENCIL_BUFFER_BIT5_QCOM 0x00200000
#endif
#ifndef GL_STENCIL_BUFFER_BIT6_QCOM
	#define GL_STENCIL_BUFFER_BIT6_QCOM 0x00400000
#endif
#ifndef GL_STENCIL_BUFFER_BIT7_QCOM
	#define GL_STENCIL_BUFFER_BIT7_QCOM 0x00800000
#endif
#ifndef GL_MULTISAMPLE_BUFFER_BIT0_QCOM
	#define GL_MULTISAMPLE_BUFFER_BIT0_QCOM 0x01000000
#endif
#ifndef GL_MULTISAMPLE_BUFFER_BIT1_QCOM
	#define GL_MULTISAMPLE_BUFFER_BIT1_QCOM 0x02000000
#endif
#ifndef GL_MULTISAMPLE_BUFFER_BIT2_QCOM
	#define GL_MULTISAMPLE_BUFFER_BIT2_QCOM 0x04000000
#endif
#ifndef GL_MULTISAMPLE_BUFFER_BIT3_QCOM
	#define GL_MULTISAMPLE_BUFFER_BIT3_QCOM 0x08000000
#endif
#ifndef GL_MULTISAMPLE_BUFFER_BIT4_QCOM
	#define GL_MULTISAMPLE_BUFFER_BIT4_QCOM 0x10000000
#endif
#ifndef GL_MULTISAMPLE_BUFFER_BIT5_QCOM
	#define GL_MULTISAMPLE_BUFFER_BIT5_QCOM 0x20000000
#endif
#ifndef GL_MULTISAMPLE_BUFFER_BIT6_QCOM
	#define GL_MULTISAMPLE_BUFFER_BIT6_QCOM 0x40000000
#endif
#ifndef GL_MULTISAMPLE_BUFFER_BIT7_QCOM
	#define GL_MULTISAMPLE_BUFFER_BIT7_QCOM 0x80000000
#endif
typedef void (GL_APIENTRYP PFNGLSTARTTILINGQCOMPROC) (GLuint x, GLuint y, GLuint width, GLuint height, GLbitfield preserveMask) ;
typedef void (GL_APIENTRYP PFNGLENDTILINGQCOMPROC) (GLbitfield preserveMask) ;
#ifdef GL_GLEXT_PROTOTYPES
 GL_APICALL void GL_APIENTRY glStartTilingQCOM(GLuint, GLuint, GLuint, GLuint, GLbitfield);
 GL_APICALL void GL_APIENTRY glEndTilingQCOM(GLbitfield);
#endif
#endif
/* Begin GL_QCOM_tiled_rendering */
/* Begin GL_QCOM_writeonly_rendering */
#ifndef GL_QCOM_writeonly_rendering
#ifndef GL_QCOM_writeonly_rendering
	#define GL_QCOM_writeonly_rendering 1
#endif
#ifndef GL_WRITEONLY_RENDERING_QCOM
	#define GL_WRITEONLY_RENDERING_QCOM 0x8823
#endif
#endif
/* End GL_QCOM_writeonly_rendering */
/* Begin GL_VIV_shader_binary */
#ifndef GL_VIV_shader_binary
#ifndef GL_VIV_shader_binary
	#define GL_VIV_shader_binary 1
#endif
#ifndef GL_SHADER_BINARY_VIV
	#define GL_SHADER_BINARY_VIV 0x8FC4
#endif
#endif
/* End GL_VIV_shader_binary */
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__GLES2_gl2ext_h__ */

