/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__arpa_inet_h__
#define __FACE_CONFORM__arpa_inet_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <FACE_primtypes.h>
#include <netinet/in.h>
#include <inttypes.h>
#ifndef __FACE_CONFORM____UINT16_T__
#define __FACE_CONFORM____UINT16_T__
typedef FACE_uint16_t uint16_t;

#endif  /* __FACE_CONFORM____UINT16_T__ */

#ifndef __FACE_CONFORM____UINT32_T__
#define __FACE_CONFORM____UINT32_T__
typedef FACE_uint32_t uint32_t;

#endif  /* __FACE_CONFORM____UINT32_T__ */

#ifndef __FACE_CONFORM____IN_PORT_T__
#define __FACE_CONFORM____IN_PORT_T__
typedef uint16_t in_port_t;

#endif  /* __FACE_CONFORM____IN_PORT_T__ */

#ifndef __FACE_CONFORM____IN_ADDR_T__
#define __FACE_CONFORM____IN_ADDR_T__
typedef uint32_t in_addr_t;

#endif  /* __FACE_CONFORM____IN_ADDR_T__ */

#ifndef __FACE_CONFORM____IN_ADDR__
#define __FACE_CONFORM____IN_ADDR__
struct in_addr {
    in_addr_t s_addr;
};
#endif  /* __FACE_CONFORM____IN_ADDR__ */

#ifndef __FACE_CONFORM____SOCKLEN_T__
#define __FACE_CONFORM____SOCKLEN_T__
typedef int socklen_t;

#endif  /* __FACE_CONFORM____SOCKLEN_T__ */

uint32_t htonl(uint32_t);
uint16_t htons(uint16_t);
uint32_t ntohl(uint32_t);
uint16_t ntohs(uint16_t);
in_addr_t inet_addr(const char *);
char* inet_ntoa(struct in_addr);
const char* inet_ntop(int, const void *restrict, char *restrict, socklen_t);
int inet_pton(int, const char *restrict, void *restrict);
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__arpa_inet_h__ */

