/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__limits_h__
#define __FACE_CONFORM__limits_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <FACE_primtypes.h>
#ifndef AIO_LISTIO_MAX
	#define AIO_LISTIO_MAX _POSIX_AIO_LISTIO_MAX
#endif
#ifndef AIO_MAX
	#define AIO_MAX _POSIX_AIO_MAX
#endif
#ifndef AIO_PRIO_DELTA_MAX
	#define AIO_PRIO_DELTA_MAX 0
#endif
#ifndef ARG_MAX
	#define ARG_MAX _POSIX_ARG_MAX
#endif
#ifndef ATEXIT_MAX
	#define ATEXIT_MAX 32
#endif
#ifndef CHILD_MAX
	#define CHILD_MAX _POSIX_CHILD_MAX
#endif
#ifndef DELAYTIMER_MAX
	#define DELAYTIMER_MAX _POSIX_DELAYTIMER_MAX
#endif
#ifndef HOST_NAME_MAX
	#define HOST_NAME_MAX _POSIX_HOST_NAME_MAX
#endif
#ifndef IOV_MAX
	#define IOV_MAX _XOPEN_IOV_MAX
#endif
#ifndef LOGIN_NAME_MAX
	#define LOGIN_NAME_MAX _POSIX_LOGIN_NAME_MAX
#endif
#ifndef MQ_OPEN_MAX
	#define MQ_OPEN_MAX _POSIX_MQ_OPEN_MAX
#endif
#ifndef MQ_PRIO_MAX
	#define MQ_PRIO_MAX _POSIX_MQ_PRIO_MAX
#endif
#ifndef OPEN_MAX
	#define OPEN_MAX _POSIX_OPEN_MAX
#endif
#ifndef PAGESIZE
	#define PAGESIZE 1
#endif
#ifndef PAGE_SIZE
	#define PAGE_SIZE 1
#endif
#ifndef PTHREAD_DESTRUCTOR_ITERATIONS
	#define PTHREAD_DESTRUCTOR_ITERATIONS _POSIX_THREAD_DESTRUCTOR_ITERATIONS
#endif
#ifndef PTHREAD_KEYS_MAX
	#define PTHREAD_KEYS_MAX _POSIX_THREAD_KEYS_MAX
#endif
#ifndef PTHREAD_STACK_MIN
	#define PTHREAD_STACK_MIN 0
#endif
#ifndef PTHREAD_THREADS_MAX
	#define PTHREAD_THREADS_MAX _POSIX_THREAD_THREADS_MAX
#endif
#ifndef RE_DUP_MAX
	#define RE_DUP_MAX _POSIX2_RE_DUP_MAX
#endif
#ifndef RTSIG_MAX
	#define RTSIG_MAX _POSIX_RTSIG_MAX
#endif
#ifndef SEM_NSEMS_MAX
	#define SEM_NSEMS_MAX _POSIX_SEM_NSEMS_MAX
#endif
#ifndef SEM_VALUE_MAX
	#define SEM_VALUE_MAX _POSIX_SEM_VALUE_MAX
#endif
#ifndef SIGQUEUE_MAX
	#define SIGQUEUE_MAX _POSIX_SIGQUEUE_MAX
#endif
#ifndef SS_REPL_MAX
	#define SS_REPL_MAX _POSIX_SS_REPL_MAX
#endif
#ifndef STREAM_MAX
	#define STREAM_MAX _POSIX_STREAM_MAX
#endif
#ifndef SYMLOOP_MAX
	#define SYMLOOP_MAX _POSIX_SYMLOOP_MAX
#endif
#ifndef TIMER_MAX
	#define TIMER_MAX _POSIX_TIMER_MAX
#endif
#ifndef TRACE_EVENT_NAME_MAX
	#define TRACE_EVENT_NAME_MAX _POSIX_TRACE_EVENT_NAME_MAX
#endif
#ifndef TRACE_NAME_MAX
	#define TRACE_NAME_MAX _POSIX_TRACE_NAME_MAX
#endif
#ifndef TRACE_SYS_MAX
	#define TRACE_SYS_MAX _POSIX_TRACE_SYS_MAX
#endif
#ifndef TRACE_USER_EVENT_MAX
	#define TRACE_USER_EVENT_MAX _POSIX_TRACE_USER_EVENT_MAX
#endif
#ifndef TTY_NAME_MAX
	#define TTY_NAME_MAX _POSIX_TTY_NAME_MAX
#endif
#ifndef TZNAME_MAX
	#define TZNAME_MAX _POSIX_TZNAME_MAX
#endif
#ifndef FILESIZEBITS
	#define FILESIZEBITS 32
#endif
#ifndef LINK_MAX
	#define LINK_MAX _POSIX_LINK_MAX
#endif
#ifndef MAX_CANON
	#define MAX_CANON _POSIX_MAX_CANON
#endif
#ifndef MAX_INPUT
	#define MAX_INPUT _POSIX_MAX_INPUT
#endif
#ifndef NAME_MAX
	#define NAME_MAX _POSIX_NAME_MAX
#endif
#ifndef PATH_MAX
	#define PATH_MAX _POSIX_PATH_MAX
#endif
#ifndef PIPE_BUF
	#define PIPE_BUF _POSIX_PIPE_BUF
#endif
#ifndef POSIX_ALLOC_SIZE_MIN
	#define POSIX_ALLOC_SIZE_MIN 8
#endif
#ifndef POSIX_REC_INCR_XFER_SIZE
	#define POSIX_REC_INCR_XFER_SIZE 16
#endif
#ifndef POSIX_REC_MAX_XFER_SIZE
	#define POSIX_REC_MAX_XFER_SIZE 32
#endif
#ifndef POSIX_REC_MIN_XFER_SIZE
	#define POSIX_REC_MIN_XFER_SIZE 8
#endif
#ifndef POSIX_REC_XFER_ALIGN
	#define POSIX_REC_XFER_ALIGN 8
#endif
#ifndef SYMLINK_MAX
	#define SYMLINK_MAX _POSIX_SYMLINK_MAX
#endif
#ifndef BC_BASE_MAX
	#define BC_BASE_MAX _POSIX2_BC_BASE_MAX
#endif
#ifndef BC_DIM_MAX
	#define BC_DIM_MAX _POSIX2_BC_DIM_MAX
#endif
#ifndef BC_SCALE_MAX
	#define BC_SCALE_MAX _POSIX2_BC_SCALE_MAX
#endif
#ifndef BC_STRING_MAX
	#define BC_STRING_MAX _POSIX2_BC_STRING_MAX
#endif
#ifndef CHARCLASS_NAME_MAX
	#define CHARCLASS_NAME_MAX _POSIX2_CHARCLASS_NAME_MAX
#endif
#ifndef COLL_WEIGHTS_MAX
	#define COLL_WEIGHTS_MAX _POSIX2_COLL_WEIGHTS_MAX
#endif
#ifndef EXPR_NEST_MAX
	#define EXPR_NEST_MAX _POSIX2_EXPR_NEST_MAX
#endif
#ifndef LINE_MAX
	#define LINE_MAX _POSIX2_LINE_MAX
#endif
#ifndef NGROUPS_MAX
	#define NGROUPS_MAX _POSIX_NGROUPS_MAX
#endif
#ifndef RE_DUP_MAX
	#define RE_DUP_MAX _POSIX2_RE_DUP_MAX
#endif
#ifndef _POSIX_CLOCKRES_MIN
	#define _POSIX_CLOCKRES_MIN 20000000
#endif
#ifndef _POSIX_AIO_LISTIO_MAX
	#define _POSIX_AIO_LISTIO_MAX 2
#endif
#ifndef _POSIX_AIO_MAX
	#define _POSIX_AIO_MAX 1
#endif
#ifndef _POSIX_ARG_MAX
	#define _POSIX_ARG_MAX 4096
#endif
#ifndef _POSIX_CHILD_MAX
	#define _POSIX_CHILD_MAX 25
#endif
#ifndef _POSIX_DELAYTIMER_MAX
	#define _POSIX_DELAYTIMER_MAX 32
#endif
#ifndef _POSIX_HOST_NAME_MAX
	#define _POSIX_HOST_NAME_MAX 255
#endif
#ifndef _POSIX_LINK_MAX
	#define _POSIX_LINK_MAX 8
#endif
#ifndef _POSIX_LOGIN_NAME_MAX
	#define _POSIX_LOGIN_NAME_MAX 9
#endif
#ifndef _POSIX_MAX_CANON
	#define _POSIX_MAX_CANON 255
#endif
#ifndef _POSIX_MAX_INPUT
	#define _POSIX_MAX_INPUT 255
#endif
#ifndef _POSIX_MQ_OPEN_MAX
	#define _POSIX_MQ_OPEN_MAX 8
#endif
#ifndef _POSIX_MQ_PRIO_MAX
	#define _POSIX_MQ_PRIO_MAX 32
#endif
#ifndef _POSIX_NAME_MAX
	#define _POSIX_NAME_MAX 14
#endif
#ifndef _POSIX_NGROUPS_MAX
	#define _POSIX_NGROUPS_MAX 8
#endif
#ifndef _POSIX_OPEN_MAX
	#define _POSIX_OPEN_MAX 20
#endif
#ifndef _POSIX_PATH_MAX
	#define _POSIX_PATH_MAX 256
#endif
#ifndef _POSIX_PIPE_BUF
	#define _POSIX_PIPE_BUF 512
#endif
#ifndef _POSIX_RE_DUP_MAX
	#define _POSIX_RE_DUP_MAX 255
#endif
#ifndef _POSIX_RTSIG_MAX
	#define _POSIX_RTSIG_MAX 8
#endif
#ifndef _POSIX_SEM_NSEMS_MAX
	#define _POSIX_SEM_NSEMS_MAX 256
#endif
#ifndef _POSIX_SEM_VALUE_MAX
	#define _POSIX_SEM_VALUE_MAX 32767
#endif
#ifndef _POSIX_SIGQUEUE_MAX
	#define _POSIX_SIGQUEUE_MAX 32
#endif
#ifndef _POSIX_SSIZE_MAX
	#define _POSIX_SSIZE_MAX 32767
#endif
#ifndef _POSIX_SS_REPL_MAX
	#define _POSIX_SS_REPL_MAX 4
#endif
#ifndef _POSIX_STREAM_MAX
	#define _POSIX_STREAM_MAX 8
#endif
#ifndef _POSIX_SYMLINK_MAX
	#define _POSIX_SYMLINK_MAX 255
#endif
#ifndef _POSIX_SYMLOOP_MAX
	#define _POSIX_SYMLOOP_MAX 8
#endif
#ifndef _POSIX_THREAD_DESTRUCTOR_ITERATIONS
	#define _POSIX_THREAD_DESTRUCTOR_ITERATIONS 4
#endif
#ifndef _POSIX_THREAD_KEYS_MAX
	#define _POSIX_THREAD_KEYS_MAX 128
#endif
#ifndef _POSIX_THREAD_THREADS_MAX
	#define _POSIX_THREAD_THREADS_MAX 64
#endif
#ifndef _POSIX_TIMER_MAX
	#define _POSIX_TIMER_MAX 32
#endif
#ifndef _POSIX_TRACE_EVENT_NAME_MAX
	#define _POSIX_TRACE_EVENT_NAME_MAX 30
#endif
#ifndef _POSIX_TRACE_NAME_MAX
	#define _POSIX_TRACE_NAME_MAX 8
#endif
#ifndef _POSIX_TRACE_SYS_MAX
	#define _POSIX_TRACE_SYS_MAX 8
#endif
#ifndef _POSIX_TRACE_USER_EVENT_MAX
	#define _POSIX_TRACE_USER_EVENT_MAX 32
#endif
#ifndef _POSIX_TTY_NAME_MAX
	#define _POSIX_TTY_NAME_MAX 9
#endif
#ifndef _POSIX_TZNAME_MAX
	#define _POSIX_TZNAME_MAX 6
#endif
#ifndef _POSIX2_BC_BASE_MAX
	#define _POSIX2_BC_BASE_MAX 99
#endif
#ifndef _POSIX2_BC_DIM_MAX
	#define _POSIX2_BC_DIM_MAX 2048
#endif
#ifndef _POSIX2_BC_SCALE_MAX
	#define _POSIX2_BC_SCALE_MAX 99
#endif
#ifndef _POSIX2_BC_STRING_MAX
	#define _POSIX2_BC_STRING_MAX 1000
#endif
#ifndef _POSIX2_CHARCLASS_NAME_MAX
	#define _POSIX2_CHARCLASS_NAME_MAX 14
#endif
#ifndef _POSIX2_COLL_WEIGHTS_MAX
	#define _POSIX2_COLL_WEIGHTS_MAX 2
#endif
#ifndef _POSIX2_EXPR_NEST_MAX
	#define _POSIX2_EXPR_NEST_MAX 32
#endif
#ifndef _POSIX2_LINE_MAX
	#define _POSIX2_LINE_MAX 2048
#endif
#ifndef _POSIX2_RE_DUP_MAX
	#define _POSIX2_RE_DUP_MAX 255
#endif
#ifndef _XOPEN_IOV_MAX
	#define _XOPEN_IOV_MAX 16
#endif
#ifndef _XOPEN_NAME_MAX
	#define _XOPEN_NAME_MAX 255
#endif
#ifndef _XOPEN_PATH_MAX
	#define _XOPEN_PATH_MAX 1024
#endif
#ifndef CHAR_BIT
	#define CHAR_BIT 8
#endif
#ifndef CHAR_MAX
	#define CHAR_MAX UCHAR_MAX
#endif
#ifndef CHAR_MIN
	#define CHAR_MIN 0
#endif
#ifndef INT_MAX
	#define INT_MAX 2147483647
#endif
#ifndef INT_MIN
	#define INT_MIN -2147483647
#endif
#ifndef LLONG_MAX
	#define LLONG_MAX +9223372036854775807
#endif
#ifndef LLONG_MIN
	#define LLONG_MIN -9223372036854775807
#endif
#ifndef LONG_BIT
	#define LONG_BIT 32
#endif
#ifndef LONG_MAX
	#define LONG_MAX +2147483647
#endif
#ifndef LONG_MIN
	#define LONG_MIN -2147483647
#endif
#ifndef MB_LEN_MAX
	#define MB_LEN_MAX 1
#endif
#ifndef SCHAR_MAX
	#define SCHAR_MAX +127
#endif
#ifndef SCHAR_MIN
	#define SCHAR_MIN -128
#endif
#ifndef SHRT_MAX
	#define SHRT_MAX +32767
#endif
#ifndef SHRT_MIN
	#define SHRT_MIN -32767
#endif
#ifndef SSIZE_MAX
	#define SSIZE_MAX _POSIX_SSIZE_MAX
#endif
#ifndef UCHAR_MAX
	#define UCHAR_MAX 255
#endif
#ifndef UINT_MAX
	#define UINT_MAX 4294967295
#endif
#ifndef ULLONG_MAX
	#define ULLONG_MAX 18446744073709551615
#endif
#ifndef ULONG_MAX
	#define ULONG_MAX 4294967295
#endif
#ifndef USHRT_MAX
	#define USHRT_MAX 65535
#endif
#ifndef WORD_BIT
	#define WORD_BIT 32
#endif
#ifndef NL_ARGMAX
	#define NL_ARGMAX 9
#endif
#ifndef NL_LANGMAX
	#define NL_LANGMAX 14
#endif
#ifndef NL_MSGMAX
	#define NL_MSGMAX 32767
#endif
#ifndef NL_SETMAX
	#define NL_SETMAX 255
#endif
#ifndef NL_TEXTMAX
	#define NL_TEXTMAX _POSIX2_LINE_MAX
#endif
#ifndef NZERO
	#define NZERO 20
#endif
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__limits_h__ */

