/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__stdio_h__
#define __FACE_CONFORM__stdio_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <FACE_primtypes.h>
#include <stddef.h>
#ifndef __FACE_CONFORM____FPOS_T__
#define __FACE_CONFORM____FPOS_T__
typedef struct  {
    int __0;
    int __1;
} fpos_t;
#endif  /* __FACE_CONFORM____FPOS_T__ */

#ifndef __FACE_CONFORM____OFF_T__
#define __FACE_CONFORM____OFF_T__
typedef int off_t;

#endif  /* __FACE_CONFORM____OFF_T__ */

#ifndef __FACE_CONFORM____SIZE_T__
#define __FACE_CONFORM____SIZE_T__
typedef FACE_size_t size_t;

#endif  /* __FACE_CONFORM____SIZE_T__ */

#ifndef __FACE_CONFORM____SSIZE_T__
#define __FACE_CONFORM____SSIZE_T__
typedef int ssize_t;

#endif  /* __FACE_CONFORM____SSIZE_T__ */

#ifndef __FACE_CONFORM____FILE__
#define __FACE_CONFORM____FILE__
typedef struct  {
    int __0;
    int __1;
} FILE;
#endif  /* __FACE_CONFORM____FILE__ */

#ifndef __FACE_CONFORM____VA_LIST__
#define __FACE_CONFORM____VA_LIST__
typedef struct  {
    int __0;
    int __1;
} va_list;
#endif  /* __FACE_CONFORM____VA_LIST__ */

extern FILE * stderr;
extern FILE * stdin;
extern FILE * stdout;
#ifndef stdin
	#define stdin stdin
#endif
#ifndef stdout
	#define stdout stdout
#endif
#ifndef stderr
	#define stderr stderr
#endif
#ifndef BUFSIZ
	#define BUFSIZ 1024
#endif
#ifndef L_ctermid
	#define L_ctermid 9
#endif
#ifndef L_tmpnam
	#define L_tmpnam 255
#endif
#ifndef _IOFBF
	#define _IOFBF 0
#endif
#ifndef _IOLBF
	#define _IOLBF 1
#endif
#ifndef _IONBF
	#define _IONBF 2
#endif
#ifndef SEEK_CUR
	#define SEEK_CUR 1
#endif
#ifndef SEEK_END
	#define SEEK_END 2
#endif
#ifndef SEEK_SET
	#define SEEK_SET 3
#endif
#ifndef FILENAME_MAX
	#define FILENAME_MAX 2048
#endif
#ifndef FOPEN_MAX
	#define FOPEN_MAX 127
#endif
#ifndef TMP_MAX
	#define TMP_MAX 25
#endif
#ifndef EOF
	#define EOF -1
#endif
#ifndef __FACE_CONFORM___NULL
    #ifndef __FACE_CONFORM___NULL
    	#define __FACE_CONFORM___NULL 
    #endif
    #ifndef NULL
    	#define NULL FACE_NULL
    #endif
#endif
#ifndef P_tmpdir
	#define P_tmpdir "/tmp"
#endif
void clearerr(FILE *);
int fclose(FILE *);
FILE* fdopen(int, const char *);
int feof(FILE *);
int ferror(FILE*);
int fflush(FILE *);
int fgetc(FILE *);
int fgetpos(FILE *restrict, fpos_t *restrict);
char* fgets(char *restrict, int, FILE *restrict);
int fileno(FILE *);
void flockfile(FILE *);
FILE* fopen(const char *restrict, const char *restrict);
int fprintf(FILE *restrict, const char *restrict, ...);
int fputc(int, FILE *);
int fputs(const char *restrict, FILE *restrict);
size_t fread(void *restrict, size_t, size_t, FILE *restrict);
FILE* freopen(const char *restrict, const char *restrict, FILE *restrict);
int fscanf(FILE *restrict, const char *restrict, ...);
int fseek(FILE *, long, int);
int fseeko(FILE *, off_t, int);
int fsetpos(FILE *, const fpos_t *);
long ftell(FILE *);
off_t ftello(FILE *);
int ftrylockfile(FILE *);
void funlockfile(FILE *);
size_t fwrite(const void *restrict, size_t, size_t, FILE *restrict);
int getc(FILE *);
int getchar();
int getc_unlocked(FILE *);
int getchar_unlocked();
void perror(const char *);
int printf(const char *restrict, ...);
int putc(int, FILE *);
int putchar(int);
int putc_unlocked(int, FILE *);
int putchar_unlocked(int);
int puts(const char *);
int remove(const char *);
int rename(const char *, const char *);
void rewind(FILE *);
int scanf(const char *restrict, ...);
void setbuf(FILE *restrict, char *restrict);
int setvbuf(FILE *restrict, char *restrict, int, size_t);
int snprintf(char *restrict, size_t, const char *restrict, ...);
int sprintf(char *restrict, const char *restrict, ...);
int sscanf(const char *restrict, const char *restrict, ...);
FILE* tmpfile();
int ungetc(int, FILE *);
int vfprintf(FILE *restrict, const char *restrict, va_list);
int vfscanf(FILE *restrict, const char *restrict, va_list);
int vprintf(const char *restrict, va_list);
int vscanf(const char *restrict, va_list);
int vsnprintf(char *restrict, size_t, const char *restrict, va_list);
int vsprintf(char *restrict, const char *restrict, va_list);
int vsscanf(const char *restrict, const char *restrict, va_list);
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__stdio_h__ */

