/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__sys_wait_h__
#define __FACE_CONFORM__sys_wait_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <FACE_primtypes.h>
#include <signal.h>
enum 
{
        WCONTINUED,
        WNOHANG,
        WUNTRACED,
};
#ifndef WEXITSTATUS
	#define WEXITSTATUS(stat_val) 1
#endif
#ifndef WIFCONTINUED
	#define WIFCONTINUED(stat_val) 1
#endif
#ifndef WIFEXITED
	#define WIFEXITED(stat_val) 1
#endif
#ifndef WIFSIGNALED
	#define WIFSIGNALED(stat_val) 1
#endif
#ifndef WIFSTOPPED
	#define WIFSTOPPED(stat_val) 1
#endif
#ifndef WSTOPSIG
	#define WSTOPSIG(stat_val) 1
#endif
#ifndef WTERMSIG
	#define WTERMSIG(stat_val) 1
#endif
enum 
{
        WEXITED,
        WNOWAIT,
        WSTOPPED,
};
typedef enum 
{
        P_ALL,
        P_PGID,
        P_PID,
} idtype_t;
#ifndef __FACE_CONFORM____ID_T__
#define __FACE_CONFORM____ID_T__
typedef int id_t;

#endif  /* __FACE_CONFORM____ID_T__ */

#ifndef __FACE_CONFORM____PID_T__
#define __FACE_CONFORM____PID_T__
typedef int pid_t;

#endif  /* __FACE_CONFORM____PID_T__ */

#ifndef __FACE_CONFORM____SIGVAL__
#define __FACE_CONFORM____SIGVAL__
union sigval {
    int sival_int;
    void * sival_ptr;
};
#endif  /* __FACE_CONFORM____SIGVAL__ */

#ifndef __FACE_CONFORM____SIGINFO_T__
#define __FACE_CONFORM____SIGINFO_T__
struct siginfo_t {
    int si_signo;
    int si_code;
    int si_errno;
    pid_t si_pid;
    uid_t si_uid;
    void * si_addr;
    int si_status;
    long si_band;
    union sigval si_value;
};
#endif  /* __FACE_CONFORM____SIGINFO_T__ */

pid_t wait(int *);
pid_t waitpid(pid_t, int *, int);
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__sys_wait_h__ */

