/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__sys_mman_h__
#define __FACE_CONFORM__sys_mman_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <FACE_primtypes.h>
enum 
{
        PROT_EXEC,
        PROT_NONE,
        PROT_READ,
        PROT_WRITE,
};
enum 
{
        MAP_FIXED,
        MAP_PRIVATE,
        MAP_SHARED,
};
enum 
{
        MS_ASYNC,
        MS_INVALIDATE,
        MS_SYNC,
};
enum 
{
        MCL_CURRENT,
        MCL_FUTURE,
};
#ifndef MAP_FAILED
	#define MAP_FAILED ((void*)0)
#endif
enum 
{
        POSIX_MADV_DONTNEED,
        POSIX_MADV_NORMAL,
        POSIX_MADV_RANDOM,
        POSIX_MADV_SEQUENTIAL,
        POSIX_MADV_WILLNEED,
};
enum 
{
        POSIX_TYPED_MEM_ALLOCATE,
        POSIX_TYPED_MEM_ALLOCATE_CONTIG,
        POSIX_TYPED_MEM_MAP_ALLOCATABLE,
};
#ifndef __FACE_CONFORM____MODE_T__
#define __FACE_CONFORM____MODE_T__
typedef int mode_t;

#endif  /* __FACE_CONFORM____MODE_T__ */

#ifndef __FACE_CONFORM____OFF_T__
#define __FACE_CONFORM____OFF_T__
typedef int off_t;

#endif  /* __FACE_CONFORM____OFF_T__ */

#ifndef __FACE_CONFORM____SIZE_T__
#define __FACE_CONFORM____SIZE_T__
typedef FACE_size_t size_t;

#endif  /* __FACE_CONFORM____SIZE_T__ */

#ifndef __FACE_CONFORM____POSIX_TYPED_MEM_INFO__
#define __FACE_CONFORM____POSIX_TYPED_MEM_INFO__
struct posix_typed_mem_info {
    size_t posix_tmi_length;
};
#endif  /* __FACE_CONFORM____POSIX_TYPED_MEM_INFO__ */

int mlock(const void *, size_t);
int mlockall(int);
void * mmap(void *, size_t, int, int, int, off_t);
int mprotect(void *, size_t, int);
int msync(void *, size_t, int);
int munlock(const void *, size_t);
int munlockall();
int munmap(void *, size_t);
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__sys_mman_h__ */

