/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__unistd_h__
#define __FACE_CONFORM__unistd_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <FACE_primtypes.h>
#ifndef __FACE_CONFORM___NULL
    #ifndef __FACE_CONFORM___NULL
    	#define __FACE_CONFORM___NULL 
    #endif
    #ifndef NULL
    	#define NULL FACE_NULL
    #endif
#endif
enum 
{
        _POSIX_VERSION,
        _POSIX2_VERSION,
};
enum 
{
        _XOPEN_VERSION,
};
enum 
{
        _POSIX_ADVISORY_INFO,
        _POSIX_ASYNCHRONOUS_IO,
        _POSIX_BARRIERS,
        _POSIX_CHOWN_RESTRICTED,
        _POSIX_CLOCK_SELECTION,
        _POSIX_CPUTIME,
        _POSIX_FSYNC,
        _POSIX_IPV6,
        _POSIX_JOB_CONTROL,
        _POSIX_MAPPED_FILES,
        _POSIX_MEMLOCK,
        _POSIX_MEMLOCK_RANGE,
        _POSIX_MEMORY_PROTECTION,
        _POSIX_MESSAGE_PASSING,
        _POSIX_MONOTONIC_CLOCK,
        _POSIX_NO_TRUNC,
        _POSIX_PRIORITIZED_IO,
        _POSIX_PRIORITY_SCHEDULING,
        _POSIX_RAW_SOCKETS,
        _POSIX_READER_WRITER_LOCKS,
        _POSIX_REALTIME_SIGNALS,
        _POSIX_REGEXP,
        _POSIX_SAVED_IDS,
        _POSIX_SEMAPHORES,
        _POSIX_SHARED_MEMORY_OBJECTS,
        _POSIX_SHELL,
        _POSIX_SPAWN,
        _POSIX_SPIN_LOCKS,
        _POSIX_SPORADIC_SERVER,
        _POSIX_SYNCHRONIZED_IO,
        _POSIX_THREAD_ATTR_STACKADDR,
        _POSIX_THREAD_ATTR_STACKSIZE,
        _POSIX_THREAD_CPUTIME,
        _POSIX_THREAD_PRIO_INHERIT,
        _POSIX_THREAD_PRIO_PROTECT,
        _POSIX_THREAD_PRIORITY_SCHEDULING,
        _POSIX_THREAD_PROCESS_SHARED,
        _POSIX_THREAD_ROBUST_PRIO_INHERIT,
        _POSIX_THREAD_ROBUST_PRIO_PROTECT,
        _POSIX_THREAD_SAFE_FUNCTIONS,
        _POSIX_THREAD_SPORADIC_SERVER,
        _POSIX_THREADS,
        _POSIX_TIMEOUTS,
        _POSIX_TIMERS,
        _POSIX_TRACE,
        _POSIX_TRACE_EVENT_FILTER,
        _POSIX_TRACE_INHERIT,
        _POSIX_TRACE_LOG,
        _POSIX_TYPED_MEMORY_OBJECTS,
        _POSIX_V6_ILP32_OFF32,
        _POSIX_V6_ILP32_OFFBIG,
        _POSIX_V6_LP64_OFF64,
        _POSIX_V6_LPBIG_OFFBIG,
        _POSIX_V7_ILP32_OFF32,
        _POSIX_V7_ILP32_OFFBIG,
        _POSIX_V7_LP64_OFF64,
        _POSIX_V7_LPBIG_OFFBIG,
        _POSIX2_C_BIND,
        _POSIX2_C_DEV,
        _POSIX2_CHAR_TERM,
        _POSIX2_FORT_DEV,
        _POSIX2_FORT_RUN,
        _POSIX2_LOCALEDEF,
        _POSIX2_PBS,
        _POSIX2_PBS_ACCOUNTING,
        _POSIX2_PBS_CHECKPOINT,
        _POSIX2_PBS_LOCATE,
        _POSIX2_PBS_MESSAGE,
        _POSIX2_PBS_TRACK,
        _POSIX2_SW_DEV,
        _POSIX2_UPE,
        _XOPEN_CRYPT,
        _XOPEN_ENH_I18N,
        _XOPEN_REALTIME,
        _XOPEN_REALTIME_THREADS,
        _XOPEN_SHM,
        _XOPEN_STREAMS,
        _XOPEN_UNIX,
        _XOPEN_UUCP,
};
enum 
{
        _POSIX_ASYNC_IO,
        _POSIX_PRIO_IO,
        _POSIX_SYNC_IO,
};
enum 
{
        _POSIX_TIMESTAMP_RESOLUTION,
        _POSIX2_SYMLINKS,
};
enum 
{
        F_OK,
        R_OK,
        W_OK,
        X_OK,
};
enum 
{
        _CS_PATH,
        _CS_POSIX_V7_ILP32_OFF32_CFLAGS,
        _CS_POSIX_V7_ILP32_OFF32_LDFLAGS,
        _CS_POSIX_V7_ILP32_OFF32_LIBS,
        _CS_POSIX_V7_ILP32_OFFBIG_CFLAGS,
        _CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS,
        _CS_POSIX_V7_ILP32_OFFBIG_LIBS,
        _CS_POSIX_V7_LP64_OFF64_CFLAGS,
        _CS_POSIX_V7_LP64_OFF64_LDFLAGS,
        _CS_POSIX_V7_LP64_OFF64_LIBS,
        _CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS,
        _CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS,
        _CS_POSIX_V7_LPBIG_OFFBIG_LIBS,
        _CS_POSIX_V7_THREADS_CFLAGS,
        _CS_POSIX_V7_THREADS_LDFLAGS,
        _CS_POSIX_V7_WIDTH_RESTRICTED_ENVS,
        _CS_V7_ENV,
};
enum 
{
        _CS_POSIX_V6_ILP32_OFF32_CFLAGS,
        _CS_POSIX_V6_ILP32_OFF32_LDFLAGS,
        _CS_POSIX_V6_ILP32_OFF32_LIBS,
        _CS_POSIX_V6_ILP32_OFFBIG_CFLAGS,
        _CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS,
        _CS_POSIX_V6_ILP32_OFFBIG_LIBS,
        _CS_POSIX_V6_LP64_OFF64_CFLAGS,
        _CS_POSIX_V6_LP64_OFF64_LDFLAGS,
        _CS_POSIX_V6_LP64_OFF64_LIBS,
        _CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS,
        _CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS,
        _CS_POSIX_V6_LPBIG_OFFBIG_LIBS,
        _CS_POSIX_V6_WIDTH_RESTRICTED_ENVS,
        _CS_V6_ENV,
};
enum 
{
        F_LOCK,
        F_TEST,
        F_TLOCK,
        F_ULOCK,
};
enum 
{
        _PC_2_SYMLINKS,
        _PC_ALLOC_SIZE_MIN,
        _PC_ASYNC_IO,
        _PC_CHOWN_RESTRICTED,
        _PC_FILESIZEBITS,
        _PC_LINK_MAX,
        _PC_MAX_CANON,
        _PC_MAX_INPUT,
        _PC_NAME_MAX,
        _PC_NO_TRUNC,
        _PC_PATH_MAX,
        _PC_PIPE_BUF,
        _PC_PRIO_IO,
        _PC_REC_INCR_XFER_SIZE,
        _PC_REC_MAX_XFER_SIZE,
        _PC_REC_MIN_XFER_SIZE,
        _PC_REC_XFER_ALIGN,
        _PC_SYMLINK_MAX,
        _PC_SYNC_IO,
        _PC_TIMESTAMP_RESOLUTION,
        _PC_VDISABLE,
};
enum 
{
        _SC_2_C_BIND,
        _SC_2_C_DEV,
        _SC_2_CHAR_TERM,
        _SC_2_FORT_DEV,
        _SC_2_FORT_RUN,
        _SC_2_LOCALEDEF,
        _SC_2_PBS,
        _SC_2_PBS_ACCOUNTING,
        _SC_2_PBS_CHECKPOINT,
        _SC_2_PBS_LOCATE,
        _SC_2_PBS_MESSAGE,
        _SC_2_PBS_TRACK,
        _SC_2_SW_DEV,
        _SC_2_UPE,
        _SC_2_VERSION,
        _SC_ADVISORY_INFO,
        _SC_AIO_LISTIO_MAX,
        _SC_AIO_MAX,
        _SC_AIO_PRIO_DELTA_MAX,
        _SC_ARG_MAX,
        _SC_ASYNCHRONOUS_IO,
        _SC_ATEXIT_MAX,
        _SC_BARRIERS,
        _SC_BC_BASE_MAX,
        _SC_BC_DIM_MAX,
        _SC_BC_SCALE_MAX,
        _SC_BC_STRING_MAX,
        _SC_CHILD_MAX,
        _SC_CLK_TCK,
        _SC_CLOCK_SELECTION,
        _SC_COLL_WEIGHTS_MAX,
        _SC_CPUTIME,
        _SC_DELAYTIMER_MAX,
        _SC_EXPR_NEST_MAX,
        _SC_FSYNC,
        _SC_GETGR_R_SIZE_MAX,
        _SC_GETPW_R_SIZE_MAX,
        _SC_HOST_NAME_MAX,
        _SC_IOV_MAX,
        _SC_IPV6,
        _SC_JOB_CONTROL,
        _SC_LINE_MAX,
        _SC_LOGIN_NAME_MAX,
        _SC_MAPPED_FILES,
        _SC_MEMLOCK,
        _SC_MEMLOCK_RANGE,
        _SC_MEMORY_PROTECTION,
        _SC_MESSAGE_PASSING,
        _SC_MONOTONIC_CLOCK,
        _SC_MQ_OPEN_MAX,
        _SC_MQ_PRIO_MAX,
        _SC_NGROUPS_MAX,
        _SC_OPEN_MAX,
        _SC_PAGE_SIZE,
        _SC_PAGESIZE,
        _SC_PRIORITIZED_IO,
        _SC_PRIORITY_SCHEDULING,
        _SC_RAW_SOCKETS,
        _SC_RE_DUP_MAX,
        _SC_READER_WRITER_LOCKS,
        _SC_REALTIME_SIGNALS,
        _SC_REGEXP,
        _SC_RTSIG_MAX,
        _SC_SAVED_IDS,
        _SC_SEM_NSEMS_MAX,
        _SC_SEM_VALUE_MAX,
        _SC_SEMAPHORES,
        _SC_SHARED_MEMORY_OBJECTS,
        _SC_SHELL,
        _SC_SIGQUEUE_MAX,
        _SC_SPAWN,
        _SC_SPIN_LOCKS,
        _SC_SPORADIC_SERVER,
        _SC_SS_REPL_MAX,
        _SC_STREAM_MAX,
        _SC_SYMLOOP_MAX,
        _SC_SYNCHRONIZED_IO,
        _SC_THREAD_ATTR_STACKADDR,
        _SC_THREAD_ATTR_STACKSIZE,
        _SC_THREAD_CPUTIME,
        _SC_THREAD_DESTRUCTOR_ITERATIONS,
        _SC_THREAD_KEYS_MAX,
        _SC_THREAD_PRIO_INHERIT,
        _SC_THREAD_PRIO_PROTECT,
        _SC_THREAD_PRIORITY_SCHEDULING,
        _SC_THREAD_PROCESS_SHARED,
        _SC_THREAD_ROBUST_PRIO_INHERIT,
        _SC_THREAD_ROBUST_PRIO_PROTECT,
        _SC_THREAD_SAFE_FUNCTIONS,
        _SC_THREAD_SPORADIC_SERVER,
        _SC_THREAD_STACK_MIN,
        _SC_THREAD_THREADS_MAX,
        _SC_THREADS,
        _SC_TIMEOUTS,
        _SC_TIMER_MAX,
        _SC_TIMERS,
        _SC_TRACE,
        _SC_TRACE_EVENT_FILTER,
        _SC_TRACE_EVENT_NAME_MAX,
        _SC_TRACE_INHERIT,
        _SC_TRACE_LOG,
        _SC_TRACE_NAME_MAX,
        _SC_TRACE_SYS_MAX,
        _SC_TRACE_USER_EVENT_MAX,
        _SC_TTY_NAME_MAX,
        _SC_TYPED_MEMORY_OBJECTS,
        _SC_TZNAME_MAX,
        _SC_V7_ILP32_OFF32,
        _SC_V7_ILP32_OFFBIG,
        _SC_V7_LP64_OFF64,
        _SC_V7_LPBIG_OFFBIG,
        _SC_V6_ILP32_OFF32,
        _SC_V6_ILP32_OFFBIG,
        _SC_V6_LP64_OFF64,
        _SC_V6_LPBIG_OFFBIG,
        _SC_VERSION,
        _SC_XOPEN_CRYPT,
        _SC_XOPEN_ENH_I18N,
        _SC_XOPEN_REALTIME,
        _SC_XOPEN_REALTIME_THREADS,
        _SC_XOPEN_SHM,
        _SC_XOPEN_STREAMS,
        _SC_XOPEN_UNIX,
        _SC_XOPEN_UUCP,
        _SC_XOPEN_VERSION,
};
enum 
{
        STDERR_FILENO,
        STDIN_FILENO,
        STDOUT_FILENO,
};
enum 
{
        _POSIX_VDISABLE,
};
#ifndef __FACE_CONFORM____SIZE_T__
#define __FACE_CONFORM____SIZE_T__
typedef FACE_size_t size_t;

#endif  /* __FACE_CONFORM____SIZE_T__ */

#ifndef __FACE_CONFORM____SSIZE_T__
#define __FACE_CONFORM____SSIZE_T__
typedef int ssize_t;

#endif  /* __FACE_CONFORM____SSIZE_T__ */

#ifndef __FACE_CONFORM____UID_T__
#define __FACE_CONFORM____UID_T__
typedef int uid_t;

#endif  /* __FACE_CONFORM____UID_T__ */

#ifndef __FACE_CONFORM____GID_T__
#define __FACE_CONFORM____GID_T__
typedef int gid_t;

#endif  /* __FACE_CONFORM____GID_T__ */

#ifndef __FACE_CONFORM____OFF_T__
#define __FACE_CONFORM____OFF_T__
typedef int off_t;

#endif  /* __FACE_CONFORM____OFF_T__ */

#ifndef __FACE_CONFORM____PID_T__
#define __FACE_CONFORM____PID_T__
typedef int pid_t;

#endif  /* __FACE_CONFORM____PID_T__ */

#ifndef __FACE_CONFORM____INTPTR_T__
#define __FACE_CONFORM____INTPTR_T__
typedef int* intptr_t;

#endif  /* __FACE_CONFORM____INTPTR_T__ */

int access(const char *, int);
int alarm(int);
int chdir(const char *);
int close(int);
int fsync(int);
int ftruncate(int, off_t);
char* getcwd(char *, size_t);
int gethostname(char *, size_t);
int link(const char *, const char *);
off_t lseek(int, off_t, int);
int pause();
ssize_t read(int, void *, size_t);
int rmdir(const char *);
int unlink(const char *);
ssize_t write(int, const void *, size_t);
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__unistd_h__ */

