/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__float_h__
#define __FACE_CONFORM__float_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <FACE_primtypes.h>
#ifndef FLT_ROUNDS
	#define FLT_ROUNDS -1
#endif
#ifndef FLT_EVAL_METHOD
	#define FLT_EVAL_METHOD 0
#endif
#ifndef FLT_RADIX
	#define FLT_RADIX 2
#endif
#ifndef FLT_MANT_DIG
	#define FLT_MANT_DIG 16
#endif
#ifndef DBL_MANT_DIG
	#define DBL_MANT_DIG 16
#endif
#ifndef LDBL_MANT_DIG
	#define LDBL_MANT_DIG 16
#endif
#ifndef DECIMAL_DIG
	#define DECIMAL_DIG 16
#endif
#ifndef FLT_DIG
	#define FLT_DIG 6
#endif
#ifndef DBL_DIG
	#define DBL_DIG 10
#endif
#ifndef LDBL_DIG
	#define LDBL_DIG 10
#endif
#ifndef FLT_MIN_EXP
	#define FLT_MIN_EXP 2
#endif
#ifndef DBL_MIN_EXP
	#define DBL_MIN_EXP 2
#endif
#ifndef LDBL_MIN_EXP
	#define LDBL_MIN_EXP 2
#endif
#ifndef FLT_MIN_10_EXP
	#define FLT_MIN_10_EXP -37
#endif
#ifndef DBL_MIN_10_EXP
	#define DBL_MIN_10_EXP -37
#endif
#ifndef LDBL_MIN_10_EXP
	#define LDBL_MIN_10_EXP -37
#endif
#ifndef FLT_MAX_EXP
	#define FLT_MAX_EXP 16
#endif
#ifndef DBL_MAX_EXP
	#define DBL_MAX_EXP 16
#endif
#ifndef LDBL_MAX_EXP
	#define LDBL_MAX_EXP 16
#endif
#ifndef FLT_MAX_10_EXP
	#define FLT_MAX_10_EXP +37
#endif
#ifndef DBL_MAX_10_EXP
	#define DBL_MAX_10_EXP +37
#endif
#ifndef LDBL_MAX_10_EXP
	#define LDBL_MAX_10_EXP +37
#endif
#ifndef FLT_MAX
	#define FLT_MAX 1E+37
#endif
#ifndef DBL_MAX
	#define DBL_MAX 1E+37
#endif
#ifndef LDBL_MAX
	#define LDBL_MAX 1E+37
#endif
#ifndef FLT_EPSILON
	#define FLT_EPSILON 1E-5
#endif
#ifndef DBL_EPSILON
	#define DBL_EPSILON 1E-9
#endif
#ifndef LDBL_EPSILON
	#define LDBL_EPSILON 1E-9
#endif
#ifndef FLT_MIN
	#define FLT_MIN 1E-37
#endif
#ifndef DBL_MIN
	#define DBL_MIN 1E-37
#endif
#ifndef LDBL_MIN
	#define LDBL_MIN 1E-37
#endif
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__float_h__ */

