/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__trace_h__
#define __FACE_CONFORM__trace_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <FACE_primtypes.h>
#ifndef __FACE_CONFORM____SIZE_T__
#define __FACE_CONFORM____SIZE_T__
typedef FACE_size_t size_t;

#endif  /* __FACE_CONFORM____SIZE_T__ */

#ifndef __FACE_CONFORM____PID_T__
#define __FACE_CONFORM____PID_T__
typedef int pid_t;

#endif  /* __FACE_CONFORM____PID_T__ */

#ifndef __FACE_CONFORM____TIME_T__
#define __FACE_CONFORM____TIME_T__
typedef int time_t;

#endif  /* __FACE_CONFORM____TIME_T__ */

#ifndef __FACE_CONFORM____TRACE_ATTR_T__
#define __FACE_CONFORM____TRACE_ATTR_T__
typedef struct  {
    int __0;
    int __1;
} trace_attr_t;
#endif  /* __FACE_CONFORM____TRACE_ATTR_T__ */

#ifndef __FACE_CONFORM____TRACE_EVENT_ID_T__
#define __FACE_CONFORM____TRACE_EVENT_ID_T__
typedef struct  {
    int __0;
    int __1;
} trace_event_id_t;
#endif  /* __FACE_CONFORM____TRACE_EVENT_ID_T__ */

#ifndef __FACE_CONFORM____TRACE_EVENT_SET_T__
#define __FACE_CONFORM____TRACE_EVENT_SET_T__
typedef struct  {
    int __0;
    int __1;
} trace_event_set_t;
#endif  /* __FACE_CONFORM____TRACE_EVENT_SET_T__ */

#ifndef __FACE_CONFORM____TRACE_ID_T__
#define __FACE_CONFORM____TRACE_ID_T__
typedef struct  {
    int __0;
    int __1;
} trace_id_t;
#endif  /* __FACE_CONFORM____TRACE_ID_T__ */

#ifndef __FACE_CONFORM____PTHREAD_T__
#define __FACE_CONFORM____PTHREAD_T__
typedef struct  {
    int __0;
    int __1;
} pthread_t;
#endif  /* __FACE_CONFORM____PTHREAD_T__ */

#ifndef __FACE_CONFORM____TIMESPEC__
#define __FACE_CONFORM____TIMESPEC__
struct timespec {
    time_t tv_sec;
    long tv_nsec;
};
#endif  /* __FACE_CONFORM____TIMESPEC__ */

#ifndef __FACE_CONFORM____POSIX_TRACE_EVENT_INFO__
#define __FACE_CONFORM____POSIX_TRACE_EVENT_INFO__
struct posix_trace_event_info {
    trace_event_id_t posix_event_id;
    pid_t posix_pid;
    void * posix_prog_address;
    pthread_t posix_thread_id;
    struct timespec posix_timestamp;
    int posix_truncation_status;
};
#endif  /* __FACE_CONFORM____POSIX_TRACE_EVENT_INFO__ */

#ifndef __FACE_CONFORM____POSIX_TRACE_STATUS_INFO__
#define __FACE_CONFORM____POSIX_TRACE_STATUS_INFO__
struct posix_trace_status_info {
    int posix_stream_full_status;
    int posix_stream_overrun_status;
    int posix_stream_status;
    int posix_log_full_status;
    int posix_log_overrun_status;
    int posix_stream_flush_error;
    int posix_stream_flush_status;
};
#endif  /* __FACE_CONFORM____POSIX_TRACE_STATUS_INFO__ */

enum 
{
        POSIX_TRACE_ALL_EVENTS,
        POSIX_TRACE_APPEND,
        POSIX_TRACE_CLOSE_FOR_CHILD,
        POSIX_TRACE_FILTER,
        POSIX_TRACE_FLUSH,
        POSIX_TRACE_FLUSH_START,
        POSIX_TRACE_FLUSH_STOP,
        POSIX_TRACE_FLUSHING,
        POSIX_TRACE_FULL,
        POSIX_TRACE_LOOP,
        POSIX_TRACE_NO_OVERRUN,
        POSIX_TRACE_NOT_FLUSHING,
        POSIX_TRACE_NOT_FULL,
        POSIX_TRACE_INHERITED,
        POSIX_TRACE_NOT_TRUNCATED,
        POSIX_TRACE_OVERFLOW,
        POSIX_TRACE_OVERRUN,
        POSIX_TRACE_RESUME,
        POSIX_TRACE_RUNNING,
        POSIX_TRACE_START,
        POSIX_TRACE_STOP,
        POSIX_TRACE_SUSPENDED,
        POSIX_TRACE_SYSTEM_EVENTS,
        POSIX_TRACE_TRUNCATED_READ,
        POSIX_TRACE_TRUNCATED_RECORD,
        POSIX_TRACE_UNNAMED_USER_EVENT,
        POSIX_TRACE_UNTIL_FULL,
        POSIX_TRACE_WOPID_EVENTS,
};
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__trace_h__ */

