/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__langinfo_h__
#define __FACE_CONFORM__langinfo_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <FACE_primtypes.h>
#include <nl_types.h>
#ifndef __FACE_CONFORM____LOCALE_T__
#define __FACE_CONFORM____LOCALE_T__
typedef struct  {
    int __0;
    int __1;
} locale_t;
#endif  /* __FACE_CONFORM____LOCALE_T__ */

#ifndef __FACE_CONFORM____NL_ITEM__
#define __FACE_CONFORM____NL_ITEM__
typedef struct  {
    int __0;
    int __1;
} nl_item;
#endif  /* __FACE_CONFORM____NL_ITEM__ */

enum 
{
        CODESET,
        D_T_FMT,
        D_FMT,
        T_FMT,
        T_FMT_AMPM,
        AM_STR,
        PM_STR,
        DAY_1,
        DAY_2,
        DAY_3,
        DAY_4,
        DAY_5,
        DAY_6,
        DAY_7,
        ABDAY_1,
        ABDAY_2,
        ABDAY_3,
        ABDAY_4,
        ABDAY_5,
        ABDAY_6,
        ABDAY_7,
        MON_1,
        MON_2,
        MON_3,
        MON_4,
        MON_5,
        MON_6,
        MON_7,
        MON_8,
        MON_9,
        MON_10,
        MON_11,
        MON_12,
        ABMON_1,
        ABMON_2,
        ABMON_3,
        ABMON_4,
        ABMON_5,
        ABMON_6,
        ABMON_7,
        ABMON_8,
        ABMON_9,
        ABMON_10,
        ABMON_11,
        ABMON_12,
        ERA,
        ERA_D_FMT,
        ERA_D_T_FMT,
        ERA_T_FMT,
        ALT_DIGITS,
        RADIXCHAR,
        THOUSEP,
        YESEXPR,
        NOEXPR,
        CRNCYSTR,
};
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__langinfo_h__ */

