/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__time_h__
#define __FACE_CONFORM__time_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <FACE_primtypes.h>
#include <signal.h>
#ifndef __FACE_CONFORM____CLOCK_T__
#define __FACE_CONFORM____CLOCK_T__
typedef int clock_t;

#endif  /* __FACE_CONFORM____CLOCK_T__ */

#ifndef __FACE_CONFORM____SIZE_T__
#define __FACE_CONFORM____SIZE_T__
typedef FACE_size_t size_t;

#endif  /* __FACE_CONFORM____SIZE_T__ */

#ifndef __FACE_CONFORM____TIME_T__
#define __FACE_CONFORM____TIME_T__
typedef int time_t;

#endif  /* __FACE_CONFORM____TIME_T__ */

#ifndef __FACE_CONFORM____CLOCKID_T__
#define __FACE_CONFORM____CLOCKID_T__
typedef int clockid_t;

#endif  /* __FACE_CONFORM____CLOCKID_T__ */

#ifndef __FACE_CONFORM____TIMER_T__
#define __FACE_CONFORM____TIMER_T__
typedef int timer_t;

#endif  /* __FACE_CONFORM____TIMER_T__ */

#ifndef __FACE_CONFORM____PID_T__
#define __FACE_CONFORM____PID_T__
typedef int pid_t;

#endif  /* __FACE_CONFORM____PID_T__ */

extern char * tzname[2];
#ifndef __FACE_CONFORM____LOCALE_T__
#define __FACE_CONFORM____LOCALE_T__
typedef struct  {
    int __0;
    int __1;
} locale_t;
#endif  /* __FACE_CONFORM____LOCALE_T__ */

#ifndef __FACE_CONFORM____SIGEVENT__
#define __FACE_CONFORM____SIGEVENT__
struct sigevent {
    int sigev_notify;
    int sigev_signo;
    union sigval sigev_value;
    __face_sigevent_func_ptr sigev_notify_function;
    pthread_attr_t * sigev_notify_attributes;
};
#endif  /* __FACE_CONFORM____SIGEVENT__ */

#ifndef __FACE_CONFORM____TM__
#define __FACE_CONFORM____TM__
struct tm {
    int tm_sec;
    int tm_min;
    int tm_hour;
    int tm_mday;
    int tm_mon;
    int tm_year;
    int tm_wday;
    int tm_yday;
    int tm_isdst;
};
#endif  /* __FACE_CONFORM____TM__ */

#ifndef __FACE_CONFORM____TIMESPEC__
#define __FACE_CONFORM____TIMESPEC__
struct timespec {
    time_t tv_sec;
    long tv_nsec;
};
#endif  /* __FACE_CONFORM____TIMESPEC__ */

#ifndef __FACE_CONFORM____ITIMERSPEC__
#define __FACE_CONFORM____ITIMERSPEC__
struct itimerspec {
    struct timespec it_interval;
    struct timespec it_value;
};
#endif  /* __FACE_CONFORM____ITIMERSPEC__ */

#ifndef __FACE_CONFORM___NULL
    #ifndef __FACE_CONFORM___NULL
    	#define __FACE_CONFORM___NULL 
    #endif
    #ifndef NULL
    	#define NULL FACE_NULL
    #endif
#endif
#ifndef CLOCKS_PER_SEC
	#define CLOCKS_PER_SEC 1000000l
#endif
enum 
{
        CLOCK_MONOTONIC,
        CLOCK_PROCESS_CPUTIME_ID,
        CLOCK_REALTIME,
        CLOCK_THREAD_CPUTIME_ID,
};
enum 
{
        TIMER_ABSTIME,
};
char* asctime_r(const struct tm *restrict, char *restrict);
clock_t clock();
int clock_getres(clockid_t, struct timespec *);
int clock_gettime(clockid_t, struct timespec *);
int clock_settime(clockid_t, const struct timespec *);
char* ctime_r(const time_t *, char *);
double difftime(time_t, time_t);
struct tm * gmtime_r(const time_t *restrict, struct tm *restrict);
struct tm * localtime_r(const time_t *restrict, struct tm *restrict);
time_t mktime(struct tm *);
int nanosleep(const struct timespec *, struct timespec *);
size_t strftime(char *restrict, size_t, const char *restrict, const struct tm *restrict);
time_t time(time_t *);
int timer_create(clockid_t, struct sigevent *restrict, timer_t *restrict);
int timer_delete(timer_t);
int timer_getoverrun(timer_t);
int timer_gettime(timer_t, struct itimerspec *);
int timer_settime(timer_t, int, const struct itimerspec *restrict, struct itimerspec *restrict);
void tzset();
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__time_h__ */

