/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__tar_h__
#define __FACE_CONFORM__tar_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <FACE_primtypes.h>
#ifndef TMAGIC
	#define TMAGIC "ustar"
#endif
#ifndef TMAGLEN
	#define TMAGLEN 6
#endif
#ifndef TVERSION
	#define TVERSION "00"
#endif
#ifndef TVERSLEN
	#define TVERSLEN 2
#endif
#ifndef REGTYPE
	#define REGTYPE '0'
#endif
#ifndef AREGTYPE
	#define AREGTYPE '\0'
#endif
#ifndef LNKTYPE
	#define LNKTYPE '1'
#endif
#ifndef SYMTYPE
	#define SYMTYPE '2'
#endif
#ifndef CHRTYPE
	#define CHRTYPE '3'
#endif
#ifndef BLKTYPE
	#define BLKTYPE '4'
#endif
#ifndef DIRTYPE
	#define DIRTYPE '5'
#endif
#ifndef FIFOTYPE
	#define FIFOTYPE '6'
#endif
#ifndef CONTTYPE
	#define CONTTYPE '7'
#endif
#ifndef TSUID
	#define TSUID 04000
#endif
#ifndef TSGID
	#define TSGID 02000
#endif
#ifndef TSVTX
	#define TSVTX 01000
#endif
#ifndef TUREAD
	#define TUREAD 00400
#endif
#ifndef TUWRITE
	#define TUWRITE 00200
#endif
#ifndef TUEXEC
	#define TUEXEC 00100
#endif
#ifndef TGREAD
	#define TGREAD 00020
#endif
#ifndef TGWRITE
	#define TGWRITE 00020
#endif
#ifndef TGEXEC
	#define TGEXEC 00010
#endif
#ifndef TOREAD
	#define TOREAD 00004
#endif
#ifndef TOWRITE
	#define TOWRITE 00002
#endif
#ifndef TOEXEC
	#define TOEXEC 00001
#endif
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__tar_h__ */

