/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__ftw_h__
#define __FACE_CONFORM__ftw_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <FACE_primtypes.h>
#include <sys/stat.h>
#ifndef __FACE_CONFORM____BLKCNT_T__
#define __FACE_CONFORM____BLKCNT_T__
typedef int blkcnt_t;

#endif  /* __FACE_CONFORM____BLKCNT_T__ */

#ifndef __FACE_CONFORM____BLKSIZE_T__
#define __FACE_CONFORM____BLKSIZE_T__
typedef int blksize_t;

#endif  /* __FACE_CONFORM____BLKSIZE_T__ */

#ifndef __FACE_CONFORM____DEV_T__
#define __FACE_CONFORM____DEV_T__
typedef int dev_t;

#endif  /* __FACE_CONFORM____DEV_T__ */

#ifndef __FACE_CONFORM____INO_T__
#define __FACE_CONFORM____INO_T__
typedef unsigned int ino_t;

#endif  /* __FACE_CONFORM____INO_T__ */

#ifndef __FACE_CONFORM____MODE_T__
#define __FACE_CONFORM____MODE_T__
typedef int mode_t;

#endif  /* __FACE_CONFORM____MODE_T__ */

#ifndef __FACE_CONFORM____NLINK_T__
#define __FACE_CONFORM____NLINK_T__
typedef int nlink_t;

#endif  /* __FACE_CONFORM____NLINK_T__ */

#ifndef __FACE_CONFORM____UID_T__
#define __FACE_CONFORM____UID_T__
typedef int uid_t;

#endif  /* __FACE_CONFORM____UID_T__ */

#ifndef __FACE_CONFORM____GID_T__
#define __FACE_CONFORM____GID_T__
typedef int gid_t;

#endif  /* __FACE_CONFORM____GID_T__ */

#ifndef __FACE_CONFORM____OFF_T__
#define __FACE_CONFORM____OFF_T__
typedef int off_t;

#endif  /* __FACE_CONFORM____OFF_T__ */

#ifndef __FACE_CONFORM____TIME_T__
#define __FACE_CONFORM____TIME_T__
typedef int time_t;

#endif  /* __FACE_CONFORM____TIME_T__ */

#ifndef __FACE_CONFORM____TIMESPEC__
#define __FACE_CONFORM____TIMESPEC__
struct timespec {
    time_t tv_sec;
    long tv_nsec;
};
#endif  /* __FACE_CONFORM____TIMESPEC__ */

#ifndef __FACE_CONFORM____FTW__
#define __FACE_CONFORM____FTW__
struct FTW {
    int base;
    int level;
};
#endif  /* __FACE_CONFORM____FTW__ */

enum 
{
        FTW_F,
        FTW_D,
        FTW_DNR,
        FTW_DP,
        FTW_NS,
        FTW_SL,
        FTW_SLN,
};
enum 
{
        FTW_PHYS,
        FTW_MOUNT,
        FTW_DEPTH,
        FTW_CHDIR,
};
#ifndef __FACE_CONFORM____STAT__
#define __FACE_CONFORM____STAT__
struct stat {
    dev_t st_dev;
    ino_t st_ino;
    mode_t st_mode;
    nlink_t st_nlink;
    uid_t st_uid;
    gid_t st_gid;
    dev_t st_rdev;
    off_t st_size;
    struct timespec st_atim;
    struct timespec st_mtim;
    struct timespec st_ctim;
    blksize_t st_blksize;
    blkcnt_t st_blocks;
};
#endif  /* __FACE_CONFORM____STAT__ */

#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__ftw_h__ */

