/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__netinet_in_h__
#define __FACE_CONFORM__netinet_in_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <FACE_primtypes.h>
#include <inttypes.h>
#include <sys/socket.h>
#include <arpa/inet.h>
extern const struct in6_addr in6addr_any;
extern const struct in6_addr in6addr_loopback;
#ifndef __FACE_CONFORM____SA_FAMILY_T__
#define __FACE_CONFORM____SA_FAMILY_T__
typedef unsigned int sa_family_t;

#endif  /* __FACE_CONFORM____SA_FAMILY_T__ */

#ifndef __FACE_CONFORM____UINT8_T__
#define __FACE_CONFORM____UINT8_T__
typedef FACE_uint8_t uint8_t;

#endif  /* __FACE_CONFORM____UINT8_T__ */

#ifndef __FACE_CONFORM____UINT16_T__
#define __FACE_CONFORM____UINT16_T__
typedef FACE_uint16_t uint16_t;

#endif  /* __FACE_CONFORM____UINT16_T__ */

#ifndef __FACE_CONFORM____UINT32_T__
#define __FACE_CONFORM____UINT32_T__
typedef FACE_uint32_t uint32_t;

#endif  /* __FACE_CONFORM____UINT32_T__ */

#ifndef __FACE_CONFORM____IN_PORT_T__
#define __FACE_CONFORM____IN_PORT_T__
typedef uint16_t in_port_t;

#endif  /* __FACE_CONFORM____IN_PORT_T__ */

#ifndef __FACE_CONFORM____IN_ADDR_T__
#define __FACE_CONFORM____IN_ADDR_T__
typedef uint32_t in_addr_t;

#endif  /* __FACE_CONFORM____IN_ADDR_T__ */

#ifndef __FACE_CONFORM____IN_ADDR__
#define __FACE_CONFORM____IN_ADDR__
struct in_addr {
    in_addr_t s_addr;
};
#endif  /* __FACE_CONFORM____IN_ADDR__ */

#ifndef __FACE_CONFORM____SOCKADDR_IN__
#define __FACE_CONFORM____SOCKADDR_IN__
struct sockaddr_in {
    sa_family_t sin_family;
    in_port_t sin_port;
    struct in_addr sin_addr;
};
#endif  /* __FACE_CONFORM____SOCKADDR_IN__ */

#ifndef __FACE_CONFORM____IN6_ADDR__
#define __FACE_CONFORM____IN6_ADDR__
struct in6_addr {
    uint8_t s6_addr[16];
};
#endif  /* __FACE_CONFORM____IN6_ADDR__ */

#ifndef __FACE_CONFORM____SOCKADDR_IN6__
#define __FACE_CONFORM____SOCKADDR_IN6__
struct sockaddr_in6 {
    sa_family_t sin6_family;
    in_port_t sin6_port;
    uint32_t sin6_flowinfo;
    struct in6_addr sin6_addr;
    uint32_t sin6_scope_id;
};
#endif  /* __FACE_CONFORM____SOCKADDR_IN6__ */

#ifndef IN6ADDR_ANY_INIT
	#define IN6ADDR_ANY_INIT { { { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } } }
#endif
#ifndef IN6ADDR_LOOPBACK_INIT
	#define IN6ADDR_LOOPBACK_INIT { { { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1 } } }
#endif
#ifndef __FACE_CONFORM____IPV6_MREQ__
#define __FACE_CONFORM____IPV6_MREQ__
struct ipv6_mreq {
    struct in6_addr ipv6mr_multiaddr;
    unsigned ipv6mr_interface;
};
#endif  /* __FACE_CONFORM____IPV6_MREQ__ */

enum 
{
        IPPROTO_IP,
        IPPROTO_IPV6,
        IPPROTO_ICMP,
        IPPROTO_RAW,
        IPPROTO_TCP,
        IPPROTO_UDP,
};
enum 
{
        INADDR_ANY,
        INADDR_BROADCAST,
};
enum 
{
        INET_ADDRSTRLEN,
};
enum 
{
        INET6_ADDRSTRLEN,
};
enum 
{
        IPV6_JOIN_GROUP,
        IPV6_LEAVE_GROUP,
        IPV6_MULTICAST_HOPS,
        IPV6_MULTICAST_IF,
        IPV6_MULTICAST_LOOP,
        IPV6_UNICAST_HOPS,
        IPV6_V6ONLY,
};
#ifndef IN6_IS_ADDR_UNSPECIFIED
	#define IN6_IS_ADDR_UNSPECIFIED 0
#endif
#ifndef IN6_IS_ADDR_LOOPBACK
	#define IN6_IS_ADDR_LOOPBACK 0
#endif
#ifndef IN6_IS_ADDR_MULTICAST
	#define IN6_IS_ADDR_MULTICAST 0
#endif
#ifndef IN6_IS_ADDR_LINKLOCAL
	#define IN6_IS_ADDR_LINKLOCAL 0
#endif
#ifndef IN6_IS_ADDR_SITELOCAL
	#define IN6_IS_ADDR_SITELOCAL 0
#endif
#ifndef IN6_IS_ADDR_V4MAPPED
	#define IN6_IS_ADDR_V4MAPPED 0
#endif
#ifndef IN6_IS_ADDR_V4COMPAT
	#define IN6_IS_ADDR_V4COMPAT 0
#endif
#ifndef IN6_IS_ADDR_MC_NODELOCAL
	#define IN6_IS_ADDR_MC_NODELOCAL 0
#endif
#ifndef IN6_IS_ADDR_MC_LINKLOCAL
	#define IN6_IS_ADDR_MC_LINKLOCAL 0
#endif
#ifndef IN6_IS_ADDR_MC_SITELOCAL
	#define IN6_IS_ADDR_MC_SITELOCAL 0
#endif
#ifndef IN6_IS_ADDR_MC_ORGLOCAL
	#define IN6_IS_ADDR_MC_ORGLOCAL 0
#endif
#ifndef IN6_IS_ADDR_MC_GLOBAL
	#define IN6_IS_ADDR_MC_GLOBAL 0
#endif
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__netinet_in_h__ */

