/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__FACE_primtypes_h__
#define __FACE_CONFORM__FACE_primtypes_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/* restrict is not a keyword in C++ so define it away. */
#ifdef __cplusplus
    #ifndef restrict
    	#define restrict 
    #endif
#endif
/* Exact size types from stdint.h must be defined by typedef in the
 * header below.
 *  int8_t as FACE_int8_t
 *  int16_t as FACE_int16_t
 *  int32_t as FACE_int32_t
 *  uint8_t as FACE_uint8_t
 *  uint16_t as FACE_uint16_t
 *  uint32_t as FACE_uint32_t
 *  size_t as FACE_size_t
 *
 * If your system provides 64-bit integer types, you must also define
 * the following two types. Define these types and
 * __FACE_CONFORMANCE_TEST_HAS_64_BIT if and only if your 
 * system has 64-bit integer types.
 *  int64_t as FACE_int64_t
 *  uint64_t as FACE_uint64_t
 */
#include <CONFORMANCE_TEST_FACE_NULL.h>
/* Exact size types from stdint.h must be defined by typedef in the
 * header below.
 *  int8_t as FACE_int8_t
 *  int16_t as FACE_int16_t
 *  int32_t as FACE_int32_t
 *  uint8_t as FACE_uint8_t
 *  uint16_t as FACE_uint16_t
 *  uint32_t as FACE_uint32_t
 *  size_t as FACE_size_t
 *
 * If your system provides 64-bit integer types, you must also define
 * the following two types. Define these types and
 * __FACE_CONFORMANCE_TEST_HAS_64_BIT if and only if your 
 * system has 64-bit integer types.
 *  int64_t as FACE_int64_t
 *  uint64_t as FACE_uint64_t
 */
/* Exact size types from stdint.h must be defined by typedef in the
 * header below.
 *  int8_t as FACE_int8_t
 *  int16_t as FACE_int16_t
 *  int32_t as FACE_int32_t
 *  uint8_t as FACE_uint8_t
 *  uint16_t as FACE_uint16_t
 *  uint32_t as FACE_uint32_t
 *  size_t as FACE_size_t
 *
 * If your system provides 64-bit integer types, you must also define
 * the following two types. Define these types and
 * __FACE_CONFORMANCE_TEST_HAS_64_BIT if and only if your 
 * system has 64-bit integer types.
 *  int64_t as FACE_int64_t
 *  uint64_t as FACE_uint64_t
 */
#include <CONFORMANCE_TEST_FACE_NULL.h>
/* Exact size types from stdint.h must be defined by typedef in the
 * header below.
 *  int8_t as FACE_int8_t
 *  int16_t as FACE_int16_t
 *  int32_t as FACE_int32_t
 *  uint8_t as FACE_uint8_t
 *  uint16_t as FACE_uint16_t
 *  uint32_t as FACE_uint32_t
 *  size_t as FACE_size_t
 *
 * If your system provides 64-bit integer types, you must also define
 * the following two types. Define these types and
 * __FACE_CONFORMANCE_TEST_HAS_64_BIT if and only if your 
 * system has 64-bit integer types.
 *  int64_t as FACE_int64_t
 *  uint64_t as FACE_uint64_t
 */
#include <CONFORMANCE_TEST_FACE_EXACT_TYPES.h>
/* NULL from stddef.h and cstddef et al is implementation
  * dependent. Define FACE_NULL as your compiler defines
  * NULL.
  *
  * For example, if your compiler defines NULL like this:
  *
  *    #undef NULL
  *    #if defined(__cplusplus)
  *    #define NULL 0
  *    #else
  *    #define NULL ((void *)0)
  *    #endif
  *
  * Then add the following to the header below:
  *    #undef FACE_NULL
  *    #if defined(__cplusplus)
  *    #define FACE_NULL 0
  *    #else
  *    #define FACE_NULL ((void *)0)
  *    #endif
  */
#include <CONFORMANCE_TEST_FACE_NULL.h>
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__FACE_primtypes_h__ */

