/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__mqueue_h__
#define __FACE_CONFORM__mqueue_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <FACE_primtypes.h>
#include <fcntl.h>
#include <signal.h>
#include <time.h>
#ifndef __FACE_CONFORM____MQD_T__
#define __FACE_CONFORM____MQD_T__
typedef int mqd_t;

#endif  /* __FACE_CONFORM____MQD_T__ */

#ifndef __FACE_CONFORM____SIZE_T__
#define __FACE_CONFORM____SIZE_T__
typedef FACE_size_t size_t;

#endif  /* __FACE_CONFORM____SIZE_T__ */

#ifndef __FACE_CONFORM____SSIZE_T__
#define __FACE_CONFORM____SSIZE_T__
typedef int ssize_t;

#endif  /* __FACE_CONFORM____SSIZE_T__ */

#ifndef __FACE_CONFORM____TIME_T__
#define __FACE_CONFORM____TIME_T__
typedef int time_t;

#endif  /* __FACE_CONFORM____TIME_T__ */

#ifndef __FACE_CONFORM_SIGEVENT_FUNCPTR
    #ifndef __FACE_CONFORM_SIGEVENT_FUNCPTR
    	#define __FACE_CONFORM_SIGEVENT_FUNCPTR 
    #endif
    typedef  void (*__face_sigevent_func_ptr) (union sigval);
#endif
#ifndef __FACE_CONFORM____PTHREAD_ATTR_T__
#define __FACE_CONFORM____PTHREAD_ATTR_T__
typedef struct  {
    int __0;
    int __1;
} pthread_attr_t;
#endif  /* __FACE_CONFORM____PTHREAD_ATTR_T__ */

#ifndef __FACE_CONFORM____SIGVAL__
#define __FACE_CONFORM____SIGVAL__
union sigval {
    int sival_int;
    void * sival_ptr;
};
#endif  /* __FACE_CONFORM____SIGVAL__ */

#ifndef __FACE_CONFORM____TIMESPEC__
#define __FACE_CONFORM____TIMESPEC__
struct timespec {
    time_t tv_sec;
    long tv_nsec;
};
#endif  /* __FACE_CONFORM____TIMESPEC__ */

#ifndef __FACE_CONFORM____SIGEVENT__
#define __FACE_CONFORM____SIGEVENT__
struct sigevent {
    int sigev_notify;
    int sigev_signo;
    union sigval sigev_value;
    __face_sigevent_func_ptr sigev_notify_function;
    pthread_attr_t * sigev_notify_attributes;
};
#endif  /* __FACE_CONFORM____SIGEVENT__ */

#ifndef __FACE_CONFORM____MQ_ATTR__
#define __FACE_CONFORM____MQ_ATTR__
struct mq_attr {
    long mq_flags;
    long mq_maxmsg;
    long mq_msgsize;
    long mq_curmsgs;
};
#endif  /* __FACE_CONFORM____MQ_ATTR__ */

#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__mqueue_h__ */

