/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__wchar_h__
#define __FACE_CONFORM__wchar_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <FACE_primtypes.h>
#include <ctype.h>
#include <string.h>
#include <stdarg.h>
#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <stdarg.h>
#ifndef __FACE_CONFORM____MBSTATE_T__
#define __FACE_CONFORM____MBSTATE_T__
typedef void* mbstate_t;

#endif  /* __FACE_CONFORM____MBSTATE_T__ */

#ifndef __FACE_CONFORM____SIZE_T__
#define __FACE_CONFORM____SIZE_T__
typedef FACE_size_t size_t;

#endif  /* __FACE_CONFORM____SIZE_T__ */

#ifndef __cplusplus
#ifndef __FACE_CONFORM____WCHAR_T__
#define __FACE_CONFORM____WCHAR_T__
    typedef int wchar_t;

#endif  /* __FACE_CONFORM____WCHAR_T__ */

#endif
#ifndef __FACE_CONFORM____WINT_T__
#define __FACE_CONFORM____WINT_T__
typedef int wint_t;

#endif  /* __FACE_CONFORM____WINT_T__ */

#ifndef __FACE_CONFORM____FILE__
#define __FACE_CONFORM____FILE__
typedef struct  {
    int __0;
    int __1;
} FILE;
#endif  /* __FACE_CONFORM____FILE__ */

#ifndef __FACE_CONFORM____VA_LIST__
#define __FACE_CONFORM____VA_LIST__
typedef struct  {
    int __0;
    int __1;
} va_list;
#endif  /* __FACE_CONFORM____VA_LIST__ */

#ifndef __FACE_CONFORM____TM__
#define __FACE_CONFORM____TM__
struct tm {
    int tm_sec;
    int tm_min;
    int tm_hour;
    int tm_mday;
    int tm_mon;
    int tm_year;
    int tm_wday;
    int tm_yday;
    int tm_isdst;
};
#endif  /* __FACE_CONFORM____TM__ */

#ifndef WCHAR_MAX
	#define WCHAR_MAX 127
#endif
#ifndef WCHAR_MIN
	#define WCHAR_MIN -127
#endif
#ifndef WEOF
	#define WEOF (0xffffffffu)
#endif
#ifndef __FACE_CONFORM___NULL
    #ifndef __FACE_CONFORM___NULL
    	#define __FACE_CONFORM___NULL 
    #endif
    #ifndef NULL
    	#define NULL FACE_NULL
    #endif
#endif
wint_t btowc(int);
wint_t fgetwc(FILE *);
wchar_t * fgetws(wchar_t *restrict, int, FILE *restrict);
wint_t fputwc(wchar_t, FILE *);
int fputws(const wchar_t *restrict, FILE *restrict);
int fwide(FILE *restrict, int);
int fwprintf(FILE *restrict, const wchar_t *restrict, ...);
int fwscanf(FILE *restrict, const wchar_t *restrict, ...);
wint_t getwc(FILE *);
wint_t getwchar();
size_t mbrlen(const char *restrict, size_t, mbstate_t *restrict);
size_t mbrtowc(wchar_t *restrict, const char *restrict, size_t, mbstate_t *restrict);
int mbsinit(const mbstate_t *);
wint_t putwc(wchar_t, FILE *);
wint_t putwchar(wchar_t);
int swprintf(wchar_t *restrict, size_t, const wchar_t *restrict, ...);
int swscanf(const wchar_t *restrict, const wchar_t *restrict, ...);
wint_t ungetwc(wint_t, FILE *);
int vfwprintf(FILE *restrict, const wchar_t *restrict, va_list);
int vfwscanf(FILE *restrict, const wchar_t *restrict, va_list);
int vswprintf(wchar_t *restrict, size_t, const wchar_t *restrict, va_list);
int vswscanf(const wchar_t *restrict, const wchar_t *restrict, va_list);
int vwprintf(const wchar_t *restrict, va_list);
int vwscanf(const wchar_t *restrict, va_list);
size_t wcrtomb(char *restrict, wchar_t, mbstate_t *restrict);
size_t mbsrtowcs(wchar_t *restrict, const char **restrict, size_t, mbstate_t *restrict);
wchar_t * wcscat(wchar_t *restrict, const wchar_t *restrict);
wchar_t * wcschr(const wchar_t *, wchar_t);
int wcscmp(const wchar_t *, const wchar_t *);
int wcscoll(const wchar_t *, const wchar_t *);
wchar_t * wcscpy(wchar_t *restrict, const wchar_t *restrict);
size_t wcscspn(const wchar_t *, const wchar_t *);
size_t wcsftime(wchar_t *restrict, size_t, const wchar_t *restrict, const struct tm *restrict);
size_t wcslen(const wchar_t *);
wchar_t * wcsncat(wchar_t *restrict, const wchar_t *restrict, size_t);
int wcsncmp(const wchar_t *, const wchar_t *, size_t);
wchar_t * wcsncpy(wchar_t *restrict, const wchar_t *restrict, size_t);
wchar_t * wcspbrk(const wchar_t *, const wchar_t *);
wchar_t * wcsrchr(const wchar_t *, wchar_t);
size_t wcsrtombs(char *restrict, const wchar_t **restrict, size_t, mbstate_t *restrict);
size_t wcsspn(const wchar_t *, const wchar_t *);
wchar_t * wcsstr(const wchar_t *restrict, const wchar_t *restrict);
double wcstod(const wchar_t *restrict, wchar_t **restrict);
float wcstof(const wchar_t *restrict, wchar_t **restrict);
wchar_t * wcstok(wchar_t *restrict, const wchar_t *restrict, wchar_t **restrict);
long wcstol(const wchar_t *restrict, wchar_t **restrict, int);
long double wcstold(const wchar_t *restrict, wchar_t **restrict);
#ifndef __cplusplus
    long long wcstoll(const wchar_t *restrict, wchar_t **restrict, int);
#endif
unsigned long wcstoul(const wchar_t *restrict, wchar_t **restrict, int);
#ifndef __cplusplus
    unsigned long long wcstoull(const wchar_t *restrict, wchar_t **restrict, int);
#endif
size_t wcsxfrm(wchar_t *restrict, const wchar_t *restrict, size_t);
int wctob(wint_t);
wchar_t * wmemchr(const wchar_t *, wchar_t, size_t);
int wmemcmp(const wchar_t *, const wchar_t *, size_t);
wchar_t * wmemcpy(wchar_t *restrict, const wchar_t *restrict, size_t);
wchar_t * wmemmove(wchar_t *, const wchar_t *, size_t);
wchar_t * wmemset(wchar_t *, wchar_t, size_t);
int wprintf(const wchar_t *restrict, ...);
int wscanf(const wchar_t *restrict, ...);
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__wchar_h__ */

