/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__math_h__
#define __FACE_CONFORM__math_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <float.h>
#ifdef FLT_EVAL_METHOD
    #if FLT_EVAL_METHOD == 0
#ifndef __FACE_CONFORM____FLOAT_T__
#define __FACE_CONFORM____FLOAT_T__
        typedef float float_t;

#endif  /* __FACE_CONFORM____FLOAT_T__ */

#ifndef __FACE_CONFORM____DOUBLE_T__
#define __FACE_CONFORM____DOUBLE_T__
        typedef double double_t;

#endif  /* __FACE_CONFORM____DOUBLE_T__ */

    #elif FLT_EVAL_METHOD == 1
#ifndef __FACE_CONFORM____FLOAT_T__
#define __FACE_CONFORM____FLOAT_T__
        typedef double float_t;

#endif  /* __FACE_CONFORM____FLOAT_T__ */

#ifndef __FACE_CONFORM____DOUBLE_T__
#define __FACE_CONFORM____DOUBLE_T__
        typedef double double_t;

#endif  /* __FACE_CONFORM____DOUBLE_T__ */

    #elif FLT_EVAL_METHOD == 2
#ifndef __FACE_CONFORM____FLOAT_T__
#define __FACE_CONFORM____FLOAT_T__
        typedef long double float_t;

#endif  /* __FACE_CONFORM____FLOAT_T__ */

#ifndef __FACE_CONFORM____DOUBLE_T__
#define __FACE_CONFORM____DOUBLE_T__
        typedef long double double_t;

#endif  /* __FACE_CONFORM____DOUBLE_T__ */

    #else
#ifndef __FACE_CONFORM____FLOAT_T__
#define __FACE_CONFORM____FLOAT_T__
        typedef float float_t;

#endif  /* __FACE_CONFORM____FLOAT_T__ */

#ifndef __FACE_CONFORM____DOUBLE_T__
#define __FACE_CONFORM____DOUBLE_T__
        typedef double double_t;

#endif  /* __FACE_CONFORM____DOUBLE_T__ */

    #endif
#endif
#ifndef HUGE_VAL
	#define HUGE_VAL 99999999999999.
#endif
#ifndef HUGE_VALF
	#define HUGE_VALF 9999999.f
#endif
#ifndef HUGE_VALL
	#define HUGE_VALL 9999999999999999.L
#endif
#ifndef INFINITY
	#define INFINITY 9999999.f
#endif
#ifndef NAN
	#define NAN -1.f
#endif
#ifndef FP_INFINITE
	#define FP_INFINITE 1
#endif
#ifndef FP_NAN
	#define FP_NAN 2
#endif
#ifndef FP_NORMAL
	#define FP_NORMAL 3
#endif
#ifndef FP_SUBNORMAL
	#define FP_SUBNORMAL 4
#endif
#ifndef FP_ZERO
	#define FP_ZERO 5
#endif
#ifndef FP_FAST_FMA
	#define FP_FAST_FMA 1
#endif
#ifndef FP_FAST_FMAF
	#define FP_FAST_FMAF 1
#endif
#ifndef FP_FAST_FMAL
	#define FP_FAST_FMAL 1
#endif
#ifndef FP_ILOGB0
	#define FP_ILOGB0 -2147483647
#endif
#ifndef FP_ILOGBNAN
	#define FP_ILOGBNAN -2147483647
#endif
#ifndef MATH_ERRNO
	#define MATH_ERRNO 1
#endif
#ifndef MATH_ERREXCEPT
	#define MATH_ERREXCEPT 2
#endif
#ifndef math_errhandling
	#define math_errhandling (MATH_ERRNO | METH_ERREXCEPT)
#endif
#ifndef isinf
	#define isinf(x) 0
#endif
#ifndef isnan
	#define isnan(x) 0
#endif
double acos(double);
double acosh(double);
double asin(double);
double asinh(double);
double atan(double);
double atan2(double, double);
double atanh(double);
double ceil(double);
double cos(double);
double cosh(double);
double exp(double);
double fabs(double);
double floor(double);
double fmod(double, double);
double frexp(double, int *);
double ldexp(double, int);
double log(double);
double log10(double);
double modf(double, double *);
double pow(double, double);
double sin(double);
double sinh(double);
double sqrt(double);
double tan(double);
double tanh(double);
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__math_h__ */

