/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__locale_h__
#define __FACE_CONFORM__locale_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#ifndef __FACE_CONFORM____LCONV__
#define __FACE_CONFORM____LCONV__
struct lconv {
    char * currency_symbol;
    char * decimal_point;
    char frac_digits;
    char * grouping;
    char * int_curr_symbol;
    char int_frac_digits;
    char int_n_cs_precedes;
    char int_n_sep_by_space;
    char int_n_sign_posn;
    char int_p_cs_precedes;
    char int_p_sep_by_space;
    char int_p_sign_posn;
    char * mon_decimal_point;
    char * mon_grouping;
    char * mon_thousands_sep;
    char * negative_sign;
    char n_cs_precedes;
    char n_sep_by_space;
    char n_sign_posn;
    char * positive_sign;
    char p_cs_precedes;
    char p_sep_by_space;
    char p_sign_posn;
    char * thousands_sep;
};
#endif  /* __FACE_CONFORM____LCONV__ */

#ifndef __FACE_CONFORM___NULL
    #ifndef __FACE_CONFORM___NULL
    	#define __FACE_CONFORM___NULL 
    #endif
    #ifndef NULL
    	#define NULL FACE_NULL
    #endif
#endif
#ifndef LC_ALL
	#define LC_ALL 1
#endif
#ifndef LC_COLLATE
	#define LC_COLLATE 2
#endif
#ifndef LC_CTYPE
	#define LC_CTYPE 3
#endif
#ifndef LC_MONETARY
	#define LC_MONETARY 5
#endif
#ifndef LC_NUMERIC
	#define LC_NUMERIC 6
#endif
#ifndef LC_TIME
	#define LC_TIME 7
#endif
char* setlocale(int, const char *);
struct lconv * localeconv();
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__locale_h__ */

