/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__math_h__
#define __FACE_CONFORM__math_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <float.h>
#ifdef FLT_EVAL_METHOD
    #if FLT_EVAL_METHOD == 0
#ifndef __FACE_CONFORM____FLOAT_T__
#define __FACE_CONFORM____FLOAT_T__
        typedef float float_t;

#endif  /* __FACE_CONFORM____FLOAT_T__ */

#ifndef __FACE_CONFORM____DOUBLE_T__
#define __FACE_CONFORM____DOUBLE_T__
        typedef double double_t;

#endif  /* __FACE_CONFORM____DOUBLE_T__ */

    #elif FLT_EVAL_METHOD == 1
#ifndef __FACE_CONFORM____FLOAT_T__
#define __FACE_CONFORM____FLOAT_T__
        typedef double float_t;

#endif  /* __FACE_CONFORM____FLOAT_T__ */

#ifndef __FACE_CONFORM____DOUBLE_T__
#define __FACE_CONFORM____DOUBLE_T__
        typedef double double_t;

#endif  /* __FACE_CONFORM____DOUBLE_T__ */

    #elif FLT_EVAL_METHOD == 2
#ifndef __FACE_CONFORM____FLOAT_T__
#define __FACE_CONFORM____FLOAT_T__
        typedef long double float_t;

#endif  /* __FACE_CONFORM____FLOAT_T__ */

#ifndef __FACE_CONFORM____DOUBLE_T__
#define __FACE_CONFORM____DOUBLE_T__
        typedef long double double_t;

#endif  /* __FACE_CONFORM____DOUBLE_T__ */

    #else
#ifndef __FACE_CONFORM____FLOAT_T__
#define __FACE_CONFORM____FLOAT_T__
        typedef float float_t;

#endif  /* __FACE_CONFORM____FLOAT_T__ */

#ifndef __FACE_CONFORM____DOUBLE_T__
#define __FACE_CONFORM____DOUBLE_T__
        typedef double double_t;

#endif  /* __FACE_CONFORM____DOUBLE_T__ */

    #endif
#endif
#ifndef HUGE_VAL
	#define HUGE_VAL 99999999999999.
#endif
#ifndef HUGE_VALF
	#define HUGE_VALF 9999999.f
#endif
#ifndef HUGE_VALL
	#define HUGE_VALL 9999999999999999.L
#endif
#ifndef INFINITY
	#define INFINITY 9999999.f
#endif
#ifndef NAN
	#define NAN -1.f
#endif
#ifndef FP_INFINITE
	#define FP_INFINITE 1
#endif
#ifndef FP_NAN
	#define FP_NAN 2
#endif
#ifndef FP_NORMAL
	#define FP_NORMAL 3
#endif
#ifndef FP_SUBNORMAL
	#define FP_SUBNORMAL 4
#endif
#ifndef FP_ZERO
	#define FP_ZERO 5
#endif
#ifndef FP_FAST_FMA
	#define FP_FAST_FMA 1
#endif
#ifndef FP_FAST_FMAF
	#define FP_FAST_FMAF 1
#endif
#ifndef FP_FAST_FMAL
	#define FP_FAST_FMAL 1
#endif
#ifndef FP_ILOGB0
	#define FP_ILOGB0 -2147483647
#endif
#ifndef FP_ILOGBNAN
	#define FP_ILOGBNAN -2147483647
#endif
#ifndef MATH_ERRNO
	#define MATH_ERRNO 1
#endif
#ifndef MATH_ERREXCEPT
	#define MATH_ERREXCEPT 2
#endif
#ifndef math_errhandling
	#define math_errhandling (MATH_ERRNO | METH_ERREXCEPT)
#endif
#ifndef fpclassify
	#define fpclassify(x) 0
#endif
#ifndef isfinite
	#define isfinite(x) 0
#endif
#ifndef isgreater
	#define isgreater(x,y) 0
#endif
#ifndef isgreaterequal
	#define isgreaterequal(x,y) 0
#endif
#ifndef isinf
	#define isinf(x) 0
#endif
#ifndef isless
	#define isless(x,y) 0
#endif
#ifndef islessequal
	#define islessequal(x,y) 0
#endif
#ifndef islessgreater
	#define islessgreater(x,y) 0
#endif
#ifndef isnan
	#define isnan(x) 0
#endif
#ifndef isnormal
	#define isnormal(x) 0
#endif
#ifndef isunordered
	#define isunordered(x,y) 0
#endif
#ifndef signbit
	#define signbit(x) 0
#endif
double acos(double);
float acosf(float);
double acosh(double);
float acoshf(float);
long double acoshl(long double);
long double acosl(long double);
double asin(double);
float asinf(float);
double asinh(double);
float asinhf(float);
long double asinhl(long double);
long double asinl(long double);
double atan(double);
double atan2(double, double);
float atan2f(float, float);
long double atan2l(long double, long double);
float atanf(float);
double atanh(double);
float atanhf(float);
long double atanhl(long double);
long double atanl(long double);
double cbrt(double);
float cbrtf(float);
long double cbrtl(long double);
double ceil(double);
float ceilf(float);
long double ceill(long double);
double copysign(double, double);
float copysignf(float, float);
long double copysignl(long double, long double);
double cos(double);
float cosf(float);
double cosh(double);
float coshf(float);
long double coshl(long double);
long double cosl(long double);
double erf(double);
double erfc(double);
float erfcf(float);
long double erfcl(long double);
float erff(float);
long double erfl(long double);
double exp(double);
double exp2(double);
float exp2f(float);
long double exp2l(long double);
float expf(float);
long double expl(long double);
double expm1(double);
float expm1f(float);
long double expm1l(long double);
double fabs(double);
float fabsf(float);
long double fabsl(long double);
double fdim(double, double);
float fdimf(float, float);
long double fdiml(long double, long double);
double floor(double);
float floorf(float);
long double floorl(long double);
double fma(double, double, double);
float fmaf(float, float, float);
long double fmal(long double, long double, long double);
double fmax(double, double);
float fmaxf(float, float);
long double fmaxl(long double, long double);
double fmin(double, double);
float fminf(float, float);
long double fminl(long double, long double);
double fmod(double, double);
float fmodf(float, float);
long double fmodl(long double, long double);
double frexp(double, int *);
float frexpf(float, int *);
long double frexpl(long double, int *);
double hypot(double, double);
float hypotf(float, float);
long double hypotl(long double, long double);
int ilogb(double);
int ilogbf(float);
int ilogbl(long double);
double ldexp(double, int);
float ldexpf(float, int);
long double ldexpl(long double, int);
double lgamma(double);
float lgammaf(float);
long double lgammal(long double);
#ifndef __cplusplus
    long long llrint(double);
    long long llrintf(float);
    long long llrintl(long double);
    long long llround(double);
    long long llroundf(float);
    long long llroundl(long double);
#endif
double log(double);
double log10(double);
float log10f(float);
long double log10l(long double);
double log1p(double);
float log1pf(float);
long double log1pl(long double);
double log2(double);
float log2f(float);
long double log2l(long double);
double logb(double);
float logbf(float);
long double logbl(long double);
float logf(float);
long double logl(long double);
long lrint(double);
long lrintf(float);
long lrintl(long double);
long lround(double);
long lroundf(float);
long lroundl(long double);
double modf(double, double *);
float modff(float, float *);
long double modfl(long double, long double *);
double nan(const char *);
float nanf(const char *);
long double nanl(const char *);
double nearbyint(double);
float nearbyintf(float);
long double nearbyintl(long double);
double nextafter(double, double);
float nextafterf(float, float);
long double nextafterl(long double, long double);
double nexttoward(double, long double);
float nexttowardf(float, long double);
long double nexttowardl(long double, long double);
double pow(double, double);
float powf(float, float);
long double powl(long double, long double);
double remainder(double, double);
float remainderf(float, float);
long double remainderl(long double, long double);
double remquo(double, double, int *);
float remquof(float, float, int *);
long double remquol(long double, long double, int *);
double rint(double);
float rintf(float);
long double rintl(long double);
double round(double);
float roundf(float);
long double roundl(long double);
double scalbln(double, long);
float scalblnf(float, long);
long double scalblnl(long double, long);
double scalbn(double, int);
float scalbnf(float, int);
long double scalbnl(long double, int);
double sin(double);
float sinf(float);
double sinh(double);
float sinhf(float);
long double sinhl(long double);
long double sinl(long double);
double sqrt(double);
float sqrtf(float);
long double sqrtl(long double);
double tan(double);
float tanf(float);
double tanh(double);
float tanhf(float);
long double tanhl(long double);
long double tanl(long double);
double tgamma(double);
float tgammaf(float);
long double tgammal(long double);
double trunc(double);
float truncf(float);
long double truncl(long double);
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__math_h__ */

