#ifndef GOLDSTANDARDLIBRARIES_C_INCLUDE_FACE_HMFM_H
#define GOLDSTANDARDLIBRARIES_C_INCLUDE_FACE_HMFM_H

/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Filename: goldStandardLibraries/C/include/FACE/HMFM.h                            *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#include <FACE/common.h>


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

typedef FACE_long FACE_HMFM_FAULT_MESSAGE_SIZE_TYPE;

typedef void * FACE_HMFM_FAULT_MESSAGE_ADDRESS_TYPE;

typedef FACE_long FACE_HMFM_THREAD_ID_TYPE;

#define FACE_HMFM_FAULT_MESSAGE_MAXIMUM_SIZE ((FACE_HMFM_FAULT_MESSAGE_SIZE_TYPE) 128)

typedef FACE_unsigned_long FACE_HMFM_STACK_SIZE_TYPE;

typedef FACE_char FACE_HMFM_FAULT_MESSAGE_TYPE[FACE_HMFM_FAULT_MESSAGE_MAXIMUM_SIZE];
typedef enum {
    FACE_HMFM_DEADLINE_MISSED,
    FACE_HMFM_APPLICATION_ERROR,
    FACE_HMFM_NUMERIC_ERROR,
    FACE_HMFM_ILLEGAL_REQUEST,
    FACE_HMFM_STACK_OVERFLOW,
    FACE_HMFM_MEMORY_VIOLATION,
    FACE_HMFM_HARDWARE_FAULT,
    FACE_HMFM_POWER_FAIL
} FACE_HMFM_FAULT_CODE_TYPE;

typedef struct {
    FACE_HMFM_FAULT_CODE_TYPE CODE;
    FACE_HMFM_FAULT_MESSAGE_TYPE MESSAGE;
    FACE_HMFM_FAULT_MESSAGE_SIZE_TYPE LENGTH;
    FACE_HMFM_THREAD_ID_TYPE FAILED_THREAD_ID;
    FACE_SYSTEM_ADDRESS_TYPE FAILED_ADDRESS;

} FACE_HMFM_FAULT_STATUS_TYPE;

typedef void (*FACE_HMFM_FAULT_HANDLER_ENTRY_TYPE) (void);


void FACE_HMFM_Initialize (
        /*    out */ FACE_RETURN_CODE_TYPE *return_code
    );

void FACE_HMFM_Create_Fault_Handler (
        /* in     */ FACE_HMFM_FAULT_HANDLER_ENTRY_TYPE entry_point,
        /* in     */ FACE_HMFM_STACK_SIZE_TYPE stack_size,
        /*    out */ FACE_RETURN_CODE_TYPE *return_code
    );

void FACE_HMFM_Report_Application_Message (
        /* in     */ FACE_HMFM_FAULT_MESSAGE_ADDRESS_TYPE fault,
        /* in     */ FACE_HMFM_FAULT_MESSAGE_SIZE_TYPE length,
        /*    out */ FACE_RETURN_CODE_TYPE *return_code
    );

void FACE_HMFM_Get_Fault_Status (
        /*    out */ FACE_HMFM_FAULT_STATUS_TYPE *fault,
        /*    out */ FACE_RETURN_CODE_TYPE *return_code
    );

void FACE_HMFM_Raise_Application_Fault (
        /* in     */ FACE_HMFM_FAULT_CODE_TYPE code,
        /* in     */ FACE_HMFM_FAULT_MESSAGE_ADDRESS_TYPE message,
        /* in     */ FACE_HMFM_FAULT_MESSAGE_SIZE_TYPE length,
        /*    out */ FACE_RETURN_CODE_TYPE *return_code
    );


#ifdef __cplusplus
}
#endif /* __cplusplus */



#endif /* #ifndef GOLDSTANDARDLIBRARIES_C_INCLUDE_FACE_HMFM_H */
