#ifndef GOLDSTANDARDLIBRARIES_C_INCLUDE_FACE_COMMON_H
#define GOLDSTANDARDLIBRARIES_C_INCLUDE_FACE_COMMON_H

/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Filename: goldStandardLibraries/C/include/FACE/common.h                          *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/
#include "FACE/types.h"



#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

typedef FACE_long_long FACE_SYSTEM_TIME_TYPE;

#define FACE_INF_TIME_VALUE ((FACE_SYSTEM_TIME_TYPE) -1)

typedef FACE_char FACE_CONFIGURATION_RESOURCE[256];
typedef enum {
    FACE_NO_ERROR,
    FACE_NO_ACTION,
    FACE_NOT_AVAILABLE,
    FACE_ADDR_IN_USE,
    FACE_INVALID_PARAM,
    FACE_INVALID_CONFIG,
    FACE_PERMISSION_DENIED,
    FACE_INVALID_MODE,
    FACE_TIMED_OUT,
    FACE_MESSAGE_STALE,
    FACE_CONNECTION_IN_PROGRESS,
    FACE_CONNECTION_CLOSED,
    FACE_DATA_BUFFER_TOO_SMALL
} FACE_RETURN_CODE_TYPE;

typedef void *FACE_SYSTEM_ADDRESS_TYPE;

typedef FACE_SYSTEM_TIME_TYPE FACE_TIMEOUT_TYPE;

typedef FACE_long FACE_MESSAGE_RANGE_TYPE;



#ifdef __cplusplus
}
#endif /* __cplusplus */



#endif /* #ifndef GOLDSTANDARDLIBRARIES_C_INCLUDE_FACE_COMMON_H */
