// Product produced under Contract No. FA8075-14-D-0014 and the U.S. Government
// has unlimited rights in this software.
//
// Vanderbilt University disclaims all warranties with regard to this
// software, including all implied warranties of merchantability and fitness.
// In no event shall Vanderbilt University be liable for any special,
// indirect or consequential damages or any damages whatsoever resulting
// from loss of use, data or profits, whether in an action of contract,
// negligence or other tortious action, arising out of or in connection
// with the use or performance of this software.
//
// May contain products produced under DoD SENSIAC contract HC104705D4000 under
// the sponsorship of the Defense Technical Information Center,
// ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA
// 22060-6218.  SENSIAC is a DoD Information Analysis Center Sponsored
// by the Defense Technical Information Center.


#ifndef _FACE_TYPES_H_
#define _FACE_TYPES_H_

#include <stddef.h>  /* To get the wchar_t value */

/* types.h is a file should be distributed by your Operating System.
 * However, for the conformance test, we are using the values
 * from the CONFORMANCE_TEST_FACE_EXACT_TYPES.h file to define
 * the FACE C Data Types.
 * CONFORMANCE_TEST_FACE_EXACT_TYPES.h is modified by the tester to
 * be correct for the O/S under test.  Please see the manual for more information
 */

#include "CONFORMANCE_TEST_FACE_EXACT_TYPES.h"

/* These are defined by CONFORMANCE_TEST_FACE_EXACT_TYPES.h */
typedef FACE_int16_t 		FACE_short;
typedef FACE_int32_t		FACE_long;
typedef FACE_int64_t    	FACE_long_long;
typedef FACE_uint16_t 		FACE_unsigned_short;
typedef FACE_uint32_t 		FACE_unsigned_long;
typedef FACE_uint64_t    	FACE_unsigned_long_long;
typedef FACE_int8_t		FACE_char;
typedef FACE_uint8_t		FACE_octet;

/* These are defined exactly by C and C++ standards */
typedef float 			FACE_float;
typedef double 			FACE_double;
typedef long double 		FACE_long_double;
typedef wchar_t 		FACE_wchar;

/* These are defined based on if you are using a C or a C++ compiler */
#ifdef __cplusplus
typedef bool FACE_boolean;
#else
typedef _Bool FACE_boolean;
#endif

#endif /* _FACE_TYPES_H_ */
