/* This is a compilable ANSI C specification of the APEX interface,      */
/* derived from Section 3 of ARINC 653 Part 1.                           */
/* The declarations of the services given below are taken from the       */
/* standard, as are the enum types and the names of the others types.    */
/* Unless specified as implementation dependent, the values specified in */
/* this appendix should be implemented as defined.                       */
/* This ANSI C specification follows the same structure (package) as     */
/* the Ada specification. The objective is to have the same definitions  */
/* and representations of the interface in both the Ada and C languages. */
/* The two specifications are aligned in the same order, and define the  */
/* same items.                                                           */

#include "APEX_TYPES.h"
#include "APEX_TIME.h"
#include "APEX_PROCESS.h"
#include "APEX_PARTITION.h"
#include "APEX_SAMPLING.h"
#include "APEX_QUEUING.h"
#include "APEX_BUFFER.h"
#include "APEX_BLACKBOARD.h"
#include "APEX_SEMAPHORE.h"
#include "APEX_EVENT.h"
#include "APEX_ERROR.h"
