/*--------------------------------------------------------------------*/
/*                                                                    */
/* Name Service constant and type definitions and management services */
/*                                                                    */
/*--------------------------------------------------------------------*/
#ifndef APEX_NAME_SERVICE
#define APEX_NAME_SERVICE

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include "APEX_SAP_PORTS.h"

typedef APEX_INTEGER NAME_SERVICE_ID_TYPE;
typedef NAME_TYPE NAME_SERVICE_NAME_TYPE;
typedef APEX_BYTE * NAME_SERVICE_ADDR_TYPE;
typedef APEX_INTEGER NAME_SERVICE_LENGTH_TYPE;

/* Following line is in standard, but conflicts with QUEUING_DISCIPLINE_TYPE
   DEFINED IN APEX_TYPES.h
enum {FIFO = 0, PRIORITY = 1) NAME_SERVICE_QUEUING_DISCIPLINE_TYPE ; */
typedef QUEUING_DISCIPLINE_TYPE NAME_SERVICE_QUEUING_DISCIPLINE_TYPE;

extern void CREATE_NAME_SERVICE (
  /*in */ NAME_SERVICE_NAME_TYPE NAME_SERVICE_NAME,
  /*in */ NAME_SERVICE_QUEUING_DISCIPLINE_TYPE QUEUING_DISCIPLINE,
  /*out*/ NAME_SERVICE_ID_TYPE *SERVICE_ID,
  /*out*/ RETURN_CODE_TYPE *RETURN_CODE );

 /* HAD TO CHANGE NAME FROM MAX_NAME_LENGTH TO MAX_NAME_LENGTH_VAR to avoid confile in APEX_TYPES.h */
extern void GET_NAME (
  /*in */ NAME_SERVICE_ID_TYPE SERVICE_ID,
  /*in */ SAP_ADDRESS_TYPE SAP_ADDRESS,
  /*in */ SYSTEM_TIME_TYPE TIME_OUT,
  /*in */ NAME_SERVICE_ADDR_TYPE NAME_ADDR,
  /*in */ NAME_SERVICE_LENGTH_TYPE MAX_NAME_LENGTH_VAR,
  /*out*/ NAME_SERVICE_LENGTH_TYPE *NAME_LENGTH,
  /*out*/ RETURN_CODE_TYPE *RETURN_CODE );

extern void GET_ADDRESS (
  /*in */ NAME_SERVICE_ID_TYPE SERVICE_ID,
  /*in */ NAME_SERVICE_ADDR_TYPE NAME,
  /*in */ NAME_SERVICE_LENGTH_TYPE *NAME_LENGTH,
  /*in */ SYSTEM_TIME_TYPE TIME_OUT,
  /*out */ SAP_ADDRESS_TYPE *SAP_ADDRESS,
  /*out*/ RETURN_CODE_TYPE *RETURN_CODE );

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif
