/*-----------------------------------------------------------------------*/
/*                                                                       */
/* Queuing Port List constants, type definitions and management services */
/*                                                                       */
/*-----------------------------------------------------------------------*/
#ifndef APEX_QUEUING_PORT_LIST
#define APEX_QUEUING_PORT_LIST

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include "APEX_QUEUING.h"

/* Types */
typedef enum {INACTIVE, ACTIVE} PORT_ACTION_TYPE;
typedef enum {RESET, CONTINUE} RESET_LIST_TYPE;
typedef APEX_INTEGER LIST_SIZE_TYPE;
typedef APEX_INTEGER QUEUING_PORT_LIST_ID_TYPE;
typedef NAME_TYPE QUEUING_PORT_LIST_NAME_TYPE;
/* Services */
extern void CREATE_QUEUING_PORT_LIST (
  /*in */ QUEUING_PORT_LIST_NAME_TYPE QUEUING_PORT_LIST_NAME,
  /*in */ LIST_SIZE_TYPE MAX_LIST_SIZE,
  /*out*/ QUEUING_PORT_LIST_ID_TYPE *QUEUING_PORT_LIST_ID,
  /*out*/ RETURN_CODE_TYPE *RETURN_CODE);
extern void ADD_PORT_TO_QUEUING_PORT_LIST (
  /*in */ QUEUING_PORT_LIST_ID_TYPE QUEUING_PORT_LIST_ID,
  /*in */ QUEUING_PORT_ID_TYPE QUEUING_PORT_ID,
  /*in */ PORT_ACTION_TYPE PORT_ACTION,
  /*out*/ RETURN_CODE_TYPE *RETURN_CODE);
extern void SET_PORT_ACTION_IN_QUEUING_PORT_LIST (
  /*in */ QUEUING_PORT_LIST_ID_TYPE QUEUING_PORT_LIST_ID,
  /*in */ QUEUING_PORT_ID_TYPE QUEUING_PORT_ID,
  /*in */ PORT_ACTION_TYPE PORT_ACTION,
  /*out*/ RETURN_CODE_TYPE *RETURN_CODE);
extern void GET_QUEUING_PORT_ACTION_STATUS (
  /*in */ QUEUING_PORT_LIST_ID_TYPE QUEUING_PORT_LIST_ID,
  /*in */ QUEUING_PORT_ID_TYPE QUEUING_PORT_ID,
  /*out*/ PORT_ACTION_TYPE *PORT_ACTION_STATUS,
  /*out*/ RETURN_CODE_TYPE *RETURN_CODE);
extern void RECEIVE_MESSAGE_FROM_QUEUING_PORT_LIST (
  /*in */ QUEUING_PORT_LIST_ID_TYPE QUEUING_PORT_LIST_ID,
  /*in */ SYSTEM_TIME_TYPE TIME_OUT,
  /*in */ MESSAGE_ADDR_TYPE MESSAGE_ADDR,
  /*in */ MESSAGE_SIZE_TYPE BUFFER_SIZE,
  /*in */ RESET_LIST_TYPE RESET_LIST,
  /*out*/ QUEUING_PORT_ID_TYPE *QUEUING_PORT_ID,
  /*out*/ MESSAGE_SIZE_TYPE *LENGTH,
  /*out*/ RETURN_CODE_TYPE *RETURN_CODE);
extern void WAIT_FOR_MESSAGE_FROM_QUEUING_PORT_LIST (
  /*in */ QUEUING_PORT_LIST_ID_TYPE QUEUING_PORT_LIST_ID,
  /*in */ SYSTEM_TIME_TYPE TIME_OUT,
  /*in */ RESET_LIST_TYPE RESET_LIST,
  /*out*/ QUEUING_PORT_ID_TYPE *QUEUING_PORT_ID,
  /*out*/ RETURN_CODE_TYPE *RETURN_CODE);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif
