/*------------------------------------------------------------------*/
/*                                                                  */
/* Sampling Port Extensions constant and type definitions and       */
/* management services                                              */
/*                                                                  */
/*------------------------------------------------------------------*/
#ifndef APEX_SAMPLING_PORT_EXTENSIONS
#define APEX_SAMPLING_PORT_EXTENSIONS

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include "APEX_SAMPLING.h"

typedef
enum {
EMPTY_PORT = 0,
CONSUMED_MESSAGE = 1,
NEW_MESSAGE = 2
} UPDATED_TYPE;
typedef enum { STALE = 0, FRESH = 1 } AGE_TYPE;
typedef
struct {
SYSTEM_TIME_TYPE REFRESH_PERIOD;
SYSTEM_TIME_TYPE TIME_STAMP;
MESSAGE_SIZE_TYPE MAX_MESSAGE_SIZE;
PORT_DIRECTION_TYPE PORT_DIRECTION;
AGE_TYPE MESSAGE_AGE;
UPDATED_TYPE UPDATED;
} SAMPLING_PORT_CURRENT_STATUS_TYPE;
extern void READ_UPDATED_SAMPLING_MESSAGE (
  /*in */ SAMPLING_PORT_ID_TYPE SAMPLING_PORT_ID,
  /*in */ MESSAGE_ADDR_TYPE MESSAGE_ADDR,
  /*out*/ MESSAGE_SIZE_TYPE *LENGTH,
  /*out*/ UPDATED_TYPE *UPDATED,
  /*out*/ RETURN_CODE_TYPE *RETURN_CODE);
extern void GET_SAMPLING_PORT_CURRENT_STATUS (
  /*in */ SAMPLING_PORT_ID_TYPE SAMPLING_PORT_ID,
  /*out*/ SAMPLING_PORT_CURRENT_STATUS_TYPE
*SAMPLING_PORT_CURRENT_STATUS,
  /*out*/ RETURN_CODE_TYPE *RETURN_CODE);
extern void READ_SAMPLING_MESSAGE_CONDITIONAL (
  /*in */ SAMPLING_PORT_ID_TYPE SAMPLING_PORT_ID,
  /*in */ SYSTEM_TIME_TYPE REF_TIME_STAMP,
  /*in */ MESSAGE_ADDR_TYPE MESSAGE_ADDR,
  /*out*/ MESSAGE_SIZE_TYPE *LENGTH,
  /*out*/ SYSTEM_TIME_TYPE *TIME_STAMP,
  /*out*/ RETURN_CODE_TYPE *RETURN_CODE);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif
