/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#include "EGL/egl.h"

EGLBoolean eglChooseConfig(EGLDisplay var0, const EGLint* var1, EGLConfig* var2, EGLint var3, EGLint* var4)
{
    EGLBoolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
EGLBoolean eglCopyBuffers(EGLDisplay var0, EGLSurface var1, EGLNativePixmapType var2)
{
    EGLBoolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
EGLContext eglCreateContext(EGLDisplay var0, EGLConfig var1, EGLContext var2, const EGLint* var3)
{
    EGLContext* __face_conform_abc = 0;
    return *__face_conform_abc;
}
EGLSurface eglCreatePbufferSurface(EGLDisplay var0, EGLConfig var1, const EGLint* var2)
{
    EGLSurface* __face_conform_abc = 0;
    return *__face_conform_abc;
}
EGLSurface eglCreatePixmapSurface(EGLDisplay var0, EGLConfig var1, EGLNativePixmapType var2, const EGLint* var3)
{
    EGLSurface* __face_conform_abc = 0;
    return *__face_conform_abc;
}
EGLSurface eglCreateWindowSurface(EGLDisplay var0, EGLConfig var1, EGLNativeWindowType var2, const EGLint* var3)
{
    EGLSurface* __face_conform_abc = 0;
    return *__face_conform_abc;
}
EGLBoolean eglDestroyContext(EGLDisplay var0, EGLContext var1)
{
    EGLBoolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
EGLBoolean eglDestroySurface(EGLDisplay var0, EGLSurface var1)
{
    EGLBoolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
EGLBoolean eglGetConfigAttrib(EGLDisplay var0, EGLConfig var1, EGLint var2, EGLint* var3)
{
    EGLBoolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
EGLBoolean eglGetConfigs(EGLDisplay var0, EGLConfig* var1, EGLint var2, EGLint* var3)
{
    EGLBoolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
EGLDisplay eglGetCurrentDisplay()
{
    EGLDisplay* __face_conform_abc = 0;
    return *__face_conform_abc;
}
EGLSurface eglGetCurrentSurface(EGLint var0)
{
    EGLSurface* __face_conform_abc = 0;
    return *__face_conform_abc;
}
EGLDisplay eglGetDisplay(EGLNativeDisplayType var0)
{
    EGLDisplay* __face_conform_abc = 0;
    return *__face_conform_abc;
}
EGLint eglGetError()
{
    EGLint* __face_conform_abc = 0;
    return *__face_conform_abc;
}
__eglMustCastToProperFunctionPointerType eglGetProcAddress(const char* var0)
{
    __eglMustCastToProperFunctionPointerType* __face_conform_abc = 0;
    return *__face_conform_abc;
}
EGLBoolean eglInitialize(EGLDisplay var0, EGLint* var1, EGLint* var2)
{
    EGLBoolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
EGLBoolean eglMakeCurrent(EGLDisplay var0, EGLSurface var1, EGLSurface var2, EGLContext var3)
{
    EGLBoolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
EGLBoolean eglQueryContext(EGLDisplay var0, EGLContext var1, EGLint var2, EGLint* var3)
{
    EGLBoolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
const char* eglQueryString(EGLDisplay var0, EGLint var1)
{
    const char* __face_conform_abc = 0;
    return __face_conform_abc;
}
EGLBoolean eglQuerySurface(EGLDisplay var0, EGLSurface var1, EGLint var2, EGLint* var3)
{
    EGLBoolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
EGLBoolean eglSwapBuffers(EGLDisplay var0, EGLSurface var1)
{
    EGLBoolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
EGLBoolean eglTerminate(EGLDisplay var0)
{
    EGLBoolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
EGLBoolean eglWaitGL()
{
    EGLBoolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
EGLBoolean eglWaitNative(EGLint var0)
{
    EGLBoolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
EGLBoolean eglBindTexImage(EGLDisplay var0, EGLSurface var1, EGLint var2)
{
    EGLBoolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
EGLBoolean eglReleaseTexImage(EGLDisplay var0, EGLSurface var1, EGLint var2)
{
    EGLBoolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
EGLBoolean eglSurfaceAttrib(EGLDisplay var0, EGLSurface var1, EGLint var2, EGLint var3)
{
    EGLBoolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
EGLBoolean eglSwapInterval(EGLDisplay var0, EGLint var1)
{
    EGLBoolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
EGLBoolean eglBindAPI(EGLenum var0)
{
    EGLBoolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
EGLenum eglQueryAPI()
{
    EGLenum* __face_conform_abc = 0;
    return *__face_conform_abc;
}
EGLSurface eglCreatePbufferFromClientBuffer(EGLDisplay var0, EGLenum var1, EGLClientBuffer var2, EGLConfig var3, const EGLint* var4)
{
    EGLSurface* __face_conform_abc = 0;
    return *__face_conform_abc;
}
EGLBoolean eglReleaseThread()
{
    EGLBoolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
EGLBoolean eglWaitClient()
{
    EGLBoolean* __face_conform_abc = 0;
    return *__face_conform_abc;
}
