/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__EGL_egl_h__
#define __FACE_CONFORM__EGL_egl_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <EGL/eglplatform.h>
/* Begin EGL 1.0 */
#ifndef EGL_VERSION_1_0
#ifndef EGL_VERSION_1_0
	#define EGL_VERSION_1_0 1
#endif
#ifndef __FACE_CONFORM____EGLBOOLEAN__
#define __FACE_CONFORM____EGLBOOLEAN__
typedef unsigned int EGLBoolean;

#endif  /* __FACE_CONFORM____EGLBOOLEAN__ */

#ifndef __FACE_CONFORM____EGLDISPLAY__
#define __FACE_CONFORM____EGLDISPLAY__
typedef void* EGLDisplay;

#endif  /* __FACE_CONFORM____EGLDISPLAY__ */

#include <KHR/khrplatform.h>
#include <EGL/eglplatform.h>
#ifndef __FACE_CONFORM____EGLCONFIG__
#define __FACE_CONFORM____EGLCONFIG__
typedef void* EGLConfig;

#endif  /* __FACE_CONFORM____EGLCONFIG__ */

#ifndef __FACE_CONFORM____EGLSURFACE__
#define __FACE_CONFORM____EGLSURFACE__
typedef void* EGLSurface;

#endif  /* __FACE_CONFORM____EGLSURFACE__ */

#ifndef __FACE_CONFORM____EGLCONTEXT__
#define __FACE_CONFORM____EGLCONTEXT__
typedef void* EGLContext;

#endif  /* __FACE_CONFORM____EGLCONTEXT__ */

typedef void (*__eglMustCastToProperFunctionPointerType)(void) ;
#ifndef EGL_ALPHA_SIZE
	#define EGL_ALPHA_SIZE 0x3021
#endif
#ifndef EGL_BAD_ACCESS
	#define EGL_BAD_ACCESS 0x3002
#endif
#ifndef EGL_BAD_ALLOC
	#define EGL_BAD_ALLOC 0x3003
#endif
#ifndef EGL_BAD_ATTRIBUTE
	#define EGL_BAD_ATTRIBUTE 0x3004
#endif
#ifndef EGL_BAD_CONFIG
	#define EGL_BAD_CONFIG 0x3005
#endif
#ifndef EGL_BAD_CONTEXT
	#define EGL_BAD_CONTEXT 0x3006
#endif
#ifndef EGL_BAD_CURRENT_SURFACE
	#define EGL_BAD_CURRENT_SURFACE 0x3007
#endif
#ifndef EGL_BAD_DISPLAY
	#define EGL_BAD_DISPLAY 0x3008
#endif
#ifndef EGL_BAD_MATCH
	#define EGL_BAD_MATCH 0x3009
#endif
#ifndef EGL_BAD_NATIVE_PIXMAP
	#define EGL_BAD_NATIVE_PIXMAP 0x300A
#endif
#ifndef EGL_BAD_NATIVE_WINDOW
	#define EGL_BAD_NATIVE_WINDOW 0x300B
#endif
#ifndef EGL_BAD_PARAMETER
	#define EGL_BAD_PARAMETER 0x300C
#endif
#ifndef EGL_BAD_SURFACE
	#define EGL_BAD_SURFACE 0x300D
#endif
#ifndef EGL_BLUE_SIZE
	#define EGL_BLUE_SIZE 0x3022
#endif
#ifndef EGL_BUFFER_SIZE
	#define EGL_BUFFER_SIZE 0x3020
#endif
#ifndef EGL_CONFIG_CAVEAT
	#define EGL_CONFIG_CAVEAT 0x3027
#endif
#ifndef EGL_CONFIG_ID
	#define EGL_CONFIG_ID 0x3028
#endif
#ifndef EGL_CORE_NATIVE_ENGINE
	#define EGL_CORE_NATIVE_ENGINE 0x305B
#endif
#ifndef EGL_DEPTH_SIZE
	#define EGL_DEPTH_SIZE 0x3025
#endif
#ifndef EGL_DONT_CARE
	#define EGL_DONT_CARE ((EGLint) -1)
#endif
#ifndef EGL_DRAW
	#define EGL_DRAW 0x3059
#endif
#ifndef EGL_EXTENSIONS
	#define EGL_EXTENSIONS 0x3055
#endif
#ifndef EGL_FALSE
	#define EGL_FALSE 0
#endif
#ifndef EGL_GREEN_SIZE
	#define EGL_GREEN_SIZE 0x3023
#endif
#ifndef EGL_HEIGHT
	#define EGL_HEIGHT 0x3056
#endif
#ifndef EGL_LARGEST_PBUFFER
	#define EGL_LARGEST_PBUFFER 0x3058
#endif
#ifndef EGL_LEVEL
	#define EGL_LEVEL 0x3029
#endif
#ifndef EGL_MAX_PBUFFER_HEIGHT
	#define EGL_MAX_PBUFFER_HEIGHT 0x302A
#endif
#ifndef EGL_MAX_PBUFFER_PIXELS
	#define EGL_MAX_PBUFFER_PIXELS 0x302B
#endif
#ifndef EGL_MAX_PBUFFER_WIDTH
	#define EGL_MAX_PBUFFER_WIDTH 0x302C
#endif
#ifndef EGL_NATIVE_RENDERABLE
	#define EGL_NATIVE_RENDERABLE 0x302D
#endif
#ifndef EGL_NATIVE_VISUAL_ID
	#define EGL_NATIVE_VISUAL_ID 0x302E
#endif
#ifndef EGL_NATIVE_VISUAL_TYPE
	#define EGL_NATIVE_VISUAL_TYPE 0x302F
#endif
#ifndef EGL_NONE
	#define EGL_NONE 0x3038
#endif
#ifndef EGL_NON_CONFORMANT_CONFIG
	#define EGL_NON_CONFORMANT_CONFIG 0x3051
#endif
#ifndef EGL_NOT_INITIALIZED
	#define EGL_NOT_INITIALIZED 0x3001
#endif
#ifndef EGL_NO_CONTEXT
	#define EGL_NO_CONTEXT ((EGLContext) 0)
#endif
#ifndef EGL_NO_DISPLAY
	#define EGL_NO_DISPLAY ((EGLDisplay) 0)
#endif
#ifndef EGL_NO_SURFACE
	#define EGL_NO_SURFACE ((EGLSurface) 0)
#endif
#ifndef EGL_PBUFFER_BIT
	#define EGL_PBUFFER_BIT 0x0001
#endif
#ifndef EGL_PIXMAP_BIT
	#define EGL_PIXMAP_BIT 0x0002
#endif
#ifndef EGL_READ
	#define EGL_READ 0x305A
#endif
#ifndef EGL_RED_SIZE
	#define EGL_RED_SIZE 0x3024
#endif
#ifndef EGL_SAMPLES
	#define EGL_SAMPLES 0x3031
#endif
#ifndef EGL_SAMPLE_BUFFERS
	#define EGL_SAMPLE_BUFFERS 0x3032
#endif
#ifndef EGL_SLOW_CONFIG
	#define EGL_SLOW_CONFIG 0x3050
#endif
#ifndef EGL_STENCIL_SIZE
	#define EGL_STENCIL_SIZE 0x3026
#endif
#ifndef EGL_SUCCESS
	#define EGL_SUCCESS 0x3000
#endif
#ifndef EGL_SURFACE_TYPE
	#define EGL_SURFACE_TYPE 0x3033
#endif
#ifndef EGL_TRANSPARENT_BLUE_VALUE
	#define EGL_TRANSPARENT_BLUE_VALUE 0x3035
#endif
#ifndef EGL_TRANSPARENT_GREEN_VALUE
	#define EGL_TRANSPARENT_GREEN_VALUE 0x3036
#endif
#ifndef EGL_TRANSPARENT_RED_VALUE
	#define EGL_TRANSPARENT_RED_VALUE 0x3037
#endif
#ifndef EGL_TRANSPARENT_RGB
	#define EGL_TRANSPARENT_RGB 0x3052
#endif
#ifndef EGL_TRANSPARENT_TYPE
	#define EGL_TRANSPARENT_TYPE 0x3034
#endif
#ifndef EGL_TRUE
	#define EGL_TRUE 1
#endif
#ifndef EGL_VENDOR
	#define EGL_VENDOR 0x3053
#endif
#ifndef EGL_VERSION
	#define EGL_VERSION 0x3054
#endif
#ifndef EGL_WIDTH
	#define EGL_WIDTH 0x3057
#endif
#ifndef EGL_WINDOW_BIT
	#define EGL_WINDOW_BIT 0x0004
#endif
 EGLAPI EGLBoolean EGLAPIENTRY eglChooseConfig(EGLDisplay, const EGLint*, EGLConfig*, EGLint, EGLint*);
 EGLAPI EGLBoolean EGLAPIENTRY eglCopyBuffers(EGLDisplay, EGLSurface, EGLNativePixmapType);
 EGLAPI EGLContext EGLAPIENTRY eglCreateContext(EGLDisplay, EGLConfig, EGLContext, const EGLint*);
 EGLAPI EGLSurface EGLAPIENTRY eglCreatePbufferSurface(EGLDisplay, EGLConfig, const EGLint*);
 EGLAPI EGLSurface EGLAPIENTRY eglCreatePixmapSurface(EGLDisplay, EGLConfig, EGLNativePixmapType, const EGLint*);
 EGLAPI EGLSurface EGLAPIENTRY eglCreateWindowSurface(EGLDisplay, EGLConfig, EGLNativeWindowType, const EGLint*);
 EGLAPI EGLBoolean EGLAPIENTRY eglDestroyContext(EGLDisplay, EGLContext);
 EGLAPI EGLBoolean EGLAPIENTRY eglDestroySurface(EGLDisplay, EGLSurface);
 EGLAPI EGLBoolean EGLAPIENTRY eglGetConfigAttrib(EGLDisplay, EGLConfig, EGLint, EGLint*);
 EGLAPI EGLBoolean EGLAPIENTRY eglGetConfigs(EGLDisplay, EGLConfig*, EGLint, EGLint*);
 EGLAPI EGLDisplay EGLAPIENTRY eglGetCurrentDisplay();
 EGLAPI EGLSurface EGLAPIENTRY eglGetCurrentSurface(EGLint);
 EGLAPI EGLDisplay EGLAPIENTRY eglGetDisplay(EGLNativeDisplayType);
 EGLAPI EGLint EGLAPIENTRY eglGetError();
 EGLAPI __eglMustCastToProperFunctionPointerType EGLAPIENTRY eglGetProcAddress(const char*);
 EGLAPI EGLBoolean EGLAPIENTRY eglInitialize(EGLDisplay, EGLint*, EGLint*);
 EGLAPI EGLBoolean EGLAPIENTRY eglMakeCurrent(EGLDisplay, EGLSurface, EGLSurface, EGLContext);
 EGLAPI EGLBoolean EGLAPIENTRY eglQueryContext(EGLDisplay, EGLContext, EGLint, EGLint*);
 EGLAPI const char* EGLAPIENTRY eglQueryString(EGLDisplay, EGLint);
 EGLAPI EGLBoolean EGLAPIENTRY eglQuerySurface(EGLDisplay, EGLSurface, EGLint, EGLint*);
 EGLAPI EGLBoolean EGLAPIENTRY eglSwapBuffers(EGLDisplay, EGLSurface);
 EGLAPI EGLBoolean EGLAPIENTRY eglTerminate(EGLDisplay);
 EGLAPI EGLBoolean EGLAPIENTRY eglWaitGL();
 EGLAPI EGLBoolean EGLAPIENTRY eglWaitNative(EGLint);
#endif
/* End EGL 1.0 */
/* Begin EGL 1.1 */
#ifndef EGL_VERSION_1_1
#ifndef EGL_VERSION_1_1
	#define EGL_VERSION_1_1 1
#endif
#ifndef EGL_BACK_BUFFER
	#define EGL_BACK_BUFFER 0x3084
#endif
#ifndef EGL_BIND_TO_TEXTURE_RGB
	#define EGL_BIND_TO_TEXTURE_RGB 0x3039
#endif
#ifndef EGL_BIND_TO_TEXTURE_RGBA
	#define EGL_BIND_TO_TEXTURE_RGBA 0x303A
#endif
#ifndef EGL_CONTEXT_LOST
	#define EGL_CONTEXT_LOST 0x300E
#endif
#ifndef EGL_MIN_SWAP_INTERVAL
	#define EGL_MIN_SWAP_INTERVAL 0x303B
#endif
#ifndef EGL_MAX_SWAP_INTERVAL
	#define EGL_MAX_SWAP_INTERVAL 0x303C
#endif
#ifndef EGL_MIPMAP_TEXTURE
	#define EGL_MIPMAP_TEXTURE 0x3082
#endif
#ifndef EGL_MIPMAP_LEVEL
	#define EGL_MIPMAP_LEVEL 0x3083
#endif
#ifndef EGL_NO_TEXTURE
	#define EGL_NO_TEXTURE 0x305C
#endif
#ifndef EGL_TEXTURE_2D
	#define EGL_TEXTURE_2D 0x305F
#endif
#ifndef EGL_TEXTURE_FORMAT
	#define EGL_TEXTURE_FORMAT 0x3080
#endif
#ifndef EGL_TEXTURE_RGB
	#define EGL_TEXTURE_RGB 0x305D
#endif
#ifndef EGL_TEXTURE_RGBA
	#define EGL_TEXTURE_RGBA 0x305E
#endif
#ifndef EGL_TEXTURE_TARGET
	#define EGL_TEXTURE_TARGET 0x3081
#endif
 EGLAPI EGLBoolean EGLAPIENTRY eglBindTexImage(EGLDisplay, EGLSurface, EGLint);
 EGLAPI EGLBoolean EGLAPIENTRY eglReleaseTexImage(EGLDisplay, EGLSurface, EGLint);
 EGLAPI EGLBoolean EGLAPIENTRY eglSurfaceAttrib(EGLDisplay, EGLSurface, EGLint, EGLint);
 EGLAPI EGLBoolean EGLAPIENTRY eglSwapInterval(EGLDisplay, EGLint);
#endif
/* End EGL 1.1 */
/* Begin EGL 1.2 */
#ifndef EGL_VERSION_1_2
#ifndef EGL_VERSION_1_2
	#define EGL_VERSION_1_2 1
#endif
#ifndef __FACE_CONFORM____EGLENUM__
#define __FACE_CONFORM____EGLENUM__
typedef unsigned int EGLenum;

#endif  /* __FACE_CONFORM____EGLENUM__ */

#ifndef __FACE_CONFORM____EGLCLIENTBUFFER__
#define __FACE_CONFORM____EGLCLIENTBUFFER__
typedef void* EGLClientBuffer;

#endif  /* __FACE_CONFORM____EGLCLIENTBUFFER__ */

#ifndef EGL_ALPHA_FORMAT
	#define EGL_ALPHA_FORMAT 0x3088
#endif
#ifndef EGL_ALPHA_FORMAT_NONPRE
	#define EGL_ALPHA_FORMAT_NONPRE 0x308B
#endif
#ifndef EGL_ALPHA_FORMAT_PRE
	#define EGL_ALPHA_FORMAT_PRE 0x308C
#endif
#ifndef EGL_ALPHA_MASK_SIZE
	#define EGL_ALPHA_MASK_SIZE 0x303E
#endif
#ifndef EGL_BUFFER_PRESERVED
	#define EGL_BUFFER_PRESERVED 0x3094
#endif
#ifndef EGL_BUFFER_DESTROYED
	#define EGL_BUFFER_DESTROYED 0x3095
#endif
#ifndef EGL_CLIENT_APIS
	#define EGL_CLIENT_APIS 0x308D
#endif
#ifndef EGL_COLORSPACE
	#define EGL_COLORSPACE 0x3087
#endif
#ifndef EGL_COLORSPACE_sRGB
	#define EGL_COLORSPACE_sRGB 0x3089
#endif
#ifndef EGL_COLORSPACE_LINEAR
	#define EGL_COLORSPACE_LINEAR 0x308A
#endif
#ifndef EGL_COLOR_BUFFER_TYPE
	#define EGL_COLOR_BUFFER_TYPE 0x303F
#endif
#ifndef EGL_CONTEXT_CLIENT_TYPE
	#define EGL_CONTEXT_CLIENT_TYPE 0x3097
#endif
#ifndef EGL_DISPLAY_SCALING
	#define EGL_DISPLAY_SCALING 10000
#endif
#ifndef EGL_HORIZONTAL_RESOLUTION
	#define EGL_HORIZONTAL_RESOLUTION 0x3090
#endif
#ifndef EGL_LUMINANCE_BUFFER
	#define EGL_LUMINANCE_BUFFER 0x308F
#endif
#ifndef EGL_LUMINANCE_SIZE
	#define EGL_LUMINANCE_SIZE 0x303D
#endif
#ifndef EGL_OPENGL_ES_BIT
	#define EGL_OPENGL_ES_BIT 0x0001
#endif
#ifndef EGL_OPENVG_BIT
	#define EGL_OPENVG_BIT 0x0002
#endif
#ifndef EGL_OPENGL_ES_API
	#define EGL_OPENGL_ES_API 0x30A0
#endif
#ifndef EGL_OPENVG_API
	#define EGL_OPENVG_API 0x30A1
#endif
#ifndef EGL_OPENVG_IMAGE
	#define EGL_OPENVG_IMAGE 0x3096
#endif
#ifndef EGL_PIXEL_ASPECT_RATIO
	#define EGL_PIXEL_ASPECT_RATIO 0x3092
#endif
#ifndef EGL_RENDERABLE_TYPE
	#define EGL_RENDERABLE_TYPE 0x3040
#endif
#ifndef EGL_RENDER_BUFFER
	#define EGL_RENDER_BUFFER 0x3086
#endif
#ifndef EGL_RGB_BUFFER
	#define EGL_RGB_BUFFER 0x308E
#endif
#ifndef EGL_SINGLE_BUFFER
	#define EGL_SINGLE_BUFFER 0x3085
#endif
#ifndef EGL_SWAP_BEHAVIOR
	#define EGL_SWAP_BEHAVIOR 0x3093
#endif
#ifndef EGL_UNKNOWN
	#define EGL_UNKNOWN ((EGLint) -1)
#endif
#ifndef EGL_VERTICAL_RESOLUTION
	#define EGL_VERTICAL_RESOLUTION 0x3091
#endif
 EGLAPI EGLBoolean EGLAPIENTRY eglBindAPI(EGLenum);
 EGLAPI EGLenum EGLAPIENTRY eglQueryAPI();
 EGLAPI EGLSurface EGLAPIENTRY eglCreatePbufferFromClientBuffer(EGLDisplay, EGLenum, EGLClientBuffer, EGLConfig, const EGLint*);
 EGLAPI EGLBoolean EGLAPIENTRY eglReleaseThread();
 EGLAPI EGLBoolean EGLAPIENTRY eglWaitClient();
#endif
/* End EGL 1.2 */
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__EGL_egl_h__ */

