/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__GL_gl_h__
#define __FACE_CONFORM__GL_gl_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#ifndef APIENTRY
#ifndef APIENTRY
	#define APIENTRY 
#endif
#endif
#ifndef GLAPI
#ifndef GLAPI
	#define GLAPI extern
#endif
#endif
#ifndef __FACE_CONFORM____GLENUM__
#define __FACE_CONFORM____GLENUM__
typedef unsigned int GLenum;

#endif  /* __FACE_CONFORM____GLENUM__ */

#ifndef __FACE_CONFORM____GLBOOLEAN__
#define __FACE_CONFORM____GLBOOLEAN__
typedef unsigned char GLboolean;

#endif  /* __FACE_CONFORM____GLBOOLEAN__ */

#ifndef __FACE_CONFORM____GLBITFIELD__
#define __FACE_CONFORM____GLBITFIELD__
typedef unsigned int GLbitfield;

#endif  /* __FACE_CONFORM____GLBITFIELD__ */

#ifndef __FACE_CONFORM____GLBYTE__
#define __FACE_CONFORM____GLBYTE__
typedef signed char GLbyte;

#endif  /* __FACE_CONFORM____GLBYTE__ */

#ifndef __FACE_CONFORM____GLINT__
#define __FACE_CONFORM____GLINT__
typedef int GLint;

#endif  /* __FACE_CONFORM____GLINT__ */

#ifndef __FACE_CONFORM____GLSIZEI__
#define __FACE_CONFORM____GLSIZEI__
typedef int GLsizei;

#endif  /* __FACE_CONFORM____GLSIZEI__ */

#ifndef __FACE_CONFORM____GLUBYTE__
#define __FACE_CONFORM____GLUBYTE__
typedef unsigned char GLubyte;

#endif  /* __FACE_CONFORM____GLUBYTE__ */

#ifndef __FACE_CONFORM____GLSHORT__
#define __FACE_CONFORM____GLSHORT__
typedef short GLshort;

#endif  /* __FACE_CONFORM____GLSHORT__ */

#ifndef __FACE_CONFORM____GLUSHORT__
#define __FACE_CONFORM____GLUSHORT__
typedef unsigned short GLushort;

#endif  /* __FACE_CONFORM____GLUSHORT__ */

#ifndef __FACE_CONFORM____GLUINT__
#define __FACE_CONFORM____GLUINT__
typedef unsigned int GLuint;

#endif  /* __FACE_CONFORM____GLUINT__ */

#ifndef __FACE_CONFORM____GLFLOAT__
#define __FACE_CONFORM____GLFLOAT__
typedef float GLfloat;

#endif  /* __FACE_CONFORM____GLFLOAT__ */

#ifndef __FACE_CONFORM____GLCLAMPF__
#define __FACE_CONFORM____GLCLAMPF__
typedef float GLclampf;

#endif  /* __FACE_CONFORM____GLCLAMPF__ */

#ifndef __FACE_CONFORM____GLVOID__
#define __FACE_CONFORM____GLVOID__
typedef void GLvoid;

#endif  /* __FACE_CONFORM____GLVOID__ */

typedef void (*_GLfuncptr)(void) ;
/* Extensions */
#ifndef GL_OSC_VERSION_1_0
	#define GL_OSC_VERSION_1_0 1
#endif
#ifndef GL_EXT_paletted_texture
	#define GL_EXT_paletted_texture 1
#endif
#ifndef GL_OES_single_precision
	#define GL_OES_single_precision 1
#endif
/* ClearBufferMask */
#ifndef GL_DEPTH_BUFFER_BIT
	#define GL_DEPTH_BUFFER_BIT 0x00000100
#endif
#ifndef GL_STENCIL_BUFFER_BIT
	#define GL_STENCIL_BUFFER_BIT 0x00000400
#endif
#ifndef GL_COLOR_BUFFER_BIT
	#define GL_COLOR_BUFFER_BIT 0x00004000
#endif
/* Boolean */
#ifndef GL_FALSE
	#define GL_FALSE 0
#endif
#ifndef GL_TRUE
	#define GL_TRUE 1
#endif
/* BeginMode */
#ifndef GL_POINTS
	#define GL_POINTS 0x0000
#endif
#ifndef GL_LINES
	#define GL_LINES 0x0001
#endif
#ifndef GL_LINE_LOOP
	#define GL_LINE_LOOP 0x0002
#endif
#ifndef GL_LINE_STRIP
	#define GL_LINE_STRIP 0x0003
#endif
#ifndef GL_TRIANGLES
	#define GL_TRIANGLES 0x0004
#endif
#ifndef GL_TRIANGLE_STRIP
	#define GL_TRIANGLE_STRIP 0x0005
#endif
#ifndef GL_TRIANGLE_FAN
	#define GL_TRIANGLE_FAN 0x0006
#endif
/* BlendingFactorDest */
#ifndef GL_ZERO
	#define GL_ZERO 0
#endif
#ifndef GL_ONE
	#define GL_ONE 1
#endif
#ifndef GL_ONE_MINUS_SRC_ALPHA
	#define GL_ONE_MINUS_SRC_ALPHA 0x0303
#endif
/* BlendingFactorSrc */
#ifndef GL_SRC_ALPHA_SATURATE
	#define GL_SRC_ALPHA_SATURATE 0x0308
#endif
#ifndef GL_SRC_ALPHA
	#define GL_SRC_ALPHA 0x0302
#endif
/* CullFaceMode */
#ifndef GL_FRONT
	#define GL_FRONT 0x0404
#endif
#ifndef GL_BACK
	#define GL_BACK 0x0405
#endif
#ifndef GL_FRONT_AND_BACK
	#define GL_FRONT_AND_BACK 0x0408
#endif
/* EnableCap */
#ifndef GL_LIGHTING
	#define GL_LIGHTING 0x0B50
#endif
#ifndef GL_TEXTURE_2D
	#define GL_TEXTURE_2D 0x0DE1
#endif
#ifndef GL_CULL_FACE
	#define GL_CULL_FACE 0x0B44
#endif
#ifndef GL_ALPHA_TEST
	#define GL_ALPHA_TEST 0x0BC0
#endif
#ifndef GL_BLEND
	#define GL_BLEND 0x0BE2
#endif
#ifndef GL_STENCIL_TEST
	#define GL_STENCIL_TEST 0x0B90
#endif
#ifndef GL_DEPTH_TEST
	#define GL_DEPTH_TEST 0x0B71
#endif
#ifndef GL_LIGHT0
	#define GL_LIGHT0 0x4000
#endif
#ifndef GL_LIGHT1
	#define GL_LIGHT1 0x4001
#endif
#ifndef GL_POINT_SMOOTH
	#define GL_POINT_SMOOTH 0x0B10
#endif
#ifndef GL_LINE_STIPPLE
	#define GL_LINE_STIPPLE 0x0B24
#endif
#ifndef GL_LINE_SMOOTH
	#define GL_LINE_SMOOTH 0x0B20
#endif
#ifndef GL_SCISSOR_TEST
	#define GL_SCISSOR_TEST 0x0C11
#endif
#ifndef GL_COLOR_MATERIAL
	#define GL_COLOR_MATERIAL 0x0B57
#endif
#ifndef GL_NORMALIZE
	#define GL_NORMALIZE 0x0BA1
#endif
#ifndef GL_RESCALE_NORMAL
	#define GL_RESCALE_NORMAL 0x803A
#endif
#ifndef GL_POLYGON_OFFSET_FILL
	#define GL_POLYGON_OFFSET_FILL 0x8037
#endif
#ifndef GL_POLYGON_STIPPLE
	#define GL_POLYGON_STIPPLE 0x0B42
#endif
#ifndef GL_VERTEX_ARRAY
	#define GL_VERTEX_ARRAY 0x8074
#endif
#ifndef GL_NORMAL_ARRAY
	#define GL_NORMAL_ARRAY 0x8075
#endif
#ifndef GL_COLOR_ARRAY
	#define GL_COLOR_ARRAY 0x8076
#endif
#ifndef GL_TEXTURE_COORD_ARRAY
	#define GL_TEXTURE_COORD_ARRAY 0x8078
#endif
/* ErrorCode */
#ifndef GL_NO_ERROR
	#define GL_NO_ERROR 0
#endif
#ifndef GL_INVALID_ENUM
	#define GL_INVALID_ENUM 0x0500
#endif
#ifndef GL_INVALID_VALUE
	#define GL_INVALID_VALUE 0x0501
#endif
#ifndef GL_INVALID_OPERATION
	#define GL_INVALID_OPERATION 0x0502
#endif
#ifndef GL_STACK_OVERFLOW
	#define GL_STACK_OVERFLOW 0x0503
#endif
#ifndef GL_STACK_UNDERFLOW
	#define GL_STACK_UNDERFLOW 0x0504
#endif
#ifndef GL_OUT_OF_MEMORY
	#define GL_OUT_OF_MEMORY 0x0505
#endif
/* FrontFaceDirection */
#ifndef GL_CW
	#define GL_CW 0x0900
#endif
#ifndef GL_CCW
	#define GL_CCW 0x0901
#endif
/* GetBooleanv */
#ifndef GL_DEPTH_WRITEMASK
	#define GL_DEPTH_WRITEMASK 0x0B72
#endif
#ifndef GL_COLOR_WRITEMASK
	#define GL_COLOR_WRITEMASK 0x0C23
#endif
/* GetFloatv */
#ifndef GL_CURRENT_COLOR
	#define GL_CURRENT_COLOR 0x0B00
#endif
#ifndef GL_CURRENT_NORMAL
	#define GL_CURRENT_NORMAL 0x0B02
#endif
#ifndef GL_CURRENT_TEXTURE_COORDS
	#define GL_CURRENT_TEXTURE_COORDS 0x0B03
#endif
#ifndef GL_CURRENT_RASTER_COLOR
	#define GL_CURRENT_RASTER_COLOR 0x0B04
#endif
#ifndef GL_CURRENT_RASTER_TEXTURE_COORDS
	#define GL_CURRENT_RASTER_TEXTURE_COORDS 0x0B06
#endif
#ifndef GL_LINE_WIDTH
	#define GL_LINE_WIDTH 0x0B21
#endif
#ifndef GL_SMOOTH_POINT_SIZE_RANGE
	#define GL_SMOOTH_POINT_SIZE_RANGE 0x0B12
#endif
#ifndef GL_SMOOTH_POINT_SIZE_GRANULARITY
	#define GL_SMOOTH_POINT_SIZE_GRANULARITY 0x0B13
#endif
#ifndef GL_LINE_WIDTH
	#define GL_LINE_WIDTH 0x0B21
#endif
#ifndef GL_SMOOTH_LINE_WIDTH_RANGE
	#define GL_SMOOTH_LINE_WIDTH_RANGE 0x0B22
#endif
#ifndef GL_SMOOTH_LINE_WIDTH_GRANULARITY
	#define GL_SMOOTH_LINE_WIDTH_GRANULARITY 0x0B23
#endif
#ifndef GL_LIGHT_MODEL_AMBIENT
	#define GL_LIGHT_MODEL_AMBIENT 0x0B53
#endif
#ifndef GL_DEPTH_RANGE
	#define GL_DEPTH_RANGE 0x0B70
#endif
#ifndef GL_DEPTH_CLEAR_VALUE
	#define GL_DEPTH_CLEAR_VALUE 0x0C22
#endif
#ifndef GL_POLYGON_OFFSET_UNITS
	#define GL_POLYGON_OFFSET_UNITS 0x2A00
#endif
#ifndef GL_POLYGON_OFFSET_FACTOR
	#define GL_POLYGON_OFFSET_FACTOR 0x8038
#endif
#ifndef GL_ALIASED_POINT_SIZE_RANGE
	#define GL_ALIASED_POINT_SIZE_RANGE 0x846D
#endif
#ifndef GL_ALIASED_LINE_WIDTH_RANGE
	#define GL_ALIASED_LINE_WIDTH_RANGE 0x846E
#endif
/* GetIntegerv */
#ifndef GL_MATRIX_MODE
	#define GL_MATRIX_MODE 0x0BA0
#endif
#ifndef GL_VIEWPORT
	#define GL_VIEWPORT 0x0BA2
#endif
#ifndef GL_MODELVIEW_STACK_DEPTH
	#define GL_MODELVIEW_STACK_DEPTH 0x0BA3
#endif
#ifndef GL_PROJECTION_STACK_DEPTH
	#define GL_PROJECTION_STACK_DEPTH 0x0BA4
#endif
#ifndef GL_MODELVIEW_MATRIX
	#define GL_MODELVIEW_MATRIX 0x0BA6
#endif
#ifndef GL_PROJECTION_MATRIX
	#define GL_PROJECTION_MATRIX 0x0BA7
#endif
#ifndef GL_LINE_STIPPLE_PATTERN
	#define GL_LINE_STIPPLE_PATTERN 0x0B25
#endif
#ifndef GL_LINE_STIPPLE_REPEAT
	#define GL_LINE_STIPPLE_REPEAT 0x0B26
#endif
#ifndef GL_MAX_LIST_NESTING
	#define GL_MAX_LIST_NESTING 0x0B26
#endif
#ifndef GL_LIST_BASE
	#define GL_LIST_BASE 0x0B32
#endif
#ifndef GL_CULL_FACE_MODE
	#define GL_CULL_FACE_MODE 0x0B45
#endif
#ifndef GL_FRONT_FACE
	#define GL_FRONT_FACE 0x0B46
#endif
#ifndef GL_DEPTH_FUNC
	#define GL_DEPTH_FUNC 0x0B74
#endif
#ifndef GL_STENCIL_CLEAR_VALUE
	#define GL_STENCIL_CLEAR_VALUE 0x0B91
#endif
#ifndef GL_STENCIL_FUNC
	#define GL_STENCIL_FUNC 0x0B92
#endif
#ifndef GL_STENCIL_VALUE_MASK
	#define GL_STENCIL_VALUE_MASK 0x0B93
#endif
#ifndef GL_STENCIL_FAIL
	#define GL_STENCIL_FAIL 0x0B94
#endif
#ifndef GL_STENCIL_PASS_DEPTH_FAIL
	#define GL_STENCIL_PASS_DEPTH_FAIL 0x0B95
#endif
#ifndef GL_STENCIL_PASS_DEPTH_PASS
	#define GL_STENCIL_PASS_DEPTH_PASS 0x0B96
#endif
#ifndef GL_STENCIL_REF
	#define GL_STENCIL_REF 0x0B97
#endif
#ifndef GL_STENCIL_WRITEMASK
	#define GL_STENCIL_WRITEMASK 0x0B98
#endif
#ifndef GL_ALPHA_TEST_FUNC
	#define GL_ALPHA_TEST_FUNC 0x0BC1
#endif
#ifndef GL_BLEND_DST
	#define GL_BLEND_DST 0x0BE0
#endif
#ifndef GL_BLEND_SRC
	#define GL_BLEND_SRC 0x0BE1
#endif
#ifndef GL_SCISSOR_BOX
	#define GL_SCISSOR_BOX 0x0C10
#endif
#ifndef GL_PERSPECTIVE_CORRECTION_HINT
	#define GL_PERSPECTIVE_CORRECTION_HINT 0x0C50
#endif
#ifndef GL_POINT_SMOOTH_HINT
	#define GL_POINT_SMOOTH_HINT 0x0C51
#endif
#ifndef GL_LINE_SMOOTH_HINT
	#define GL_LINE_SMOOTH_HINT 0x0C52
#endif
#ifndef GL_POLYGON_SMOOTH_HINT
	#define GL_POLYGON_SMOOTH_HINT 0x0C53
#endif
#ifndef GL_UNPACK_ALIGNMENT
	#define GL_UNPACK_ALIGNMENT 0x0CF5
#endif
#ifndef GL_PACK_ALIGNMENT
	#define GL_PACK_ALIGNMENT 0x0D05
#endif
#ifndef GL_MAX_LIGHTS
	#define GL_MAX_LIGHTS 0x0D31
#endif
#ifndef GL_MAX_TEXTURE_SIZE
	#define GL_MAX_TEXTURE_SIZE 0x0D33
#endif
#ifndef GL_MAX_MODELVIEW_STACK_DEPTH
	#define GL_MAX_MODELVIEW_STACK_DEPTH 0x0D36
#endif
#ifndef GL_MAX_PROJECTION_STACK_DEPTH
	#define GL_MAX_PROJECTION_STACK_DEPTH 0x0D38
#endif
#ifndef GL_MAX_VIEWPORT_DIMS
	#define GL_MAX_VIEWPORT_DIMS 0x0D3A
#endif
#ifndef GL_SUBPIXEL_BITS
	#define GL_SUBPIXEL_BITS 0x0D50
#endif
#ifndef GL_RED_BITS
	#define GL_RED_BITS 0x0D52
#endif
#ifndef GL_GREEN_BITS
	#define GL_GREEN_BITS 0x0D53
#endif
#ifndef GL_BLUE_BITS
	#define GL_BLUE_BITS 0x0D54
#endif
#ifndef GL_ALPHA_BITS
	#define GL_ALPHA_BITS 0x0D55
#endif
#ifndef GL_DEPTH_BITS
	#define GL_DEPTH_BITS 0x0D56
#endif
#ifndef GL_STENCIL_BITS
	#define GL_STENCIL_BITS 0x0D57
#endif
#ifndef GL_VERTEX_ARRAY_SIZE
	#define GL_VERTEX_ARRAY_SIZE 0x807A
#endif
#ifndef GL_VERTEX_ARRAY_TYPE
	#define GL_VERTEX_ARRAY_TYPE 0x807B
#endif
#ifndef GL_VERTEX_ARRAY_STRIDE
	#define GL_VERTEX_ARRAY_STRIDE 0x807C
#endif
#ifndef GL_NORMAL_ARRAY_TYPE
	#define GL_NORMAL_ARRAY_TYPE 0x807E
#endif
#ifndef GL_NORMAL_ARRAY_STRIDE
	#define GL_NORMAL_ARRAY_STRIDE 0x807F
#endif
#ifndef GL_COLOR_ARRAY_SIZE
	#define GL_COLOR_ARRAY_SIZE 0x8081
#endif
#ifndef GL_COLOR_ARRAY_TYPE
	#define GL_COLOR_ARRAY_TYPE 0x8082
#endif
#ifndef GL_COLOR_ARRAY_STRIDE
	#define GL_COLOR_ARRAY_STRIDE 0x8083
#endif
#ifndef GL_TEXTURE_COORD_ARRAY_SIZE
	#define GL_TEXTURE_COORD_ARRAY_SIZE 0x8088
#endif
#ifndef GL_TEXTURE_COORD_ARRAY_TYPE
	#define GL_TEXTURE_COORD_ARRAY_TYPE 0x8089
#endif
#ifndef GL_TEXTURE_COORD_ARRAY_STRIDE
	#define GL_TEXTURE_COORD_ARRAY_STRIDE 0x808A
#endif
#ifndef GL_SHADE_MODEL
	#define GL_SHADE_MODEL 0x0B54
#endif
#ifndef GL_TEXTURE_BINDING_2D
	#define GL_TEXTURE_BINDING_2D 0x8069
#endif
#ifndef GL_MAX_ELEMENTS_VERTICES
	#define GL_MAX_ELEMENTS_VERTICES 0x80E8
#endif
#ifndef GL_MAX_ELEMENTS_INDICES
	#define GL_MAX_ELEMENTS_INDICES 0x80E9
#endif
#ifndef GL_ACTIVE_TEXTURE
	#define GL_ACTIVE_TEXTURE 0x84E0
#endif
#ifndef GL_CLIENT_ACTIVE_TEXTURE
	#define GL_CLIENT_ACTIVE_TEXTURE 0x84E1
#endif
#ifndef GL_MAX_TEXTURE_UNITS
	#define GL_MAX_TEXTURE_UNITS 0x84E2
#endif
/* GetPointerv */
#ifndef GL_VERTEX_ARRAY_POINTER
	#define GL_VERTEX_ARRAY_POINTER 0x808E
#endif
#ifndef GL_NORMAL_ARRAY_POINTER
	#define GL_NORMAL_ARRAY_POINTER 0x808F
#endif
#ifndef GL_COLOR_ARRAY_POINTER
	#define GL_COLOR_ARRAY_POINTER 0x8090
#endif
#ifndef GL_TEXTURE_COORD_ARRAY_POINTER
	#define GL_TEXTURE_COORD_ARRAY_POINTER 0x8092
#endif
/* HintMode */
#ifndef GL_DONT_CARE
	#define GL_DONT_CARE 0x1100
#endif
#ifndef GL_FASTEST
	#define GL_FASTEST 0x1101
#endif
#ifndef GL_NICEST
	#define GL_NICEST 0x1102
#endif
/* HintTarget */
#ifndef GL_PERSPECTIVE_CORRECTION_HINT
	#define GL_PERSPECTIVE_CORRECTION_HINT 0x0C50
#endif
#ifndef GL_POINT_SMOOTH_HINT
	#define GL_POINT_SMOOTH_HINT 0x0C51
#endif
#ifndef GL_LINE_SMOOTH_HINT
	#define GL_LINE_SMOOTH_HINT 0x0C52
#endif
/* LightModelParameter */
#ifndef GL_LIGHT_MODEL_AMBIENT
	#define GL_LIGHT_MODEL_AMBIENT 0x0B53
#endif
/* LightParameter */
#ifndef GL_AMBIENT
	#define GL_AMBIENT 0x1200
#endif
#ifndef GL_DIFFUSE
	#define GL_DIFFUSE 0x1201
#endif
#ifndef GL_SPECULAR
	#define GL_SPECULAR 0x1202
#endif
#ifndef GL_POSITION
	#define GL_POSITION 0x1203
#endif
/* ListMode */
#ifndef GL_COMPILE
	#define GL_COMPILE 0x1300
#endif
/* DataType */
#ifndef GL_BYTE
	#define GL_BYTE 0x1400
#endif
#ifndef GL_UNSIGNED_BYTE
	#define GL_UNSIGNED_BYTE 0x1401
#endif
#ifndef GL_INT
	#define GL_INT 0x1404
#endif
#ifndef GL_UNSIGNED_INT
	#define GL_UNSIGNED_INT 0x1405
#endif
#ifndef GL_FLOAT
	#define GL_FLOAT 0x1406
#endif
/* MaterialParameter */
#ifndef GL_EMISSION
	#define GL_EMISSION 0x1600
#endif
#ifndef GL_SHININESS
	#define GL_SHININESS 0x1601
#endif
#ifndef GL_AMBIENT_AND_DIFFUSE
	#define GL_AMBIENT_AND_DIFFUSE 0x1602
#endif
/* MatrixMode */
#ifndef GL_MODELVIEW
	#define GL_MODELVIEW 0x1700
#endif
#ifndef GL_PROJECTION
	#define GL_PROJECTION 0x1701
#endif
/* PixelFormat */
#ifndef GL_ALPHA
	#define GL_ALPHA 0x1906
#endif
#ifndef GL_RGB
	#define GL_RGB 0x1907
#endif
#ifndef GL_RGBA
	#define GL_RGBA 0x1908
#endif
#ifndef GL_LUMINANCE
	#define GL_LUMINANCE 0x1909
#endif
#ifndef GL_LUMINANCE_ALPHA
	#define GL_LUMINANCE_ALPHA 0x190A
#endif
#ifndef GL_COLOR_INDEX
	#define GL_COLOR_INDEX 0x1900
#endif
/* PixelStoreParameter */
#ifndef GL_UNPACK_ALIGNMENT
	#define GL_UNPACK_ALIGNMENT 0x0CF5
#endif
#ifndef GL_PACK_ALIGNMENT
	#define GL_PACK_ALIGNMENT 0x0D05
#endif
/* ReadPixels */
#ifndef GL_COLOR
	#define GL_COLOR 0x1800
#endif
/* ShadingModel */
#ifndef GL_FLAT
	#define GL_FLAT 0x1D00
#endif
#ifndef GL_SMOOTH
	#define GL_SMOOTH 0x1D01
#endif
/* StencilOp */
#ifndef GL_KEEP
	#define GL_KEEP 0x1E00
#endif
#ifndef GL_REPLACE
	#define GL_REPLACE 0x1E01
#endif
#ifndef GL_INCR
	#define GL_INCR 0x1E02
#endif
#ifndef GL_DECR
	#define GL_DECR 0x1E03
#endif
#ifndef GL_INVERT
	#define GL_INVERT 0x150A
#endif
/* StringName */
#ifndef GL_VENDOR
	#define GL_VENDOR 0x1F00
#endif
#ifndef GL_RENDERER
	#define GL_RENDERER 0x1F01
#endif
#ifndef GL_VERSION
	#define GL_VERSION 0x1F02
#endif
#ifndef GL_EXTENSIONS
	#define GL_EXTENSIONS 0x1F03
#endif
/* TextureEnvMode */
#ifndef GL_MODULATE
	#define GL_MODULATE 0x2100
#endif
#ifndef GL_DECAL
	#define GL_DECAL 0x2101
#endif
#ifndef GL_ADD
	#define GL_ADD 0x0104
#endif
/* TextureEnvParameter */
#ifndef GL_TEXTURE_ENV_MODE
	#define GL_TEXTURE_ENV_MODE 0x2200
#endif
#ifndef GL_TEXTURE_ENV_COLOR
	#define GL_TEXTURE_ENV_COLOR 0x2201
#endif
/* TextureEnvTarget */
#ifndef GL_TEXTURE_ENV
	#define GL_TEXTURE_ENV 0x2300
#endif
/* TextureMagFilter */
#ifndef GL_NEAREST
	#define GL_NEAREST 0x2600
#endif
#ifndef GL_LINEAR
	#define GL_LINEAR 0x2601
#endif
/* TextureMinFilter */
#ifndef GL_NEAREST_MIPMAP_NEAREST
	#define GL_NEAREST_MIPMAP_NEAREST 0x2700
#endif
#ifndef GL_LINEAR_MIPMAP_NEAREST
	#define GL_LINEAR_MIPMAP_NEAREST 0x2701
#endif
#ifndef GL_NEAREST_MIPMAP_LINEAR
	#define GL_NEAREST_MIPMAP_LINEAR 0x2702
#endif
#ifndef GL_LINEAR_MIPMAP_LINEAR
	#define GL_LINEAR_MIPMAP_LINEAR 0x2703
#endif
/* TextureParameterName */
#ifndef GL_TEXTURE_MAG_FILTER
	#define GL_TEXTURE_MAG_FILTER 0x2800
#endif
#ifndef GL_TEXTURE_MIN_FILTER
	#define GL_TEXTURE_MIN_FILTER 0x2801
#endif
#ifndef GL_TEXTURE_WRAP_S
	#define GL_TEXTURE_WRAP_S 0x2802
#endif
#ifndef GL_TEXTURE_WRAP_T
	#define GL_TEXTURE_WRAP_T 0x2803
#endif
/* TextureUnit */
#ifndef GL_TEXTURE0
	#define GL_TEXTURE0 0x84C0
#endif
#ifndef GL_TEXTURE1
	#define GL_TEXTURE1 0x84C1
#endif
#ifndef GL_TEXTURE2
	#define GL_TEXTURE2 0x84C2
#endif
#ifndef GL_TEXTURE3
	#define GL_TEXTURE3 0x84C3
#endif
#ifndef GL_TEXTURE4
	#define GL_TEXTURE4 0x84C4
#endif
#ifndef GL_TEXTURE5
	#define GL_TEXTURE5 0x84C5
#endif
#ifndef GL_TEXTURE6
	#define GL_TEXTURE6 0x84C6
#endif
#ifndef GL_TEXTURE7
	#define GL_TEXTURE7 0x84C7
#endif
#ifndef GL_TEXTURE8
	#define GL_TEXTURE8 0x84C8
#endif
#ifndef GL_TEXTURE9
	#define GL_TEXTURE9 0x84C9
#endif
#ifndef GL_TEXTURE10
	#define GL_TEXTURE10 0x84CA
#endif
#ifndef GL_TEXTURE11
	#define GL_TEXTURE11 0x84CB
#endif
#ifndef GL_TEXTURE12
	#define GL_TEXTURE12 0x84CC
#endif
#ifndef GL_TEXTURE13
	#define GL_TEXTURE13 0x84CD
#endif
#ifndef GL_TEXTURE14
	#define GL_TEXTURE14 0x84CE
#endif
#ifndef GL_TEXTURE15
	#define GL_TEXTURE15 0x84CF
#endif
#ifndef GL_TEXTURE16
	#define GL_TEXTURE16 0x84D0
#endif
#ifndef GL_TEXTURE17
	#define GL_TEXTURE17 0x84D1
#endif
#ifndef GL_TEXTURE18
	#define GL_TEXTURE18 0x84D2
#endif
#ifndef GL_TEXTURE19
	#define GL_TEXTURE19 0x84D3
#endif
#ifndef GL_TEXTURE20
	#define GL_TEXTURE20 0x84D4
#endif
#ifndef GL_TEXTURE21
	#define GL_TEXTURE21 0x84D5
#endif
#ifndef GL_TEXTURE22
	#define GL_TEXTURE22 0x84D6
#endif
#ifndef GL_TEXTURE23
	#define GL_TEXTURE23 0x84D7
#endif
#ifndef GL_TEXTURE24
	#define GL_TEXTURE24 0x84D8
#endif
#ifndef GL_TEXTURE25
	#define GL_TEXTURE25 0x84D9
#endif
#ifndef GL_TEXTURE26
	#define GL_TEXTURE26 0x84DA
#endif
#ifndef GL_TEXTURE27
	#define GL_TEXTURE27 0x84DB
#endif
#ifndef GL_TEXTURE28
	#define GL_TEXTURE28 0x84DC
#endif
#ifndef GL_TEXTURE29
	#define GL_TEXTURE29 0x84DD
#endif
#ifndef GL_TEXTURE30
	#define GL_TEXTURE30 0x84DE
#endif
#ifndef GL_TEXTURE31
	#define GL_TEXTURE31 0x84DF
#endif
/* TextureWrapMode */
#ifndef GL_REPEAT
	#define GL_REPEAT 0x2901
#endif
#ifndef GL_CLAMP_TO_EDGE
	#define GL_CLAMP_TO_EDGE 0x812F
#endif
/* PixelInternalFormat */
#ifndef GL_COLOR_INDEX8_EXT
	#define GL_COLOR_INDEX8_EXT 0x80E5
#endif
/* Paletted Textures Extension */
#ifndef GL_COLOR_TABLE_FORMAT_EXT
	#define GL_COLOR_TABLE_FORMAT_EXT 0x80D8
#endif
#ifndef GL_COLOR_TABLE_WIDTH_EXT
	#define GL_COLOR_TABLE_WIDTH_EXT 0x80D9
#endif
#ifndef GL_COLOR_TABLE_RED_SIZE_EXT
	#define GL_COLOR_TABLE_RED_SIZE_EXT 0x80D9
#endif
#ifndef GL_COLOR_TABLE_GREEN_SIZE_EXT
	#define GL_COLOR_TABLE_GREEN_SIZE_EXT 0x80DB
#endif
#ifndef GL_COLOR_TABLE_BLUE_SIZE_EXT
	#define GL_COLOR_TABLE_BLUE_SIZE_EXT 0x80DC
#endif
#ifndef GL_COLOR_TABLE_ALPHA_SIZE_EXT
	#define GL_COLOR_TABLE_ALPHA_SIZE_EXT 0x80DD
#endif
#ifndef GL_COLOR_TABLE_LUMINANCE_SIZE_EXT
	#define GL_COLOR_TABLE_LUMINANCE_SIZE_EXT 0x80DE
#endif
#ifndef GL_COLOR_TABLE_INTENSITY_SIZE_EXT
	#define GL_COLOR_TABLE_INTENSITY_SIZE_EXT 0x80DF
#endif
/********************************************************/
 GLAPI void APIENTRY glActiveTexture(GLenum);
 GLAPI void APIENTRY glAlphaFunc(GLenum, GLclampf);
 GLAPI void APIENTRY glBegin(GLenum);
 GLAPI void APIENTRY glBindTexture(GLenum, GLuint);
 GLAPI void APIENTRY glBitmap(GLsizei, GLsizei, GLfloat, GLfloat, GLfloat, GLfloat, const GLubyte*);
 GLAPI void APIENTRY glBlendFunc(GLenum, GLenum);
 GLAPI void APIENTRY glCallLists(GLsizei, GLenum, const GLvoid*);
 GLAPI void APIENTRY glClear(GLbitfield);
 GLAPI void APIENTRY glClearColor(GLclampf, GLclampf, GLclampf, GLclampf);
 GLAPI void APIENTRY glClearDepthf(GLclampf);
 GLAPI void APIENTRY glClearStencil(GLint);
 GLAPI void APIENTRY glClientActiveTexture(GLenum);
 GLAPI void APIENTRY glColor4f(GLfloat, GLfloat, GLfloat, GLfloat);
 GLAPI void APIENTRY glColor4fv(const GLfloat*);
 GLAPI void APIENTRY glColor4ub(GLubyte, GLubyte, GLubyte, GLubyte);
 GLAPI void APIENTRY glColorMask(GLboolean, GLboolean, GLboolean, GLboolean);
 GLAPI void APIENTRY glColorPointer(GLint, GLenum, GLsizei, const GLvoid*);
 GLAPI void APIENTRY glColorSubTableEXT(GLenum, GLsizei, GLsizei, GLenum, GLenum, const GLvoid*);
 GLAPI void APIENTRY glCopyPixels(GLint, GLint, GLsizei, GLsizei, GLenum);
 GLAPI void APIENTRY glCullFace(GLenum);
 GLAPI void APIENTRY glDepthFunc(GLenum);
 GLAPI void APIENTRY glDepthMask(GLboolean);
 GLAPI void APIENTRY glDepthRangef(GLclampf, GLclampf);
 GLAPI void APIENTRY glDisable(GLenum);
 GLAPI void APIENTRY glDisableClientState(GLenum);
 GLAPI void APIENTRY glDrawArrays(GLenum, GLint, GLsizei);
 GLAPI void APIENTRY glDrawElements(GLenum, GLsizei, GLenum, const GLvoid*);
 GLAPI void APIENTRY glDrawPixels(GLsizei, GLsizei, GLenum, GLenum, const GLvoid*);
 GLAPI void APIENTRY glEnable(GLenum);
 GLAPI void APIENTRY glEnableClientState(GLenum);
 GLAPI void APIENTRY glEnd();
 GLAPI void APIENTRY glEndList();
 GLAPI void APIENTRY glFinish();
 GLAPI void APIENTRY glFlush();
 GLAPI void APIENTRY glFrontFace(GLenum);
 GLAPI void APIENTRY glFrustumf(GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat);
 GLAPI GLuint APIENTRY glGenLists(GLsizei);
 GLAPI void APIENTRY glGenTextures(GLsizei, GLuint*);
 GLAPI GLenum APIENTRY glGetError();
 GLAPI void APIENTRY glGetBooleanv(GLenum, GLboolean*);
 GLAPI void APIENTRY glGetColorTableExt(GLenum, GLenum, GLenum, GLvoid*);
 GLAPI void APIENTRY glGetColorTableParameterivEXT(GLenum, GLenum, GLint*);
 GLAPI void APIENTRY glGetFloatv(GLenum, GLfloat*);
 GLAPI void APIENTRY glGetIntegerv(GLenum, GLint*);
 GLAPI void APIENTRY glGetLightfv(GLenum, GLenum, GLfloat*);
 GLAPI void APIENTRY glGetMaterialfv(GLenum, GLenum, GLfloat*);
 GLAPI void APIENTRY glGetPointerv(GLenum, GLvoid*);
 GLAPI void APIENTRY glGetPolygonStipple(GLubyte*);
 GLAPI void APIENTRY glGetTexEnvfv(GLenum, GLenum, GLfloat*);
 GLAPI void APIENTRY glGetTexEnviv(GLenum, GLenum, GLint*);
 GLAPI const GLubyte* APIENTRY glGetString(GLenum);
 GLAPI void APIENTRY glHint(GLenum, GLenum);
 GLAPI GLboolean APIENTRY glIsEnabled(GLenum);
 GLAPI void APIENTRY glLightfv(GLenum, GLenum, const GLfloat*);
 GLAPI void APIENTRY glLightModelfv(GLenum, GLfloat*);
 GLAPI void APIENTRY glLineStipple(GLint, GLushort);
 GLAPI void APIENTRY glLineWidth(GLfloat);
 GLAPI void APIENTRY glListBase(GLuint);
 GLAPI void APIENTRY glLoadIdentity();
 GLAPI void APIENTRY glLoadMatrixf(const GLfloat*);
 GLAPI void APIENTRY glMaterialf(GLenum, GLenum, GLfloat);
 GLAPI void APIENTRY glMaterialfv(GLenum, GLenum, const GLfloat*);
 GLAPI void APIENTRY glMatrixMode(GLenum);
 GLAPI void APIENTRY glMultMatrixf(const GLfloat*);
 GLAPI void APIENTRY glMultiTexCoord2f(GLenum, GLfloat, GLfloat);
 GLAPI void APIENTRY glMultiTexCoord2fv(GLenum, const GLfloat*);
 GLAPI void APIENTRY glNewList(GLuint, GLenum);
 GLAPI void APIENTRY glNormal3f(GLfloat, GLfloat, GLfloat);
 GLAPI void APIENTRY glNormal3fv(const GLfloat*);
 GLAPI void APIENTRY glNormalPointer(GLenum, GLsizei, const GLvoid*);
 GLAPI void APIENTRY glOrthof(GLfloat, GLfloat, GLfloat, GLfloat, GLfloat, GLfloat);
 GLAPI void APIENTRY glPixelStorei(GLenum, GLint);
 GLAPI void APIENTRY glPointSize(GLfloat);
 GLAPI void APIENTRY glPolygonOffset(GLfloat, GLfloat);
 GLAPI void APIENTRY glPolygonStipple(const GLubyte*);
 GLAPI void APIENTRY glPopMatrix();
 GLAPI void APIENTRY glPushMatrix();
 GLAPI void APIENTRY glRasterPos3f(GLfloat, GLfloat, GLfloat);
 GLAPI void APIENTRY glReadPixels(GLint, GLint, GLsizei, GLsizei, GLenum, GLenum, GLvoid*);
 GLAPI void APIENTRY glRotatef(GLfloat, GLfloat, GLfloat, GLfloat);
 GLAPI void APIENTRY glScalef(GLfloat, GLfloat, GLfloat);
 GLAPI void APIENTRY glScissor(GLint, GLint, GLsizei, GLsizei);
 GLAPI void APIENTRY glShadeModel(GLenum);
 GLAPI void APIENTRY glStencilFunc(GLenum, GLint, GLuint);
 GLAPI void APIENTRY glStencilMask(GLenum);
 GLAPI void APIENTRY glStencilOp(GLenum, GLenum, GLenum);
 GLAPI void APIENTRY glTexCoordPointer(GLint, GLenum, GLsizei, const GLvoid*);
 GLAPI void APIENTRY glTexEnvfv(GLenum, GLenum, const GLfloat*);
 GLAPI void APIENTRY glTexEnvi(GLenum, GLenum, GLint);
 GLAPI void APIENTRY glTexImage2D(GLenum, GLint, GLint, GLsizei, GLsizei, GLint, GLenum, GLenum, const GLvoid*);
 GLAPI void APIENTRY glTexParameteri(GLenum, GLenum, GLint);
 GLAPI void APIENTRY glTexSubImage2D(GLenum, GLint, GLint, GLint, GLsizei, GLsizei, GLenum, GLenum, const GLvoid*);
 GLAPI void APIENTRY glTranslatef(GLfloat, GLfloat, GLfloat);
 GLAPI void APIENTRY glVertex2f(GLfloat, GLfloat);
 GLAPI void APIENTRY glVertex2fv(const GLfloat*);
 GLAPI void APIENTRY glVertex3f(GLfloat, GLfloat, GLfloat);
 GLAPI void APIENTRY glVertex3fv(const GLfloat*);
 GLAPI void APIENTRY glVertexPointer(GLint, GLenum, GLsizei, const GLvoid*);
 GLAPI void APIENTRY glViewport(GLint, GLint, GLsizei, GLsizei);
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__GL_gl_h__ */

