/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#include "spawn.h"

int posix_spawn(pid_t *restrict var0, const char *restrict var1, const posix_spawn_file_actions_t * var2, const posix_spawnattr_t *restrict var3, char *const var4[restrict], char *const var5[restrict])
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int posix_spawn_file_actions_addclose(posix_spawn_file_actions_t * var0, int var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int posix_spawn_file_actions_adddup2(posix_spawn_file_actions_t * var0, int var1, int var2)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int posix_spawn_file_actions_addopen(posix_spawn_file_actions_t *restrict var0, int var1, const char *restrict var2, int var3, mode_t var4)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int posix_spawn_file_actions_destroy(posix_spawn_file_actions_t * var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int posix_spawn_file_actions_init(posix_spawn_file_actions_t * var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int posix_spawnattr_destroy(posix_spawnattr_t * var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int posix_spawnattr_getflags(const posix_spawnattr_t *restrict var0, short *restrict var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int posix_spawnattr_getpgroup(const posix_spawnattr_t *restrict var0, pid_t *restrict var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int posix_spawnattr_getschedparam(const posix_spawnattr_t *restrict var0, struct sched_param *restrict var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int posix_spawnattr_getschedpolicy(const posix_spawnattr_t *restrict var0, int *restrict var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int posix_spawnattr_getsigdefault(const posix_spawnattr_t *restrict var0, sigset_t *restrict var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int posix_spawnattr_getsigmask(const posix_spawnattr_t *restrict var0, sigset_t *restrict var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int posix_spawnattr_init(posix_spawnattr_t * var0)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int posix_spawnattr_setflags(posix_spawnattr_t * var0, short var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int posix_spawnattr_setpgroup(posix_spawnattr_t * var0, pid_t var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int posix_spawnattr_setschedparam(posix_spawnattr_t *restrict var0, const struct sched_param *restrict var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int posix_spawnattr_setschedpolicy(posix_spawnattr_t * var0, int var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int posix_spawnattr_setsigdefault(posix_spawnattr_t *restrict var0, const sigset_t *restrict var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int posix_spawnattr_setsigmask(posix_spawnattr_t *restrict var0, const sigset_t *restrict var1)
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
int posix_spawnp(pid_t *restrict var0, const char *restrict var1, const posix_spawn_file_actions_t * var2, const posix_spawnattr_t *restrict var3, char *const var4[restrict], char *const var5[restrict])
{
    int* __face_conform_abc = 0;
    return *__face_conform_abc;
}
