/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__stdint_h__
#define __FACE_CONFORM__stdint_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <FACE_primtypes.h>
#ifndef __FACE_CONFORM____INTMAX_T__
#define __FACE_CONFORM____INTMAX_T__
typedef int intmax_t;

#endif  /* __FACE_CONFORM____INTMAX_T__ */

#ifndef __FACE_CONFORM____UINTMAX_T__
#define __FACE_CONFORM____UINTMAX_T__
typedef unsigned int uintmax_t;

#endif  /* __FACE_CONFORM____UINTMAX_T__ */

#ifndef __FACE_CONFORM____INT8_T__
#define __FACE_CONFORM____INT8_T__
typedef FACE_int8_t int8_t;

#endif  /* __FACE_CONFORM____INT8_T__ */

#ifndef __FACE_CONFORM____INT16_T__
#define __FACE_CONFORM____INT16_T__
typedef FACE_int16_t int16_t;

#endif  /* __FACE_CONFORM____INT16_T__ */

#ifndef __FACE_CONFORM____INT32_T__
#define __FACE_CONFORM____INT32_T__
typedef FACE_int32_t int32_t;

#endif  /* __FACE_CONFORM____INT32_T__ */

#ifndef __FACE_CONFORM____INT64_T__
#define __FACE_CONFORM____INT64_T__
typedef FACE_int64_t int64_t;

#endif  /* __FACE_CONFORM____INT64_T__ */

#ifndef __FACE_CONFORM____UINT8_T__
#define __FACE_CONFORM____UINT8_T__
typedef FACE_uint8_t uint8_t;

#endif  /* __FACE_CONFORM____UINT8_T__ */

#ifndef __FACE_CONFORM____UINT16_T__
#define __FACE_CONFORM____UINT16_T__
typedef FACE_uint16_t uint16_t;

#endif  /* __FACE_CONFORM____UINT16_T__ */

#ifndef __FACE_CONFORM____UINT32_T__
#define __FACE_CONFORM____UINT32_T__
typedef FACE_uint32_t uint32_t;

#endif  /* __FACE_CONFORM____UINT32_T__ */

#ifndef __FACE_CONFORM____UINT64_T__
#define __FACE_CONFORM____UINT64_T__
typedef FACE_uint64_t uint64_t;

#endif  /* __FACE_CONFORM____UINT64_T__ */

#ifndef __FACE_CONFORM____INT_LEAST8_T__
#define __FACE_CONFORM____INT_LEAST8_T__
typedef FACE_int8_t int_least8_t;

#endif  /* __FACE_CONFORM____INT_LEAST8_T__ */

#ifndef __FACE_CONFORM____INT_LEAST16_T__
#define __FACE_CONFORM____INT_LEAST16_T__
typedef FACE_int16_t int_least16_t;

#endif  /* __FACE_CONFORM____INT_LEAST16_T__ */

#ifndef __FACE_CONFORM____INT_LEAST32_T__
#define __FACE_CONFORM____INT_LEAST32_T__
typedef FACE_int32_t int_least32_t;

#endif  /* __FACE_CONFORM____INT_LEAST32_T__ */

#ifndef __FACE_CONFORM____INT_LEAST64_T__
#define __FACE_CONFORM____INT_LEAST64_T__
typedef FACE_int64_t int_least64_t;

#endif  /* __FACE_CONFORM____INT_LEAST64_T__ */

#ifndef __FACE_CONFORM____UINT_LEAST8_T__
#define __FACE_CONFORM____UINT_LEAST8_T__
typedef FACE_uint8_t uint_least8_t;

#endif  /* __FACE_CONFORM____UINT_LEAST8_T__ */

#ifndef __FACE_CONFORM____UINT_LEAST16_T__
#define __FACE_CONFORM____UINT_LEAST16_T__
typedef FACE_uint16_t uint_least16_t;

#endif  /* __FACE_CONFORM____UINT_LEAST16_T__ */

#ifndef __FACE_CONFORM____UINT_LEAST32_T__
#define __FACE_CONFORM____UINT_LEAST32_T__
typedef FACE_uint32_t uint_least32_t;

#endif  /* __FACE_CONFORM____UINT_LEAST32_T__ */

#ifndef __FACE_CONFORM____UINT_LEAST64_T__
#define __FACE_CONFORM____UINT_LEAST64_T__
typedef FACE_uint64_t uint_least64_t;

#endif  /* __FACE_CONFORM____UINT_LEAST64_T__ */

#ifndef __FACE_CONFORM____INT_FAST8_T__
#define __FACE_CONFORM____INT_FAST8_T__
typedef FACE_int8_t int_fast8_t;

#endif  /* __FACE_CONFORM____INT_FAST8_T__ */

#ifndef __FACE_CONFORM____INT_FAST16_T__
#define __FACE_CONFORM____INT_FAST16_T__
typedef FACE_int16_t int_fast16_t;

#endif  /* __FACE_CONFORM____INT_FAST16_T__ */

#ifndef __FACE_CONFORM____INT_FAST32_T__
#define __FACE_CONFORM____INT_FAST32_T__
typedef FACE_int32_t int_fast32_t;

#endif  /* __FACE_CONFORM____INT_FAST32_T__ */

#ifndef __FACE_CONFORM____INT_FAST64_T__
#define __FACE_CONFORM____INT_FAST64_T__
typedef FACE_int64_t int_fast64_t;

#endif  /* __FACE_CONFORM____INT_FAST64_T__ */

#ifndef __FACE_CONFORM____UINT_FAST8_T__
#define __FACE_CONFORM____UINT_FAST8_T__
typedef FACE_uint8_t uint_fast8_t;

#endif  /* __FACE_CONFORM____UINT_FAST8_T__ */

#ifndef __FACE_CONFORM____UINT_FAST16_T__
#define __FACE_CONFORM____UINT_FAST16_T__
typedef FACE_uint16_t uint_fast16_t;

#endif  /* __FACE_CONFORM____UINT_FAST16_T__ */

#ifndef __FACE_CONFORM____UINT_FAST32_T__
#define __FACE_CONFORM____UINT_FAST32_T__
typedef FACE_uint32_t uint_fast32_t;

#endif  /* __FACE_CONFORM____UINT_FAST32_T__ */

#ifndef __FACE_CONFORM____UINT_FAST64_T__
#define __FACE_CONFORM____UINT_FAST64_T__
typedef FACE_uint64_t uint_fast64_t;

#endif  /* __FACE_CONFORM____UINT_FAST64_T__ */

#ifndef __FACE_CONFORM____INTPTR_T__
#define __FACE_CONFORM____INTPTR_T__
typedef long int intptr_t;

#endif  /* __FACE_CONFORM____INTPTR_T__ */

#ifndef __FACE_CONFORM____UINTPTR_T__
#define __FACE_CONFORM____UINTPTR_T__
typedef unsigned long int uintptr_t;

#endif  /* __FACE_CONFORM____UINTPTR_T__ */

#ifndef INT8_MIN
	#define INT8_MIN -128
#endif
#ifndef INT16_MIN
	#define INT16_MIN -32768
#endif
#ifndef INT32_MIN
	#define INT32_MIN -2147483648
#endif
#ifndef INT64_MIN
	#define INT64_MIN -9223372036854775808
#endif
#ifndef INT8_MAX
	#define INT8_MAX 127
#endif
#ifndef INT16_MAX
	#define INT16_MAX 32767
#endif
#ifndef INT32_MAX
	#define INT32_MAX 2147483647
#endif
#ifndef INT64_MAX
	#define INT64_MAX 9223372036854775807
#endif
#ifndef UINT8_MAX
	#define UINT8_MAX 255
#endif
#ifndef UINT16_MAX
	#define UINT16_MAX 65535
#endif
#ifndef UINT32_MAX
	#define UINT32_MAX 4294967295
#endif
#ifndef UINT64_MAX
	#define UINT64_MAX 18446744073709551615
#endif
#ifndef INT_LEAST8_MIN
	#define INT_LEAST8_MIN -127
#endif
#ifndef INT_LEAST16_MIN
	#define INT_LEAST16_MIN -32767
#endif
#ifndef INT_LEAST32_MIN
	#define INT_LEAST32_MIN -2147483647
#endif
#ifndef INT_LEAST64_MIN
	#define INT_LEAST64_MIN -9223372036854775807
#endif
#ifndef INT_LEAST8_MAX
	#define INT_LEAST8_MAX 127
#endif
#ifndef INT_LEAST16_MAX
	#define INT_LEAST16_MAX 32767
#endif
#ifndef INT_LEAST32_MAX
	#define INT_LEAST32_MAX 2147483647
#endif
#ifndef INT_LEAST64_MAX
	#define INT_LEAST64_MAX 9223372036854775807
#endif
#ifndef UINT_LEAST8_MAX
	#define UINT_LEAST8_MAX 255
#endif
#ifndef UINT_LEAST16_MAX
	#define UINT_LEAST16_MAX 65535
#endif
#ifndef UINT_LEAST32_MAX
	#define UINT_LEAST32_MAX 4294967295
#endif
#ifndef UINT_LEAST64_MAX
	#define UINT_LEAST64_MAX 18446744073709551615
#endif
#ifndef INT_FAST8_MIN
	#define INT_FAST8_MIN -127
#endif
#ifndef INT_FAST16_MIN
	#define INT_FAST16_MIN -32767
#endif
#ifndef INT_FAST32_MIN
	#define INT_FAST32_MIN -2147483647
#endif
#ifndef INT_FAST64_MIN
	#define INT_FAST64_MIN -9223372036854775807
#endif
#ifndef INT_FAST8_MAX
	#define INT_FAST8_MAX 127
#endif
#ifndef INT_FAST16_MAX
	#define INT_FAST16_MAX 32767
#endif
#ifndef INT_FAST32_MAX
	#define INT_FAST32_MAX 2147483647
#endif
#ifndef INT_FAST64_MAX
	#define INT_FAST64_MAX 9223372036854775807
#endif
#ifndef UINT_FAST8_MAX
	#define UINT_FAST8_MAX 255
#endif
#ifndef UINT_FAST16_MAX
	#define UINT_FAST16_MAX 65535
#endif
#ifndef UINT_FAST32_MAX
	#define UINT_FAST32_MAX 4294967295
#endif
#ifndef UINT_FAST64_MAX
	#define UINT_FAST64_MAX 18446744073709551615
#endif
#ifndef INTPTR_MIN
	#define INTPTR_MIN -32767
#endif
#ifndef INTPTR_MAX
	#define INTPTR_MAX 32767
#endif
#ifndef UINTPTR_MAX
	#define UINTPTR_MAX 65535
#endif
#ifndef INTMAX_MIN
	#define INTMAX_MIN -9223372036854775807
#endif
#ifndef INTMAX_MAX
	#define INTMAX_MAX 9223372036854775807
#endif
#ifndef UINTMAX_MAX
	#define UINTMAX_MAX 18446744073709551615
#endif
#ifndef PTRDIFF_MIN
	#define PTRDIFF_MIN -65535
#endif
#ifndef PTRDIFF_MAX
	#define PTRDIFF_MAX 65535
#endif
#ifndef SIG_ATOMIC_MIN
	#define SIG_ATOMIC_MIN -127
#endif
#ifndef SIG_ATOMIC_MAX
	#define SIG_ATOMIC_MAX 127
#endif
#ifndef SIZE_MAX
	#define SIZE_MAX 65535
#endif
#ifndef WCHAR_MIN
	#define WCHAR_MIN -127
#endif
#ifndef WCHAR_MAX
	#define WCHAR_MAX 127
#endif
#ifndef WINT_MIN
	#define WINT_MIN -32767
#endif
#ifndef WINT_MAX
	#define WINT_MAX 32767
#endif
#ifndef INT8_C
	#define INT8_C(value) value
#endif
#ifndef INT16_C
	#define INT16_C(value) value
#endif
#ifndef INT32_C
	#define INT32_C(value) value
#endif
#ifndef INT64_C
	#define INT64_C(value) value
#endif
#ifndef UINT8_C
	#define UINT8_C(value) value
#endif
#ifndef UINT16_C
	#define UINT16_C(value) value
#endif
#ifndef UINT32_C
	#define UINT32_C(value) value
#endif
#ifndef UINT64_C
	#define UINT64_C(value) value
#endif
#ifndef INTMAX_C
	#define INTMAX_C(value) value
#endif
#ifndef UINTMAX_C
	#define UINTMAX_C(value) value
#endif
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__stdint_h__ */

