/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__errno_h__
#define __FACE_CONFORM__errno_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <FACE_primtypes.h>
extern int errno;
#ifndef E2BIG
	#define E2BIG 1
#endif
#ifndef EACCES
	#define EACCES 2
#endif
#ifndef EADDRINUSE
	#define EADDRINUSE 3
#endif
#ifndef EADDRNOTAVAIL
	#define EADDRNOTAVAIL 4
#endif
#ifndef EAFNOSUPPORT
	#define EAFNOSUPPORT 5
#endif
#ifndef EAGAIN
	#define EAGAIN 6
#endif
#ifndef EALREADY
	#define EALREADY 7
#endif
#ifndef EBADF
	#define EBADF 8
#endif
#ifndef EBADMSG
	#define EBADMSG 9
#endif
#ifndef EBUSY
	#define EBUSY 10
#endif
#ifndef ECANCELED
	#define ECANCELED 11
#endif
#ifndef ECHILD
	#define ECHILD 12
#endif
#ifndef ECONNABORTED
	#define ECONNABORTED 13
#endif
#ifndef ECONNREFUSED
	#define ECONNREFUSED 14
#endif
#ifndef ECONNRESET
	#define ECONNRESET 15
#endif
#ifndef EDEADLK
	#define EDEADLK 16
#endif
#ifndef EDESTADDRREQ
	#define EDESTADDRREQ 17
#endif
#ifndef EDOM
	#define EDOM 18
#endif
#ifndef EDQUOT
	#define EDQUOT 19
#endif
#ifndef EEXIST
	#define EEXIST 20
#endif
#ifndef EFAULT
	#define EFAULT 21
#endif
#ifndef EFBIG
	#define EFBIG 22
#endif
#ifndef EHOSTUNREACH
	#define EHOSTUNREACH 23
#endif
#ifndef EIDRM
	#define EIDRM 24
#endif
#ifndef EILSEQ
	#define EILSEQ 25
#endif
#ifndef EINPROGRESS
	#define EINPROGRESS 26
#endif
#ifndef EINTR
	#define EINTR 27
#endif
#ifndef EINVAL
	#define EINVAL 28
#endif
#ifndef EIO
	#define EIO 29
#endif
#ifndef EISCONN
	#define EISCONN 30
#endif
#ifndef EISDIR
	#define EISDIR 31
#endif
#ifndef ELOOP
	#define ELOOP 32
#endif
#ifndef EMFILE
	#define EMFILE 33
#endif
#ifndef EMLINK
	#define EMLINK 34
#endif
#ifndef EMSGSIZE
	#define EMSGSIZE 35
#endif
#ifndef EMULTIHOP
	#define EMULTIHOP 36
#endif
#ifndef ENAMETOOLONG
	#define ENAMETOOLONG 37
#endif
#ifndef ENETDOWN
	#define ENETDOWN 38
#endif
#ifndef ENETRESET
	#define ENETRESET 39
#endif
#ifndef ENETUNREACH
	#define ENETUNREACH 40
#endif
#ifndef ENFILE
	#define ENFILE 41
#endif
#ifndef ENOBUFS
	#define ENOBUFS 42
#endif
#ifndef ENODATA
	#define ENODATA 43
#endif
#ifndef ENODEV
	#define ENODEV 44
#endif
#ifndef ENOENT
	#define ENOENT 45
#endif
#ifndef ENOEXEC
	#define ENOEXEC 46
#endif
#ifndef ENOLCK
	#define ENOLCK 47
#endif
#ifndef ENOLINK
	#define ENOLINK 48
#endif
#ifndef ENOMEM
	#define ENOMEM 49
#endif
#ifndef ENOMSG
	#define ENOMSG 50
#endif
#ifndef ENOPROTOOPT
	#define ENOPROTOOPT 51
#endif
#ifndef ENOSPC
	#define ENOSPC 52
#endif
#ifndef ENOSR
	#define ENOSR 53
#endif
#ifndef ENOSTR
	#define ENOSTR 54
#endif
#ifndef ENOSYS
	#define ENOSYS 55
#endif
#ifndef ENOTCONN
	#define ENOTCONN 56
#endif
#ifndef ENOTDIR
	#define ENOTDIR 57
#endif
#ifndef ENOTEMPTY
	#define ENOTEMPTY 58
#endif
#ifndef ENOTRECOVERABLE
	#define ENOTRECOVERABLE 59
#endif
#ifndef ENOTSOCK
	#define ENOTSOCK 60
#endif
#ifndef ENOTSUP
	#define ENOTSUP 61
#endif
#ifndef ENOTTY
	#define ENOTTY 62
#endif
#ifndef ENXIO
	#define ENXIO 63
#endif
#ifndef EOPNOTSUPP
	#define EOPNOTSUPP 64
#endif
#ifndef EOVERFLOW
	#define EOVERFLOW 65
#endif
#ifndef EOWNERDEAD
	#define EOWNERDEAD 66
#endif
#ifndef EPERM
	#define EPERM 67
#endif
#ifndef EPIPE
	#define EPIPE 68
#endif
#ifndef EPROTO
	#define EPROTO 69
#endif
#ifndef EPROTONOSUPPORT
	#define EPROTONOSUPPORT 70
#endif
#ifndef EPROTOTYPE
	#define EPROTOTYPE 71
#endif
#ifndef ERANGE
	#define ERANGE 72
#endif
#ifndef EROFS
	#define EROFS 73
#endif
#ifndef ESPIPE
	#define ESPIPE 74
#endif
#ifndef ESRCH
	#define ESRCH 75
#endif
#ifndef ESTALE
	#define ESTALE 76
#endif
#ifndef ETIME
	#define ETIME 77
#endif
#ifndef ETIMEDOUT
	#define ETIMEDOUT 78
#endif
#ifndef ETXTBSY
	#define ETXTBSY 79
#endif
#ifndef EWOULDBLOCK
	#define EWOULDBLOCK 80
#endif
#ifndef EXDEV
	#define EXDEV 81
#endif
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__errno_h__ */

