/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__sys_stat_h__
#define __FACE_CONFORM__sys_stat_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <FACE_primtypes.h>
#ifndef __FACE_CONFORM____BLKCNT_T__
#define __FACE_CONFORM____BLKCNT_T__
typedef int blkcnt_t;

#endif  /* __FACE_CONFORM____BLKCNT_T__ */

#ifndef __FACE_CONFORM____BLKSIZE_T__
#define __FACE_CONFORM____BLKSIZE_T__
typedef int blksize_t;

#endif  /* __FACE_CONFORM____BLKSIZE_T__ */

#ifndef __FACE_CONFORM____DEV_T__
#define __FACE_CONFORM____DEV_T__
typedef int dev_t;

#endif  /* __FACE_CONFORM____DEV_T__ */

#ifndef __FACE_CONFORM____INO_T__
#define __FACE_CONFORM____INO_T__
typedef unsigned int ino_t;

#endif  /* __FACE_CONFORM____INO_T__ */

#ifndef __FACE_CONFORM____MODE_T__
#define __FACE_CONFORM____MODE_T__
typedef int mode_t;

#endif  /* __FACE_CONFORM____MODE_T__ */

#ifndef __FACE_CONFORM____NLINK_T__
#define __FACE_CONFORM____NLINK_T__
typedef int nlink_t;

#endif  /* __FACE_CONFORM____NLINK_T__ */

#ifndef __FACE_CONFORM____UID_T__
#define __FACE_CONFORM____UID_T__
typedef int uid_t;

#endif  /* __FACE_CONFORM____UID_T__ */

#ifndef __FACE_CONFORM____GID_T__
#define __FACE_CONFORM____GID_T__
typedef int gid_t;

#endif  /* __FACE_CONFORM____GID_T__ */

#ifndef __FACE_CONFORM____OFF_T__
#define __FACE_CONFORM____OFF_T__
typedef int off_t;

#endif  /* __FACE_CONFORM____OFF_T__ */

#ifndef __FACE_CONFORM____TIME_T__
#define __FACE_CONFORM____TIME_T__
typedef int time_t;

#endif  /* __FACE_CONFORM____TIME_T__ */

#ifndef __FACE_CONFORM____TIMESPEC__
#define __FACE_CONFORM____TIMESPEC__
struct timespec {
    time_t tv_sec;
    long tv_nsec;
};
#endif  /* __FACE_CONFORM____TIMESPEC__ */

#ifndef __FACE_CONFORM____STAT__
#define __FACE_CONFORM____STAT__
struct stat {
    dev_t st_dev;
    ino_t st_ino;
    mode_t st_mode;
    nlink_t st_nlink;
    uid_t st_uid;
    gid_t st_gid;
    dev_t st_rdev;
    off_t st_size;
    struct timespec st_atim;
    struct timespec st_mtim;
    struct timespec st_ctim;
    blksize_t st_blksize;
    blkcnt_t st_blocks;
};
#endif  /* __FACE_CONFORM____STAT__ */

#ifndef st_atime
	#define st_atime st_atim.tv_sec
#endif
#ifndef st_ctime
	#define st_ctime st_ctim.tv_sec
#endif
#ifndef st_mtime
	#define st_mtime st_mtim.tv_sec
#endif
enum 
{
        S_IFMT,
        S_IFBLK,
        S_IFCHR,
        S_IFIFO,
        S_IFREG,
        S_IFDIR,
        S_IFLNK,
        S_IFSOCK,
};
#ifndef S_IRWXU
	#define S_IRWXU 0700
#endif
#ifndef S_IRUSR
	#define S_IRUSR 0400
#endif
#ifndef S_IWUSR
	#define S_IWUSR 0200
#endif
#ifndef S_IXUSR
	#define S_IXUSR 0100
#endif
#ifndef S_IRWXG
	#define S_IRWXG 070
#endif
#ifndef S_IRGRP
	#define S_IRGRP 040
#endif
#ifndef S_IWGRP
	#define S_IWGRP 020
#endif
#ifndef S_IXGRP
	#define S_IXGRP 010
#endif
#ifndef S_IRWXO
	#define S_IRWXO 07
#endif
#ifndef S_IROTH
	#define S_IROTH 04
#endif
#ifndef S_IWOTH
	#define S_IWOTH 02
#endif
#ifndef S_IXOTH
	#define S_IXOTH 01
#endif
#ifndef S_ISUID
	#define S_ISUID 04000
#endif
#ifndef S_ISGID
	#define S_ISGID 02000
#endif
#ifndef S_ISVTX
	#define S_ISVTX 01000
#endif
#ifndef S_ISBLK
	#define S_ISBLK(m) 1
#endif
#ifndef S_ISCHR
	#define S_ISCHR(m) 1
#endif
#ifndef S_ISDIR
	#define S_ISDIR(m) 1
#endif
#ifndef S_ISFIFO
	#define S_ISFIFO(m) 1
#endif
#ifndef S_ISREG
	#define S_ISREG(m) 1
#endif
#ifndef S_ISLNK
	#define S_ISLNK(m) 1
#endif
#ifndef S_ISSOCK
	#define S_ISSOCK(m) 1
#endif
#ifndef S_TYPEISMQ
	#define S_TYPEISMQ(buf) 1
#endif
#ifndef S_TYPEISSEM
	#define S_TYPEISSEM(buf) 1
#endif
#ifndef S_TYPEISSHM
	#define S_TYPEISSHM(buf) 1
#endif
#ifndef S_TYPEISTMO
	#define S_TYPEISTMO(buf) 1
#endif
#ifndef UTIME_NOW
	#define UTIME_NOW -1
#endif
#ifndef UTIME_OMIT
	#define UTIME_OMIT -2
#endif
int chmod(const char *, mode_t);
int fchmod(int, mode_t);
int fstat(int, struct stat *);
int lstat(const char *restrict, struct stat *restrict);
int mkdir(const char *, mode_t);
int mkfifo(const char *, mode_t);
int stat(const char *restrict, struct stat *restrict);
mode_t umask(mode_t);
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__sys_stat_h__ */

