/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__sys_resource_h__
#define __FACE_CONFORM__sys_resource_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <FACE_primtypes.h>
#include <sys/time.h>
#ifndef __FACE_CONFORM____RLIM_T__
#define __FACE_CONFORM____RLIM_T__
typedef unsigned int rlim_t;

#endif  /* __FACE_CONFORM____RLIM_T__ */

#ifndef __FACE_CONFORM____TIME_T__
#define __FACE_CONFORM____TIME_T__
typedef int time_t;

#endif  /* __FACE_CONFORM____TIME_T__ */

#ifndef __FACE_CONFORM____SUSECONDS_T__
#define __FACE_CONFORM____SUSECONDS_T__
typedef int suseconds_t;

#endif  /* __FACE_CONFORM____SUSECONDS_T__ */

enum 
{
        PRIO_PROCESS,
        PRIO_PGRP,
        PRIO_USER,
};
enum 
{
        RLIM_INFINITY,
        RLIM_SAVED_MAX,
        RLIM_SAVED_CUR,
};
enum 
{
        RUSAGE_SELF,
        RUSAGE_CHILDREN,
};
#ifndef __FACE_CONFORM____RLIMIT__
#define __FACE_CONFORM____RLIMIT__
struct rlimit {
    rlim_t rlim_cur;
    rlim_t rlim_max;
};
#endif  /* __FACE_CONFORM____RLIMIT__ */

#ifndef __FACE_CONFORM____TIMEVAL__
#define __FACE_CONFORM____TIMEVAL__
struct timeval {
    time_t tv_sec;
    suseconds_t tv_usec;
};
#endif  /* __FACE_CONFORM____TIMEVAL__ */

#ifndef __FACE_CONFORM____RUSAGE__
#define __FACE_CONFORM____RUSAGE__
struct rusage {
    struct timeval ru_utime;
    struct timeval ru_stime;
};
#endif  /* __FACE_CONFORM____RUSAGE__ */

enum 
{
        RLIMIT_CORE,
        RLIMIT_CPU,
        RLIMIT_DATA,
        RLIMIT_FSIZE,
        RLIMIT_NOFILE,
        RLIMIT_STACK,
        RLIMIT_AS,
};
#ifndef __FACE_CONFORM____ID_T__
#define __FACE_CONFORM____ID_T__
typedef int id_t;

#endif  /* __FACE_CONFORM____ID_T__ */

#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__sys_resource_h__ */

