/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__pthread_h__
#define __FACE_CONFORM__pthread_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <FACE_primtypes.h>
#include <sched.h>
#include <time.h>
enum 
{
        PTHREAD_BARRIER_SERIAL_THREAD,
        PTHREAD_CANCEL_ASYNCHRONOUS,
        PTHREAD_CANCEL_ENABLE,
        PTHREAD_CANCEL_DEFERRED,
        PTHREAD_CANCEL_DISABLE,
        PTHREAD_CANCELED,
        PTHREAD_CREATE_DETACHED,
        PTHREAD_CREATE_JOINABLE,
        PTHREAD_EXPLICIT_SCHED,
        PTHREAD_INHERIT_SCHED,
        PTHREAD_MUTEX_DEFAULT,
        PTHREAD_MUTEX_ERRORCHECK,
        PTHREAD_MUTEX_NORMAL,
        PTHREAD_MUTEX_RECURSIVE,
        PTHREAD_MUTEX_ROBUST,
        PTHREAD_MUTEX_STALLED,
        PTHREAD_PRIO_INHERIT,
        PTHREAD_PRIO_NONE,
        PTHREAD_PRIO_PROTECT,
        PTHREAD_PROCESS_SHARED,
        PTHREAD_PROCESS_PRIVATE,
        PTHREAD_SCOPE_PROCESS,
        PTHREAD_SCOPE_SYSTEM,
};
#ifndef PTHREAD_ONCE_INIT
	#define PTHREAD_ONCE_INIT {0, 0}
#endif
#ifndef PTHREAD_COND_INITIALIZER
	#define PTHREAD_COND_INITIALIZER { }
#endif
#ifndef PTHREAD_MUTEX_INITIALIZER
	#define PTHREAD_MUTEX_INITIALIZER { }
#endif
#ifndef PTHREAD_RWLOCK_INITIALIZER
	#define PTHREAD_RWLOCK_INITIALIZER { }
#endif
#ifndef __FACE_CONFORM____PTHREAD_ATTR_T__
#define __FACE_CONFORM____PTHREAD_ATTR_T__
typedef struct  {
    int __0;
    int __1;
} pthread_attr_t;
#endif  /* __FACE_CONFORM____PTHREAD_ATTR_T__ */

#ifndef __FACE_CONFORM____PTHREAD_BARRIER_T__
#define __FACE_CONFORM____PTHREAD_BARRIER_T__
typedef struct  {
    int __0;
    int __1;
} pthread_barrier_t;
#endif  /* __FACE_CONFORM____PTHREAD_BARRIER_T__ */

#ifndef __FACE_CONFORM____PTHREAD_BARRIERATTR_T__
#define __FACE_CONFORM____PTHREAD_BARRIERATTR_T__
typedef struct  {
    int __0;
    int __1;
} pthread_barrierattr_t;
#endif  /* __FACE_CONFORM____PTHREAD_BARRIERATTR_T__ */

#ifndef __FACE_CONFORM____PTHREAD_COND_T__
#define __FACE_CONFORM____PTHREAD_COND_T__
typedef struct  {
    int __0;
    int __1;
} pthread_cond_t;
#endif  /* __FACE_CONFORM____PTHREAD_COND_T__ */

#ifndef __FACE_CONFORM____PTHREAD_CONDATTR_T__
#define __FACE_CONFORM____PTHREAD_CONDATTR_T__
typedef struct  {
    int __0;
    int __1;
} pthread_condattr_t;
#endif  /* __FACE_CONFORM____PTHREAD_CONDATTR_T__ */

#ifndef __FACE_CONFORM____PTHREAD_KEY_T__
#define __FACE_CONFORM____PTHREAD_KEY_T__
typedef struct  {
    int __0;
    int __1;
} pthread_key_t;
#endif  /* __FACE_CONFORM____PTHREAD_KEY_T__ */

#ifndef __FACE_CONFORM____PTHREAD_MUTEX_T__
#define __FACE_CONFORM____PTHREAD_MUTEX_T__
typedef struct  {
    int __0;
    int __1;
} pthread_mutex_t;
#endif  /* __FACE_CONFORM____PTHREAD_MUTEX_T__ */

#ifndef __FACE_CONFORM____PTHREAD_MUTEXATTR_T__
#define __FACE_CONFORM____PTHREAD_MUTEXATTR_T__
typedef struct  {
    int __0;
    int __1;
} pthread_mutexattr_t;
#endif  /* __FACE_CONFORM____PTHREAD_MUTEXATTR_T__ */

#ifndef __FACE_CONFORM____PTHREAD_ONCE_T__
#define __FACE_CONFORM____PTHREAD_ONCE_T__
typedef struct  {
    int __0;
    int __1;
} pthread_once_t;
#endif  /* __FACE_CONFORM____PTHREAD_ONCE_T__ */

#ifndef __FACE_CONFORM____PTHREAD_RWLOCK_T__
#define __FACE_CONFORM____PTHREAD_RWLOCK_T__
typedef struct  {
    int __0;
    int __1;
} pthread_rwlock_t;
#endif  /* __FACE_CONFORM____PTHREAD_RWLOCK_T__ */

#ifndef __FACE_CONFORM____PTHREAD_RWLOCKATTR_T__
#define __FACE_CONFORM____PTHREAD_RWLOCKATTR_T__
typedef struct  {
    int __0;
    int __1;
} pthread_rwlockattr_t;
#endif  /* __FACE_CONFORM____PTHREAD_RWLOCKATTR_T__ */

#ifndef __FACE_CONFORM____PTHREAD_SPINLOCK_T__
#define __FACE_CONFORM____PTHREAD_SPINLOCK_T__
typedef struct  {
    int __0;
    int __1;
} pthread_spinlock_t;
#endif  /* __FACE_CONFORM____PTHREAD_SPINLOCK_T__ */

#ifndef __FACE_CONFORM____PTHREAD_T__
#define __FACE_CONFORM____PTHREAD_T__
typedef struct  {
    int __0;
    int __1;
} pthread_t;
#endif  /* __FACE_CONFORM____PTHREAD_T__ */

int pthread_atfork(void (*)(), void (*)(), void (*)());
int pthread_attr_destroy(pthread_attr_t *);
int pthread_attr_getdetachstate(const pthread_attr_t *, int *);
int pthread_attr_getguardsize(const pthread_attr_t *restrict, size_t *restrict);
int pthread_attr_getinheritsched(const pthread_attr_t *restrict, int *restrict);
int pthread_attr_getschedparam(const pthread_attr_t *restrict, struct sched_param *restrict);
int pthread_attr_getschedpolicy(const pthread_attr_t *restrict, int *restrict);
int pthread_attr_getscope(const pthread_attr_t *restrict, int *restrict);
int pthread_attr_getstack(const pthread_attr_t *restrict, void **restrict, size_t *restrict);
int pthread_attr_getstacksize(const pthread_attr_t *restrict, size_t *restrict);
int pthread_attr_init(pthread_attr_t *);
int pthread_attr_setdetachstate(pthread_attr_t *, int);
int pthread_attr_setguardsize(pthread_attr_t *, size_t);
int pthread_attr_setinheritsched(pthread_attr_t *, int);
int pthread_attr_setschedparam(pthread_attr_t *restrict, const struct sched_param *restrict);
int pthread_attr_setschedpolicy(pthread_attr_t *, int);
int pthread_attr_setscope(pthread_attr_t *, int);
int pthread_attr_setstack(pthread_attr_t *, void *, size_t);
int pthread_attr_setstacksize(pthread_attr_t *, size_t);
int pthread_cancel(pthread_t);
void pthread_cleanup_pop(int);
void pthread_cleanup_push(void (*)(void *), void *);
int pthread_cond_broadcast(pthread_cond_t *);
int pthread_cond_destroy(pthread_cond_t *);
int pthread_cond_init(pthread_cond_t *restrict, const pthread_condattr_t *restrict);
int pthread_cond_signal(pthread_cond_t *);
int pthread_cond_timedwait(pthread_cond_t *restrict, pthread_mutex_t *restrict, const struct timespec *restrict);
int pthread_cond_wait(pthread_cond_t *restrict, pthread_mutex_t *restrict);
int pthread_condattr_destroy(pthread_condattr_t *);
int pthread_condattr_getclock(const pthread_condattr_t *restrict, clockid_t *restrict);
int pthread_condattr_init(pthread_condattr_t *);
int pthread_condattr_setclock(pthread_condattr_t *, clockid_t);
int pthread_create(pthread_t *restrict, const pthread_attr_t *restrict, void * (*)(void *), void *restrict);
int pthread_detach(pthread_t);
int pthread_equal(pthread_t, pthread_t);
void pthread_exit(void *);
int pthread_getconcurrency();
int pthread_getcpuclockid(pthread_t, clockid_t *);
int pthread_getschedparam(pthread_t, int *restrict, struct sched_param *restrict);
void * pthread_getspecific(pthread_key_t );
int pthread_join(pthread_t, void **);
int pthread_key_create(pthread_key_t *, void (*)(void *));
int pthread_key_delete(pthread_key_t);
int pthread_mutex_destroy(pthread_mutex_t *);
int pthread_mutex_init(pthread_mutex_t *restrict, const pthread_mutexattr_t *restrict);
int pthread_mutex_lock(pthread_mutex_t *);
int pthread_mutex_timedlock(pthread_mutex_t *restrict, const struct timespec *restrict);
int pthread_mutex_trylock(pthread_mutex_t *);
int pthread_mutex_unlock(pthread_mutex_t *);
int pthread_mutexattr_destroy(pthread_mutexattr_t *);
int pthread_mutexattr_getprioceiling(const pthread_mutexattr_t *restrict, int *restrict);
int pthread_mutexattr_getprotocol(const pthread_mutexattr_t *restrict, int *restrict);
int pthread_mutexattr_init(pthread_mutexattr_t *);
int pthread_mutexattr_setprioceiling(pthread_mutexattr_t *, int);
int pthread_mutexattr_setprotocol(pthread_mutexattr_t *, int);
int pthread_once(pthread_once_t *, void (*)());
pthread_t  pthread_self();
int pthread_setcancelstate(int, int *);
int pthread_setcanceltype(int, int *);
int pthread_setconcurrency(int);
int pthread_setschedparam(pthread_t, int, const struct sched_param *);
int pthread_setschedprio(pthread_t, int);
int pthread_setspecific(pthread_key_t, const void *);
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__pthread_h__ */

