/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__sched_h__
#define __FACE_CONFORM__sched_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <FACE_primtypes.h>
#include <time.h>
#ifndef __FACE_CONFORM____PID_T__
#define __FACE_CONFORM____PID_T__
typedef int pid_t;

#endif  /* __FACE_CONFORM____PID_T__ */

#ifndef __FACE_CONFORM____TIME_T__
#define __FACE_CONFORM____TIME_T__
typedef int time_t;

#endif  /* __FACE_CONFORM____TIME_T__ */

#ifndef __FACE_CONFORM____TIMESPEC__
#define __FACE_CONFORM____TIMESPEC__
struct timespec {
    time_t tv_sec;
    long tv_nsec;
};
#endif  /* __FACE_CONFORM____TIMESPEC__ */

#ifndef __FACE_CONFORM____SCHED_PARAM__
#define __FACE_CONFORM____SCHED_PARAM__
struct sched_param {
    int sched_priority;
    int sched_ss_low_priority;
    struct timespec sched_ss_repl_period;
    struct timespec sched_ss_init_budget;
    int sched_ss_max_repl;
};
#endif  /* __FACE_CONFORM____SCHED_PARAM__ */

enum 
{
        SCHED_FIFO,
        SCHED_RR,
        SCHED_SPORADIC,
        SCHED_OTHER,
};
int sched_get_priority_max(int);
int sched_get_priority_min(int);
int sched_getparam(pid_t, struct sched_param *);
int sched_getscheduler(pid_t);
int sched_rr_get_interval(pid_t, struct timespec *);
int sched_setparam(pid_t, const struct sched_param *);
int sched_setscheduler(pid_t, int, const struct sched_param *);
int sched_yield();
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__sched_h__ */

