/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__inttypes_h__
#define __FACE_CONFORM__inttypes_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <FACE_primtypes.h>
#include <stdint.h>
#ifndef __cplusplus
#ifndef __FACE_CONFORM____WCHAR_T__
#define __FACE_CONFORM____WCHAR_T__
    typedef int wchar_t;

#endif  /* __FACE_CONFORM____WCHAR_T__ */

#ifndef __FACE_CONFORM____WCHAR_T__
#define __FACE_CONFORM____WCHAR_T__
typedef int wchar_t;

#endif  /* __FACE_CONFORM____WCHAR_T__ */

#endif
#ifndef __FACE_CONFORM____IMAXDIV_T__
#define __FACE_CONFORM____IMAXDIV_T__
typedef struct  {
    int __0;
    int __1;
} imaxdiv_t;
#endif  /* __FACE_CONFORM____IMAXDIV_T__ */

#ifndef PRId8
	#define PRId8 "d"
#endif
#ifndef PRId16
	#define PRId16 "d"
#endif
#ifndef PRId32
	#define PRId32 "d"
#endif
#ifndef PRId64
	#define PRId64 "d"
#endif
#ifndef PRIdLEAST8
	#define PRIdLEAST8 "d"
#endif
#ifndef PRIdLEAST16
	#define PRIdLEAST16 "d"
#endif
#ifndef PRIdLEAST32
	#define PRIdLEAST32 "d"
#endif
#ifndef PRIdLEAST64
	#define PRIdLEAST64 "d"
#endif
#ifndef PRIdFAST8
	#define PRIdFAST8 "d"
#endif
#ifndef PRIdFAST16
	#define PRIdFAST16 "d"
#endif
#ifndef PRIdFAST32
	#define PRIdFAST32 "d"
#endif
#ifndef PRIdFAST64
	#define PRIdFAST64 "d"
#endif
#ifndef PRIdMAX
	#define PRIdMAX ""
#endif
#ifndef PRIdPTR
	#define PRIdPTR ""
#endif
#ifndef PRIi8
	#define PRIi8 "d"
#endif
#ifndef PRIi16
	#define PRIi16 "d"
#endif
#ifndef PRIi32
	#define PRIi32 "d"
#endif
#ifndef PRIi64
	#define PRIi64 "d"
#endif
#ifndef PRIiLEAST8
	#define PRIiLEAST8 "d"
#endif
#ifndef PRIiLEAST16
	#define PRIiLEAST16 "d"
#endif
#ifndef PRIiLEAST32
	#define PRIiLEAST32 "d"
#endif
#ifndef PRIiLEAST64
	#define PRIiLEAST64 "d"
#endif
#ifndef PRIiFAST8
	#define PRIiFAST8 "d"
#endif
#ifndef PRIiFAST16
	#define PRIiFAST16 "d"
#endif
#ifndef PRIiFAST32
	#define PRIiFAST32 "d"
#endif
#ifndef PRIiFAST64
	#define PRIiFAST64 "d"
#endif
#ifndef PRIiMAX
	#define PRIiMAX ""
#endif
#ifndef PRIiPTR
	#define PRIiPTR ""
#endif
#ifndef PRIo8
	#define PRIo8 "d"
#endif
#ifndef PRIo16
	#define PRIo16 "d"
#endif
#ifndef PRIo32
	#define PRIo32 "d"
#endif
#ifndef PRIo64
	#define PRIo64 "d"
#endif
#ifndef PRIoLEAST8
	#define PRIoLEAST8 "d"
#endif
#ifndef PRIoLEAST16
	#define PRIoLEAST16 "d"
#endif
#ifndef PRIoLEAST32
	#define PRIoLEAST32 "d"
#endif
#ifndef PRIoLEAST64
	#define PRIoLEAST64 "d"
#endif
#ifndef PRIoFAST8
	#define PRIoFAST8 "d"
#endif
#ifndef PRIoFAST16
	#define PRIoFAST16 "d"
#endif
#ifndef PRIoFAST32
	#define PRIoFAST32 "d"
#endif
#ifndef PRIoFAST64
	#define PRIoFAST64 "d"
#endif
#ifndef PRIoMAX
	#define PRIoMAX ""
#endif
#ifndef PRIoPTR
	#define PRIoPTR ""
#endif
#ifndef PRIu8
	#define PRIu8 "d"
#endif
#ifndef PRIu16
	#define PRIu16 "d"
#endif
#ifndef PRIu32
	#define PRIu32 "d"
#endif
#ifndef PRIu64
	#define PRIu64 "d"
#endif
#ifndef PRIuLEAST8
	#define PRIuLEAST8 "d"
#endif
#ifndef PRIuLEAST16
	#define PRIuLEAST16 "d"
#endif
#ifndef PRIuLEAST32
	#define PRIuLEAST32 "d"
#endif
#ifndef PRIuLEAST64
	#define PRIuLEAST64 "d"
#endif
#ifndef PRIuFAST8
	#define PRIuFAST8 "d"
#endif
#ifndef PRIuFAST16
	#define PRIuFAST16 "d"
#endif
#ifndef PRIuFAST32
	#define PRIuFAST32 "d"
#endif
#ifndef PRIuFAST64
	#define PRIuFAST64 "d"
#endif
#ifndef PRIuMAX
	#define PRIuMAX ""
#endif
#ifndef PRIuPTR
	#define PRIuPTR ""
#endif
#ifndef PRIx8
	#define PRIx8 "d"
#endif
#ifndef PRIx16
	#define PRIx16 "d"
#endif
#ifndef PRIx32
	#define PRIx32 "d"
#endif
#ifndef PRIx64
	#define PRIx64 "d"
#endif
#ifndef PRIxLEAST8
	#define PRIxLEAST8 "d"
#endif
#ifndef PRIxLEAST16
	#define PRIxLEAST16 "d"
#endif
#ifndef PRIxLEAST32
	#define PRIxLEAST32 "d"
#endif
#ifndef PRIxLEAST64
	#define PRIxLEAST64 "d"
#endif
#ifndef PRIxFAST8
	#define PRIxFAST8 "d"
#endif
#ifndef PRIxFAST16
	#define PRIxFAST16 "d"
#endif
#ifndef PRIxFAST32
	#define PRIxFAST32 "d"
#endif
#ifndef PRIxFAST64
	#define PRIxFAST64 "d"
#endif
#ifndef PRIxMAX
	#define PRIxMAX ""
#endif
#ifndef PRIxPTR
	#define PRIxPTR ""
#endif
#ifndef PRIX8
	#define PRIX8 "d"
#endif
#ifndef PRIX16
	#define PRIX16 "d"
#endif
#ifndef PRIX32
	#define PRIX32 "d"
#endif
#ifndef PRIX64
	#define PRIX64 "d"
#endif
#ifndef PRIXLEAST8
	#define PRIXLEAST8 "d"
#endif
#ifndef PRIXLEAST16
	#define PRIXLEAST16 "d"
#endif
#ifndef PRIXLEAST32
	#define PRIXLEAST32 "d"
#endif
#ifndef PRIXLEAST64
	#define PRIXLEAST64 "d"
#endif
#ifndef PRIXFAST8
	#define PRIXFAST8 "d"
#endif
#ifndef PRIXFAST16
	#define PRIXFAST16 "d"
#endif
#ifndef PRIXFAST32
	#define PRIXFAST32 "d"
#endif
#ifndef PRIXFAST64
	#define PRIXFAST64 "d"
#endif
#ifndef PRIXMAX
	#define PRIXMAX ""
#endif
#ifndef PRIXPTR
	#define PRIXPTR ""
#endif
#ifndef SCNd8
	#define SCNd8 "d"
#endif
#ifndef SCNd16
	#define SCNd16 "d"
#endif
#ifndef SCNd32
	#define SCNd32 "d"
#endif
#ifndef SCNd64
	#define SCNd64 "d"
#endif
#ifndef SCNdLEAST8
	#define SCNdLEAST8 "d"
#endif
#ifndef SCNdLEAST16
	#define SCNdLEAST16 "d"
#endif
#ifndef SCNdLEAST32
	#define SCNdLEAST32 "d"
#endif
#ifndef SCNdLEAST64
	#define SCNdLEAST64 "d"
#endif
#ifndef SCNdFAST8
	#define SCNdFAST8 "d"
#endif
#ifndef SCNdFAST16
	#define SCNdFAST16 "d"
#endif
#ifndef SCNdFAST32
	#define SCNdFAST32 "d"
#endif
#ifndef SCNdFAST64
	#define SCNdFAST64 "d"
#endif
#ifndef SCNdMAX
	#define SCNdMAX ""
#endif
#ifndef SCNdPTR
	#define SCNdPTR ""
#endif
#ifndef SCNi8
	#define SCNi8 "d"
#endif
#ifndef SCNi16
	#define SCNi16 "d"
#endif
#ifndef SCNi32
	#define SCNi32 "d"
#endif
#ifndef SCNi64
	#define SCNi64 "d"
#endif
#ifndef SCNiLEAST8
	#define SCNiLEAST8 "d"
#endif
#ifndef SCNiLEAST16
	#define SCNiLEAST16 "d"
#endif
#ifndef SCNiLEAST32
	#define SCNiLEAST32 "d"
#endif
#ifndef SCNiLEAST64
	#define SCNiLEAST64 "d"
#endif
#ifndef SCNiFAST8
	#define SCNiFAST8 "d"
#endif
#ifndef SCNiFAST16
	#define SCNiFAST16 "d"
#endif
#ifndef SCNiFAST32
	#define SCNiFAST32 "d"
#endif
#ifndef SCNiFAST64
	#define SCNiFAST64 "d"
#endif
#ifndef SCNiMAX
	#define SCNiMAX ""
#endif
#ifndef SCNiPTR
	#define SCNiPTR ""
#endif
#ifndef SCNo8
	#define SCNo8 "d"
#endif
#ifndef SCNo16
	#define SCNo16 "d"
#endif
#ifndef SCNo32
	#define SCNo32 "d"
#endif
#ifndef SCNo64
	#define SCNo64 "d"
#endif
#ifndef SCNoLEAST8
	#define SCNoLEAST8 "d"
#endif
#ifndef SCNoLEAST16
	#define SCNoLEAST16 "d"
#endif
#ifndef SCNoLEAST32
	#define SCNoLEAST32 "d"
#endif
#ifndef SCNoLEAST64
	#define SCNoLEAST64 "d"
#endif
#ifndef SCNoFAST8
	#define SCNoFAST8 "d"
#endif
#ifndef SCNoFAST16
	#define SCNoFAST16 "d"
#endif
#ifndef SCNoFAST32
	#define SCNoFAST32 "d"
#endif
#ifndef SCNoFAST64
	#define SCNoFAST64 "d"
#endif
#ifndef SCNoMAX
	#define SCNoMAX ""
#endif
#ifndef SCNoPTR
	#define SCNoPTR ""
#endif
#ifndef SCNu8
	#define SCNu8 "d"
#endif
#ifndef SCNu16
	#define SCNu16 "d"
#endif
#ifndef SCNu32
	#define SCNu32 "d"
#endif
#ifndef SCNu64
	#define SCNu64 "d"
#endif
#ifndef SCNuLEAST8
	#define SCNuLEAST8 "d"
#endif
#ifndef SCNuLEAST16
	#define SCNuLEAST16 "d"
#endif
#ifndef SCNuLEAST32
	#define SCNuLEAST32 "d"
#endif
#ifndef SCNuLEAST64
	#define SCNuLEAST64 "d"
#endif
#ifndef SCNuFAST8
	#define SCNuFAST8 "d"
#endif
#ifndef SCNuFAST16
	#define SCNuFAST16 "d"
#endif
#ifndef SCNuFAST32
	#define SCNuFAST32 "d"
#endif
#ifndef SCNuFAST64
	#define SCNuFAST64 "d"
#endif
#ifndef SCNuMAX
	#define SCNuMAX ""
#endif
#ifndef SCNuPTR
	#define SCNuPTR ""
#endif
#ifndef SCNx8
	#define SCNx8 "d"
#endif
#ifndef SCNx16
	#define SCNx16 "d"
#endif
#ifndef SCNx32
	#define SCNx32 "d"
#endif
#ifndef SCNx64
	#define SCNx64 "d"
#endif
#ifndef SCNxLEAST8
	#define SCNxLEAST8 "d"
#endif
#ifndef SCNxLEAST16
	#define SCNxLEAST16 "d"
#endif
#ifndef SCNxLEAST32
	#define SCNxLEAST32 "d"
#endif
#ifndef SCNxLEAST64
	#define SCNxLEAST64 "d"
#endif
#ifndef SCNxFAST8
	#define SCNxFAST8 "d"
#endif
#ifndef SCNxFAST16
	#define SCNxFAST16 "d"
#endif
#ifndef SCNxFAST32
	#define SCNxFAST32 "d"
#endif
#ifndef SCNxFAST64
	#define SCNxFAST64 "d"
#endif
#ifndef SCNxMAX
	#define SCNxMAX ""
#endif
#ifndef SCNxPTR
	#define SCNxPTR ""
#endif
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__inttypes_h__ */

