/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__stropts_h__
#define __FACE_CONFORM__stropts_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <FACE_primtypes.h>
#ifndef __FACE_CONFORM____UID_T__
#define __FACE_CONFORM____UID_T__
typedef int uid_t;

#endif  /* __FACE_CONFORM____UID_T__ */

#ifndef __FACE_CONFORM____GID_T__
#define __FACE_CONFORM____GID_T__
typedef int gid_t;

#endif  /* __FACE_CONFORM____GID_T__ */

#ifndef __FACE_CONFORM____T_SCALAR_T__
#define __FACE_CONFORM____T_SCALAR_T__
typedef int t_scalar_t;

#endif  /* __FACE_CONFORM____T_SCALAR_T__ */

#ifndef __FACE_CONFORM____T_USCALAR_T__
#define __FACE_CONFORM____T_USCALAR_T__
typedef unsigned int t_uscalar_t;

#endif  /* __FACE_CONFORM____T_USCALAR_T__ */

#ifndef __FACE_CONFORM____BANDINFO__
#define __FACE_CONFORM____BANDINFO__
struct bandinfo {
    int bi_flag;
    unsigned char bi_pri;
};
#endif  /* __FACE_CONFORM____BANDINFO__ */

#ifndef __FACE_CONFORM____STRBUF__
#define __FACE_CONFORM____STRBUF__
struct strbuf {
    char * buf;
    int len;
    int maxlen;
};
#endif  /* __FACE_CONFORM____STRBUF__ */

#ifndef __FACE_CONFORM____STRPEEK__
#define __FACE_CONFORM____STRPEEK__
struct strpeek {
    struct strbuf ctlbuf;
    struct strbuf databuf;
    t_uscalar_t flags;
};
#endif  /* __FACE_CONFORM____STRPEEK__ */

#ifndef __FACE_CONFORM____STRFDINSERT__
#define __FACE_CONFORM____STRFDINSERT__
struct strfdinsert {
    struct strbuf ctlbuf;
    struct strbuf databuf;
    int fildes;
    t_uscalar_t flags;
    int offset;
};
#endif  /* __FACE_CONFORM____STRFDINSERT__ */

#ifndef __FACE_CONFORM____STRIOCTL__
#define __FACE_CONFORM____STRIOCTL__
struct strioctl {
    int ic_cmd;
    char * ic_dp;
    int ic_len;
    int ic_timout;
};
#endif  /* __FACE_CONFORM____STRIOCTL__ */

#ifndef __FACE_CONFORM____STRRECVFD__
#define __FACE_CONFORM____STRRECVFD__
struct strrecvfd {
    int fd;
    gid_t gid;
    uid_t uid;
};
#endif  /* __FACE_CONFORM____STRRECVFD__ */

enum 
{
        FMNAMESZ,
};
#ifndef __FACE_CONFORM____STR_MLIST__
#define __FACE_CONFORM____STR_MLIST__
struct str_mlist {
    char l_name[FMNAMESZ+1];
};
#endif  /* __FACE_CONFORM____STR_MLIST__ */

#ifndef __FACE_CONFORM____STR_LIST__
#define __FACE_CONFORM____STR_LIST__
struct str_list {
    struct str_mlist * sl_modlist;
    int sl_nmods;
};
#endif  /* __FACE_CONFORM____STR_LIST__ */

enum 
{
        I_ATMARK,
        I_CANPUT,
        I_CKBAND,
        I_FDINSERT,
        I_FIND,
        I_FLUSH,
        I_FLUSHBAND,
        I_GETBAND,
        I_GETCLTIME,
        I_GETSIG,
        I_GRDOPT,
        I_GWROPT,
        I_LINK,
        I_LIST,
        I_LOOK,
        I_NREAD,
        I_PEEK,
        I_PLINK,
        I_POP,
        I_PUNLINK,
        I_PUSH,
        I_RECVFD,
        I_SENDFD,
        I_SETCLTIME,
        I_SETSIG,
        I_SRDOPT,
        I_STR,
        I_SWROPT,
        I_UNLINK,
};
enum 
{
        FLUSHR,
        FLUSHRW,
        FLUSHW,
};
enum 
{
        S_BANDURG,
        S_ERROR,
        S_HANGUP,
        S_HIPRI,
        S_INPUT,
        S_MSG,
        S_OUTPUT,
        S_RDBAND,
        S_RDNORM,
        S_WRBAND,
        S_WRNORM,
};
enum 
{
        RS_HIPRI,
};
enum 
{
        RMSGD,
        RMSGN,
        RNORM,
        RPROTDAT,
        RPROTDIS,
        RPROTNORM,
};
enum 
{
        SNDZERO,
};
enum 
{
        ANYMARK,
        LASTMARK,
};
enum 
{
        MUXID_ALL,
};
enum 
{
        MORECTL,
        MOREDATA,
        MSG_ANY,
        MSG_BAND,
        MSG_HIPRI,
};
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__stropts_h__ */

