/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__sys_types_h__
#define __FACE_CONFORM__sys_types_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <FACE_primtypes.h>
#ifndef __FACE_CONFORM____BLKCNT_T__
#define __FACE_CONFORM____BLKCNT_T__
typedef int blkcnt_t;

#endif  /* __FACE_CONFORM____BLKCNT_T__ */

#ifndef __FACE_CONFORM____BLKSIZE_T__
#define __FACE_CONFORM____BLKSIZE_T__
typedef int blksize_t;

#endif  /* __FACE_CONFORM____BLKSIZE_T__ */

#ifndef __FACE_CONFORM____CLOCK_T__
#define __FACE_CONFORM____CLOCK_T__
typedef int clock_t;

#endif  /* __FACE_CONFORM____CLOCK_T__ */

#ifndef __FACE_CONFORM____CLOCKID_T__
#define __FACE_CONFORM____CLOCKID_T__
typedef int clockid_t;

#endif  /* __FACE_CONFORM____CLOCKID_T__ */

#ifndef __FACE_CONFORM____DEV_T__
#define __FACE_CONFORM____DEV_T__
typedef int dev_t;

#endif  /* __FACE_CONFORM____DEV_T__ */

#ifndef __FACE_CONFORM____FSBLKCNT_T__
#define __FACE_CONFORM____FSBLKCNT_T__
typedef unsigned int fsblkcnt_t;

#endif  /* __FACE_CONFORM____FSBLKCNT_T__ */

#ifndef __FACE_CONFORM____FSFILCNT_T__
#define __FACE_CONFORM____FSFILCNT_T__
typedef unsigned int fsfilcnt_t;

#endif  /* __FACE_CONFORM____FSFILCNT_T__ */

#ifndef __FACE_CONFORM____GID_T__
#define __FACE_CONFORM____GID_T__
typedef int gid_t;

#endif  /* __FACE_CONFORM____GID_T__ */

#ifndef __FACE_CONFORM____ID_T__
#define __FACE_CONFORM____ID_T__
typedef int id_t;

#endif  /* __FACE_CONFORM____ID_T__ */

#ifndef __FACE_CONFORM____INO_T__
#define __FACE_CONFORM____INO_T__
typedef unsigned int ino_t;

#endif  /* __FACE_CONFORM____INO_T__ */

#ifndef __FACE_CONFORM____MODE_T__
#define __FACE_CONFORM____MODE_T__
typedef int mode_t;

#endif  /* __FACE_CONFORM____MODE_T__ */

#ifndef __FACE_CONFORM____NLINK_T__
#define __FACE_CONFORM____NLINK_T__
typedef int nlink_t;

#endif  /* __FACE_CONFORM____NLINK_T__ */

#ifndef __FACE_CONFORM____OFF_T__
#define __FACE_CONFORM____OFF_T__
typedef int off_t;

#endif  /* __FACE_CONFORM____OFF_T__ */

#ifndef __FACE_CONFORM____PID_T__
#define __FACE_CONFORM____PID_T__
typedef int pid_t;

#endif  /* __FACE_CONFORM____PID_T__ */

#ifndef __FACE_CONFORM____SIZE_T__
#define __FACE_CONFORM____SIZE_T__
typedef FACE_size_t size_t;

#endif  /* __FACE_CONFORM____SIZE_T__ */

#ifndef __FACE_CONFORM____SSIZE_T__
#define __FACE_CONFORM____SSIZE_T__
typedef int ssize_t;

#endif  /* __FACE_CONFORM____SSIZE_T__ */

#ifndef __FACE_CONFORM____SUSECONDS_T__
#define __FACE_CONFORM____SUSECONDS_T__
typedef int suseconds_t;

#endif  /* __FACE_CONFORM____SUSECONDS_T__ */

#ifndef __FACE_CONFORM____TIME_T__
#define __FACE_CONFORM____TIME_T__
typedef int time_t;

#endif  /* __FACE_CONFORM____TIME_T__ */

#ifndef __FACE_CONFORM____TIMER_T__
#define __FACE_CONFORM____TIMER_T__
typedef int timer_t;

#endif  /* __FACE_CONFORM____TIMER_T__ */

#ifndef __FACE_CONFORM____UID_T__
#define __FACE_CONFORM____UID_T__
typedef int uid_t;

#endif  /* __FACE_CONFORM____UID_T__ */

#ifndef __FACE_CONFORM____KEY_T__
#define __FACE_CONFORM____KEY_T__
typedef struct  {
    int __0;
    int __1;
} key_t;
#endif  /* __FACE_CONFORM____KEY_T__ */

#ifndef __FACE_CONFORM____PTHREAD_ATTR_T__
#define __FACE_CONFORM____PTHREAD_ATTR_T__
typedef struct  {
    int __0;
    int __1;
} pthread_attr_t;
#endif  /* __FACE_CONFORM____PTHREAD_ATTR_T__ */

#ifndef __FACE_CONFORM____PTHREAD_BARRIER_T__
#define __FACE_CONFORM____PTHREAD_BARRIER_T__
typedef struct  {
    int __0;
    int __1;
} pthread_barrier_t;
#endif  /* __FACE_CONFORM____PTHREAD_BARRIER_T__ */

#ifndef __FACE_CONFORM____PTHREAD_BARRIERATTR_T__
#define __FACE_CONFORM____PTHREAD_BARRIERATTR_T__
typedef struct  {
    int __0;
    int __1;
} pthread_barrierattr_t;
#endif  /* __FACE_CONFORM____PTHREAD_BARRIERATTR_T__ */

#ifndef __FACE_CONFORM____PTHREAD_COND_T__
#define __FACE_CONFORM____PTHREAD_COND_T__
typedef struct  {
    int __0;
    int __1;
} pthread_cond_t;
#endif  /* __FACE_CONFORM____PTHREAD_COND_T__ */

#ifndef __FACE_CONFORM____PTHREAD_CONDATTR_T__
#define __FACE_CONFORM____PTHREAD_CONDATTR_T__
typedef struct  {
    int __0;
    int __1;
} pthread_condattr_t;
#endif  /* __FACE_CONFORM____PTHREAD_CONDATTR_T__ */

#ifndef __FACE_CONFORM____PTHREAD_KEY_T__
#define __FACE_CONFORM____PTHREAD_KEY_T__
typedef struct  {
    int __0;
    int __1;
} pthread_key_t;
#endif  /* __FACE_CONFORM____PTHREAD_KEY_T__ */

#ifndef __FACE_CONFORM____PTHREAD_MUTEX_T__
#define __FACE_CONFORM____PTHREAD_MUTEX_T__
typedef struct  {
    int __0;
    int __1;
} pthread_mutex_t;
#endif  /* __FACE_CONFORM____PTHREAD_MUTEX_T__ */

#ifndef __FACE_CONFORM____PTHREAD_MUTEXATTR_T__
#define __FACE_CONFORM____PTHREAD_MUTEXATTR_T__
typedef struct  {
    int __0;
    int __1;
} pthread_mutexattr_t;
#endif  /* __FACE_CONFORM____PTHREAD_MUTEXATTR_T__ */

#ifndef __FACE_CONFORM____PTHREAD_ONCE_T__
#define __FACE_CONFORM____PTHREAD_ONCE_T__
typedef struct  {
    int __0;
    int __1;
} pthread_once_t;
#endif  /* __FACE_CONFORM____PTHREAD_ONCE_T__ */

#ifndef __FACE_CONFORM____PTHREAD_RWLOCK_T__
#define __FACE_CONFORM____PTHREAD_RWLOCK_T__
typedef struct  {
    int __0;
    int __1;
} pthread_rwlock_t;
#endif  /* __FACE_CONFORM____PTHREAD_RWLOCK_T__ */

#ifndef __FACE_CONFORM____PTHREAD_RWLOCKATTR_T__
#define __FACE_CONFORM____PTHREAD_RWLOCKATTR_T__
typedef struct  {
    int __0;
    int __1;
} pthread_rwlockattr_t;
#endif  /* __FACE_CONFORM____PTHREAD_RWLOCKATTR_T__ */

#ifndef __FACE_CONFORM____PTHREAD_SPINLOCK_T__
#define __FACE_CONFORM____PTHREAD_SPINLOCK_T__
typedef struct  {
    int __0;
    int __1;
} pthread_spinlock_t;
#endif  /* __FACE_CONFORM____PTHREAD_SPINLOCK_T__ */

#ifndef __FACE_CONFORM____PTHREAD_T__
#define __FACE_CONFORM____PTHREAD_T__
typedef struct  {
    int __0;
    int __1;
} pthread_t;
#endif  /* __FACE_CONFORM____PTHREAD_T__ */

#ifndef __FACE_CONFORM____TRACE_ATTR_T__
#define __FACE_CONFORM____TRACE_ATTR_T__
typedef struct  {
    int __0;
    int __1;
} trace_attr_t;
#endif  /* __FACE_CONFORM____TRACE_ATTR_T__ */

#ifndef __FACE_CONFORM____TRACE_EVENT_ID_T__
#define __FACE_CONFORM____TRACE_EVENT_ID_T__
typedef struct  {
    int __0;
    int __1;
} trace_event_id_t;
#endif  /* __FACE_CONFORM____TRACE_EVENT_ID_T__ */

#ifndef __FACE_CONFORM____TRACE_EVENT_SET_T__
#define __FACE_CONFORM____TRACE_EVENT_SET_T__
typedef struct  {
    int __0;
    int __1;
} trace_event_set_t;
#endif  /* __FACE_CONFORM____TRACE_EVENT_SET_T__ */

#ifndef __FACE_CONFORM____TRACE_ID_T__
#define __FACE_CONFORM____TRACE_ID_T__
typedef struct  {
    int __0;
    int __1;
} trace_id_t;
#endif  /* __FACE_CONFORM____TRACE_ID_T__ */

#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__sys_types_h__ */

