/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__sys_socket_h__
#define __FACE_CONFORM__sys_socket_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <FACE_primtypes.h>
#include <sys/uio.h>
#ifndef __FACE_CONFORM____SOCKLEN_T__
#define __FACE_CONFORM____SOCKLEN_T__
typedef int socklen_t;

#endif  /* __FACE_CONFORM____SOCKLEN_T__ */

#ifndef __FACE_CONFORM____SA_FAMILY_T__
#define __FACE_CONFORM____SA_FAMILY_T__
typedef unsigned int sa_family_t;

#endif  /* __FACE_CONFORM____SA_FAMILY_T__ */

#ifndef __FACE_CONFORM____SIZE_T__
#define __FACE_CONFORM____SIZE_T__
typedef FACE_size_t size_t;

#endif  /* __FACE_CONFORM____SIZE_T__ */

#ifndef __FACE_CONFORM____SSIZE_T__
#define __FACE_CONFORM____SSIZE_T__
typedef int ssize_t;

#endif  /* __FACE_CONFORM____SSIZE_T__ */

#ifndef __FACE_CONFORM____SOCKADDR__
#define __FACE_CONFORM____SOCKADDR__
struct sockaddr {
    sa_family_t sa_family;
    char sa_data[14];
};
#endif  /* __FACE_CONFORM____SOCKADDR__ */

#ifndef __FACE_CONFORM____SOCKADDR_STORAGE__
#define __FACE_CONFORM____SOCKADDR_STORAGE__
struct sockaddr_storage {
    sa_family_t ss_family;
};
#endif  /* __FACE_CONFORM____SOCKADDR_STORAGE__ */

#ifndef __FACE_CONFORM____IOVEC__
#define __FACE_CONFORM____IOVEC__
struct iovec {
    void * iov_base;
    size_t iov_len;
};
#endif  /* __FACE_CONFORM____IOVEC__ */

#ifndef __FACE_CONFORM____MSGHDR__
#define __FACE_CONFORM____MSGHDR__
struct msghdr {
    void * msg_name;
    socklen_t msg_namelen;
    struct iovec * msg_iov;
    int msg_iovlen;
    void * msg_control;
    socklen_t msg_controllen;
    int msg_flags;
};
#endif  /* __FACE_CONFORM____MSGHDR__ */

#ifndef __FACE_CONFORM____CMSGHDR__
#define __FACE_CONFORM____CMSGHDR__
struct cmsghdr {
    socklen_t cmsg_len;
    int cmsg_level;
    int cmsg_type;
};
#endif  /* __FACE_CONFORM____CMSGHDR__ */

enum 
{
        SCM_RIGHTS,
};
#ifndef CMSG_DATA
	#define CMSG_DATA(cmsg) ((unsigned char *) 0)
#endif
#ifndef CMSG_NXTHDR
	#define CMSG_NXTHDR(mhdr,cmsg) ((struct cmsghdr*) 0)
#endif
#ifndef CMSG_FIRSTHDR
	#define CMSG_FIRSTHDR(mhdr) ((struct cmsghdr*) 0)
#endif
#ifndef __FACE_CONFORM____LINGER__
#define __FACE_CONFORM____LINGER__
struct linger {
    int l_onoff;
    int l_linger;
};
#endif  /* __FACE_CONFORM____LINGER__ */

enum 
{
        SOCK_DGRAM,
        SOCK_RAW,
        SOCK_SEQPACKET,
        SOCK_STREAM,
};
enum 
{
        SOL_SOCKET,
};
enum 
{
        SO_ACCEPTCONN,
        SO_BROADCAST,
        SO_DEBUG,
        SO_DONTROUTE,
        SO_ERROR,
        SO_KEEPALIVE,
        SO_LINGER,
        SO_OOBINLINE,
        SO_RCVBUF,
        SO_RCVLOWAT,
        SO_RCVTIMEO,
        SO_REUSEADDR,
        SO_SNDBUF,
        SO_SNDLOWAT,
        SO_SNDTIMEO,
        SO_TYPE,
};
enum 
{
        SOMAXCONN,
};
enum 
{
        MSG_CTRUNC,
        MSG_DONTROUTE,
        MSG_EOR,
        MSG_OOB,
        MSG_NOSIGNAL,
        MSG_PEEK,
        MSG_TRUNC,
        MSG_WAITALL,
};
enum 
{
        AF_INET,
        AF_INET6,
        AF_UNIX,
        AF_UNSPEC,
};
enum 
{
        SHUT_RD,
        SHUT_RDWR,
        SHUT_WR,
};
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__sys_socket_h__ */

