/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__termios_h__
#define __FACE_CONFORM__termios_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <FACE_primtypes.h>
#ifndef __FACE_CONFORM____CC_T__
#define __FACE_CONFORM____CC_T__
typedef unsigned int cc_t;

#endif  /* __FACE_CONFORM____CC_T__ */

#ifndef __FACE_CONFORM____SPEED_T__
#define __FACE_CONFORM____SPEED_T__
typedef unsigned int speed_t;

#endif  /* __FACE_CONFORM____SPEED_T__ */

#ifndef __FACE_CONFORM____TCFLAG_T__
#define __FACE_CONFORM____TCFLAG_T__
typedef unsigned int tcflag_t;

#endif  /* __FACE_CONFORM____TCFLAG_T__ */

#ifndef __FACE_CONFORM____PID_T__
#define __FACE_CONFORM____PID_T__
typedef int pid_t;

#endif  /* __FACE_CONFORM____PID_T__ */

enum 
{
        NCCS,
};
#ifndef __FACE_CONFORM____TERMIOS__
#define __FACE_CONFORM____TERMIOS__
struct termios {
    tcflag_t c_iflag;
    tcflag_t c_oflag;
    tcflag_t c_cflag;
    tcflag_t c_lflag;
    cc_t c_cc[NCCS];
};
#endif  /* __FACE_CONFORM____TERMIOS__ */

enum 
{
        VEOF,
        VEOL,
        VERASE,
        VINTR,
        VKILL,
        VMIN,
        VQUIT,
        VSTART,
        VSTOP,
        VSUSP,
        VTIME,
};
enum 
{
        BRKINT,
        ICRNL,
        IGNBRK,
        IGNCR,
        IGNPAR,
        INLCR,
        INPCK,
        ISTRIP,
        IXANY,
        IXOFF,
        IXON,
        PARMRK,
};
enum 
{
        OPOST,
        ONLCR,
        OCRNL,
        ONOCR,
        ONLRET,
        OFDEL,
        OFILL,
        NLDLY,
        NL0,
        NL1,
        CRDLY,
        CR0,
        CR1,
        CR2,
        CR3,
        TABDLY,
        TAB0,
        TAB1,
        TAB2,
        TAB3,
        BSDLY,
        BS0,
        BS1,
        VTDLY,
        VT0,
        VT1,
        FFDLY,
        FF0,
        FF1,
};
enum 
{
        B0,
        B50,
        B75,
        B110,
        B134,
        B150,
        B200,
        B300,
        B600,
        B1200,
        B1800,
        B2400,
        B4800,
        B9600,
        B19200,
        B38400,
};
enum 
{
        CSIZE,
        CS5,
        CS6,
        CS7,
        CS8,
        CSTOPB,
        CREAD,
        PARENB,
        PARODD,
        HUPCL,
        CLOCAL,
};
enum 
{
        ECHO,
        ECHOE,
        ECHOK,
        ECHONL,
        ICANON,
        IEXTEN,
        ISIG,
        NOFLSH,
        TOSTOP,
};
enum 
{
        TCSANOW,
        TCSADRAIN,
        TCSAFLUSH,
};
enum 
{
        TCIFLUSH,
        TCIOFLUSH,
        TCOFLUSH,
};
enum 
{
        TCIOFF,
        TCION,
        TCOOFF,
        TCOON,
};
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__termios_h__ */

