/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__netdb_h__
#define __FACE_CONFORM__netdb_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <FACE_primtypes.h>
#include <netinet/in.h>
#include <sys/socket.h>
#include <inttypes.h>
#ifndef __FACE_CONFORM____UINT32_T__
#define __FACE_CONFORM____UINT32_T__
typedef FACE_uint32_t uint32_t;

#endif  /* __FACE_CONFORM____UINT32_T__ */

#ifndef __FACE_CONFORM____IN_ADDR_T__
#define __FACE_CONFORM____IN_ADDR_T__
typedef uint32_t in_addr_t;

#endif  /* __FACE_CONFORM____IN_ADDR_T__ */

#ifndef __FACE_CONFORM____SOCKLEN_T__
#define __FACE_CONFORM____SOCKLEN_T__
typedef int socklen_t;

#endif  /* __FACE_CONFORM____SOCKLEN_T__ */

#ifndef __FACE_CONFORM____HOSTENT__
#define __FACE_CONFORM____HOSTENT__
struct hostent {
    char * h_name;
    char ** h_aliases;
    int h_addrtype;
    int h_length;
    char ** h_addr_list;
};
#endif  /* __FACE_CONFORM____HOSTENT__ */

#ifndef __FACE_CONFORM____NETENT__
#define __FACE_CONFORM____NETENT__
struct netent {
    char * n_name;
    char ** n_aliases;
    int n_addrtype;
    uint32_t n_net;
};
#endif  /* __FACE_CONFORM____NETENT__ */

#ifndef __FACE_CONFORM____PROTOENT__
#define __FACE_CONFORM____PROTOENT__
struct protoent {
    char * p_name;
    char ** p_aliases;
    int p_proto;
};
#endif  /* __FACE_CONFORM____PROTOENT__ */

#ifndef __FACE_CONFORM____SERVENT__
#define __FACE_CONFORM____SERVENT__
struct servent {
    char * s_name;
    char ** s_aliases;
    int s_port;
    char * s_proto;
};
#endif  /* __FACE_CONFORM____SERVENT__ */

enum 
{
        IPPORT_RESERVED,
};
#ifndef __FACE_CONFORM____ADDRINFO__
#define __FACE_CONFORM____ADDRINFO__
struct addrinfo {
    int ai_flags;
    int ai_family;
    int ai_socktype;
    int ai_protocol;
    socklen_t ai_addrlen;
    struct sockaddr * ai_addr;
    char * ai_canonname;
    struct addrinfo * ai_next;
};
#endif  /* __FACE_CONFORM____ADDRINFO__ */

enum 
{
        AI_PASSIVE,
        AI_CANONNAME,
        AI_NUMERICHOST,
        AI_NUMERICSERV,
        AI_V4MAPPED,
        AI_ALL,
        AI_ADDRCONFIG,
};
enum 
{
        NI_NOFQDN,
        NI_NUMERICHOST,
        NI_NAMEREQD,
        NI_NUMERICSERV,
        NI_NUMERICSCOPE,
        NI_DGRAM,
};
enum 
{
        EAI_AGAIN,
        EAI_BADFLAGS,
        EAI_FAIL,
        EAI_FAMILY,
        EAI_MEMORY,
        EAI_NONAME,
        EAI_SERVICE,
        EAI_SOCKTYPE,
        EAI_SYSTEM,
        EAI_OVERFLOW,
};
void freeaddrinfo(struct addrinfo *);
int getaddrinfo(const char *restrict, const char *restrict, const struct addrinfo *restrict, struct addrinfo **restrict);
int getnameinfo(const struct sockaddr *restrict, socklen_t, char *restrict, socklen_t, char *restrict, socklen_t, int);
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__netdb_h__ */

