/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__signal_h__
#define __FACE_CONFORM__signal_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <FACE_primtypes.h>
#ifndef SIG_DFL
	#define SIG_DFL ((void (*)(int)) 0)
#endif
#ifndef SIG_ERR
	#define SIG_ERR ((void (*)(int)) 0)
#endif
#ifndef SIG_HOLD
	#define SIG_HOLD ((void (*)(int)) 0)
#endif
#ifndef SIG_IGN
	#define SIG_IGN ((void (*)(int)) 0)
#endif
#ifndef __FACE_CONFORM____SIZE_T__
#define __FACE_CONFORM____SIZE_T__
typedef FACE_size_t size_t;

#endif  /* __FACE_CONFORM____SIZE_T__ */

#ifndef __FACE_CONFORM____UID_T__
#define __FACE_CONFORM____UID_T__
typedef int uid_t;

#endif  /* __FACE_CONFORM____UID_T__ */

#ifndef __FACE_CONFORM____TIME_T__
#define __FACE_CONFORM____TIME_T__
typedef int time_t;

#endif  /* __FACE_CONFORM____TIME_T__ */

#ifndef __FACE_CONFORM____SIG_ATOMIC_T__
#define __FACE_CONFORM____SIG_ATOMIC_T__
typedef int sig_atomic_t;

#endif  /* __FACE_CONFORM____SIG_ATOMIC_T__ */

#ifndef __FACE_CONFORM____SIGSET_T__
#define __FACE_CONFORM____SIGSET_T__
typedef int sigset_t;

#endif  /* __FACE_CONFORM____SIGSET_T__ */

#ifndef __FACE_CONFORM____PID_T__
#define __FACE_CONFORM____PID_T__
typedef int pid_t;

#endif  /* __FACE_CONFORM____PID_T__ */

#ifndef __FACE_CONFORM____MCONTEXT_T__
#define __FACE_CONFORM____MCONTEXT_T__
typedef void* mcontext_t;

#endif  /* __FACE_CONFORM____MCONTEXT_T__ */

#ifndef __FACE_CONFORM____SIGVAL__
#define __FACE_CONFORM____SIGVAL__
union sigval {
    int sival_int;
    void * sival_ptr;
};
#endif  /* __FACE_CONFORM____SIGVAL__ */

#ifndef __FACE_CONFORM____SIGINFO_T__
#define __FACE_CONFORM____SIGINFO_T__
typedef struct  {
    int si_signo;
    int si_code;
    int si_errno;
    pid_t si_pid;
    uid_t si_uid;
    void * si_addr;
    int si_status;
    long si_band;
    union sigval si_value;
} siginfo_t;
#endif  /* __FACE_CONFORM____SIGINFO_T__ */

#ifndef __FACE_CONFORM_SIGEVENT_FUNCPTR
    #ifndef __FACE_CONFORM_SIGEVENT_FUNCPTR
    	#define __FACE_CONFORM_SIGEVENT_FUNCPTR 
    #endif
    typedef  void (*__face_sigevent_func_ptr) (union sigval);
#endif
typedef  void (*__face_sigaction_sa_handler)(int);
typedef  void (*__face_sigaction_sa_sigaction)(int, siginfo_t *, void *);
#ifndef __FACE_CONFORM____PTHREAD_T__
#define __FACE_CONFORM____PTHREAD_T__
typedef struct  {
    int __0;
    int __1;
} pthread_t;
#endif  /* __FACE_CONFORM____PTHREAD_T__ */

#ifndef __FACE_CONFORM____PTHREAD_ATTR_T__
#define __FACE_CONFORM____PTHREAD_ATTR_T__
typedef struct  {
    int __0;
    int __1;
} pthread_attr_t;
#endif  /* __FACE_CONFORM____PTHREAD_ATTR_T__ */

#ifndef __FACE_CONFORM____TIMESPEC__
#define __FACE_CONFORM____TIMESPEC__
struct timespec {
    time_t tv_sec;
    long tv_nsec;
};
#endif  /* __FACE_CONFORM____TIMESPEC__ */

#ifndef __FACE_CONFORM____SIGEVENT__
#define __FACE_CONFORM____SIGEVENT__
struct sigevent {
    int sigev_notify;
    int sigev_signo;
    union sigval sigev_value;
    __face_sigevent_func_ptr sigev_notify_function;
    pthread_attr_t * sigev_notify_attributes;
};
#endif  /* __FACE_CONFORM____SIGEVENT__ */

enum 
{
        SIGEV_NONE,
        SIGEV_SIGNAL,
        SIGEV_THREAD,
};
#ifndef SIGRTMIN
	#define SIGRTMIN 32
#endif
#ifndef SIGRTMAX
	#define SIGRTMAX 65
#endif
#ifndef SIGABRT
	#define SIGABRT 1
#endif
#ifndef SIGALRM
	#define SIGALRM 2
#endif
#ifndef SIGBUS
	#define SIGBUS 3
#endif
#ifndef SIGCHLD
	#define SIGCHLD 4
#endif
#ifndef SIGCONT
	#define SIGCONT 5
#endif
#ifndef SIGFPE
	#define SIGFPE 6
#endif
#ifndef SIGHUP
	#define SIGHUP 7
#endif
#ifndef SIGILL
	#define SIGILL 8
#endif
#ifndef SIGINT
	#define SIGINT 9
#endif
#ifndef SIGKILL
	#define SIGKILL 10
#endif
#ifndef SIGPIPE
	#define SIGPIPE 11
#endif
#ifndef SIGQUIT
	#define SIGQUIT 12
#endif
#ifndef SIGSEGV
	#define SIGSEGV 13
#endif
#ifndef SIGSTOP
	#define SIGSTOP 14
#endif
#ifndef SIGTERM
	#define SIGTERM 15
#endif
#ifndef SIGTSTP
	#define SIGTSTP 16
#endif
#ifndef SIGTTIN
	#define SIGTTIN 17
#endif
#ifndef SIGTTOU
	#define SIGTTOU 18
#endif
#ifndef SIGUSR1
	#define SIGUSR1 19
#endif
#ifndef SIGUSR2
	#define SIGUSR2 20
#endif
#ifndef SIGPOLL
	#define SIGPOLL 21
#endif
#ifndef SIGPROF
	#define SIGPROF 22
#endif
#ifndef SIGSYS
	#define SIGSYS 23
#endif
#ifndef SIGTRAP
	#define SIGTRAP 24
#endif
#ifndef SIGURG
	#define SIGURG 25
#endif
#ifndef SIGVTALRM
	#define SIGVTALRM 26
#endif
#ifndef SIGXCPU
	#define SIGXCPU 27
#endif
#ifndef SIGXFSZ
	#define SIGXFSZ 28
#endif
#ifndef __FACE_CONFORM____SIGACTION__
#define __FACE_CONFORM____SIGACTION__
struct sigaction {
    __face_sigaction_sa_handler sa_handler;
    sigset_t sa_mask;
    int sa_flags;
    __face_sigaction_sa_sigaction sa_sigaction;
};
#endif  /* __FACE_CONFORM____SIGACTION__ */

#ifndef SIG_BLOCK
	#define SIG_BLOCK 0
#endif
#ifndef SIG_UNBLOCK
	#define SIG_UNBLOCK 1
#endif
#ifndef SIG_SETMASK
	#define SIG_SETMASK 2
#endif
enum 
{
        SA_NOCLDSTOP,
        SA_ONSTACK,
        SA_RESETHAND,
        SA_RESTART,
        SA_SIGINFO,
        SA_NOCLDWAIT,
        SA_NODEFER,
        SS_ONSTACK,
        SS_DISABLE,
        MINSIGSTKSZ,
        SIGSTKSZ,
};
#ifndef __FACE_CONFORM____STACK_T__
#define __FACE_CONFORM____STACK_T__
typedef struct  {
    void * ss_sp;
    size_t ss_size;
    int ss_flags;
} stack_t;
#endif  /* __FACE_CONFORM____STACK_T__ */

#ifndef __FACE_CONFORM____UCONTEXT_T__
#define __FACE_CONFORM____UCONTEXT_T__
typedef struct ucontext_t {
    struct ucontext_t * uc_link;
    sigset_t uc_sigmask;
    stack_t uc_stack;
    mcontext_t uc_mcontext;
} ucontext_t;
#endif  /* __FACE_CONFORM____UCONTEXT_T__ */

enum 
{
        ILL_ILLOPC,
        ILL_ILLOPN,
        ILL_ILLADR,
        ILL_ILLTRP,
        ILL_PRVOPC,
        ILL_PRVREG,
        ILL_COPROC,
        ILL_BADSTK,
        FPE_INTDIV,
        FPE_INTOVF,
        FPE_FLTDIV,
        FPE_FLTOVF,
        FPE_FLTUND,
        FPE_FLTRES,
        FPE_FLTINV,
        FPE_FLTSUB,
        SEGV_MAPERR,
        SEGV_ACCERR,
        BUS_ADRALN,
        BUS_ADRERR,
        BUS_OBJERR,
        TRAP_BRKPT,
        TRAP_TRACE,
        CLD_EXITED,
        CLD_KILLED,
        CLD_DUMPED,
        CLD_TRAPPED,
        CLD_STOPPED,
        CLD_CONTINUED,
        POLL_IN,
        POLL_OUT,
        POLL_MSG,
        POLL_ERR,
        POLL_PRI,
        POLL_HUP,
        Any,
        SI_USER,
        SI_QUEUE,
        SI_TIMER,
        SI_ASYNCIO,
        SI_MESGQ,
};
int pthread_sigmask(int, const sigset_t *restrict, sigset_t *restrict);
int sigaction(int, const struct sigaction *restrict, struct sigaction *restrict);
int sigaddset(sigset_t *, int);
int sigdelset(sigset_t *, int);
int sigemptyset(sigset_t *);
int sigfillset(sigset_t *);
int sigismember(const sigset_t *, int);
int sigpending(sigset_t *);
int sigqueue(pid_t, int, const union sigval);
int sigsuspend(const sigset_t *);
int sigtimedwait(const sigset_t *restrict, siginfo_t *restrict, const struct timespec *restrict);
int sigwait(const sigset_t *restrict, int *restrict);
int sigwaitinfo(const sigset_t *restrict, siginfo_t *restrict);
#include <time.h>
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__signal_h__ */

