/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__fcntl_h__
#define __FACE_CONFORM__fcntl_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <FACE_primtypes.h>
#include <sys/stat.h>
#include <unistd.h>
#ifndef __FACE_CONFORM____MODE_T__
#define __FACE_CONFORM____MODE_T__
typedef int mode_t;

#endif  /* __FACE_CONFORM____MODE_T__ */

#ifndef __FACE_CONFORM____OFF_T__
#define __FACE_CONFORM____OFF_T__
typedef int off_t;

#endif  /* __FACE_CONFORM____OFF_T__ */

#ifndef __FACE_CONFORM____PID_T__
#define __FACE_CONFORM____PID_T__
typedef int pid_t;

#endif  /* __FACE_CONFORM____PID_T__ */

enum 
{
        F_DUPFD,
        F_DUPFD_CLOEXEC,
        F_GETFDF_GETFD,
        F_SETFD,
        F_GETFL,
        F_SETFL,
        F_GETLK,
        F_SETLK,
        F_SETLKW,
        F_GETOWN,
        F_SETOWN,
};
enum 
{
        FD_CLOEXEC,
};
enum 
{
        F_RDLCK,
        F_UNLCK,
        F_WRLCK,
};
#ifndef SEEK_CUR
	#define SEEK_CUR 1
#endif
#ifndef SEEK_END
	#define SEEK_END 2
#endif
#ifndef SEEK_SET
	#define SEEK_SET 3
#endif
enum 
{
        O_CLOEXEC,
        O_CREAT,
        O_DIRECTORY,
        O_EXCL,
        O_NOCTTY,
        O_NOFOLLOW,
        O_TRUNC,
        O_TTY_INIT,
};
enum 
{
        O_APPEND,
        O_DSYNC,
        O_NONBLOCK,
        O_RSYNC,
        O_SYNC,
};
enum 
{
        O_ACCMODE,
};
enum 
{
        O_EXEC,
        O_RDONLY,
        O_RDWR,
        O_SEARCH,
        O_WRONLY,
};
enum 
{
        AT_FDCWD,
};
enum 
{
        AT_EACCESS,
};
enum 
{
        AT_SYMLINK_NOFOLLOW,
};
enum 
{
        AT_SYMLINK_FOLLOW,
};
enum 
{
        AT_REMOVEDIR,
};
enum 
{
        POSIX_FADV_DONTNEED,
        POSIX_FADV_NOREUSE,
        POSIX_FADV_NORMAL,
        POSIX_FADV_RANDOM,
        POSIX_FADV_SEQUENTIAL,
        POSIX_FADV_WILLNEED,
};
#ifndef __FACE_CONFORM____FLOCK__
#define __FACE_CONFORM____FLOCK__
struct flock {
    short l_type;
    short l_whence;
    off_t l_start;
    off_t l_len;
    pid_t l_pid;
};
#endif  /* __FACE_CONFORM____FLOCK__ */

#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__fcntl_h__ */

