/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__complex_h__
#define __FACE_CONFORM__complex_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <FACE_primtypes.h>
#ifdef __cplusplus
}  // std::complex inside the C++ complex header can not be extern "C"
#include <complex>
extern "C" {   // std::complex inside the C++ complex header can not be extern "C"
    #ifndef __FACE_Conform_complex
    	#define __FACE_Conform_complex(T) std::complex<T>
    #endif
#else
    #ifndef __FACE_Conform_complex
    	#define __FACE_Conform_complex(T) T _Complex
    #endif
    #ifndef complex
    	#define complex _Complex
    #endif
#endif
#ifndef _Complex_I
	#define _Complex_I 1
#endif
#ifndef imaginary
	#define imaginary _Imaginary
#endif
#ifndef _Imaginary_I
	#define _Imaginary_I 1
#endif
#ifndef I
	#define I 1
#endif
double cabs(__FACE_Conform_complex(double));
float cabsf(__FACE_Conform_complex(float));
long double cabsl(__FACE_Conform_complex(long double));
__FACE_Conform_complex(double) cacos(__FACE_Conform_complex(double));
__FACE_Conform_complex(float) cacosf(__FACE_Conform_complex(float));
__FACE_Conform_complex(double) cacosh(__FACE_Conform_complex(double));
__FACE_Conform_complex(float) cacoshf(__FACE_Conform_complex(float));
__FACE_Conform_complex(long double) cacoshl(__FACE_Conform_complex(long double));
__FACE_Conform_complex(long double) cacosl(__FACE_Conform_complex(long double));
double carg(__FACE_Conform_complex(double));
float cargf(__FACE_Conform_complex(float));
long double cargl(__FACE_Conform_complex(long double));
__FACE_Conform_complex(double) casin(__FACE_Conform_complex(double));
__FACE_Conform_complex(float) casinf(__FACE_Conform_complex(float));
__FACE_Conform_complex(double) casinh(__FACE_Conform_complex(double));
__FACE_Conform_complex(float) casinhf(__FACE_Conform_complex(float));
__FACE_Conform_complex(long double) casinhl(__FACE_Conform_complex(long double));
__FACE_Conform_complex(long double) casinl(__FACE_Conform_complex(long double));
__FACE_Conform_complex(double) catan(__FACE_Conform_complex(double));
__FACE_Conform_complex(float) catanf(__FACE_Conform_complex(float));
__FACE_Conform_complex(double) catanh(__FACE_Conform_complex(double));
__FACE_Conform_complex(float) catanhf(__FACE_Conform_complex(float));
__FACE_Conform_complex(long double) catanhl(__FACE_Conform_complex(long double));
__FACE_Conform_complex(long double) catanl(__FACE_Conform_complex(long double));
__FACE_Conform_complex(double) ccos(__FACE_Conform_complex(double));
__FACE_Conform_complex(float) ccosf(__FACE_Conform_complex(float));
__FACE_Conform_complex(double) ccosh(__FACE_Conform_complex(double));
__FACE_Conform_complex(float) ccoshf(__FACE_Conform_complex(float));
__FACE_Conform_complex(long double) ccoshl(__FACE_Conform_complex(long double));
__FACE_Conform_complex(long double) ccosl(__FACE_Conform_complex(long double));
__FACE_Conform_complex(double) cexp(__FACE_Conform_complex(double));
__FACE_Conform_complex(float) cexpf(__FACE_Conform_complex(float));
__FACE_Conform_complex(long double) cexpl(__FACE_Conform_complex(long double));
double cimag(__FACE_Conform_complex(double));
float cimagf(__FACE_Conform_complex(float));
long double cimagl(__FACE_Conform_complex(long double));
__FACE_Conform_complex(long double) clog(__FACE_Conform_complex(long double));
__FACE_Conform_complex(float) clogf(__FACE_Conform_complex(float));
__FACE_Conform_complex(long double) clogl(__FACE_Conform_complex(long double));
__FACE_Conform_complex(double) conj(__FACE_Conform_complex(double));
__FACE_Conform_complex(float) conjf(__FACE_Conform_complex(float));
__FACE_Conform_complex(long double) conjl(__FACE_Conform_complex(long double));
float cpow(__FACE_Conform_complex(double), __FACE_Conform_complex(double));
__FACE_Conform_complex(float) cpowf(__FACE_Conform_complex(float), __FACE_Conform_complex(float));
__FACE_Conform_complex(long double) cpowl(__FACE_Conform_complex(long double), __FACE_Conform_complex(long double));
__FACE_Conform_complex(double) cproj(__FACE_Conform_complex(double));
__FACE_Conform_complex(float) cprojf(__FACE_Conform_complex(float));
__FACE_Conform_complex(long double) cprojl(__FACE_Conform_complex(long double));
double creal(__FACE_Conform_complex(double));
float crealf(__FACE_Conform_complex(float));
long double creall(__FACE_Conform_complex(long double));
__FACE_Conform_complex(double) csin(__FACE_Conform_complex(double));
__FACE_Conform_complex(float) csinf(__FACE_Conform_complex(float));
__FACE_Conform_complex(long double) csinh(__FACE_Conform_complex(long double));
__FACE_Conform_complex(float) csinhf(__FACE_Conform_complex(float));
__FACE_Conform_complex(long double) csinhl(__FACE_Conform_complex(long double));
__FACE_Conform_complex(long double) csinl(__FACE_Conform_complex(long double));
__FACE_Conform_complex(double) csqrt(__FACE_Conform_complex(double));
__FACE_Conform_complex(float) csqrtf(__FACE_Conform_complex(float));
__FACE_Conform_complex(long double) csqrtl(__FACE_Conform_complex(long double));
__FACE_Conform_complex(double) ctan(__FACE_Conform_complex(double));
__FACE_Conform_complex(float) ctanf(__FACE_Conform_complex(float));
__FACE_Conform_complex(double) ctanh(__FACE_Conform_complex(double));
__FACE_Conform_complex(float) ctanhf(__FACE_Conform_complex(float));
__FACE_Conform_complex(long double) ctanhl(__FACE_Conform_complex(long double));
__FACE_Conform_complex(long double) ctanl(__FACE_Conform_complex(long double));
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__complex_h__ */

