/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__limits_h__
#define __FACE_CONFORM__limits_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#ifndef CHAR_BIT
	#define CHAR_BIT 8
#endif
#ifndef CHAR_MAX
	#define CHAR_MAX UCHAR_MAX
#endif
#ifndef CHAR_MIN
	#define CHAR_MIN 0
#endif
#ifndef INT_MAX
	#define INT_MAX 2147483647
#endif
#ifndef INT_MIN
	#define INT_MIN -2147483647
#endif
#ifndef LONG_MAX
	#define LONG_MAX +2147483647
#endif
#ifndef LONG_MIN
	#define LONG_MIN -2147483647
#endif
#ifndef MB_LEN_MAX
	#define MB_LEN_MAX 1
#endif
#ifndef SCHAR_MAX
	#define SCHAR_MAX +127
#endif
#ifndef SCHAR_MIN
	#define SCHAR_MIN -128
#endif
#ifndef SHRT_MAX
	#define SHRT_MAX +32767
#endif
#ifndef SHRT_MIN
	#define SHRT_MIN -32767
#endif
#ifndef UCHAR_MAX
	#define UCHAR_MAX 255
#endif
#ifndef UINT_MAX
	#define UINT_MAX 4294967295
#endif
#ifndef ULONG_MAX
	#define ULONG_MAX 4294967295
#endif
#ifndef USHRT_MAX
	#define USHRT_MAX 65535
#endif
#ifndef LLONG_MAX
	#define LLONG_MAX +9223372036854775807
#endif
#ifndef LLONG_MIN
	#define LLONG_MIN -9223372036854775807
#endif
#ifndef ULLONG_MAX
	#define ULLONG_MAX 18446744073709551615
#endif
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__limits_h__ */

