/************************************************************************************
 * Copyright (c) Vanderbilt University, 2020                                        *
 *                                                                                  *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     *
 *                                                                                  *
 * This software, authored by Vanderbilt University under a contract awarded to and *
 * managed by Alion Science and Technology, was funded by the U.S. Government under *
 * Contract No. FA8075-14-D-0014 and the U.S. Government has unlimited rights in    *
 * this software.  An unlimited rights license means that the U.S. Government can   *
 * use, modify, reproduce, release or disclose computer software in whole or in     *
 * part, in any manner, and for any purpose whatsoever, and to have or authorize    *
 * others to do so.                                                                 *
 *                                                                                  *
 * Vanderbilt University disclaims all warranties with regard to this software,     *
 * including all implied warranties of merchantability and fitness. In no event     *
 * shall Vanderbilt University be liable for any special, indirect or consequential *
 * damages or any damages whatsoever resulting from loss of use, data or profits,   *
 * whether in an action of contract, negligence or other tortious action, arising   *
 * out of or in connection with the use or performance of this software.            *
 *                                                                                  *
 * May contain products produced under DoD SENSIAC contract HC104705D4000 under the *
 * sponsorship of the Defense Technical Information Center,                         *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  *
 * Information Center.                                                              *
 *                                                                                  *
 * Conformance Test Suite Version 2.1.1r9 supporting FACE Standard Version 2.1.1    *
 *                                                                                  *
 * This file is generated and may be overwritten.                                   *
 *                                                                                  *
 * Release Date: 29-Aug-2023                                                        *
 ************************************************************************************/

#ifndef __FACE_CONFORM__wchar_h__
#define __FACE_CONFORM__wchar_h__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <FACE_primtypes.h>
#include <ctype.h>
#include <string.h>
#include <stdarg.h>
#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <stdarg.h>
#ifndef __FACE_CONFORM____MBSTATE_T__
#define __FACE_CONFORM____MBSTATE_T__
typedef void* mbstate_t;

#endif  /* __FACE_CONFORM____MBSTATE_T__ */

#ifndef __FACE_CONFORM____SIZE_T__
#define __FACE_CONFORM____SIZE_T__
typedef FACE_size_t size_t;

#endif  /* __FACE_CONFORM____SIZE_T__ */

#ifndef __cplusplus
#ifndef __FACE_CONFORM____WCHAR_T__
#define __FACE_CONFORM____WCHAR_T__
    typedef int wchar_t;

#endif  /* __FACE_CONFORM____WCHAR_T__ */

#endif
#ifndef __FACE_CONFORM____WINT_T__
#define __FACE_CONFORM____WINT_T__
typedef int wint_t;

#endif  /* __FACE_CONFORM____WINT_T__ */

#ifndef __FACE_CONFORM____FILE__
#define __FACE_CONFORM____FILE__
typedef struct  {
    int __0;
    int __1;
} FILE;
#endif  /* __FACE_CONFORM____FILE__ */

#ifndef __FACE_CONFORM____VA_LIST__
#define __FACE_CONFORM____VA_LIST__
typedef struct  {
    int __0;
    int __1;
} va_list;
#endif  /* __FACE_CONFORM____VA_LIST__ */

#ifndef __FACE_CONFORM____TM__
#define __FACE_CONFORM____TM__
struct tm {
    int tm_sec;
    int tm_min;
    int tm_hour;
    int tm_mday;
    int tm_mon;
    int tm_year;
    int tm_wday;
    int tm_yday;
    int tm_isdst;
};
#endif  /* __FACE_CONFORM____TM__ */

#ifndef WCHAR_MAX
	#define WCHAR_MAX 127
#endif
#ifndef WCHAR_MIN
	#define WCHAR_MIN -127
#endif
#ifndef WEOF
	#define WEOF (0xffffffffu)
#endif
#ifndef __FACE_CONFORM___NULL
    #ifndef __FACE_CONFORM___NULL
    	#define __FACE_CONFORM___NULL 
    #endif
    #ifndef NULL
    	#define NULL FACE_NULL
    #endif
#endif
#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __FACE_CONFORM__wchar_h__ */

