/*
 * DISTRIBUTION STATEMENT A. Approved for public release; distribution is unlimited.
 *
 * Product produced under DoD SENSIAC contract HC104705D4000 under the sponsorship of the Defense
 * Technical Information Center, ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA
 * 22060-6218.  SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical
 * Information Center.
 * 
 * HANDLING AND DESTRUCTION NOTICE - Comply with distribution statement and destroy by any method that
 * will prevent disclosure of the contents or reconstruction of the document.
 */

#ifndef __JNI_ERRORS
#define __JNI_ERRORS

/****************************************************************************
* Custom JNI Error symbols
*
* In addition to POSIX-defined errors (like EBADF), errors specific to JNI
*  may need to be passed back to Java from native code. These errors should
*  avoid overlapping with POSIX errors, so a sizeable offset is used.
*****************************************************************************/

#define JNI_ERROR_OFFSET 100

const jint JNI_JSTRING_CSTRING_ERR = -(JNI_ERROR_OFFSET + 0);
const jint JNI_JARRAY_CARRAY_ERR =   -(JNI_ERROR_OFFSET + 1);
const jint JNI_NULL_ARG =            -(JNI_ERROR_OFFSET + 2);
const jint JNI_ARRAY_INVAL_LENGTH =  -(JNI_ERROR_OFFSET + 3);

#endif // __JNI_ERRORS