
-------------------------------------------------------------------------------------
-- DISTRIBUTION STATEMENT A. Approved for public release; distribution is unlimited.
--                                                                                  
-- Product produced under DoD SENSIAC contract HC104705D4000 under the sponsorship  
-- of the Defense Technical Information Center,                                     
-- ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  
-- SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  
-- Information Center.                                                              
--                                                                                  
-- HANDLING AND DESTRUCTION NOTICE - Comply with distribution statement and destroy 
-- by any method that will prevent disclosure of the contents or reconstruction of  
-- the document.                                                                    
--                                                                                  
-- Copyright (c) Vanderbilt University, 2014                                        
--                                                                                  
-- ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     
--                                                                                  
-- Developed under contract for the U.S. Department of Defense                      
-- by the Institute for Software Integrated Systems (ISIS), Vanderbilt University   
--                                                                                  
-- The FACE Consortium will not currently accept any results from this release for  
-- certifying software components as FACE Conformant                                
--                                                                                  
-- Vanderbilt University disclaims all warranties with regard to this software,     
-- including all implied warranties of merchantability and fitness.  In no event    
-- shall Vanderbilt University be liable for any special, indirect or               
-- consequential damages or any damages whatsoever resulting from loss of use,      
-- data or profits, whether in an action of contract, negligence or other tortious  
-- action, arising out of or in connection with the use or performance of this      
-- software.                                                                        
--                                                                                  
--                                                                                  
-- This file is generated and will be overwritten.  Do not modify by hand.          
-- Filename: goldStandardLibraries/Ada/spec/FACE/face-io.ads                        
-- Date Created: 2014-10-20 16:20:38.849226                                         
-------------------------------------------------------------------------------------
with FACE_Basic_Types; 


package FACE.IO is

    subtype INTERFACE_NAME_TYPE is Standard.String(1 .. 30);
    
    type MESSAGE_LENGTH_TYPE is new FACE_Basic_Types.Unsigned_Long;
    
    type BUS_TYPE is
        (
            MIL_STD_1553,
            ARINC_429,
            SERIAL,
            DISCRETE,
            ANALOG,
            SYNCHRO,
            HIGH_PRECISION_SYNCHRO,
            VME,
            GENERIC_BUS,
            USER_DEFINED_BUS_1,
            USER_DEFINED_BUS_2,
            USER_DEFINED_BUS_3,
            USER_DEFINED_BUS_n
        );
    for BUS_TYPE'Size use FACE_Basic_Types.Enum_Size;
    pragma Convention (C, BUS_TYPE);
    
    type IO_CONNECTION_STATUS_TYPE is
        (
            GO,
            NOGO,
            IDLE,
            DEGRADED
        );
    for IO_CONNECTION_STATUS_TYPE'Size use FACE_Basic_Types.Enum_Size;
    pragma Convention (C, IO_CONNECTION_STATUS_TYPE);
    
    type STATUS_TYPE is
        record
              last_message_time : FACE.SYSTEM_TIME_TYPE;
              message_available : FACE_Basic_Types.Boolean;
              connection_status : FACE.IO.IO_CONNECTION_STATUS_TYPE;
    
        end record;
    pragma Convention (C, STATUS_TYPE);
    
    type MESSAGE_TYPE is
        (
            COMMAND,
            STATUS,
            DATA,
            USER_DEFINED
        );
    for MESSAGE_TYPE'Size use FACE_Basic_Types.Enum_Size;
    pragma Convention (C, MESSAGE_TYPE);
    
    type COMMAND_TYPE is
        (
            OPEN,
            REGISTER,
            READ,
            WRITE,
            CLOSE,
            GET_STATUS,
            UNREGISTER
        );
    for COMMAND_TYPE'Size use FACE_Basic_Types.Enum_Size;
    pragma Convention (C, COMMAND_TYPE);
    
    type A429_STATUS_TYPE is
        (
            A429_IO_HW_OPERATIONAL,
            A429_IO_HW_FIFO_OVERFLOW,
            A429_IO_SW_CIRCULAR_BUFF_OVERFLOW,
            A429_IO_HW_ADDRESS_ERROR,
            A429_IO_HW_SEQUENCE_ERROR,
            A429_IO_HW_PARITY_ERROR,
            A429_IO_CLOCK_LOSS,
            A429_IO_UNKNOWN_ERROR
        );
    for A429_STATUS_TYPE'Size use FACE_Basic_Types.Enum_Size;
    pragma Convention (C, A429_STATUS_TYPE);
    
    type M1553_STATUS_TYPE is
        (
            M1553_BC_IO_NO_RESPONSE,
            M1553_BC_IO_LOOP_TEST_FAIL,
            M1553_BC_IO_MSG_RETRIED,
            M1553_BC_IO_BAD_DATA_BLOCK,
            M1553_BC_IO_ADDRESS_ERROR,
            M1553_BC_IO_WORD_COUNT_ERROR,
            M1553_BC_IO_SYNC_ERROR,
            M1553_BC_IO_INVALID_WORD,
            M1553_RT_IO_TERMINAL_FLAG,
            M1553_RT_IO_SUBSYSTEM_FLAG,
            M1553_RT_IO_SERVICE_REQUEST,
            M1553_RT_IO_BUSY,
            M1553_RT_IO_DYNAMIC_BC,
            M1553_RT_IO_NO_RESPONSE,
            M1553_RT_IO_LOOP_TEST_FAIL,
            M1553_RT_IO_ILLEGAL_COMMAND_WORD,
            M1553_RT_IO_WORD_COUNT_ERROR,
            M1553_RT_IO_SYNC_ERROR,
            M1553_RT_IO_INVALID_WORD,
            M1553_RT_IO_RT_RT_GAP_SYNC_ADDR_ERROR,
            M1553_RT_IO_RT_RT_2ND_CMD_ERROR,
            M1553_RT_IO_COMMAND_WORD_ERROR,
            M1553_BM_IO_NO_RESPONSE,
            M1553_BM_IO_WORD_COUNT_ERROR,
            M1553_BM_IO_SYNC_ERROR,
            M1553_BM_IO_INVALID_WORD,
            M1553_BM_IO_RT_RT_GAP_SYNC_ADDR_ERROR,
            M1553_BM_IO_RT_RT_2ND_CMD_ERROR,
            M1553_BM_IO_COMMAND_WORD_ERROR,
            M1553_BM_IO_BAD_DATA_BLOCK,
            M1553_BM_IO_MESSAGE_ERROR,
            M1553_BM_IO_INSTRUMENTATION,
            M1553_BM_IO_SERVICE_REQUEST,
            M1553_BM_IO_RESERVED_BITS,
            M1553_BM_IO_BROADCAST_RCVD,
            M1553_BM_IO_BUSY,
            M1553_BM_IO_SF,
            M1553_BM_IO_DYNAMIC_BC,
            M1553_BM_IO_TF,
            M1553_DRIVER_READY,
            M1553_DRIVER_ERROR,
            M1553_UNKNOWN_ERROR,
            M1553_RX_SUCCESS,
            M1553_TX_SUCCESS,
            M1553_RXMODE_SUCCESS,
            M1553_TXMODE_SUCCESS,
            M1553_RT_TO_RT_SUCCESS,
            M1553_BC_IO_GO,
            M1553_BC_IO_NOGO_A,
            M1553_BC_IO_NOGO_B,
            M1553_BC_IO_NOGO_T
        );
    for M1553_STATUS_TYPE'Size use FACE_Basic_Types.Enum_Size;
    pragma Convention (C, M1553_STATUS_TYPE);
    
    type M1553_WORD_TYPE is
        (
            M1553_CMD,
            M1553_STATUS,
            M1553_DATA
        );
    for M1553_WORD_TYPE'Size use FACE_Basic_Types.Enum_Size;
    pragma Convention (C, M1553_WORD_TYPE);
    
    type SERIAL_STATUS_TYPE is
        (
            SERIAL_DEVICE_OPERATIONAL,
            SERIAL_OVERRUN_ERROR,
            SERIAL_PARITY_ERROR,
            SERIAL_FRAMING_ERROR,
            SERIAL_BREAK_ERROR
        );
    for SERIAL_STATUS_TYPE'Size use FACE_Basic_Types.Enum_Size;
    pragma Convention (C, SERIAL_STATUS_TYPE);
    
    DISCRETE_ERROR : constant FACE_Basic_Types.Short := 1;
    
    ANALOG_ERROR : constant FACE_Basic_Types.Short := 1;
    
    subtype MESSAGE_ADDR_TYPE is FACE.SYSTEM_ADDRESS_TYPE;
    
    subtype INTERFACE_HANDLE_TYPE is FACE.SYSTEM_ADDRESS_TYPE;
    
    type CALLBACK_ADDRESS_TYPE is access procedure
    (
        message_length      : in    MESSAGE_LENGTH_TYPE;data_buffer_address : in    MESSAGE_ADDR_TYPE;return_code         :   out RETURN_CODE_TYPE
    );
    pragma Convention(C, CALLBACK_ADDRESS_TYPE);
    
    procedure Initialize
    (
        configuration : in     FACE.CONFIGURATION_RESOURCE;
        return_code   :    out FACE.RETURN_CODE_TYPE
    );
    
    procedure Open
    (
        name        : in     FACE.IO.INTERFACE_NAME_TYPE;
        timeout     : in     FACE.TIMEOUT_TYPE;
        handle      :    out FACE.IO.INTERFACE_HANDLE_TYPE;
        return_code :    out FACE.RETURN_CODE_TYPE
    );
    
    procedure Register
    (
        handle           : in     FACE.IO.INTERFACE_HANDLE_TYPE;
        callback_address : in     FACE.IO.CALLBACK_ADDRESS_TYPE;
        return_code      :    out FACE.RETURN_CODE_TYPE
    );
    
    procedure Unregister
    (
        handle      : in     FACE.IO.INTERFACE_HANDLE_TYPE;
        return_code :    out FACE.RETURN_CODE_TYPE
    );
    
    procedure Read
    (
        handle              : in     FACE.IO.INTERFACE_HANDLE_TYPE;
        timeout             : in     FACE.TIMEOUT_TYPE;
        message_length      : in out FACE.IO.MESSAGE_LENGTH_TYPE;
        data_buffer_address : in     FACE.IO.MESSAGE_ADDR_TYPE;
        return_code         :    out FACE.RETURN_CODE_TYPE
    );
    
    procedure Write
    (
        handle              : in     FACE.IO.INTERFACE_HANDLE_TYPE;
        timeout             : in     FACE.TIMEOUT_TYPE;
        message_length      : in     FACE.IO.MESSAGE_LENGTH_TYPE;
        data_buffer_address : in     FACE.IO.MESSAGE_ADDR_TYPE;
        return_code         :    out FACE.RETURN_CODE_TYPE
    );
    
    procedure Get_Status
    (
        handle      : in     FACE.IO.INTERFACE_HANDLE_TYPE;
        status      :    out FACE.IO.STATUS_TYPE;
        return_code :    out FACE.RETURN_CODE_TYPE
    );
    
    procedure Close
    (
        handle      : in     FACE.IO.INTERFACE_HANDLE_TYPE;
        return_code :    out FACE.RETURN_CODE_TYPE
    );
    

end FACE.IO;

