
-------------------------------------------------------------------------------------
-- DISTRIBUTION STATEMENT A. Approved for public release; distribution is unlimited.
--                                                                                  
-- Product produced under DoD SENSIAC contract HC104705D4000 under the sponsorship  
-- of the Defense Technical Information Center,                                     
-- ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  
-- SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  
-- Information Center.                                                              
--                                                                                  
-- HANDLING AND DESTRUCTION NOTICE - Comply with distribution statement and destroy 
-- by any method that will prevent disclosure of the contents or reconstruction of  
-- the document.                                                                    
--                                                                                  
-- Copyright (c) Vanderbilt University, 2014                                        
--                                                                                  
-- ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     
--                                                                                  
-- Developed under contract for the U.S. Department of Defense                      
-- by the Institute for Software Integrated Systems (ISIS), Vanderbilt University   
--                                                                                  
-- The FACE Consortium will not currently accept any results from this release for  
-- certifying software components as FACE Conformant                                
--                                                                                  
-- Vanderbilt University disclaims all warranties with regard to this software,     
-- including all implied warranties of merchantability and fitness.  In no event    
-- shall Vanderbilt University be liable for any special, indirect or               
-- consequential damages or any damages whatsoever resulting from loss of use,      
-- data or profits, whether in an action of contract, negligence or other tortious  
-- action, arising out of or in connection with the use or performance of this      
-- software.                                                                        
--                                                                                  
--                                                                                  
-- This file is generated and will be overwritten.  Do not modify by hand.          
-- Filename: goldStandardLibraries/Ada/spec/FACE/face-ts-typeabstraction_ts.ads     
-- Date Created: 2014-10-20 16:20:41.205070                                         
-------------------------------------------------------------------------------------


package FACE.TS.TYPEABSTRACTION_TS is

    package Read_Callback is
    
        type send_event_Access is access procedure
        (
            transaction_id  : in     FACE.TS.TRANSACTION_ID_TYPE;
            message         : in out System.Address;
            message_type_id : in     FACE.TS.MESSAGE_TYPE_GUID;
            message_size    : in     FACE.TS.MESSAGE_SIZE_TYPE;
            waitset         : in     FACE.TS.WAITSET_TYPE;
            return_code     :    out FACE.RETURN_CODE_TYPE
        );
        
    
    end Read_Callback;
    
    procedure Initialize
    (
        configuration : in     FACE.CONFIGURATION_RESOURCE;
        return_code   :    out FACE.RETURN_CODE_TYPE
    );
    
    procedure Create_Connection
    (
        connection_name      : in     FACE.TS.CONNECTION_NAME_TYPE;
        pattern              : in     FACE.TS.MESSAGING_PATTERN_TYPE;
        connection_id        :    out FACE.TS.CONNECTION_ID_TYPE;
        connection_direction :    out FACE.TS.CONNECTION_DIRECTION_TYPE;
        max_message_size     :    out FACE.TS.MESSAGE_SIZE_TYPE;
        timeout              : in     FACE.TIMEOUT_TYPE;
        return_code          :    out FACE.RETURN_CODE_TYPE
    );
    
    procedure Destroy_Connection
    (
        connection_id : in     FACE.TS.CONNECTION_ID_TYPE;
        return_code   :    out FACE.RETURN_CODE_TYPE
    );
    
    procedure Receive_Message
    (
        connection_id   : in     FACE.TS.CONNECTION_ID_TYPE;
        timeout         : in     FACE.TIMEOUT_TYPE;
        transaction_id  : in out FACE.TS.TRANSACTION_ID_TYPE;
        message         : in out System.Address;
        message_type_id : in out FACE.TS.MESSAGE_TYPE_GUID;
        message_size    : in out FACE.TS.MESSAGE_SIZE_TYPE;
        return_code     :    out FACE.RETURN_CODE_TYPE
    );
    
    procedure Send_Message
    (
        connection_id   : in     FACE.TS.CONNECTION_ID_TYPE;
        timeout         : in     FACE.TIMEOUT_TYPE;
        transaction_id  : in out FACE.TS.TRANSACTION_ID_TYPE;
        message         : in out System.Address;
        message_type_id : in     FACE.TS.MESSAGE_TYPE_GUID;
        message_size    : in     FACE.TS.MESSAGE_SIZE_TYPE;
        return_code     :    out FACE.RETURN_CODE_TYPE
    );
    
    procedure Register_Callback
    (
        connection_id    : in     FACE.TS.CONNECTION_ID_TYPE;
        waitset          : in     FACE.TS.WAITSET_TYPE;
        data_callback    : in out Read_Callback.Send_Event_Access;
        max_message_size : in     FACE.TS.MESSAGE_SIZE_TYPE;
        return_code      :    out FACE.RETURN_CODE_TYPE
    );
    
    procedure Unregister_Callback
    (
        connection_id : in     FACE.TS.CONNECTION_ID_TYPE;
        return_code   :    out FACE.RETURN_CODE_TYPE
    );
    
    procedure Get_Connection_Parameters
    (
        connection_name   : in out FACE.TS.CONNECTION_NAME_TYPE;
        connection_id     : in out FACE.TS.CONNECTION_ID_TYPE;
        connection_status :    out FACE.TS.TRANSPORT_CONNECTION_STATUS_TYPE;
        return_code       :    out FACE.RETURN_CODE_TYPE
    );
    

end FACE.TS.TYPEABSTRACTION_TS;

