
with APEX; use APEX;
with APEX.Sampling_Ports; use APEX.Sampling_Ports;
with FACE.TS.TS;
with FACE.DM; 
with FACE.IO; 

procedure Sample_PSS is

    -- Sampling Port Variables
	Sampling_Port_Name : APEX.Sampling_Ports.Sampling_Port_Name_Type := "123456789012345678901234567890";
	Max_Message_Size : APEX.Message_Size_Type := 0;
	Port_Direction : APEX.Port_Direction_Type := Source;
	Refresh_Period : APEX.System_Time_Type := 0;
	Sampling_Port_Id : APEX.Sampling_Ports.Sampling_Port_Id_Type;
	Apex_Return_Code : APEX.Return_Code_Type;

    -- TSS Variables
    connection_id : FACE.TS.CONNECTION_ID_TYPE := 0;
    timeout : FACE.TIMEOUT_TYPE := 0;
    transaction_id : FACE.TS.TRANSACTION_ID_TYPE := 0;
    message : FACE.DM.EGI_Data;
    message_size : FACE.TS.MESSAGE_SIZE_TYPE := 0;
    ts_face_return_code : FACE.RETURN_CODE_TYPE;

    -- IOS Variables
    Configuration_File : FACE.CONFIGURATION_RESOURCE;
    io_face_return_code : FACE.RETURN_CODE_TYPE;

	begin
	    -- APEX call
		APEX.Sampling_Ports.Create_Sampling_Port
		(
		    Sampling_Port_Name,
		    Max_Message_Size,
		    Port_Direction,
		    Refresh_Period,
		    Sampling_Port_Id,
		    Apex_Return_Code
		);

        -- TS Call
        FACE.TS.TS.Receive_Message
        (
            connection_id,
            timeout,
            transaction_id,
            message,
            message_size,
            ts_face_return_code
        );

        -- IO Call
        Configuration_File(1..11) := "CONFIG FILE";
        FACE.IO.Initialize
        (
            Configuration_File,
            io_face_return_code
        );

    end Sample_PSS;

