-------------------------------------------------------------------------------------
-- DISTRIBUTION STATEMENT A. Approved for public release; distribution is unlimited.
--                                                                                  
-- Product produced under DoD SENSIAC contract HC104705D4000 under the sponsorship  
-- of the Defense Technical Information Center,                                     
-- ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.  
-- SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical  
-- Information Center.                                                              
--                                                                                  
-- HANDLING AND DESTRUCTION NOTICE - Comply with distribution statement and destroy 
-- by any method that will prevent disclosure of the contents or reconstruction of  
-- the document.                                                                    
--                                                                                  
-- Copyright (c) Vanderbilt University, 2014                                        
--                                                                                  
-- ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                     
--                                                                                  
-- Developed under contract for the U.S. Department of Defense                      
-- by the Institute for Software Integrated Systems (ISIS), Vanderbilt University   
--                                                                                  
-- The FACE Consortium will not currently accept any results from this release for  
-- certifying software components as FACE Conformant                                
--                                                                                  
-- Vanderbilt University disclaims all warranties with regard to this software,     
-- including all implied warranties of merchantability and fitness.  In no event    
-- shall Vanderbilt University be liable for any special, indirect or               
-- consequential damages or any damages whatsoever resulting from loss of use,      
-- data or profits, whether in an action of contract, negligence or other tortious  
-- action, arising out of or in connection with the use or performance of this      
-- software.                                                                        
--                                                                                  
--                                                                                  
-- This file is generated and will be overwritten.  Do not modify by hand.          
-- Filename: goldStandardLibraries/Ada/src/TSS/face-ts-ts.adb                       
-- Date Created: 2014-10-27 11:18:18.734683                                         
-------------------------------------------------------------------------------------


package body FACE.TS.TS is

    
    --------------------------------------
    -- Initialize
    --------------------------------------
    procedure Initialize
    (
        configuration : in     FACE.CONFIGURATION_RESOURCE;
        return_code   :    out FACE.RETURN_CODE_TYPE
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Initialize;
    
    
    --------------------------------------
    -- Create_Connection
    --------------------------------------
    procedure Create_Connection
    (
        connection_name      : in     FACE.TS.CONNECTION_NAME_TYPE;
        pattern              : in     FACE.TS.MESSAGING_PATTERN_TYPE;
        connection_id        :    out FACE.TS.CONNECTION_ID_TYPE;
        connection_direction :    out FACE.TS.CONNECTION_DIRECTION_TYPE;
        max_message_size     :    out FACE.TS.MESSAGE_SIZE_TYPE;
        timeout              : in     FACE.TIMEOUT_TYPE;
        return_code          :    out FACE.RETURN_CODE_TYPE
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Create_Connection;
    
    
    --------------------------------------
    -- Destroy_Connection
    --------------------------------------
    procedure Destroy_Connection
    (
        connection_id : in     FACE.TS.CONNECTION_ID_TYPE;
        return_code   :    out FACE.RETURN_CODE_TYPE
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Destroy_Connection;
    
    
    --------------------------------------
    -- Unregister_Callback
    --------------------------------------
    procedure Unregister_Callback
    (
        connection_id : in     FACE.TS.CONNECTION_ID_TYPE;
        return_code   :    out FACE.RETURN_CODE_TYPE
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Unregister_Callback;
    
    
    --------------------------------------
    -- Get_Connection_Parameters
    --------------------------------------
    procedure Get_Connection_Parameters
    (
        connection_name   : in out FACE.TS.CONNECTION_NAME_TYPE;
        connection_id     : in out FACE.TS.CONNECTION_ID_TYPE;
        connection_status :    out FACE.TS.TRANSPORT_CONNECTION_STATUS_TYPE;
        return_code       :    out FACE.RETURN_CODE_TYPE
    )
    is
    begin
        --  Generated stub: Only used for conformance testing
        null;
    end Get_Connection_Parameters;
    




    --------------------------------------
    -- Receive_Message(EGI_Data)
    --------------------------------------
    procedure Receive_Message
    (
        connection_id  : in     FACE.TS.CONNECTION_ID_TYPE;
        timeout        : in     FACE.TIMEOUT_TYPE;
        transaction_id : in out FACE.TS.TRANSACTION_ID_TYPE;
        message        : in out FACE.DM.EGI_Data;
        message_size   : in     FACE.TS.MESSAGE_SIZE_TYPE;
        return_code    :    out FACE.RETURN_CODE_TYPE
    
    )
    is
    begin
    	-- Function Stub...used only for FACE conformance testing
    	null;
    end Receive_Message;
    


    --------------------------------------
    -- Send_Message(EGI_Data)
    --------------------------------------
    procedure Send_Message
    (
    	connection_id  : in     FACE.TS.CONNECTION_ID_TYPE;
    	timeout        : in     FACE.TIMEOUT_TYPE;
    	transaction_id : in out FACE.TS.TRANSACTION_ID_TYPE;
    	message        : in out FACE.DM.EGI_Data;
    	message_size   : in out FACE.TS.MESSAGE_SIZE_TYPE;
    	return_code    :    out FACE.RETURN_CODE_TYPE
    )
    is
    begin
    	-- Function Stub...used only for FACE conformance testing
    	null;
    end Send_Message;
    


    --------------------------------------
    -- Register_Callback(EGI_Data)
    --------------------------------------
    procedure Register_Callback
    (
        connection_id    : in     FACE.TS.CONNECTION_ID_TYPE;
        waitset          : in     FACE.TS.WAITSET_TYPE;
        data_callback    : in out FACE.TS.TS.Read_Callback.send_event_FACE_DM_EGI_Data_Access;
        max_message_size : in     FACE.TS.MESSAGE_SIZE_TYPE;
        return_code      : out    FACE.RETURN_CODE_TYPE
    )
    is
    begin
    	-- Function Stub...used only for FACE conformance testing
    	null;
    end Register_Callback;
    



end FACE.TS.TS;
