#ifndef GOLDSTANDARDLIBRARIES_CPP_INCLUDE_FACE_HMFM_HPP
#define GOLDSTANDARDLIBRARIES_CPP_INCLUDE_FACE_HMFM_HPP

/*************************************************************************************
 * DISTRIBUTION STATEMENT A. Approved for public release; distribution is unlimited. *
 *                                                                                   *
 * Product produced under DoD SENSIAC contract HC104705D4000 under the sponsorship   *
 * of the Defense Technical Information Center,                                      *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.   *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical   *
 * Information Center.                                                               *
 *                                                                                   *
 * HANDLING AND DESTRUCTION NOTICE - Comply with distribution statement and destroy  *
 * by any method that will prevent disclosure of the contents or reconstruction of   *
 * the document.                                                                     *
 *                                                                                   *
 * Copyright (c) Vanderbilt University, 2016                                         *
 *                                                                                   *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                      *
 *                                                                                   *
 * Developed under contract for the U.S. Department of Defense                       *
 * by the Institute for Software Integrated Systems (ISIS), Vanderbilt University    *
 *                                                                                   *
 * The FACE Consortium has approved results from this release for                    *
 * certifying software components as FACE Conformant                                 *
 *                                                                                   *
 * Vanderbilt University disclaims all warranties with regard to this software,      *
 * including all implied warranties of merchantability and fitness.  In no event     *
 * shall Vanderbilt University be liable for any special, indirect or                *
 * consequential damages or any damages whatsoever resulting from loss of use,       *
 * data or profits, whether in an action of contract, negligence or other tortious   *
 * action, arising out of or in connection with the use or performance of this       *
 * software.                                                                         *
 *                                                                                   *
 * Filename: goldStandardLibraries/C++/include/FACE/HMFM.hpp                         *
 *                                                                                   *
 * Conformance Test Suite Version 2.1.0r5 supporting FACE Standard Version 2.1       *
 *                                                                                   *
 * This file is generated and may be overwritten.                                    *
 *                                                                                   *
 * Release Date: 16-Jan-2017                                                         *
 *************************************************************************************/

#include <FACE/common.hpp>


namespace FACE
{

    namespace HMFM
    {
        typedef FACE::Long FAULT_MESSAGE_SIZE_TYPE;

        typedef void * FAULT_MESSAGE_ADDRESS_TYPE;

        typedef FACE::Long THREAD_ID_TYPE;

        const FACE::HMFM::FAULT_MESSAGE_SIZE_TYPE FAULT_MESSAGE_MAXIMUM_SIZE = 128;

        typedef FACE::UnsignedLong STACK_SIZE_TYPE;

        typedef FACE::Char FAULT_MESSAGE_TYPE[FACE::HMFM::FAULT_MESSAGE_MAXIMUM_SIZE];

        enum FAULT_CODE_TYPE {
            DEADLINE_MISSED,
            APPLICATION_ERROR,
            NUMERIC_ERROR,
            ILLEGAL_REQUEST,
            STACK_OVERFLOW,
            MEMORY_VIOLATION,
            HARDWARE_FAULT,
            POWER_FAIL
        };

        struct FAULT_STATUS_TYPE {
            FACE::HMFM::FAULT_CODE_TYPE CODE;
            FACE::HMFM::FAULT_MESSAGE_TYPE MESSAGE;
            FACE::HMFM::FAULT_MESSAGE_SIZE_TYPE LENGTH;
            FACE::HMFM::THREAD_ID_TYPE FAILED_THREAD_ID;
            FACE::SYSTEM_ADDRESS_TYPE FAILED_ADDRESS;

        };

        typedef void (*FAULT_HANDLER_ENTRY_TYPE) (void);


        void Initialize (
                /*    out */ FACE::RETURN_CODE_TYPE &return_code
            );

        void Create_Fault_Handler (
                /* in     */ FACE::HMFM::FAULT_HANDLER_ENTRY_TYPE entry_point,
                /* in     */ FACE::HMFM::STACK_SIZE_TYPE stack_size,
                /*    out */ FACE::RETURN_CODE_TYPE &return_code
            );

        void Report_Application_Message (
                /* in     */ FACE::HMFM::FAULT_MESSAGE_ADDRESS_TYPE fault,
                /* in     */ FACE::HMFM::FAULT_MESSAGE_SIZE_TYPE length,
                /*    out */ FACE::RETURN_CODE_TYPE &return_code
            );

        void Get_Fault_Status (
                /*    out */ FACE::HMFM::FAULT_STATUS_TYPE &fault,
                /*    out */ FACE::RETURN_CODE_TYPE &return_code
            );

        void Raise_Application_Fault (
                /* in     */ FACE::HMFM::FAULT_CODE_TYPE code,
                /* in     */ FACE::HMFM::FAULT_MESSAGE_ADDRESS_TYPE message,
                /* in     */ FACE::HMFM::FAULT_MESSAGE_SIZE_TYPE length,
                /*    out */ FACE::RETURN_CODE_TYPE &return_code
            );


    } // namespace HMFM


} // namespace FACE



#endif /* #ifndef GOLDSTANDARDLIBRARIES_CPP_INCLUDE_FACE_HMFM_HPP */
