#ifndef GOLDSTANDARDLIBRARIES_CPP_INCLUDE_FACE_IOS_HPP
#define GOLDSTANDARDLIBRARIES_CPP_INCLUDE_FACE_IOS_HPP

/*************************************************************************************
 * DISTRIBUTION STATEMENT A. Approved for public release; distribution is unlimited. *
 *                                                                                   *
 * Product produced under DoD SENSIAC contract HC104705D4000 under the sponsorship   *
 * of the Defense Technical Information Center,                                      *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.   *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical   *
 * Information Center.                                                               *
 *                                                                                   *
 * HANDLING AND DESTRUCTION NOTICE - Comply with distribution statement and destroy  *
 * by any method that will prevent disclosure of the contents or reconstruction of   *
 * the document.                                                                     *
 *                                                                                   *
 * Copyright (c) Vanderbilt University, 2014                                         *
 *                                                                                   *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                      *
 *                                                                                   *
 * Developed under contract for the U.S. Department of Defense                       *
 * by the Institute for Software Integrated Systems (ISIS), Vanderbilt University    *
 *                                                                                   *
 * The FACE Consortium will not currently accept any results from this release for   *
 * certifying software components as FACE Conformant                                 *
 *                                                                                   *
 * Vanderbilt University disclaims all warranties with regard to this software,      *
 * including all implied warranties of merchantability and fitness.  In no event     *
 * shall Vanderbilt University be liable for any special, indirect or                *
 * consequential damages or any damages whatsoever resulting from loss of use,       *
 * data or profits, whether in an action of contract, negligence or other tortious   *
 * action, arising out of or in connection with the use or performance of this       *
 * software.                                                                         *
 *                                                                                   *
 *                                                                                   *
 * This file is generated and will be overwritten.  Do not modify by hand.           *
 * Filename: goldStandardLibraries/C++/include/FACE/IOS.hpp                          *
 * Date Created: 2014-10-21 20:36:28.268064                                          *
 *************************************************************************************/

#include <FACE/common.hpp>


namespace FACE
{
    typedef FACE::Char INTERFACE_NAME_TYPE[30];

    typedef FACE::UnsignedLong MESSAGE_LENGTH_TYPE;

    enum BUS_TYPE {
        MIL_STD_1553,
        ARINC_429,
        SERIAL,
        DISCRETE,
        ANALOG,
        SYNCHRO,
        HIGH_PRECISION_SYNCHRO,
        VME,
        GENERIC_BUS,
        USER_DEFINED_BUS_1,
        USER_DEFINED_BUS_2,
        USER_DEFINED_BUS_3,
        USER_DEFINED_BUS_n
    };

    enum IO_CONNECTION_STATUS_TYPE {
        GO,
        NOGO,
        IDLE,
        DEGRADED
    };

    struct STATUS_TYPE {
        FACE::SYSTEM_TIME_TYPE last_message_time;
        FACE::Boolean message_available;
        FACE::IO_CONNECTION_STATUS_TYPE connection_status;

    };

    enum MESSAGE_TYPE {
        COMMAND,
        STATUS,
        DATA,
        USER_DEFINED
    };

    enum COMMAND_TYPE {
        OPEN,
        REGISTER,
        READ,
        WRITE,
        CLOSE,
        GET_STATUS,
        UNREGISTER
    };

    enum A429_STATUS_TYPE {
        A429_IO_HW_OPERATIONAL,
        A429_IO_HW_FIFO_OVERFLOW,
        A429_IO_SW_CIRCULAR_BUFF_OVERFLOW,
        A429_IO_HW_ADDRESS_ERROR,
        A429_IO_HW_SEQUENCE_ERROR,
        A429_IO_HW_PARITY_ERROR,
        A429_IO_CLOCK_LOSS,
        A429_IO_UNKNOWN_ERROR
    };

    enum M1553_STATUS_TYPE {
        M1553_BC_IO_NO_RESPONSE,
        M1553_BC_IO_LOOP_TEST_FAIL,
        M1553_BC_IO_MSG_RETRIED,
        M1553_BC_IO_BAD_DATA_BLOCK,
        M1553_BC_IO_ADDRESS_ERROR,
        M1553_BC_IO_WORD_COUNT_ERROR,
        M1553_BC_IO_SYNC_ERROR,
        M1553_BC_IO_INVALID_WORD,
        M1553_RT_IO_TERMINAL_FLAG,
        M1553_RT_IO_SUBSYSTEM_FLAG,
        M1553_RT_IO_SERVICE_REQUEST,
        M1553_RT_IO_BUSY,
        M1553_RT_IO_DYNAMIC_BC,
        M1553_RT_IO_NO_RESPONSE,
        M1553_RT_IO_LOOP_TEST_FAIL,
        M1553_RT_IO_ILLEGAL_COMMAND_WORD,
        M1553_RT_IO_WORD_COUNT_ERROR,
        M1553_RT_IO_SYNC_ERROR,
        M1553_RT_IO_INVALID_WORD,
        M1553_RT_IO_RT_RT_GAP_SYNC_ADDR_ERROR,
        M1553_RT_IO_RT_RT_2ND_CMD_ERROR,
        M1553_RT_IO_COMMAND_WORD_ERROR,
        M1553_BM_IO_NO_RESPONSE,
        M1553_BM_IO_WORD_COUNT_ERROR,
        M1553_BM_IO_SYNC_ERROR,
        M1553_BM_IO_INVALID_WORD,
        M1553_BM_IO_RT_RT_GAP_SYNC_ADDR_ERROR,
        M1553_BM_IO_RT_RT_2ND_CMD_ERROR,
        M1553_BM_IO_COMMAND_WORD_ERROR,
        M1553_BM_IO_BAD_DATA_BLOCK,
        M1553_BM_IO_MESSAGE_ERROR,
        M1553_BM_IO_INSTRUMENTATION,
        M1553_BM_IO_SERVICE_REQUEST,
        M1553_BM_IO_RESERVED_BITS,
        M1553_BM_IO_BROADCAST_RCVD,
        M1553_BM_IO_BUSY,
        M1553_BM_IO_SF,
        M1553_BM_IO_DYNAMIC_BC,
        M1553_BM_IO_TF,
        M1553_DRIVER_READY,
        M1553_DRIVER_ERROR,
        M1553_UNKNOWN_ERROR,
        M1553_RX_SUCCESS,
        M1553_TX_SUCCESS,
        M1553_RXMODE_SUCCESS,
        M1553_TXMODE_SUCCESS,
        M1553_RT_TO_RT_SUCCESS,
        M1553_BC_IO_GO,
        M1553_BC_IO_NOGO_A,
        M1553_BC_IO_NOGO_B,
        M1553_BC_IO_NOGO_T
    };

    enum M1553_WORD_TYPE {
        M1553_CMD,
        M1553_STATUS,
        M1553_DATA
    };

    enum SERIAL_STATUS_TYPE {
        SERIAL_DEVICE_OPERATIONAL,
        SERIAL_OVERRUN_ERROR,
        SERIAL_PARITY_ERROR,
        SERIAL_FRAMING_ERROR,
        SERIAL_BREAK_ERROR
    };

    const FACE::Short DISCRETE_ERROR = 1;

    const FACE::Short ANALOG_ERROR = 1;

    typedef FACE::SYSTEM_ADDRESS_TYPE MESSAGE_ADDR_TYPE;

    typedef FACE::SYSTEM_ADDRESS_TYPE INTERFACE_HANDLE_TYPE;


    typedef void (*CALLBACK_ADDRESS_TYPE) (
            /* in    */ FACE::MESSAGE_LENGTH_TYPE message_length,
            /* in    */ FACE::MESSAGE_ADDR_TYPE data_buffer_address,
            /*   out */ FACE::RETURN_CODE_TYPE *return_code
        );

    namespace IO
    {

        void Initialize (
                /* in     */ const FACE::CONFIGURATION_RESOURCE configuration,
                /*    out */ FACE::RETURN_CODE_TYPE &return_code
            );

        void Open (
                /* in     */ const FACE::INTERFACE_NAME_TYPE name,
                /* in     */ FACE::TIMEOUT_TYPE timeout,
                /*    out */ FACE::INTERFACE_HANDLE_TYPE &handle,
                /*    out */ FACE::RETURN_CODE_TYPE &return_code
            );

        void Register (
                /* in     */ FACE::INTERFACE_HANDLE_TYPE handle,
                /* in     */ FACE::CALLBACK_ADDRESS_TYPE callback_address,
                /*    out */ FACE::RETURN_CODE_TYPE &return_code
            );

        void Unregister (
                /* in     */ FACE::INTERFACE_HANDLE_TYPE handle,
                /*    out */ FACE::RETURN_CODE_TYPE &return_code
            );

        void Read (
                /* in     */ FACE::INTERFACE_HANDLE_TYPE handle,
                /* in     */ FACE::TIMEOUT_TYPE timeout,
                /* in out */ FACE::MESSAGE_LENGTH_TYPE &message_length,
                /* in     */ FACE::MESSAGE_ADDR_TYPE data_buffer_address,
                /*    out */ FACE::RETURN_CODE_TYPE &return_code
            );

        void Write (
                /* in     */ FACE::INTERFACE_HANDLE_TYPE handle,
                /* in     */ FACE::TIMEOUT_TYPE timeout,
                /* in     */ FACE::MESSAGE_LENGTH_TYPE message_length,
                /* in     */ FACE::MESSAGE_ADDR_TYPE data_buffer_address,
                /*    out */ FACE::RETURN_CODE_TYPE &return_code
            );

        void Get_Status (
                /* in     */ FACE::INTERFACE_HANDLE_TYPE handle,
                /*    out */ FACE::STATUS_TYPE &status,
                /*    out */ FACE::RETURN_CODE_TYPE &return_code
            );

        void Close (
                /* in     */ FACE::INTERFACE_HANDLE_TYPE handle,
                /*    out */ FACE::RETURN_CODE_TYPE &return_code
            );


    } // namespace IO


} // namespace FACE



#endif /* #ifndef GOLDSTANDARDLIBRARIES_CPP_INCLUDE_FACE_IOS_HPP */