#ifndef GOLDSTANDARDLIBRARIES_CPP_INCLUDE_FACE_TS_COMMON_HPP
#define GOLDSTANDARDLIBRARIES_CPP_INCLUDE_FACE_TS_COMMON_HPP

/*************************************************************************************
 * DISTRIBUTION STATEMENT A. Approved for public release; distribution is unlimited. *
 *                                                                                   *
 * Product produced under DoD SENSIAC contract HC104705D4000 under the sponsorship   *
 * of the Defense Technical Information Center,                                      *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.   *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical   *
 * Information Center.                                                               *
 *                                                                                   *
 * HANDLING AND DESTRUCTION NOTICE - Comply with distribution statement and destroy  *
 * by any method that will prevent disclosure of the contents or reconstruction of   *
 * the document.                                                                     *
 *                                                                                   *
 * Copyright (c) Vanderbilt University, 2014                                         *
 *                                                                                   *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                      *
 *                                                                                   *
 * Developed under contract for the U.S. Department of Defense                       *
 * by the Institute for Software Integrated Systems (ISIS), Vanderbilt University    *
 *                                                                                   *
 * The FACE Consortium will not currently accept any results from this release for   *
 * certifying software components as FACE Conformant                                 *
 *                                                                                   *
 * Vanderbilt University disclaims all warranties with regard to this software,      *
 * including all implied warranties of merchantability and fitness.  In no event     *
 * shall Vanderbilt University be liable for any special, indirect or                *
 * consequential damages or any damages whatsoever resulting from loss of use,       *
 * data or profits, whether in an action of contract, negligence or other tortious   *
 * action, arising out of or in connection with the use or performance of this       *
 * software.                                                                         *
 *                                                                                   *
 *                                                                                   *
 * This file is generated and will be overwritten.  Do not modify by hand.           *
 * Filename: goldStandardLibraries/C++/include/FACE/TS_common.hpp                    *
 * Date Created: 2014-10-21 20:36:29.783727                                          *
 *************************************************************************************/

#include <FACE/common.hpp>


namespace FACE
{
    typedef FACE::Char CONNECTION_NAME_TYPE[64];

    typedef FACE::Long MESSAGE_SIZE_TYPE;

    typedef FACE::LongLong MESSAGE_TYPE_GUID;

    enum CONNECTION_DIRECTION_TYPE {
        SOURCE,
        DESTINATION,
        BI_DIRECTIONAL,
        ONE_WAY_REQUEST_SOURCE,
        ONE_WAY_REQUEST_DESTINATION,
        TWO_WAY_REQUEST_SYNCHRONOUS_SOURCE,
        TWO_WAY_REQUEST_SYNCHRONOUS_DESTINATION,
        TWO_WAY_REQUEST_REPLY_ASYNCHRONOUS_SOURCE,
        TWO_WAY_REQUEST_REPLY_ASYNCHRONOUS_DESTINATION,
        NOT_DEFINED_CONNECTION_DIRECTION_TYPE
    };

    typedef FACE::LongLong CONNECTION_ID_TYPE;

    typedef FACE::LongLong TRANSACTION_ID_TYPE;

    enum CONNECTION_TYPE {
        SAMPLING_PORT,
        QUEUING_PORT,
        SOCKET,
        MQ,
        SHM,
        CORBA,
        DDS
    };

    typedef FACE::Boolean WAITSET_TYPE[32];

    enum QUEUING_DISCIPLINE_TYPE {
        FIFO,
        PRIORITY,
        NOT_DEFINED_QUEUING_DISCIPLINE_TYPE
    };

    enum CONNECTION_DOMAIN_TYPE {
        UNIX,
        INET,
        NOT_DEFINED_CONNECTION_DOMAIN_TYPE
    };

    enum SOCKET_TYPE {
        STREAM,
        DGRAM,
        SEQPACKET,
        NOT_DEFINED_SOCKET_TYPE
    };

    enum RECEIVE_FLAG_TYPE {
        PEEK,
        OOB_RECEIVE_FLAG_TYPE,
        WAITALL,
        NOT_DEFINED_RECEIVE_FLAG_TYPE
    };

    enum SEND_FLAG_TYPE {
        EOR,
        OOB_SEND_FLAG_TYPE,
        NOSIGNAL,
        NOT_DEFINED_SEND_FLAG_TYPE
    };

    enum VALIDITY_TYPE {
        INVALID,
        VALID
    };

    enum MESSAGING_PATTERN_TYPE {
        PUB_SUB,
        CLIENT,
        SERVER
    };

    typedef FACE::Long WAITING_RANGE_TYPE;

    struct TRANSPORT_CONNECTION_STATUS_TYPE {
        FACE::MESSAGE_RANGE_TYPE MESSAGE;
        FACE::MESSAGE_RANGE_TYPE MAX_MESSAGE;
        FACE::MESSAGE_SIZE_TYPE MAX_MESSAGE_SIZE;
        FACE::CONNECTION_DIRECTION_TYPE CONNECTION_DIRECTION;
        FACE::WAITING_RANGE_TYPE WAITING_PROCESSES_OR_MESSAGES;
        FACE::SYSTEM_TIME_TYPE REFRESH_PERIOD;
        FACE::VALIDITY_TYPE LAST_MSG_VALIDITY;

    };



} // namespace FACE



#endif /* #ifndef GOLDSTANDARDLIBRARIES_CPP_INCLUDE_FACE_TS_COMMON_HPP */