#ifndef GOLDSTANDARDLIBRARIES_CPP_INCLUDE_FACE_TYPESPECIFIC_TS_HPP
#define GOLDSTANDARDLIBRARIES_CPP_INCLUDE_FACE_TYPESPECIFIC_TS_HPP

#include "FACE/TS_common.hpp"
#include "DM/EGI_Data.hpp"




/*--- EGI_Data Function Prototypes ---*/
namespace FACE {

    namespace Read_Callback
    {
        typedef void (*send_event_FACE_DM_EGI_Data_Ptr) (
    	    /* in */ FACE::TRANSACTION_ID_TYPE transaction_id,
    	    /* inout */ FACE::DM::EGI_Data &message,
    	    /* in */ FACE::MESSAGE_TYPE_GUID message_type_id,
    	    /* in */ FACE::MESSAGE_SIZE_TYPE message_size,
    	    /* in */ const FACE::WAITSET_TYPE waitset,
    	    /* out */ FACE::RETURN_CODE_TYPE &return_code
        );
    }  // namespace Read_Callback

    namespace TS {

        void Receive_Message
        (
        	/* in */ FACE::CONNECTION_ID_TYPE connection_id,
        	/* in */ FACE::TIMEOUT_TYPE timeout,
        	/* inout */ FACE::TRANSACTION_ID_TYPE &transaction_id,
        	/* out */ FACE::DM::EGI_Data &message,
        	/* in */ FACE::MESSAGE_SIZE_TYPE message_size,
        	/* out */ FACE::RETURN_CODE_TYPE &return_code
        );

        void Send_Message
        (
        	/* in */ FACE::CONNECTION_ID_TYPE connection_id,
        	/* in */ FACE::TIMEOUT_TYPE timeout,
        	/* inout */ FACE::TRANSACTION_ID_TYPE &transaction_id,
        	/* inout */ FACE::DM::EGI_Data &message,
        	/* inout */ FACE::MESSAGE_SIZE_TYPE &message_size,
        	/* out */ FACE::RETURN_CODE_TYPE &return_code
        );

        
        void Register_Callback
        (
        	/* in */ FACE::CONNECTION_ID_TYPE connection_id,
        	/* in */ const FACE::WAITSET_TYPE waitset,
        	/* in */ FACE::Read_Callback::send_event_FACE_DM_EGI_Data_Ptr data_callback,
        	/* in */ FACE::MESSAGE_SIZE_TYPE max_message_size,
        	/* out */ FACE::RETURN_CODE_TYPE &return_code
        );

    }
}


#endif // GOLDSTANDARDLIBRARIES_CPP_INCLUDE_FACE_TYPESPECIFIC_TS_HPP
