#ifndef GOLDSTANDARDLIBRARIES_CPP_INCLUDE_FACE_COMMON_HPP
#define GOLDSTANDARDLIBRARIES_CPP_INCLUDE_FACE_COMMON_HPP

/*************************************************************************************
 * DISTRIBUTION STATEMENT A. Approved for public release; distribution is unlimited. *
 *                                                                                   *
 * Product produced under DoD SENSIAC contract HC104705D4000 under the sponsorship   *
 * of the Defense Technical Information Center,                                      *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.   *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical   *
 * Information Center.                                                               *
 *                                                                                   *
 * HANDLING AND DESTRUCTION NOTICE - Comply with distribution statement and destroy  *
 * by any method that will prevent disclosure of the contents or reconstruction of   *
 * the document.                                                                     *
 *                                                                                   *
 * Copyright (c) Vanderbilt University, 2014                                         *
 *                                                                                   *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                      *
 *                                                                                   *
 * Developed under contract for the U.S. Department of Defense                       *
 * by the Institute for Software Integrated Systems (ISIS), Vanderbilt University    *
 *                                                                                   *
 * The FACE Consortium will not currently accept any results from this release for   *
 * certifying software components as FACE Conformant                                 *
 *                                                                                   *
 * Vanderbilt University disclaims all warranties with regard to this software,      *
 * including all implied warranties of merchantability and fitness.  In no event     *
 * shall Vanderbilt University be liable for any special, indirect or                *
 * consequential damages or any damages whatsoever resulting from loss of use,       *
 * data or profits, whether in an action of contract, negligence or other tortious   *
 * action, arising out of or in connection with the use or performance of this       *
 * software.                                                                         *
 *                                                                                   *
 *                                                                                   *
 * This file is generated and will be overwritten.  Do not modify by hand.           *
 * Filename: goldStandardLibraries/C++/include/FACE/common.hpp                       *
 * Date Created: 2014-10-21 20:36:31.475913                                          *
 *************************************************************************************/
#include "FACE/types.hpp"



namespace FACE
{
    typedef FACE::LongLong SYSTEM_TIME_TYPE;

    const FACE::SYSTEM_TIME_TYPE INF_TIME_VALUE = -1;

    typedef FACE::Char CONFIGURATION_RESOURCE[256];

    enum RETURN_CODE_TYPE {
        NO_ERROR,
        NO_ACTION,
        NOT_AVAILABLE,
        ADDR_IN_USE,
        INVALID_PARAM,
        INVALID_CONFIG,
        PERMISSION_DENIED,
        INVALID_MODE,
        TIMED_OUT,
        MESSAGE_STALE,
        CONNECTION_IN_PROGRESS,
        CONNECTION_CLOSED,
        DATA_BUFFER_TOO_SMALL
    };

    typedef void *SYSTEM_ADDRESS_TYPE;

    typedef FACE::SYSTEM_TIME_TYPE TIMEOUT_TYPE;

    typedef FACE::Long MESSAGE_RANGE_TYPE;



} // namespace FACE



#endif /* #ifndef GOLDSTANDARDLIBRARIES_CPP_INCLUDE_FACE_COMMON_HPP */