#include <sys/mman.h>
#include "FACE/TS.hpp"
#include "FACE/IOS.hpp"

int main(int argc, char *argv[])
{
    // Sample OSS call
	void *addr; 
	size_t len;
	int prot;
	int flags;
        int fildes;
	off_t off;

	mmap(addr, len, prot, flags, fildes, off);

    // Sample TSS call
    {
        FACE::CONNECTION_ID_TYPE connection_id;
        FACE::TIMEOUT_TYPE timeout;
        FACE::TRANSACTION_ID_TYPE transaction_id;
        FACE::DM::EGI_Data message;
        FACE::MESSAGE_SIZE_TYPE message_size;
        FACE::RETURN_CODE_TYPE return_code;

        FACE::TS::Receive_Message
            (
                /* in */ connection_id,
                /* in */ timeout,
                /* inout */ transaction_id,
                /* out */ message,
                /* in */ message_size,
                /* out */ return_code
            );
    }

    // Sample IOS call
    {
        FACE::CONFIGURATION_RESOURCE configuration_file;
        FACE::RETURN_CODE_TYPE return_code;

        FACE::IO::Initialize (
                /* in */ configuration_file,
                /* out */return_code
                );
	}

	return 0;
}

