// Product produced under DoD SENSIAC contract HC104705D4000 under
// the sponsorship of the Defense Technical Information Center,
// ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA
// 22060-6218.  SENSIAC is a DoD Information Analysis Center Sponsored
// by the Defense Technical Information Center.
//
// HANDLING AND DESTRUCTION NOTICE - Comply with distribution statement
// and destroy by any method that will prevent disclosure of
// contents or reconstruction of the document.

#ifndef _NAVMANAGEMENTFUNCTION_H
#define _NAVMANAGEMENTFUNCTION_H

#include "AttitudeBodyFrame.h"
#include "InertialMeasurementUnit.h"
#include "Position.h"
#include "EGI1.h"

#ifndef FACE_sequence_FACE_DM_InertialMeasurementUnit_defined
#define FACE_sequence_FACE_DM_InertialMeasurementUnit_defined
typedef struct
{
    FACE_unsigned_long _maximum;
    FACE_unsigned_long _length;
    FACE_DM_InertialMeasurementUnit* _buffer;
} FACE_sequence_FACE_DM_InertialMeasurementUnit_type;
#endif
#ifndef FACE_sequence_FACE_DM_EGI1_defined
#define FACE_sequence_FACE_DM_EGI1_defined
typedef struct
{
    FACE_unsigned_long _maximum;
    FACE_unsigned_long _length;
    FACE_DM_EGI1* _buffer;
} FACE_sequence_FACE_DM_EGI1_type;
#endif

typedef struct
{
    FACE_DM_AttitudeBodyFrame attitude;
    FACE_DM_Position position;
    FACE_sequence_FACE_DM_InertialMeasurementUnit_type imuNavSource;
    FACE_sequence_FACE_DM_EGI1_type egiNavSource;

} FACE_DM_NavManagementFunction;

#endif	/* _NAVMANAGEMENTFUNCTION_H*/	