#ifndef GOLDSTANDARDLIBRARIES_C_INCLUDE_FACE_COMMON_H
#define GOLDSTANDARDLIBRARIES_C_INCLUDE_FACE_COMMON_H

/*************************************************************************************
 * DISTRIBUTION STATEMENT A. Approved for public release; distribution is unlimited. *
 *                                                                                   *
 * Product produced under DoD SENSIAC contract HC104705D4000 under the sponsorship   *
 * of the Defense Technical Information Center,                                      *
 * ATTN: DTIC-AI, 8723 John J. Kingman Rd., Ste 0944, Fort Belvoir, VA 22060-6218.   *
 * SENSIAC is a DoD Information Analysis Center Sponsored by the Defense Technical   *
 * Information Center.                                                               *
 *                                                                                   *
 * HANDLING AND DESTRUCTION NOTICE - Comply with distribution statement and destroy  *
 * by any method that will prevent disclosure of the contents or reconstruction of   *
 * the document.                                                                     *
 *                                                                                   *
 * Copyright (c) Vanderbilt University, 2014                                         *
 *                                                                                   *
 * ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED                                      *
 *                                                                                   *
 * Developed under contract for the U.S. Department of Defense                       *
 * by the Institute for Software Integrated Systems (ISIS), Vanderbilt University    *
 *                                                                                   *
 * The FACE Consortium will not currently accept any results from this release for   *
 * certifying software components as FACE Conformant                                 *
 *                                                                                   *
 * Vanderbilt University disclaims all warranties with regard to this software,      *
 * including all implied warranties of merchantability and fitness.  In no event     *
 * shall Vanderbilt University be liable for any special, indirect or                *
 * consequential damages or any damages whatsoever resulting from loss of use,       *
 * data or profits, whether in an action of contract, negligence or other tortious   *
 * action, arising out of or in connection with the use or performance of this       *
 * software.                                                                         *
 *                                                                                   *
 *                                                                                   *
 * This file is generated and will be overwritten.  Do not modify by hand.           *
 * Filename: goldStandardLibraries/C/include/FACE/common.h                           *
 * Date Created: 2014-10-21 13:14:47.435643                                          *
 *************************************************************************************/
#include "FACE/types.h"



#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

typedef FACE_long_long FACE_SYSTEM_TIME_TYPE;

#define FACE_INF_TIME_VALUE ((FACE_SYSTEM_TIME_TYPE) -1)

typedef FACE_char FACE_CONFIGURATION_RESOURCE[256];

typedef enum {
    FACE_NO_ERROR,
    FACE_NO_ACTION,
    FACE_NOT_AVAILABLE,
    FACE_ADDR_IN_USE,
    FACE_INVALID_PARAM,
    FACE_INVALID_CONFIG,
    FACE_PERMISSION_DENIED,
    FACE_INVALID_MODE,
    FACE_TIMED_OUT,
    FACE_MESSAGE_STALE,
    FACE_CONNECTION_IN_PROGRESS,
    FACE_CONNECTION_CLOSED,
    FACE_DATA_BUFFER_TOO_SMALL
} FACE_RETURN_CODE_TYPE;

typedef void *FACE_SYSTEM_ADDRESS_TYPE;

typedef FACE_SYSTEM_TIME_TYPE FACE_TIMEOUT_TYPE;

typedef FACE_long FACE_MESSAGE_RANGE_TYPE;



#ifdef __cplusplus
}
#endif /* __cplusplus */



#endif /* #ifndef GOLDSTANDARDLIBRARIES_C_INCLUDE_FACE_COMMON_H */