//-----------------------------------------------------------------------------
// NOTE: This is a sample CONFORMANCE_TEST_FACE_EXACT_TYPES.h known to work
// with many GNU based compilers. ***This is only a sample.*** So please check
// with your compiler's documentation before accepting this file.
//
// Special thanks to Joel Sherrill for contributing the content of this sample.
//-----------------------------------------------------------------------------
#ifndef __FACE_CONFORMANCE_TEST_FACE_EXACT_TYPES_h
#define __FACE_CONFORMANCE_TEST_FACE_EXACT_TYPES_h

#if defined(__GNUC__)
  /* GCC specific */
  typedef char                   FACE_int8_t;
  typedef short int              FACE_int16_t;
  typedef int                    FACE_int32_t;
  typedef unsigned char          FACE_uint8_t;
  typedef unsigned short int     FACE_uint16_t;
  typedef unsigned int           FACE_uint32_t;
  #if (__SIZEOF_LONG__ == 8)
    typedef long int               FACE_int64_t;
    typedef unsigned long int      FACE_uint64_t;
  #elif  (__SIZEOF_LONG_LONG__ == 8)
    typedef long long int          FACE_int64_t;
    typedef unsigned long long int FACE_uint64_t;
  #else
    #error "GCC - How to define FACE 64-bit integers"
  #endif

  #if (__SIZEOF_SIZE_T__ == 4)
    typedef FACE_uint32_t   FACE_size_t;
  #elif (__SIZEOF_SIZE_T__ == 8)
    typedef FACE_uint64_t   FACE_size_t;
  #else
    #error "GCC - How to define FACE size_t"
  #endif

#else
  #error "Compiler is not GCC -- define sizes"
#endif

#endif /* inclusion guard */
